#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x23e2377a, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xf159d1ba, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xdc294c5f, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x618694b7, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x01562581, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x2c26b864, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xbd43e24f, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xa33278dc, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xf2710e68, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xc6c412d7, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xed968452, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x3653c73b, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x038fb38d, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x2cbc47ea, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x25a4aecb, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xc91b6baa, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x2151d44e, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x26e5d7cf, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x153788b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9e895483, "phy_set_mode_ext" },
	{ 0xa7e8545c, "phy_power_on" },
	{ 0x734edaa7, "phy_init" },
	{ 0x8590593d, "phy_power_off" },
	{ 0xe0350a80, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xccd9fd6e, "regulator_disable" },
	{ 0x30334fe0, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x2d619eb4, "devm_of_phy_get" },
	{ 0x48df7536, "of_find_property" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x1a0b12e2, "ata_host_resume" },
	{ 0xaf923e5e, "ahci_reset_controller" },
	{ 0xd7cc0592, "ahci_init_controller" },
	{ 0x693cb068, "regulator_enable" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1405451e, "platform_get_irq" },
	{ 0x2d1901bc, "ahci_save_initial_config" },
	{ 0x1a6e081e, "ahci_set_em_messages" },
	{ 0x24ad8f5f, "ata_host_alloc_pinfo" },
	{ 0x9d267f34, "platform_get_resource" },
	{ 0x4a10facb, "ata_port_desc" },
	{ 0x4bdd82a1, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xc20494b0, "ahci_print_info" },
	{ 0x37e2780f, "ahci_host_activate" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xfe1a1824, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x233191b0, "_dev_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xf004203a, "devres_open_group" },
	{ 0xabee13e2, "__devres_alloc_node" },
	{ 0x4ad79ca6, "devres_add" },
	{ 0x8475d7bb, "platform_get_resource_byname" },
	{ 0xa3e2314f, "devm_platform_ioremap_resource_byname" },
	{ 0xcb67e73b, "devm_clk_bulk_get_all" },
	{ 0xda21c36b, "devm_regulator_get" },
	{ 0x6ff97a09, "of_get_next_child" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x4a0be382, "of_device_is_available" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x5d1a4ab4, "of_platform_device_create" },
	{ 0xeab3038e, "of_find_device_by_node" },
	{ 0xc3f9c7b5, "regulator_get" },
	{ 0x975d3241, "of_node_put" },
	{ 0x62d151a7, "devres_release_group" },
	{ 0x819e03e8, "devm_platform_ioremap_resource" },
	{ 0xafacf79a, "devm_reset_control_array_get" },
	{ 0x8851639, "devm_clk_get_optional" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x4dceed35, "devres_remove_group" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x74444f58, "ata_host_suspend" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x95d5749c, "ahci_ops" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "7F17FF861CF0CC077B3B4ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
