#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0x002fee29, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0xeaed6635, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0x45667be6, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0x9cdfaee8, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0x47dbaa8e, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0xef35dbb8, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x04589474, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0x09bacaee, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0xdbde96bb, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0x5cfa4dde, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0x3e5be6ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42437fb, "skb_put" },
	{ 0x3b23e7f4, "hci_free_dev" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd807b99e, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0xe792bfb5, "of_property_read_variable_u16_array" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x81ef8001, "skb_push" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd09ef6ae, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf9f0c951, "kstrtol_from_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb62506c7, "of_property_read_variable_u8_array" },
	{ 0x84aff03, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x7bb45ca3, "hci_unregister_dev" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5d4464f9, "hci_register_dev" },
	{ 0x54a782a6, "__hci_cmd_sync" },
	{ 0x15e8e311, "debugfs_create_u8" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
