#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0x5bfde6c5, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0x77fffb74, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x6fddb745, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x934e18b0, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x9d572b98, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x35c8a215, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0x0a3196ad, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0xb4b6ac1b, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x8cc338dc, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x8597f1d8, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0xc3e5ec0a, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0x809d3b01, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0xb7e18ed3, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x2c4a1ad0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc358602e, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x54a782a6, "__hci_cmd_sync" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc2daf2af, "hci_cmd_sync_queue" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x913d23e0, "hci_devcd_register" },
	{ 0x13f607bc, "__hci_cmd_send" },
	{ 0xc7a25bd8, "usb_alloc_urb" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x77013dc1, "usb_anchor_urb" },
	{ 0x7cbd4b85, "usb_submit_urb" },
	{ 0xb111f27c, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5dc6f3ca, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1246929, "usb_autopm_get_interface" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xf68092b6, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x37a0cba, "kfree" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x9043f1a7, "hci_devcd_append" },
	{ 0xafbaf2ed, "hci_devcd_complete" },
	{ 0xf44c6eb9, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x357b60fa, "usb_disable_autosuspend" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc33a0a43, "hci_recv_diag" },
	{ 0xdef9ed99, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x42437fb, "skb_put" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6322ca15, "usb_control_msg" },
	{ 0xe1bcd7bf, "__skb_pad" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbf71647b, "usb_set_interface" },
	{ 0x70f0d8c1, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "A822B200A7C1E2ADF231E3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
