#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_restart_complete, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0xff249144, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xa8ee4b84, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0xede0f5bb, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x1da012f5, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x0aa2d990, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x7b00bff7, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xb13c0bec, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x1ef1d691, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x0a3696b0, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x5120a6fe, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xe9a52bd7, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xe636f2b5, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0xd82fef09, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xd641c070, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x657261eb, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x5eac974b, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xaa0e16f9, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xa1457cdb, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x8de595d9, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x7d0b4bb4, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x65b81ae8, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0xab92cb0f, "_gpl");
SYMBOL_CRC(adf_err_handler, 0xf985fe6c, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0xe5add0c3, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x913f8ad7, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x094c2439, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x93eedbd2, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x11650437, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x2843cd56, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xd800b6b4, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0x983f50d0, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x751331c1, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x6422434b, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x1e2facca, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xc6d1dfe2, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x3c67c799, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x182e8c00, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0xa6ce7c4f, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x17df9573, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x09e8c128, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x1ff260a4, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0xbb4257ea, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x16c208d5, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x139db376, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0xdb0c26ae, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x2fb98b93, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x9fa9900b, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0xc95c486d, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0xbace7f07, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0xab3bd533, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0xff6ed7a6, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x6e3a4c5d, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0xc10f1f8b, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x30dd8539, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x3cba7d51, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0xf2eb2e22, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0xc6303cd5, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xe8e30612, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0x8c9d40de, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0x3bf701dc, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x38e4670f, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x7856bc78, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x933257cf, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0xf35c571e, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x56124ef8, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x99527b05, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0xedf333dd, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0xadf33d9f, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0x8b085456, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0xf84db378, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x5fa28357, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xfbeb77bc, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0x584c9d19, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xaf90fee4, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xb95c4e13, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xf3fb5b2e, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0xf3be9b1b, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x2e1c248d, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0xab945cc1, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x1e4f1de6, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0xad27dd93, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0xb790a4cf, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x3d74c30e, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xf90a1c01, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0xbfccc618, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0xa9794259, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x2377c8a0, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x8e0caca7, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x44b6ab64, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2eee6ef2, "crypto_skcipher_encrypt" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5793bd08, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x8e0ce3db, "crypto_unregister_kpp" },
	{ 0x2fafbf04, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x85598405, "__kmalloc_node_noprof" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc358602e, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7bc8682d, "pci_num_vf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x36c2fd05, "crypto_register_aeads" },
	{ 0xf62104b7, "pci_sriov_get_totalvfs" },
	{ 0x57797674, "seq_hex_dump" },
	{ 0xe8aae1c9, "device_remove_groups" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x44366cfc, "simple_write_to_buffer" },
	{ 0x54118a60, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0xf637763e, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x26b66047, "crypto_cipher_setkey" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x7b2f550, "crypto_unregister_aeads" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0xeb53178a, "crc8" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xc898d0cb, "crypto_alloc_kpp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbffcd343, "crypto_skcipher_decrypt" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x233191b0, "_dev_info" },
	{ 0xa96b96a, "kstrtouint_from_user" },
	{ 0x62e67e7d, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x4c983e14, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x644ed57a, "pci_clear_master" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x9332eb74, "crypto_unregister_acomps" },
	{ 0x5af8e078, "down_write" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6293be53, "crypto_unregister_akcipher" },
	{ 0xc1f6f9ce, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x11055326, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb90a1fcd, "rsa_parse_priv_key" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x14eaf035, "pcie_flr" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc5f3022, "seq_putc" },
	{ 0xb36be32b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x49e19ad2, "crypto_shash_update" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3f34b7b6, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x2cbf313, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4614d9ea, "crypto_register_acomps" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xdbc71f27, "_dev_notice" },
	{ 0x2b861630, "crypto_cipher_encrypt_one" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x54c61662, "crypto_register_kpp" },
	{ 0x559be11e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc1d009db, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x18a094a2, "device_add_groups" },
	{ 0x74efb5d2, "seq_open" },
	{ 0x3b236c3b, "crypto_unregister_skciphers" },
	{ 0xd35f75a1, "match_string" },
	{ 0x38a8d420, "page_address" },
	{ 0xe990dd49, "crypto_register_akcipher" },
	{ 0x87f76909, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xa5d6c013, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8f1a8cf9, "rsa_parse_pub_key" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x6c35f043, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x810cf51e, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaff85ac4, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x750d93d5, "cdev_del" },
	{ 0xa4374e7e, "crypto_shash_export" },
	{ 0x644dcde0, "crypto_alloc_skcipher" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "DC6CB582A7708D347ECB0A0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
