#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mailbox_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_init_ras_reporting, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x838d2d80, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xba49441e, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x6995fba5, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xf7b8c285, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xa80c67c0, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x5f856e38, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x2e68bd72, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x0a3b0307, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xc6c73c15, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x3db7e9f6, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xf427b940, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x969ee6d3, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xd30bd5a1, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x86cc3b1c, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x5cd9fa0c, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x7b5335f0, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xcde9900a, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x55734910, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x157a5927, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x5f00eedf, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xca395035, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x3fed6059, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x394ffc3a, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x84593695, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x70846c02, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xe5a1de3d, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x60e6c3e9, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x20e790c1, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x9e69eda0, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x79ad70dc, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x59ba64c5, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x3f78282e, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xb3700df7, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xa93b4f79, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xe27aa907, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x3d393110, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xc97ab711, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x25de1c12, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x0dc0e4f4, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x20372c16, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x089a6f84, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x0ce5c762, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x41feb9cf, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x7a7c3282, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xb10ed4f5, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xf45f01af, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x5c0a19a6, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xe0ed2740, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x3ba7b8d5, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x359db4f4, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xeeca1706, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x86ccd158, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x579569e2, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x0e49f5f7, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x1e70e543, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x6c71f73e, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xcf8761cd, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x18f02c94, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xdeb1cd53, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x3dec813b, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xb7c7d809, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x4eb679b7, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xf8f21826, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x668f1801, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x9b80b6cc, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x83d780ee, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xa5fd11a1, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xf4f2886f, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xd4a4f884, "_gpl");
SYMBOL_CRC(cxl_mailbox_init, 0x9ebfa509, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xd2830bc0, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x48f9957d, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xed5c88e3, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x5a0218ae, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x4aac748c, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xfebb5513, "_gpl");
SYMBOL_CRC(cxl_dport_init_ras_reporting, 0xcf59b36b, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x7af19f26, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xa6d71d73, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x4ee93950, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x86ded060, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xcf5d443e, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x486cc2ed, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xc71ac317, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xb7018932, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x7d653c21, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xa46f2204, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x0b8ed140, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0xacd735f5, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xb88cf06f, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xe0d72ca0, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x7a2dcc6c, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x6c63a432, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x01005972, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10b73ed2, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x16369685, "pcie_capability_read_word" },
	{ 0xced92fe7, "mt_perf_to_adistance" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x42918c8d, "param_ops_ushort" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x63a472c4, "cdev_device_del" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0xb0025583, "pci_doe" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x9ab88442, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0xa1d131ed, "vmemdup_user" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0xd0b314e3, "devm_remove_action" },
	{ 0xdbf31d0c, "get_device" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeb946101, "platform_bus" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfc1c8ad9, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x70f7896, "_printk" },
	{ 0x2547fdeb, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x5cd418f3, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xef5d3dcf, "bus_for_each_dev" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x60991ad, "unregister_mt_adistance_algorithm" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x74f87a2c, "sysfs_update_group" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0xcecb3635, "debugfs_create_bool" },
	{ 0xf2c0ea9c, "bus_find_device" },
	{ 0xfb901f8c, "device_add" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0x919a323f, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7dc7cdd, "kernfs_find_and_get_ns" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x88a6fb04, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf9aa80d8, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x723d87ad, "devm_release_action" },
	{ 0xeda60a69, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x821cc896, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xb827bc7a, "pci_print_aer" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3b03c2c4, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa2ae80e4, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x6f47331e, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd0976e41, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x20029680, "device_match_name" },
	{ 0x2ad0d44, "register_mt_adistance_algorithm" },
	{ 0xabc31f93, "pci_walk_bus" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0x1e85132a, "pci_find_dvsec_capability" },
	{ 0x349fa19b, "device_find_child_by_name" },
	{ 0xebe17d38, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa5d6c013, "pci_write_config_word" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd28f9e4, "pcie_bandwidth_available" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x5c705e86, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaff85ac4, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe78f0ed3, "pci_bus_type" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6EE825A824D6BF0E2EFC6CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
