#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x3d4e6196, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x45c633a9, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x079b62d0, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x911d816c, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x736debc3, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x0386d45f, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x6404f0e7, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x5b75b09d, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x07e8e758, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x45aeab3b, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x87e322ed, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x24180ad5, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xf1ad6777, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xf3af7013, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x1403a152, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x975a981a, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xadd4221e, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x46ef1951, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xd66a9714, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x2e9d66fa, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x043653bf, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x97f65bc6, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xc6fbb939, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x81b437c3, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xefe63235, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x8443a1ed, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x02541746, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xa748cf0b, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x54fe6994, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xcecb3635, "debugfs_create_bool" },
	{ 0x21308e07, "debugfs_create_x32" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x87f76909, "single_open" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x94b8ad8, "regmap_raw_write" },
	{ 0xbce99524, "regmap_raw_read" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x5152e605, "memcmp" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x759a1672, "regmap_read" },
	{ 0x233191b0, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x21cac46e, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0x308c948, "regmap_raw_write_async" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x2076e5b6, "regmap_multi_reg_write" },
	{ 0xd1dc684c, "regmap_bulk_read" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x738803e6, "strnlen" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x47be806a, "single_release" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
