#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xcba5c36b, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x5c0572f7, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xc7235e30, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x47545db0, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0xc3845f7f, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xe3d18ab3, "");
SYMBOL_CRC(dfl_driver_unregister, 0x613c6faa, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xa97f336b, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xb82ab883, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x7eaf3557, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x5184a336, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x6a9a5afb, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x59963e6f, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x3a6c9d87, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0xf0710149, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x6245bd52, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x1a0c3892, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0xab92b154, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x1f2fb333, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x48df827f, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x273a5993, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xa2931b5b, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xf9d262f8, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x4f86c6fe, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x98dfe929, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x615fa238, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x62e67e7d, "module_put" },
	{ 0x5c705e86, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xaff85ac4, "cdev_init" },
	{ 0x4c983e14, "cdev_add" },
	{ 0x750d93d5, "cdev_del" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x5cd418f3, "put_device" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x6b9867ff, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0xfc1c8ad9, "__devm_request_region" },
	{ 0x9ab88442, "devm_ioremap" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5791aca9, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcfd01626, "device_unregister" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x819e03e8, "devm_platform_ioremap_resource" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xfb901f8c, "device_add" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xbad0a52c, "platform_device_add" },
	{ 0xa3e0a734, "platform_device_del" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x450fc0be, "platform_device_put" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xff3fa8ca, "fpga_region_unregister" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x233191b0, "_dev_info" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x71ea2ef, "devm_ioremap_resource" },
	{ 0xaf653764, "__fpga_region_register" },
	{ 0xd088019d, "devm_iounmap" },
	{ 0x1d74dd05, "__devm_release_region" },
	{ 0x5f053605, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "50E5BCC174BDC5D715B8263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
