#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x809f99df, "");
SYMBOL_CRC(drm_gem_vram_put, 0x1451bd6a, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x16845a41, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xb507f210, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x10838ccb, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xb31e22a6, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x132137f3, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xf118a5e2, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xc263397a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x9785e294, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x66cd4dc6, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x55f579f2, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xdc6e8b7e, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xc31aefe4, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x417b99e1, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xda343109, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6eac5890, "ttm_range_man_init_nocheck" },
	{ 0x80ffaba7, "ww_mutex_lock_interruptible" },
	{ 0xf66ecbd2, "ttm_resource_manager_debug" },
	{ 0x5d87bbba, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x49a08ad2, "ttm_range_man_fini_nocheck" },
	{ 0xbb6d013d, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa25fbc57, "ttm_bo_pin" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0xaeb8389d, "drm_gem_ttm_mmap" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xefb15ac4, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3121aa14, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc243d3a4, "drm_gem_object_release" },
	{ 0x38b1530f, "ttm_tt_init" },
	{ 0xd682ba53, "drm_gem_handle_create" },
	{ 0x1df3f7c3, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4b10193b, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x844817c2, "drm_debugfs_add_files" },
	{ 0x6f9951cf, "ttm_bo_init_validate" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc2df3500, "ttm_device_init" },
	{ 0x413c569, "ttm_bo_validate" },
	{ 0xffc06769, "ttm_bo_move_to_lru_tail" },
	{ 0x45becaaa, "ttm_bo_vmap" },
	{ 0x97a31d7, "ttm_bo_put" },
	{ 0xa2d62576, "ttm_resource_free" },
	{ 0xf1502ff6, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x56540490, "ttm_tt_fini" },
	{ 0xe3089a44, "ttm_device_fini" },
	{ 0x3d279c3e, "drm_gem_plane_helper_prepare_fb" },
	{ 0x32da2fd4, "ttm_bo_eviction_valuable" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x852091fa, "drm_gem_ttm_print_info" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
