#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0xc7808121, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0xf2674004, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8504b302, "hid_output_report" },
	{ 0xc5e0f47f, "hid_lookup_quirk" },
	{ 0xc7a25bd8, "usb_alloc_urb" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0xf68092b6, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb111f27c, "usb_free_urb" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8aa4cd1c, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc9b66ea8, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77976148, "kill_fasync" },
	{ 0x86332006, "usb_register_driver" },
	{ 0x4e715a6f, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2579722, "hidinput_count_leds" },
	{ 0x9da5acd3, "usb_autopm_put_interface_no_suspend" },
	{ 0x265ae76, "hid_driver_resume" },
	{ 0x6d4afc23, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1bad882, "hid_allocate_device" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe9085a04, "hid_destroy_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8983fe3, "usb_interrupt_msg" },
	{ 0x8a90faec, "usb_find_interface" },
	{ 0xe1475e97, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x940ede7a, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x6708e535, "usb_autopm_get_interface_async" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x7cbd4b85, "usb_submit_urb" },
	{ 0x233191b0, "_dev_info" },
	{ 0x2574127b, "usb_queue_reset_device" },
	{ 0xe206ea81, "hid_alloc_report_buf" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x1c08173d, "usb_free_coherent" },
	{ 0x45d420dd, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xda898d72, "hid_hw_request" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x683bc395, "hid_hw_open" },
	{ 0x6322ca15, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x75eafa92, "usb_register_dev" },
	{ 0x36ae4e7, "hid_check_keys_pressed" },
	{ 0x7a97913d, "fasync_helper" },
	{ 0x9ff69732, "usb_unpoison_urb" },
	{ 0xc65ecbe8, "usb_autopm_put_interface_async" },
	{ 0x5852c18d, "hid_hw_close" },
	{ 0x5152e605, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x3bf1e9fd, "usb_deregister" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4c58a008, "usb_string" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93bee5b5, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2759bf8d, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe97a8231, "usb_unlink_urb" },
	{ 0xdbc71f27, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1246929, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4489bf65, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x20c840ca, "usb_deregister_dev" },
	{ 0x239dc2b3, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xc5ba384b, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4cf24332, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x19c8af09, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "F23B61DA446C27958916F39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
