#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0xa20da24e, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x7f432d33, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xaed25b0d, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xb9b2f503, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x2d58a48e, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x9b328e9f, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x987bcdc0, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xe2ff3b17, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xb081dcf6, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x5d3e61ca, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xcb75d4fb, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x0a805771, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xf6a84242, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xa0c671cc, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x659cb3fa, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x0cfa4b4f, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xf41dd3f2, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xabf4b1f3, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xf4fe66fb, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xea0f0932, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x182326a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x69080f3, "device_remove_file" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbcb20452, "devm_krealloc" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ec4b270, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe48edd97, "i2c_smbus_write_byte_data" },
	{ 0x7425027, "i2c_smbus_read_byte_data" },
	{ 0xa78deb46, "i2c_smbus_write_byte" },
	{ 0x9bfd624b, "i2c_smbus_write_word_data" },
	{ 0x32b4c8e6, "i2c_smbus_read_word_data" },
	{ 0xe3382926, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2d830e3f, "rdev_get_dev" },
	{ 0x860c3ae0, "rdev_get_id" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x43c3264e, "thermal_zone_device_priv" },
	{ 0x49ac804d, "sysfs_notify" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xcff27a5c, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9e685d12, "i2c_smbus_xfer" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0xeb7eeb3, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd9b1de6a, "devm_hwmon_device_register_with_groups" },
	{ 0xa18bd289, "devm_regulator_register" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8777F6FA7D631D901E276E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
