#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_do_setdasa, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_DATA(i3c_bus_type, "_gpl", "");
KSYMTAB_FUNC(i3c_for_each_bus_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_register_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disable_hotjoin, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0xd39c4ed8, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0x72d134eb, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0xc7f7dc6e, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x1695423d, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x9dda1375, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x475216e4, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xa1cdec18, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x792b3a0a, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0xc9e53b0f, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x2581bf2e, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x02b50a88, "_gpl");
SYMBOL_CRC(i3c_bus_type, 0xa1e9321e, "_gpl");
SYMBOL_CRC(i3c_for_each_bus_locked, 0x42c40a47, "_gpl");
SYMBOL_CRC(i3c_register_notifier, 0xaa91f3f5, "_gpl");
SYMBOL_CRC(i3c_unregister_notifier, 0x2305c897, "_gpl");
SYMBOL_CRC(i3c_master_enable_hotjoin, 0xb0f58f27, "_gpl");
SYMBOL_CRC(i3c_master_disable_hotjoin, 0x43240326, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x07229a66, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x965384b4, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0xe49fcd98, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x0bdcfd2f, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xe9439e79, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x56c5a374, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x8900dbfb, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xe64dd903, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xae6dfe15, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xf3db6f89, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x9a07f32d, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x9a56bee5, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x8ba103df, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x72557b0f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf2ef712, "bus_unregister_notifier" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x975d3241, "of_node_put" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x28153e9, "i2c_client_type" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f081906, "of_node_get" },
	{ 0x13a1f0a9, "of_get_next_available_child" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x41904cb8, "bus_register_notifier" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x7f82970d, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfb901f8c, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x56ed323d, "i2c_new_client_device" },
	{ 0x689371e2, "i2c_bus_type" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x321cdbf, "of_alias_get_highest_id" },
	{ 0xf1f615e3, "device_register" },
	{ 0xeda60a69, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93b378de, "pm_runtime_no_callbacks" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x7215262b, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x8d7849ba, "of_alias_get_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x99f0b440, "of_i2c_get_board_info" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x29f3a126, "up_read" },
	{ 0x5c705e86, "driver_register" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "239D8CDAC402D7B0DE0CCBC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
