#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_read_poll_value, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_read_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_format_scale, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_convert_timestamp, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_get_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_set_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_batch_mode_supported, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_parse_common_attributes, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_read_poll_value, 0x40c5532e, "");
SYMBOL_CRC(hid_sensor_read_samp_freq_value, 0xbd39800a, "");
SYMBOL_CRC(hid_sensor_write_samp_freq_value, 0x62b6c94b, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_value, 0x4648e25a, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_rel_value, 0x33c43808, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_value, 0x749850c1, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_rel_value, 0x5ee0b27a, "");
SYMBOL_CRC(hid_sensor_format_scale, 0x7f7621ec, "");
SYMBOL_CRC(hid_sensor_convert_timestamp, 0x1de1f881, "");
SYMBOL_CRC(hid_sensor_get_report_latency, 0x346f7d6f, "");
SYMBOL_CRC(hid_sensor_set_report_latency, 0x3f540f52, "");
SYMBOL_CRC(hid_sensor_batch_mode_supported, 0xcc7b4e28, "");
SYMBOL_CRC(hid_sensor_parse_common_attributes, 0xe7ec7b48, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73e88c2b, "sensor_hub_set_feature" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1af267f8, "int_pow" },
	{ 0xef492e8b, "sensor_hub_input_get_attribute_info" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ebcb02c, "sensor_hub_get_feature" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "hid-sensor-hub");


MODULE_INFO(srcversion, "191F8EAE534206EA6F6657E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
