#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inv_mpu_core_probe, "_gpl", "IIO_MPU6050");
KSYMTAB_DATA(inv_mpu_pmops, "_gpl", "IIO_MPU6050");

SYMBOL_CRC(inv_mpu_core_probe, 0x8998da33, "_gpl");
SYMBOL_CRC(inv_mpu_pmops, 0x5e1492f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x693cb068, "regulator_enable" },
	{ 0xd374215, "device_property_present" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x9ddd4c6b, "iio_push_event" },
	{ 0x840b3c00, "iio_buffer_enabled" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8af49dcf, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x3f5b08f6, "regmap_get_device" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0xa372f73b, "iio_push_to_buffers" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xe57f959b, "iio_device_release_direct_mode" },
	{ 0xbf1b022a, "inv_sensors_timestamp_init" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb241889d, "__module_get" },
	{ 0xdbf31d0c, "get_device" },
	{ 0xbe3bd7c3, "iio_device_id" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeb7eeb3, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0xda21c36b, "devm_regulator_get" },
	{ 0x9525bee8, "iio_show_mount_matrix" },
	{ 0x879c0b61, "iio_device_claim_direct_mode" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6baa2acd, "irq_get_irq_data" },
	{ 0xd9ba1c40, "iio_trigger_poll_nested" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x55313b28, "inv_sensors_timestamp_interrupt" },
	{ 0x31fce61f, "inv_sensors_timestamp_apply_odr" },
	{ 0x95e43e0b, "__devm_iio_device_register" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x57fe8a67, "iio_read_mount_matrix" },
	{ 0xc9cd4d65, "devm_iio_device_alloc" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xca730846, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf5025a03, "inv_sensors_timestamp_update_odr" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8d601ff4, "iio_get_time_ns" },
	{ 0x5475cbe9, "regmap_noinc_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x759a1672, "regmap_read" },
	{ 0xb8939ab5, "regmap_bulk_write" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd1dc684c, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0xccd9fd6e, "regulator_disable" },
	{ 0x33280180, "dev_err_probe" },
	{ 0xb7c01f1, "iio_trigger_notify_done" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0xd202dd68, "iio_read_const_attr" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x7f341c12, "__devm_iio_trigger_alloc" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,inv_sensors_timestamp");


MODULE_INFO(srcversion, "AC2D071DB6C1238857B9DFA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
