#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x72c544cb, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x71c9f234, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xc85c0da8, "");
SYMBOL_CRC(rdma_res_to_id, 0x489e0ff9, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xf76a9b90, "");
SYMBOL_CRC(rdma_create_user_id, 0x3094f123, "");
SYMBOL_CRC(rdma_create_qp, 0x7d3dfd03, "");
SYMBOL_CRC(rdma_destroy_qp, 0xce4c8ff9, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xc3b3059b, "");
SYMBOL_CRC(rdma_destroy_id, 0xd67cfb41, "");
SYMBOL_CRC(rdma_get_service_id, 0xd6961641, "");
SYMBOL_CRC(rdma_read_gids, 0x6e5c34e2, "");
SYMBOL_CRC(rdma_set_service_type, 0xbe29e96d, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xacf8d1fc, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x91df97cf, "");
SYMBOL_CRC(rdma_set_ib_path, 0x63bc6a87, "");
SYMBOL_CRC(rdma_resolve_route, 0x7d978f2e, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x96acf1cb, "");
SYMBOL_CRC(rdma_set_afonly, 0xc7b3314d, "");
SYMBOL_CRC(rdma_listen, 0x586b3db2, "");
SYMBOL_CRC(rdma_resolve_addr, 0x838c4ca7, "");
SYMBOL_CRC(rdma_bind_addr, 0xbb0b8be3, "");
SYMBOL_CRC(rdma_connect_locked, 0x61cd79bb, "");
SYMBOL_CRC(rdma_connect, 0x23262a11, "");
SYMBOL_CRC(rdma_connect_ece, 0x71a914ee, "");
SYMBOL_CRC(rdma_accept, 0x585fbaef, "");
SYMBOL_CRC(rdma_accept_ece, 0x3a0262a8, "");
SYMBOL_CRC(rdma_lock_handler, 0xc0db4998, "");
SYMBOL_CRC(rdma_unlock_handler, 0x09887f1c, "");
SYMBOL_CRC(rdma_notify, 0x67089f71, "");
SYMBOL_CRC(rdma_reject, 0x7e21d4b0, "");
SYMBOL_CRC(rdma_disconnect, 0xf5a22e54, "");
SYMBOL_CRC(rdma_join_multicast, 0xc16a9706, "");
SYMBOL_CRC(rdma_leave_multicast, 0xb8218b31, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x738dae23, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x11a3d728, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x29e871d0, "ib_unregister_client" },
	{ 0x93581f8f, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x93b816c5, "ib_send_cm_sidr_rep" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x9137c559, "config_group_init" },
	{ 0xf4809f9e, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xcdc9ca6d, "rdma_find_gid_by_port" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xe873881a, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x42483672, "rdma_query_gid" },
	{ 0x7e2bdf11, "rt6_lookup" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xeffbedc1, "rdma_translate_ip" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xde4790ac, "rdma_dev_access_netns" },
	{ 0xd88b308f, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd622e112, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1db29faa, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xc66f6b58, "ip_mc_inc_group" },
	{ 0xa68203a0, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x407658a, "ib_find_cached_pkey" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc756d9db, "iw_cm_connect" },
	{ 0xd01a154, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e4967c, "rdma_addr_cancel" },
	{ 0x7b59f6be, "ib_cm_notify" },
	{ 0x738803e6, "strnlen" },
	{ 0xae61dcf3, "ib_sa_get_mcmember_rec" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x31f42cc9, "ib_register_client" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd1579f30, "ib_sa_path_rec_get" },
	{ 0xf99d398b, "ib_create_cm_id" },
	{ 0x93f39fb7, "__ip_mc_dec_group" },
	{ 0xdf6eafb1, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x22d6cce, "ib_init_ah_from_mcmember" },
	{ 0xaf9ddcbd, "rdma_destroy_ah_attr" },
	{ 0x38ce6984, "ib_set_client_data" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x43ac4497, "ib_get_cached_pkey" },
	{ 0xf4d53f44, "configfs_register_subsystem" },
	{ 0x6abd93c9, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb36454b8, "rdma_put_gid_attr" },
	{ 0x55dedbe2, "config_group_init_type_name" },
	{ 0xc9705907, "dev_get_by_index" },
	{ 0x7af9ee9c, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe5b2a27c, "ib_send_cm_rep" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x1beeeccf, "iw_cm_disconnect" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x74b7688b, "ib_destroy_qp_user" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0x5a7cc1dc, "ib_cm_init_qp_attr" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x74baf9d3, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a2acf42, "rdma_restrack_set_name" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xb0cd02b9, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x85b406b2, "ib_get_cached_port_state" },
	{ 0xd3a74ec4, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7d6a9090, "rdma_restrack_del" },
	{ 0x1fc8440, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x7a801bee, "__put_net" },
	{ 0x979d69c0, "rdma_restrack_parent_name" },
	{ 0x66cb4dca, "iw_cm_accept" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x74d36f49, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3272093f, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x4385e1c7, "iw_cm_init_qp_attr" },
	{ 0xb9aac278, "dst_release" },
	{ 0x99386118, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7406796d, "ib_send_cm_dreq" },
	{ 0x92a81564, "ib_send_cm_req" },
	{ 0x9a9661de, "ib_create_qp_kernel" },
	{ 0xcc5603ab, "ib_sa_join_multicast" },
	{ 0x30566abd, "roce_gid_type_mask_support" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x901b9c20, "rdma_get_gid_attr" },
	{ 0x57170d55, "rdma_restrack_new" },
	{ 0x3ebb2944, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x83e022fe, "iw_cm_listen" },
	{ 0xfbc4f6d1, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xabd99cdd, "rdma_copy_src_l2_addr" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x1710594b, "rdma_resolve_ip" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm,configfs");


MODULE_INFO(srcversion, "AABAB2B5BC01FFF17C7E0B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
