#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x1f7cfdf3, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x9ce98536, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x62d2a6ca, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x338a8080, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x11f95961, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0xb383db10, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xb09d4fa4, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x4a8ae9e6, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x05bb8248, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x843f1a0e, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xc7300657, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x5e405d0b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x21f501da, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0xbaf0d131, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9591128e, "vb2_queue_init" },
	{ 0x5722610c, "input_mt_assign_slots" },
	{ 0x7733f189, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x975d3241, "of_node_put" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x7e588ed4, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x1a2cadcd, "vb2_ioctl_expbuf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc58838b6, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaa7d21c2, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x1d519951, "vb2_ops_wait_finish" },
	{ 0xc358602e, "request_firmware" },
	{ 0x8db36648, "input_mt_report_slot_state" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xaf000a80, "devm_input_allocate_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa732990e, "vb2_ioctl_querybuf" },
	{ 0xa519cabf, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x624dcd53, "v4l2_fh_open" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x20c281bf, "irq_domain_simple_ops" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcac6d11a, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xa41d240, "video_devdata" },
	{ 0xbd807db9, "irq_set_chip_and_handler_name" },
	{ 0x5cd418f3, "put_device" },
	{ 0xd04efb17, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xa7e7d4b7, "handle_simple_irq" },
	{ 0x233191b0, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xab9f1208, "of_get_child_by_name" },
	{ 0xa790f6c4, "vb2_ioctl_dqbuf" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6345861e, "vb2_ioctl_create_bufs" },
	{ 0xfb901f8c, "device_add" },
	{ 0xdd052952, "input_mt_init_slots" },
	{ 0x6baa2acd, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9885bb7f, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x617bdf00, "vb2_buffer_done" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x7ec10034, "vb2_plane_vaddr" },
	{ 0x48df7536, "of_find_property" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x41239749, "video_unregister_device" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdb5c3cf, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x21ef7f58, "vb2_fop_mmap" },
	{ 0xeda60a69, "device_del" },
	{ 0x996dafaf, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xf5e37208, "vb2_vmalloc_memops" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xfc7c57f6, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xaf121c89, "input_event" },
	{ 0x90e59f9a, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe30ede1c, "v4l2_device_register" },
	{ 0x844fec73, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x6c0fafd1, "serio_interrupt" },
	{ 0x6bdc95e6, "irq_domain_instantiate" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x44c5f3af, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x68bc161e, "vb2_ops_wait_prepare" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e0d7026, "irq_create_mapping_affinity" },
	{ 0xb81821d6, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb08fbb51, "input_alloc_absinfo" },
	{ 0xf1ff6f18, "vb2_fop_poll" },
	{ 0x691b70ce, "v4l2_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x4054c865, "_dev_printk" },
	{ 0xa7f7058f, "video_device_release_empty" },
	{ 0x5c705e86, "driver_register" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8cf68546, "vb2_ioctl_reqbufs" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "E0A76EE3EE8F7C55D88A847");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
