#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0x21204dd9, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0xb98dc9ff, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0x4449fbe6, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0x5efc517b, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0x4cc9bfa2, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0x360c780f, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0x4e7063b9, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x04002a5a, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x86927b83, "_gpl");
SYMBOL_CRC(wm9705_codec, 0x9aa6d539, "_gpl");
SYMBOL_CRC(wm9712_codec, 0x8718c863, "_gpl");
SYMBOL_CRC(wm9713_codec, 0x4bb2c8fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x450fc0be, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x7b4f2a5e, "platform_driver_unregister" },
	{ 0xaf000a80, "devm_input_allocate_device" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcac6d11a, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x233191b0, "_dev_info" },
	{ 0xcfa81240, "device_wakeup_disable" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x2a3815a, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xbad0a52c, "platform_device_add" },
	{ 0x5f053605, "platform_device_alloc" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaf121c89, "input_event" },
	{ 0x844fec73, "input_set_abs_params" },
	{ 0x97eed602, "__platform_driver_register" },
	{ 0x5fba2d7b, "input_device_enabled" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E32059AC69758AAB6D7E2EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
