#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(lp55xx_stop_all_engine, "_gpl", "");
KSYMTAB_FUNC(lp55xx_load_engine, "_gpl", "");
KSYMTAB_FUNC(lp55xx_run_engine_common, "_gpl", "");
KSYMTAB_FUNC(lp55xx_update_program_memory, "_gpl", "");
KSYMTAB_FUNC(lp55xx_firmware_loaded_cb, "_gpl", "");
KSYMTAB_FUNC(lp55xx_led_brightness, "_gpl", "");
KSYMTAB_FUNC(lp55xx_multicolor_brightness, "_gpl", "");
KSYMTAB_FUNC(lp55xx_set_led_current, "_gpl", "");
KSYMTAB_FUNC(lp55xx_turn_off_channels, "_gpl", "");
KSYMTAB_FUNC(lp55xx_stop_engine, "_gpl", "");
KSYMTAB_FUNC(lp55xx_show_engine_mode, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_engine_mode, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_engine_load, "_gpl", "");
KSYMTAB_FUNC(lp55xx_show_engine_leds, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_engine_leds, "_gpl", "");
KSYMTAB_FUNC(lp55xx_show_master_fader, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_master_fader, "_gpl", "");
KSYMTAB_FUNC(lp55xx_show_master_fader_leds, "_gpl", "");
KSYMTAB_FUNC(lp55xx_store_master_fader_leds, "_gpl", "");
KSYMTAB_FUNC(lp55xx_write, "_gpl", "");
KSYMTAB_FUNC(lp55xx_read, "_gpl", "");
KSYMTAB_FUNC(lp55xx_update_bits, "_gpl", "");
KSYMTAB_FUNC(lp55xx_is_extclk_used, "_gpl", "");
KSYMTAB_FUNC(lp55xx_probe, "_gpl", "");
KSYMTAB_FUNC(lp55xx_remove, "_gpl", "");

SYMBOL_CRC(lp55xx_stop_all_engine, 0x8df8e0ce, "_gpl");
SYMBOL_CRC(lp55xx_load_engine, 0xbd6f9e58, "_gpl");
SYMBOL_CRC(lp55xx_run_engine_common, 0x1049d240, "_gpl");
SYMBOL_CRC(lp55xx_update_program_memory, 0xbc9f3dff, "_gpl");
SYMBOL_CRC(lp55xx_firmware_loaded_cb, 0x83d95bf1, "_gpl");
SYMBOL_CRC(lp55xx_led_brightness, 0xfb7e221c, "_gpl");
SYMBOL_CRC(lp55xx_multicolor_brightness, 0xb70eb1f7, "_gpl");
SYMBOL_CRC(lp55xx_set_led_current, 0xf88f48a7, "_gpl");
SYMBOL_CRC(lp55xx_turn_off_channels, 0xeeea1c89, "_gpl");
SYMBOL_CRC(lp55xx_stop_engine, 0x2c57e9ee, "_gpl");
SYMBOL_CRC(lp55xx_show_engine_mode, 0xec675dfe, "_gpl");
SYMBOL_CRC(lp55xx_store_engine_mode, 0xcd82c82d, "_gpl");
SYMBOL_CRC(lp55xx_store_engine_load, 0x7e402260, "_gpl");
SYMBOL_CRC(lp55xx_show_engine_leds, 0x311ca18e, "_gpl");
SYMBOL_CRC(lp55xx_store_engine_leds, 0x1719282e, "_gpl");
SYMBOL_CRC(lp55xx_show_master_fader, 0x24571106, "_gpl");
SYMBOL_CRC(lp55xx_store_master_fader, 0xd703b9c2, "_gpl");
SYMBOL_CRC(lp55xx_show_master_fader_leds, 0x2e1cc798, "_gpl");
SYMBOL_CRC(lp55xx_store_master_fader_leds, 0x08abcc96, "_gpl");
SYMBOL_CRC(lp55xx_write, 0x3dd413bf, "_gpl");
SYMBOL_CRC(lp55xx_read, 0x2a9eb25a, "_gpl");
SYMBOL_CRC(lp55xx_update_bits, 0x377d7c67, "_gpl");
SYMBOL_CRC(lp55xx_is_extclk_used, 0xd697dd50, "_gpl");
SYMBOL_CRC(lp55xx_probe, 0x1aecefa4, "_gpl");
SYMBOL_CRC(lp55xx_remove, 0x2f65f910, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe48edd97, "i2c_smbus_write_byte_data" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x7425027, "i2c_smbus_read_byte_data" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1112bb25, "led_mc_calc_color_components" },
	{ 0xef0b51cb, "request_firmware_nowait" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xab287fd8, "devm_clk_get_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x233191b0, "_dev_info" },
	{ 0xf1b1560d, "of_property_read_string" },
	{ 0xb62506c7, "of_property_read_variable_u8_array" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x99395dd5, "gpiod_set_value" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc747e685, "i2c_client_get_device_id" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x339e1db, "i2c_get_match_data" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5bfb48b6, "gpiod_direction_output" },
	{ 0x2eb2efe7, "gpiod_set_consumer_name" },
	{ 0xf596a719, "gpiod_set_value_cansleep" },
	{ 0x13a1f0a9, "of_get_next_available_child" },
	{ 0x9c1fca1f, "of_get_property" },
	{ 0x975d3241, "of_node_put" },
	{ 0xc2df3d0, "devm_gpiod_get_optional" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0x84f334f0, "devm_led_classdev_register_ext" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x66115378, "devm_led_classdev_multicolor_register_ext" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "led-class-multicolor");


MODULE_INFO(srcversion, "B32C8DE5EF347E3D3876E4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
