#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_init_stacking_limits, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");

SYMBOL_CRC(md_cluster_ops, 0x5674e0dd, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x2a89d307, "");
SYMBOL_CRC(mddev_suspend, 0x5deaddcc, "_gpl");
SYMBOL_CRC(mddev_resume, 0xd095140c, "_gpl");
SYMBOL_CRC(md_flush_request, 0x35894894, "");
SYMBOL_CRC(mddev_init, 0xb567b6a8, "_gpl");
SYMBOL_CRC(mddev_destroy, 0xc7289d2a, "_gpl");
SYMBOL_CRC(mddev_unlock, 0xb8977deb, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x2cca9936, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0xc8e68a65, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x5e0d3e5e, "_gpl");
SYMBOL_CRC(sync_page_io, 0x5d9b40fb, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x527def76, "");
SYMBOL_CRC(md_integrity_register, 0xf88cdb73, "");
SYMBOL_CRC(md_update_sb, 0x8ba8a2e5, "");
SYMBOL_CRC(md_rdev_init, 0x836ad105, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0x0589f4a7, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0x0058469a, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0x74045f27, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0x82313437, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0x85b7e948, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0x934b403a, "_gpl");
SYMBOL_CRC(md_init_stacking_limits, 0x36370808, "_gpl");
SYMBOL_CRC(md_run, 0x132e1768, "_gpl");
SYMBOL_CRC(md_start, 0x32e60864, "_gpl");
SYMBOL_CRC(md_stop_writes, 0xfa5273f3, "_gpl");
SYMBOL_CRC(md_stop, 0x1a511c1d, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x96e25646, "");
SYMBOL_CRC(md_wakeup_thread, 0x4e998055, "");
SYMBOL_CRC(md_register_thread, 0x43c87fe1, "");
SYMBOL_CRC(md_unregister_thread, 0x59c2e12c, "");
SYMBOL_CRC(md_error, 0x9f573352, "");
SYMBOL_CRC(register_md_personality, 0x41588d98, "");
SYMBOL_CRC(unregister_md_personality, 0x1795e83d, "");
SYMBOL_CRC(register_md_cluster_operations, 0x586c2270, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x2c524a46, "");
SYMBOL_CRC(md_write_start, 0xb61636d9, "");
SYMBOL_CRC(md_write_inc, 0x19ce16d1, "");
SYMBOL_CRC(md_write_end, 0x26be7ef4, "");
SYMBOL_CRC(md_submit_discard_bio, 0xd6fc80eb, "_gpl");
SYMBOL_CRC(md_account_bio, 0xd44ea032, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x39066bed, "_gpl");
SYMBOL_CRC(md_allow_write, 0xe7f5b22d, "_gpl");
SYMBOL_CRC(md_do_sync, 0x6e71a8c4, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x4bc5bb7c, "");
SYMBOL_CRC(md_reap_sync_thread, 0xfe353741, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x3c0c7d9b, "");
SYMBOL_CRC(md_finish_reshape, 0x7d5f0f6e, "");
SYMBOL_CRC(rdev_set_badblocks, 0x3bdd55f8, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0xe4a6921f, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x0752bc3b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c7777d8, "set_capacity_and_notify" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x6238f02f, "set_disk_ro" },
	{ 0x31062a56, "__blk_alloc_disk" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xec311aae, "alloc_page_buffers" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0xada8d7b5, "__bio_add_page" },
	{ 0xc871f928, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xea8c08c0, "proc_create" },
	{ 0x8040c31d, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8235805b, "memmove" },
	{ 0x2fafbf04, "seq_release" },
	{ 0xaa804fe2, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0x9420c870, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xea360036, "queue_limits_stack_bdev" },
	{ 0x884e580b, "fget" },
	{ 0x2beab130, "sysfs_unbreak_active_protection" },
	{ 0x56f26643, "invalidate_mapping_pages" },
	{ 0xcbcf5d55, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0d29398, "badblocks_exit" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x6f9ffbb0, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xf1a254ae, "kernfs_notify" },
	{ 0x7c7066ea, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xd8a5855d, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x5602eeb6, "bio_clone_blkg_association" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x561a6744, "bioset_integrity_create" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf7e7c896, "put_disk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdddb9d57, "percpu_ref_resurrect" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x697c5f41, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1aedc5aa, "unregister_sysctl_table" },
	{ 0xa74028e4, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x6d87e7d3, "sync_blockdev" },
	{ 0x927825ae, "free_buffer_head" },
	{ 0x738803e6, "strnlen" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xf3eeaaa3, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x64703f56, "submit_bio" },
	{ 0x62e67e7d, "module_put" },
	{ 0xfd52ec51, "bio_start_io_acct" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x632780, "work_busy" },
	{ 0x8ccdba12, "bioset_exit" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x3817bf2b, "flush_signals" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x6f83f529, "bio_put" },
	{ 0x726cf579, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x58e274d9, "fput" },
	{ 0x4618d5, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0x15eca580, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf17c084b, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x1874dc48, "blk_sync_queue" },
	{ 0xbebf0340, "seq_file_path" },
	{ 0x7dc7cdd, "kernfs_find_and_get_ns" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x8f83a2c6, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xe4cd5759, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xe70689d4, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xca5b72bc, "bdev_file_open_by_dev" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x57e9e29d, "bd_unlink_disk_holder" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x864b6074, "bio_init" },
	{ 0x680d686a, "register_sysctl_sz" },
	{ 0x9aefbfc9, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x3812d296, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3785249a, "kobject_del" },
	{ 0x7e09426c, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xa1fe87a4, "bioset_init" },
	{ 0xa13bef8, "file_path" },
	{ 0x6f47331e, "kernfs_put" },
	{ 0xf7070906, "sysfs_break_active_protection" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x89eda961, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6a48109c, "bd_link_disk_holder" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0xfc1c8386, "queue_limits_commit_update" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc04e20c3, "percpu_ref_switch_to_atomic_sync" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x21eecae8, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x8c83ed9d, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x74efb5d2, "seq_open" },
	{ 0x38a8d420, "page_address" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x7b8fdc82, "badblocks_clear" },
	{ 0xc7c5e71e, "bmap" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x88237540, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x37c70b8a, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xc1a1cfee, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xfa3becd2, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x92b57248, "flush_work" },
	{ 0xe65a9b9d, "kobject_put" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BDAE61059C9A1FB994D17E0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
