#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x576014b2, "input_allocate_device" },
	{ 0x978e7c30, "dvb_dmxdev_init" },
	{ 0xf7968bfe, "fw_iso_context_destroy" },
	{ 0xcfbb2b2d, "fw_run_transaction" },
	{ 0x7cfb374a, "fw_iso_buffer_init" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0xe46d6483, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x25b8b3fc, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e033c05, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x321722e5, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6cc60d18, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4aa73b41, "fw_core_add_address_handler" },
	{ 0x6a973ea0, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbbb1feea, "dvb_generic_open" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcac6d11a, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3d99bf74, "dvb_dmx_swfilter_packets" },
	{ 0x10cc7bbb, "dvb_generic_ioctl" },
	{ 0x738803e6, "strnlen" },
	{ 0xd7ba65ae, "fw_iso_context_queue" },
	{ 0x233191b0, "_dev_info" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xc7b7951d, "dvb_unregister_device" },
	{ 0xa7d7ed68, "fw_iso_buffer_destroy" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x60235414, "dvb_generic_release" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0xf003bb37, "dvb_net_init" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x4aee8211, "dvb_dmxdev_release" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5e62ee50, "param_ops_short" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaf121c89, "input_event" },
	{ 0xdb482da2, "fw_iso_context_queue_flush" },
	{ 0x62f9a110, "fw_iso_context_start" },
	{ 0xc31f6c91, "dvb_net_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x1db6d2b0, "dvb_unregister_frontend" },
	{ 0x8738a8a2, "fw_bus_type" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdcd1ef14, "dvb_register_device" },
	{ 0x7bee80fb, "dvb_register_frontend" },
	{ 0x556601c3, "fw_csr_string" },
	{ 0x38a8d420, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0xdbb5ed8a, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x5c705e86, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,firewire-core");

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "033DA7A571340092C8BD23E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
