#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xee304e15, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x990923e7, "_gpl");
SYMBOL_CRC(media_device_init, 0x3662add6, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x276a6d48, "_gpl");
SYMBOL_CRC(__media_device_register, 0x21feeaf9, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x12a8258a, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xe8057299, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x825ea4d3, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xef0bc4a6, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x6f1175dd, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x4fa81e7a, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x3932b5c1, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x5ad1c762, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x2105b91a, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x4cb990b0, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x1a80f4d5, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x045287dc, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x645f71dd, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x0922b70c, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x076728c6, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xc405f489, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xfca56ef4, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xa422a9e3, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x205537c7, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x8b6a798e, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x7f92f0a2, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xa0dcb314, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xa661d83d, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x5111cc18, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xc926032b, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x54db3cff, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x529f91bd, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x960c42c4, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xd4a8eaaa, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xec814e3f, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x48e7db58, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0xcb11ca48, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xe074f1fa, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x706ed7a6, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xb4b3e4ee, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xaa090413, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x9340f95c, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x16499eb4, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x4b4fcb64, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x00bc6f37, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xf385a025, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x745b50a6, "_gpl");
SYMBOL_CRC(media_request_put, 0xb268c538, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xfaddea80, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x6c68a87e, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x243cecee, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x603274b5, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xf86ce1f3, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x29b57c77, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x376668bb, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xb601402e, "_gpl");
SYMBOL_CRC(media_device_delete, 0xa56cd391, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x893ccd10, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x63a472c4, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb97524fe, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x2547fdeb, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6572544, "fwnode_graph_parse_endpoint" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x58e274d9, "fput" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd0976e41, "platform_bus_type" },
	{ 0x92618b38, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaff85ac4, "cdev_init" },
	{ 0xe78f0ed3, "pci_bus_type" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x69080f3, "device_remove_file" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21B94BF6E3BCC15A005A0EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
