#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0xb24fd021, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x9de1fc0c, "");
SYMBOL_CRC(cx8802_buf_queue, 0xca2b7089, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0x3a423366, "");
SYMBOL_CRC(cx8802_get_driver, 0xa44a02e1, "");
SYMBOL_CRC(cx8802_register_driver, 0x43874bde, "");
SYMBOL_CRC(cx8802_unregister_driver, 0x3572472f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x103edcb1, "cx88_reset" },
	{ 0x4f0f845f, "cx88_wakeup" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0xee6b67fe, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x8662ac4, "cx88_shutdown" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ddb2194, "cx88_core_put" },
	{ 0x753d21a4, "pci_set_power_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xaff00918, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x302d785f, "cx88_core_get" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x56c3b264, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x617bdf00, "vb2_buffer_done" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9123ba2, "cx88_sram_channel_dump" },
	{ 0xcef65b94, "cx88_sram_channel_setup" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x9848ecf1, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
