#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x05525b9b, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x42dec7e2, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x2564ac33, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xcfa2a473, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x0439f298, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x7a4723a2, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0xfb9340ae, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0xc8a2ac5d, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xd9e66935, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x8f9b582c, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x0e4f3b20, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xf99aa624, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x6eb5b2b6, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x2fe495de, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xae30f6d2, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xc37a2ea9, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x6d15b8aa, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x593047bc, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0xd889b230, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x978e7c30, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7659ceb9, "enable_work" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0xf2332c30, "dvb_ca_en50221_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6cc60d18, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x84f7f03e, "disable_work_sync" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f82970d, "i2c_del_adapter" },
	{ 0x439354fb, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x700baa58, "dvb_dmx_release" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfd389edd, "dvb_ca_en50221_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4154eab8, "rc_register_device" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x3e65520, "rc_keydown" },
	{ 0xf003bb37, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa25d391f, "dvb_dmx_swfilter" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4aee8211, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5e62ee50, "param_ops_short" },
	{ 0x70245822, "rc_free_device" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd9a76191, "dvb_frontend_detach" },
	{ 0x7215262b, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xc31f6c91, "dvb_net_release" },
	{ 0xa1ed35f3, "dvb_ca_en50221_camready_irq" },
	{ 0x7b9fbfc3, "rc_allocate_device" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1db6d2b0, "dvb_unregister_frontend" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xca99a12, "dvb_ca_en50221_camchange_irq" },
	{ 0x648ee4b3, "i2c_transfer" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x7bee80fb, "dvb_register_frontend" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xdbb5ed8a, "dvb_unregister_adapter" },
	{ 0xad02b867, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x58c9b482, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
