#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x435877c9, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xb016a64d, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x1df30e3e, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x5f85d7f8, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0xcf85bca1, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x9e678e16, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xf463040d, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x9e193a84, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x78234410, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x179d616e, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x3500a6a8, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xa4ebe6fd, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xd62a2a24, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x3979925a, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x61d6b585, "_gpl");
SYMBOL_CRC(mtd_erase, 0x6e7884ad, "_gpl");
SYMBOL_CRC(mtd_point, 0xb09bd1c4, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x58f51af2, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xf74d7ec8, "_gpl");
SYMBOL_CRC(mtd_read, 0x91f689bb, "_gpl");
SYMBOL_CRC(mtd_write, 0x50984154, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x02bf3aec, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x5bec079e, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x4f9e6a4b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xbae75796, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xcf75810a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x9b1fe4c6, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x32622555, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x6acf1554, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xc16787e6, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x90a175c6, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x3a09da88, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xfa74d30d, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x1d53c1d9, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x58ae65dd, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xa712fa9f, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xc9a32629, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xf932c0cc, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xfbf1b583, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xd02f1329, "_gpl");
SYMBOL_CRC(mtd_lock, 0x9c16d3c4, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x6d2feadc, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x4b80367e, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xb05f81e1, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x7835ade9, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xb9d9f8b2, "_gpl");
SYMBOL_CRC(mtd_writev, 0x61edbb07, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xf2e1525a, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xbebc8b63, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x2f568a65, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xdc880841, "");
SYMBOL_CRC(mtd_concat_destroy, 0x80b29d89, "");
SYMBOL_CRC(mtd_add_partition, 0x53f610f5, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x1a7f655f, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x9ad8d601, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x051c76dc, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xb2611ed5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4ad664a1, "generic_shutdown_super" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x975d3241, "of_node_put" },
	{ 0xfab2c787, "kmemdup_array" },
	{ 0x351644f9, "sget_dev" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x2250e24f, "bdi_unregister" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xa1e4040c, "of_get_compatible_child" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x438cf86d, "bdi_register" },
	{ 0x2343d8ab, "of_node_name_prefix" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x1627bb62, "nvmem_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3f081906, "of_node_get" },
	{ 0x7f37fe3a, "logfc" },
	{ 0xb0baa8aa, "sysfs_remove_files" },
	{ 0xb241889d, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x78db93e, "bdi_put" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6ff97a09, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x62e67e7d, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xab9f1208, "of_get_child_by_name" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcecb3635, "debugfs_create_bool" },
	{ 0x39755f2f, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc1f6f9ce, "device_create" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x45603d02, "fixed_size_llseek" },
	{ 0xf1b1560d, "of_property_read_string" },
	{ 0x48df7536, "of_find_property" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xcc4e4d6d, "bdi_alloc" },
	{ 0xf1f615e3, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8b00645, "of_device_is_compatible" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5345da6, "__register_chrdev" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x559be11e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x139e1196, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xade58523, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8d7849ba, "of_alias_get_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x8fe32e6, "proc_create_single_data" },
	{ 0x3c0b5a23, "nvmem_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x377d5a04, "of_platform_populate" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x810cf51e, "class_register" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5655080261274AEC2A5A86D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
