#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x885fe44f, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x2847f765, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x7f308cf1, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x7cbf5536, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xfd742d42, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x0b0df136, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xc06e30ef, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x7e88ae7d, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x033c8413, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xe63c79b8, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xfd555685, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0xf9ab6772, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x65345aa3, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xe6a7861c, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x8d6c944d, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x73497040, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x2fafbf04, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x63a472c4, "cdev_device_del" },
	{ 0xcfd01626, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xb70354d2, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xdbf31d0c, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd62a2a24, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x54a9228f, "path_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x179d616e, "get_mtd_device" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xe1475e97, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0x2547fdeb, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xbd8839ee, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x62e67e7d, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x4c983e14, "cdev_add" },
	{ 0xb9d9f8b2, "mtd_block_markbad" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x78234410, "unregister_mtd_user" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x45603d02, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3979925a, "put_mtd_device" },
	{ 0x9e193a84, "register_mtd_user" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0x91f689bb, "mtd_read" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xf50b81a1, "freezing_slow_path" },
	{ 0xf1f615e3, "device_register" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7911fe8e, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x325cda0a, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x6e7884ad, "mtd_erase" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3500a6a8, "__get_mtd_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x50984154, "mtd_write" },
	{ 0xe3f98572, "fwnode_property_read_string" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8b00645, "of_device_is_compatible" },
	{ 0x61d6b585, "__put_mtd_device" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4638fbef, "device_get_named_child_node" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb2611ed5, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x74efb5d2, "seq_open" },
	{ 0x38a8d420, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7835ade9, "mtd_block_isbad" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0x810cf51e, "class_register" },
	{ 0xaff85ac4, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x750d93d5, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "03332F8BD79C4E9F34FDE34");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
