#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0xf4f0e588, "");
SYMBOL_CRC(bnxt_unregister_dev, 0xf29421c0, "");
SYMBOL_CRC(bnxt_send_msg, 0xd27c5b0c, "");
SYMBOL_CRC(bnxt_register_async_events, 0x4c1ea876, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xb0bee56f, "napi_alloc_skb" },
	{ 0x93aac8c9, "alloc_etherdev_mqs" },
	{ 0x662f88a3, "flow_block_cb_lookup" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0xe1bcd7bf, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf6499364, "flow_rule_match_enc_keyid" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xe3dd0d8e, "pci_find_ext_capability" },
	{ 0x670e8f26, "bpf_prog_put" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf3ec3dd8, "devlink_unregister" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x8d50ca12, "dma_pool_create" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3b89f554, "pci_wake_from_d3" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x42437fb, "skb_put" },
	{ 0x29049da2, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x65979bdf, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0x8b7d32f6, "auxiliary_device_init" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d9e4f4d, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x613bf29d, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x22e4c906, "devl_lock" },
	{ 0xaa2a72bf, "__iowrite64_copy" },
	{ 0xc81952be, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2a560cc9, "ndo_dflt_bridge_getlink" },
	{ 0xc0eb1515, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf378173, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc358602e, "request_firmware" },
	{ 0x7c6f1802, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x98944558, "hwmon_notify_event" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x1772ba54, "devlink_params_unregister" },
	{ 0x7bc8682d, "pci_num_vf" },
	{ 0x1f4b35d8, "flow_rule_match_eth_addrs" },
	{ 0xcf03aeef, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe39f82a7, "ptp_clock_index" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9501937, "devlink_alloc_ns" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x66ad0904, "devlink_register" },
	{ 0x96400961, "devlink_remote_reload_actions_performed" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xfc1e6856, "page_pool_destroy" },
	{ 0x46c113dd, "xdp_do_redirect" },
	{ 0xf7def802, "devlink_free" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbc880e5e, "netdev_warn" },
	{ 0x8ddd123c, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x753d21a4, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xeb6f7bb5, "flow_rule_match_ipv4_addrs" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x2798f2f2, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3bd8e959, "devlink_flash_update_status_notify" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x7e27cb62, "netdev_port_same_parent_id" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x89209809, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5de327aa, "ptp_find_pin" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x65f0bd75, "flow_rule_match_icmp" },
	{ 0xe700c960, "ptp_parse_header" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cd418f3, "put_device" },
	{ 0x6156c7f4, "net_dim" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x738803e6, "strnlen" },
	{ 0x26ba5e50, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x1a4718fa, "netif_device_detach" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0x8604ddfa, "netif_device_attach" },
	{ 0x86c9b86f, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xe88e4e93, "flow_indr_dev_unregister" },
	{ 0x3e49a40b, "eth_get_headlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xaacc2828, "xdp_rxq_info_is_reg" },
	{ 0x2db915c1, "ptp_classify_raw" },
	{ 0xe52fd6f7, "flow_block_cb_setup_simple" },
	{ 0xd52682df, "pci_msix_can_alloc_dyn" },
	{ 0x1bce921c, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x23679939, "__iowrite32_copy" },
	{ 0x644ed57a, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x22fc6e38, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x4c6246d6, "devlink_port_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xd24cc8b9, "softnet_data" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0x14cd421, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb1f112ac, "ptp_clock_register" },
	{ 0x6261fb86, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x86db3307, "netif_set_real_num_tx_queues" },
	{ 0x11337b48, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc9634f99, "netif_set_real_num_rx_queues" },
	{ 0x3201d456, "flow_indr_block_cb_alloc" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x62c9a280, "page_pool_disable_direct_recycling" },
	{ 0x6d8866bc, "netdev_printk" },
	{ 0xad447ae1, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7730ae01, "pci_device_is_present" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x14eaf035, "pcie_flr" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0xf9c74a64, "netif_receive_skb" },
	{ 0x446e3761, "register_netdev" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xffb7c514, "ida_free" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x874d078a, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x64ac2870, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x2032a173, "ethtool_rxfh_context_lost" },
	{ 0x6a20afc1, "pci_iounmap" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0xeda60a69, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xdec0649c, "page_pool_create" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xb55168d6, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4415e674, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x1f60462, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x36f24828, "flow_rule_match_ipv6_addrs" },
	{ 0xc60855a2, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x99ae7eb4, "ptp_clock_unregister" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe612a076, "devl_unlock" },
	{ 0xc456eba8, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0xefb9cb05, "rps_may_expire_flow" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x79ea35d8, "netdev_reset_tc" },
	{ 0xb7930a7d, "neigh_destroy" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xf88118d0, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xb8d10624, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0xdc97533e, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0x42425a11, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x8ae5cc2b, "pcie_print_link_status" },
	{ 0x9be81d66, "flow_rule_match_vlan" },
	{ 0x82bd802c, "xdp_rxq_info_unreg" },
	{ 0xfad7084f, "page_pool_alloc_pages" },
	{ 0xc39aa217, "napi_build_skb" },
	{ 0xaedbf489, "__xdp_rxq_info_reg" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47132520, "devlink_priv" },
	{ 0xffac2f74, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc1d009db, "pci_disable_sriov" },
	{ 0xad41f423, "tcp_gro_complete" },
	{ 0xe42ac889, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x35ee5c0, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x76669a9c, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x13ec6ef6, "boot_cpu_data" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3116ef8a, "netif_set_tso_max_size" },
	{ 0xf7ed98b7, "__skb_flow_dissect" },
	{ 0xbe6bf2f, "pci_msix_alloc_irq_at" },
	{ 0xbe110e41, "pci_vpd_alloc" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x1d2c1872, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x8cfb628a, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x38a8d420, "page_address" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0xb9e4ac01, "dcb_ieee_delapp" },
	{ 0xdc7596b6, "netdev_notice" },
	{ 0x1f37fd64, "ethtool_params_from_link_mode" },
	{ 0x7659b8df, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x920f21c, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xc45b5b50, "flow_rule_match_control" },
	{ 0x6c35f043, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xb17d888e, "netdev_core_stats_inc" },
	{ 0x35ec82ba, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xbf2099f3, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1B21A8712EEF191EC2A7967");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
