#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x906c058e, "");
SYMBOL_CRC(t3_l2t_send_event, 0x8864da0e, "");
SYMBOL_CRC(t3_l2e_free, 0x2ef76fcc, "");
SYMBOL_CRC(t3_l2t_get, 0x5d9ac0d5, "");
SYMBOL_CRC(cxgb3_register_client, 0xbd1b0221, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x623afb67, "");
SYMBOL_CRC(cxgb3_free_atid, 0xfefe0b27, "");
SYMBOL_CRC(cxgb3_free_stid, 0x5dd207b5, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x5eb310c6, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0xf7830d20, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x1ed306a7, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0xd83b75b1, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xb47d9deb, "");
SYMBOL_CRC(dev2t3cdev, 0x35ec25ed, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xe2bf070a, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xbc5b1d2c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93aac8c9, "alloc_etherdev_mqs" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x16369685, "pcie_capability_read_word" },
	{ 0x5c23811, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x20c99a19, "pcie_capability_write_word" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0xb34fdeba, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xc0eb1515, "unregister_netdev" },
	{ 0x26a1653c, "napi_get_frags" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0xc358602e, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf8304674, "pci_disable_msi" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x8fa69040, "pci_enable_msix_range" },
	{ 0xa3748831, "pci_write_vpd_any" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x233191b0, "_dev_info" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x6a428700, "pci_find_capability" },
	{ 0xd54e33fc, "_dev_alert" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0xff0c45f8, "pci_enable_msi" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x268386c1, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x86db3307, "netif_set_real_num_tx_queues" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc9634f99, "netif_set_real_num_rx_queues" },
	{ 0xb6ff332, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x5c1df1c6, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf9c74a64, "netif_receive_skb" },
	{ 0x446e3761, "register_netdev" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5f6c9604, "netif_tx_stop_all_queues" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x867ed269, "netif_rx" },
	{ 0xf3582450, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb7930a7d, "neigh_destroy" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x877f7447, "netdev_master_upper_dev_get_rcu" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0x429fa7c, "__vlan_find_dev_deep_rcu" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0xab8ac01b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x1744dd7b, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x38a8d420, "page_address" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x9e477615, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B9A2CE53CD865D3CECB44BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
