#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xf543a264, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0x6fd1961a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x162bdb82, "pci_cfg_access_unlock" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x42437fb, "skb_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc1e6856, "page_pool_destroy" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x57e736af, "mlxsw_cmd_exec" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xc5435e86, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb309daae, "mlxsw_core_bus_device_register" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x1e4e306b, "dev_set_threaded" },
	{ 0x288a947e, "__pci_reset_function_locked" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x420eabe4, "mem_section" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x874d078a, "page_pool_put_unrefed_netmem" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc253e252, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0xdec0649c, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xd9c52311, "mlxsw_core_ptp_transmitted" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xb075079a, "alloc_netdev_dummy" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0xfad7084f, "page_pool_alloc_pages" },
	{ 0xc39aa217, "napi_build_skb" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x1d2c1872, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x38a8d420, "page_address" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x9226c660, "napi_consume_skb" },
	{ 0x4f428462, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "7FF019A6D3D4E4E43DCDF80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
