#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xa5e57b85, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x39b64141, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x22d29f5c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x70f7896, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x1fc781d, "crypto_alloc_aead" },
	{ 0x6bcc8bc1, "crypto_aead_setkey" },
	{ 0x467e0ed0, "crypto_aead_setauthsize" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x2587c463, "nla_put" },
	{ 0x8235805b, "memmove" },
	{ 0x268386c1, "skb_pull" },
	{ 0x38739c84, "___pskb_trim" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xb9aac278, "dst_release" },
	{ 0xd6c55c8f, "dev_fetch_sw_netstats" },
	{ 0x112f934a, "dev_mc_sync" },
	{ 0x7be32302, "dev_uc_sync" },
	{ 0xaa82af3c, "dev_set_allmulti" },
	{ 0x10d7f7ec, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x1e7f9b1a, "gro_cells_receive" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0x53a49344, "register_netdevice" },
	{ 0xd96c076d, "netdev_upper_dev_link" },
	{ 0x5be3ef5e, "netdev_upper_dev_unlink" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe42ac889, "metadata_dst_alloc" },
	{ 0xd582fae3, "netif_stacked_transfer_operstate" },
	{ 0xc39d7d23, "linkwatch_fire_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xd7dccd2d, "netdev_rx_handler_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4181e444, "skb_ensure_writable_head_tail" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe71d3c9f, "gro_cells_init" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0x37d3d8f7, "skb_copy_expand" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x81ef8001, "skb_push" },
	{ 0x42437fb, "skb_put" },
	{ 0x54064ff2, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4b1fed29, "skb_to_sgvec" },
	{ 0x9f19672b, "crypto_aead_encrypt" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0x83cc3b92, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf2454c53, "crypto_aead_decrypt" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x46c90deb, "netdev_rx_handler_unregister" },
	{ 0x952cf908, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0x3e162198, "dev_mc_unsync" },
	{ 0xcdd73dd5, "dev_uc_unsync" },
	{ 0x2ca71b50, "dev_uc_del" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8eb07bcd, "dev_uc_add" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x2e60bace, "memcpy" },
	{ 0x2bc95bd4, "memset" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0x754c52f1, "skb_trim" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C78414ACA870AFB19B161BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
