#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xd8bd4ebe, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x4dae07a3, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x3f9c30aa, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x79bb65d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xc9ea9cd6, "__ethtool_get_link_ksettings" },
	{ 0xe8e1924d, "ethtool_get_ts_info_by_layer" },
	{ 0xa73f8da5, "init_net" },
	{ 0x8b4fb3fb, "generic_hwtstamp_set_lower" },
	{ 0x83ea0329, "generic_hwtstamp_get_lower" },
	{ 0x54ca1e42, "dev_mc_del" },
	{ 0x2ca71b50, "dev_uc_del" },
	{ 0x7354c7a8, "dev_mc_add_excl" },
	{ 0xf94358f5, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x4a105af7, "__netpoll_free" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x31878f8a, "vlan_vid_del" },
	{ 0xc5767df2, "vlan_vid_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7be32302, "dev_uc_sync" },
	{ 0x112f934a, "dev_mc_sync" },
	{ 0xaa82af3c, "dev_set_allmulti" },
	{ 0x10d7f7ec, "dev_set_promiscuity" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8eb07bcd, "dev_uc_add" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xcdd73dd5, "dev_uc_unsync" },
	{ 0x3e162198, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x46c90deb, "netdev_rx_handler_unregister" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{  0x2ae85, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x4bea7c2f, "netif_inherit_tso_max" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0x2587c463, "nla_put" },
	{ 0x10564c25, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0x34e68db7, "netdev_is_rx_handler_busy" },
	{ 0xd7dccd2d, "netdev_rx_handler_register" },
	{ 0x53a49344, "register_netdevice" },
	{ 0xd96c076d, "netdev_upper_dev_link" },
	{ 0xd582fae3, "netif_stacked_transfer_operstate" },
	{ 0xc39d7d23, "linkwatch_fire_event" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0x5be3ef5e, "netdev_upper_dev_unlink" },
	{ 0x952cf908, "dev_set_mtu" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0x88ce403f, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0x867ed269, "netif_rx" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7e85b56e, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x5fb41d5d, "dev_forward_skb" },
	{ 0x2a2c2862, "netpoll_send_skb" },
	{ 0x83cc3b92, "__netif_rx" },
	{ 0xfe120d66, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb17d888e, "netdev_core_stats_inc" },
	{ 0xacfc94a8, "passthru_features_check" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0xfc586f70, "ndo_dflt_fdb_dump" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xcf55f79e, "eth_header_parse" },
	{ 0x70811cc5, "eth_header_cache" },
	{ 0x4e350a32, "eth_header_cache_update" },
	{ 0x9b4cc5b6, "eth_header_parse_protocol" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AC2F2998AE48C1601910740");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
