#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x92301a7b, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x1abe2759, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xd52211a4, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xb938c3ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xcf7e8401, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x6e60e3e2, "__nlmsg_put" },
	{ 0x83759ce2, "netdev_adjacent_change_commit" },
	{ 0x437ce35f, "eth_mac_addr" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc0305f8c, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc88e1a93, "ip6_dst_hoplimit" },
	{ 0x42918c8d, "param_ops_ushort" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x4a7e5cdd, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfa24b132, "udp_tunnel6_xmit_skb" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc5878a36, "__unregister_nexthop_notifier" },
	{ 0x4bea7c2f, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0xe71d3c9f, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x282a1201, "rtnl_create_link" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x4f9508d2, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63a97293, "udp_tunnel_drop_rx_port" },
	{ 0xd96c076d, "netdev_upper_dev_link" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x41037a1b, "nla_put_nohdr" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x8a170982, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8257bcc1, "eth_gro_complete" },
	{ 0x2b50aec8, "rtnl_set_sk_err" },
	{ 0xa5cc642e, "eth_gro_receive" },
	{ 0x3ff6bc7b, "rtnl_configure_link" },
	{ 0xa1a6d9fe, "skb_tunnel_check_pmtu" },
	{ 0xfcc7fe5e, "udp_tunnel_dst_lookup" },
	{ 0x21cdc067, "rtnl_unicast" },
	{ 0x9e30b74, "peernet2id" },
	{ 0xc44d5504, "__skb_get_hash_net" },
	{ 0x290e2589, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc0fe6f50, "ipv6_stub" },
	{ 0x268386c1, "skb_pull" },
	{ 0xda348026, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d6ad00c, "dev_get_by_index_rcu" },
	{ 0x1e7f9b1a, "gro_cells_receive" },
	{ 0x81ef8001, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x5be3ef5e, "netdev_upper_dev_unlink" },
	{ 0x2587c463, "nla_put" },
	{ 0xe00718c9, "__rtnl_register_many" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x42293ea8, "ip_mc_join_group" },
	{ 0xc1cab73f, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0x91411a5d, "nexthop_find_by_id" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe5eea98a, "arp_create" },
	{ 0xc9ea9cd6, "__ethtool_get_link_ksettings" },
	{ 0x889f1a53, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xc04ef80c, "netdev_adjacent_change_abort" },
	{ 0x4aed82d7, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb54b760e, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5e4a8896, "__iptunnel_pull_header" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x867ed269, "netif_rx" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x2676cf70, "setup_udp_tunnel_sock" },
	{ 0xcc05514f, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc456eba8, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x967a2742, "skb_scrub_packet" },
	{ 0x379586d8, "nexthop_select_path" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb12828c4, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb7930a7d, "neigh_destroy" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x7483c631, "udp_tun_rx_dst" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xfb4b6efe, "rtnl_notify" },
	{ 0x1a601045, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x83cc3b92, "__netif_rx" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xe42ac889, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x7da46ce7, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xbe787142, "udp_tunnel_notify_del_rx_port" },
	{ 0x7e03b7a1, "register_nexthop_notifier" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb7b27485, "ip_mc_leave_group" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x97267d13, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7df4e6d8, "gro_find_receive_by_type" },
	{ 0xb17d888e, "netdev_core_stats_inc" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0xbba307ce, "neigh_lookup" },
	{ 0x9610ab28, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53a49344, "register_netdevice" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FE9C24A18CF78A86D8DC549");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
