#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x348bc5a7, "");
SYMBOL_CRC(alloc_libipw, 0x9f2e5f8b, "");
SYMBOL_CRC(free_libipw, 0x908be064, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0xc44f8831, "");
SYMBOL_CRC(libipw_txb_free, 0x94bbd3cf, "");
SYMBOL_CRC(libipw_rx_any, 0x2c7eac0a, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xe16a4206, "");
SYMBOL_CRC(libipw_rx, 0x5e1fd9e9, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x1bc149ac, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xb594423e, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x87c1d89e, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xb0b65550, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x496f85fc, "");
SYMBOL_CRC(libipw_get_channel, 0xd847d7ab, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x01f4cc34, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x37dba544, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x1ba0e537, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xbd30f374, "");
SYMBOL_CRC(libipw_channel_to_index, 0x36e072bc, "");
SYMBOL_CRC(libipw_set_geo, 0x4bdf7824, "");
SYMBOL_CRC(libipw_get_geo, 0x9e7063b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93aac8c9, "alloc_etherdev_mqs" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x42437fb, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xea8c08c0, "proc_create" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xe86a4b6f, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4e03c3, "wiphy_new_nm" },
	{ 0x3e3acd86, "lib80211_crypt_info_init" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0xfd22ae53, "lib80211_get_crypto_ops" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x268386c1, "skb_pull" },
	{ 0x81ef8001, "skb_push" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x828a983b, "proc_mkdir" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd83533bd, "wireless_spy_update" },
	{ 0x867ed269, "netif_rx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0xece5c4fa, "lib80211_crypt_info_free" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x919fcc2d, "lib80211_crypt_delayed_deinit" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x87f76909, "single_open" },
	{ 0x3f38ab94, "wiphy_free" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "2C19031B733A5804C34CA22");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
