#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0x21569eb3, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0xd8b66599, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0xab25cff7, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x98435f3b, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x2e612c88, "_gpl");
SYMBOL_CRC(lbs_resume, 0x53841689, "_gpl");
SYMBOL_CRC(lbs_add_card, 0xadb36ca1, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0x7fdfadb5, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x0a65cab6, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0xb6a65bee, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xc9ca62b6, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x3b63db7e, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0xb0a46609, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x31b3b11d, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0xf5758f9e, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xf3321d56, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6ee75e50, "cfg80211_scan_done" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xc0eb1515, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc358602e, "request_firmware" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe3db8e0, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe86a4b6f, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9f6722c4, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0xf4e03c3, "wiphy_new_nm" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x3eb44f4, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x1f259cb0, "cfg80211_put_bss" },
	{ 0x1a4718fa, "netif_device_detach" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x8604ddfa, "netif_device_attach" },
	{ 0xbfb81d0e, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xdae00316, "cfg80211_ibss_joined" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xef0b51cb, "request_firmware_nowait" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x268386c1, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2f61bf72, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x446e3761, "register_netdev" },
	{ 0xc3ad80ce, "wiphy_unregister" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x867ed269, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x84b0efd9, "netdev_alert" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2a732651, "cfg80211_inform_bss_data" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xd0d8621b, "strlen" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xacce0174, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x443f6f6e, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x37c38945, "__cfg80211_get_bss" },
	{ 0x3f38ab94, "wiphy_free" },
	{ 0xb26ae5d0, "ieee80211_get_num_supported_channels" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x69080f3, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "16BA492FC8EBB2531B34EC3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
