#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x6b895ca3, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0x68021c76, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xe7edc08e, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x6d837ec0, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x323c888a, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x7cc97cdb, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x02b1da14, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x6737ab10, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x88764d28, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x11765127, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x7eb06e0f, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x56db40d2, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x10c962d3, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xba9d9740, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x645cee27, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xb10f9638, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0xd1c2abab, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x2297d9ac, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xbe74b873, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x08aac7b6, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0xf08ead16, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x06851f52, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xa90fd2b1, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xbe542430, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x3b4aea9c, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x1618a6d9, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xb86eb835, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x9bff9d14, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x4baf5c45, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0xda9b12f4, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0xfb5c5a2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e481d4c, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x122b6770, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x9a47e04c, "mt76_update_channel" },
	{ 0xcaff8e01, "ieee80211_sta_register_airtime" },
	{ 0x42640f33, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x5a418c9f, "mt76_connac_mcu_sta_tlv" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0x8ab33006, "mt76_tx_worker_run" },
	{ 0x351619fb, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2fefee8a, "mt76_tx_status_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0xafac4134, "ieee80211_iterate_interfaces" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0x9d986f50, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xe8b69f22, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe0c7e545, "firmware_request_nowarn" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd9162671, "mt76_tx_status_skb_get" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xab73c911, "mt76_tx_status_lock" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x3e565cdd, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x569f25e6, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x69d1c8ad, "mt76_connac_mcu_set_channel_domain" },
	{ 0x2a001ac4, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd02b9cf4, "mt76_release_buffered_frames" },
	{ 0xc358602e, "request_firmware" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0xd8027df8, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9d28c26e, "__tracepoint_mac_txdone" },
	{ 0x25d0ec67, "mt76_connac_pm_wake" },
	{ 0x14043306, "mt76_get_rate" },
	{ 0xb7ba1505, "mt76_wake_tx_queue" },
	{ 0xbe3dbd6b, "ieee80211_tx_status_ext" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd25a0b0a, "mt76_connac_mcu_chip_config" },
	{ 0x4570b04f, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x22290175, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x73a75275, "__mt76_tx_complete_skb" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xfaad2057, "mt76_set_stream_caps" },
	{ 0xe753e741, "ieee80211_emulate_change_chanctx" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x81e2b457, "mt76_connac_mcu_update_arp_filter" },
	{ 0xb23c32c9, "mt76_connac_mcu_set_vif_ps" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x7d547c92, "mt76_mcu_rx_event" },
	{ 0x487f9e20, "mt76_alloc_phy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcd2214d2, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77fa1d6, "mt76_wcid_init" },
	{ 0xebd92651, "mt76_tx_status_check" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0xcf7b5ec5, "mt76_connac_free_pending_tx_skbs" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0x42b845e6, "mt76_connac_power_save_sched" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8274d9bd, "cfg80211_reg_check_beaconing" },
	{ 0xcf0733b5, "ieee80211_send_bar" },
	{ 0x37b0cd85, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf1314b26, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0a3ac6f, "debugfs_create_devm_seqfile" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7c629678, "mt76_tx" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x5e1fb286, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x8e2d852a, "mt76_wcid_key_setup" },
	{ 0x233191b0, "_dev_info" },
	{ 0x8e7eda1c, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xfca9dea2, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7a45f40d, "mt76_rx" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x5514fe02, "mt76_connac_mcu_sched_scan_req" },
	{ 0x9740eab0, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xfab5cc89, "mt76_connac_mcu_uni_add_bss" },
	{ 0x80741784, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x30e3cecd, "wiphy_to_ieee80211_hw" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0x770d8a42, "mt76_connac_mcu_hw_scan" },
	{ 0xdf870d87, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0xbcba04b, "mt76_eeprom_init" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x268386c1, "skb_pull" },
	{ 0xa2f8aa7e, "debugfs_create_file_unsafe" },
	{ 0xcfb1bec, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0xcc2dccb7, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x10c46c88, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0xd4aafeda, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x23720911, "ieee80211_wake_queues" },
	{ 0x220474c1, "mt76_mcu_send_and_get_msg" },
	{ 0x48df7536, "of_find_property" },
	{ 0x9f631c05, "ieee80211_beacon_get_template" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x9a993e26, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4da15551, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x55283011, "__mt76_mcu_msg_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x91c5d8b0, "mt76_connac_pm_dequeue_skbs" },
	{ 0xf88044b8, "mt76_connac_mcu_set_pm" },
	{ 0xfb09f022, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xd9b1de6a, "devm_hwmon_device_register_with_groups" },
	{ 0x83bed128, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9c12fb75, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7fe554e2, "debugfs_create_u32" },
	{ 0xa892e14d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x280407c, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x91f837f3, "mt76_sta_state" },
	{ 0xa7d208cc, "ieee80211_ready_on_channel" },
	{ 0x3860e9a1, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xde96ba53, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x6a5a20c0, "mt76_connac_mcu_init_download" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xebfcae0c, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xae4758fe, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0xe0961398, "mt76_get_rate_power_limits" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0xba0039c1, "ieee80211_sched_scan_results" },
	{ 0x4d5bdcb9, "ieee80211_scan_completed" },
	{ 0x13a7c998, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xa43e1947, "mt76_insert_ccmp_hdr" },
	{ 0x60679b49, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa5dd34b6, "mt76_sw_scan_complete" },
	{ 0x4e520390, "mt76_rx_aggr_start" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x847cf8b3, "mt76_connac_mcu_start_firmware" },
	{ 0xded2eec9, "____mt76_poll_msec" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x940bdeb9, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2da9ad82, "mt76_connac_mcu_rdd_cmd" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xc9c369f1, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbcb42166, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb0845386, "mt76_unregister_phy" },
	{ 0xde602966, "mt76_register_phy" },
	{ 0x387a188, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xe3ed39e3, "mt76_put_txwi" },
	{ 0xe1bac219, "mt76_wcid_cleanup" },
	{ 0x513fdca3, "ieee80211_radar_detected" },
	{ 0xfa1b9dd5, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xbaac1d07, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x47be806a, "single_release" },
	{ 0x8027edfc, "mt76_sw_scan" },
	{ 0x54c6d968, "mt76_queues_read" },
	{ 0xb923a67f, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x7347faec, "mt76_sta_pre_rcu_remove" },
	{ 0xf7c508cf, "mt76_register_debugfs_fops" },
	{ 0x70381600, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xc5bad9a7, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x251ec8a7, "mt76_connac_mcu_sta_ba" },
	{ 0xbd9da2ac, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x7af80587, "ieee80211_queue_work" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x6f45464c, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xf010aed2, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x1391f453, "__mt76_poll" },
	{ 0x15ef3698, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x15e8e311, "debugfs_create_u8" },
	{ 0x87f76909, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xacce0174, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x1faafa17, "ieee80211_emulate_remove_chanctx" },
	{ 0xb1433c1a, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2ba8bab7, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xf4baaf2, "ieee80211_csa_finish" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "BFA5C4A2B785C8E0171317D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
