#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x79866f0a, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x160fcfc9, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x0d6666fe, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x913ce879, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0x3ca6a0bf, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x1a415ce6, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xab7fe809, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x8f222302, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a47e04c, "mt76_update_channel" },
	{ 0x351619fb, "mt76_init_sar_power" },
	{ 0xc2cc5dee, "mt76x02_phy_adjust_vga_gain" },
	{ 0x4cfb834a, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7df84c4, "mt76x02_mac_shared_key_setup" },
	{ 0x89b135a5, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xadbfa29b, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x233191b0, "_dev_info" },
	{ 0x23443d3f, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0xbcba04b, "mt76_eeprom_init" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xd7372da9, "mt76x02_mac_setaddr" },
	{ 0x2c37b822, "mt76_register_device" },
	{ 0xf973e0dc, "mt76x02_phy_set_bw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x17375f97, "mt76x02_phy_set_band" },
	{ 0x9ccf773, "mt76x02_init_device" },
	{ 0x4d09b595, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xe6f591e1, "mt76x02_phy_set_rxpath" },
	{ 0x905010a1, "mt76x02_edcca_init" },
	{ 0x9a993e26, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7e4e7d68, "mt76x02_get_lna_gain" },
	{ 0x6bc145ab, "mt76x02_init_debugfs" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ee88f11, "mt76x02_mac_cc_reset" },
	{ 0x7f2b2dca, "mt76x02_init_agc_gain" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xded2eec9, "____mt76_poll_msec" },
	{ 0x8dd1fdeb, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd974b713, "mt76x02_config_mac_addr_list" },
	{ 0xbcb42166, "mt76_get_sar_power" },
	{ 0xf778c4c3, "mt76x02_eeprom_copy" },
	{ 0x5a649bab, "mt76x02_mcu_calibrate" },
	{ 0xe8c62d74, "mt76x02_mcu_function_select" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x12aa3f0e, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xd18e5d79, "mt76x02_mac_wcid_setup" },
	{ 0x1391f453, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x829030c, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xb1433c1a, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "F55B773250042EFF4C9B69C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
