#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x0f94010f, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x239dbd12, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x04c581ab, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x699f1a81, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x6e56b3d2, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x224f204d, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0xbfb5aaf0, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0xb878b3f2, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x7e00cd9a, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x05707495, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0xfcbd2bf9, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xf155f905, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x32549ee2, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xbc18a58c, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x207faefe, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x6467dd0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaa10a7e4, "rt2x00queue_get_entry" },
	{ 0x59305f47, "rt2800_process_rxwi" },
	{ 0x9a72627f, "rt2x00lib_beacondone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf6603fee, "rt2800_get_txwi_rxwi_size" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x6a104341, "rt2800_disable_wpdma" },
	{ 0x68bf9de3, "rt2800_wait_wpdma_ready" },
	{ 0xc20a0d0, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xcd706285, "rt2800_txdone" },
	{ 0xccf78877, "rt2800_txdone_nostatus" },
	{ 0x532d07dd, "rt2800_txstatus_timeout" },
	{ 0x62e3d2ae, "rt2800_txstatus_pending" },
	{ 0xe62fdd9e, "rt2800_probe_hw" },
	{ 0x6a7ce233, "rt2x00lib_pretbtt" },
	{ 0x8473cd38, "rt2800_config" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc1933eed, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
