#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x56ab68d3, "");
SYMBOL_CRC(rtw_pci_probe, 0xd51df36b, "");
SYMBOL_CRC(rtw_pci_remove, 0x66c0fb09, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x3c6488c1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe4713ed, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd48aa8e5, "rtw_tx_queue_mapping" },
	{ 0x16369685, "pcie_capability_read_word" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x42437fb, "skb_put" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d9e4f4d, "pci_iomap" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xe86a4b6f, "dev_kfree_skb_irq_reason" },
	{ 0x753d21a4, "pci_set_power_state" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0x6196c6a8, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4de18fbd, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcd53365b, "devm_free_irq" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xdabd4afd, "rtw_chip_info_setup" },
	{ 0xf65ef9e7, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0x69341cb7, "rtw_unregister_hw" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x268386c1, "skb_pull" },
	{ 0x9d216f12, "rtw_tx_fill_tx_desc" },
	{ 0x420eabe4, "mem_section" },
	{ 0x81ef8001, "skb_push" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x2c39d713, "rtw_core_init" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a20afc1, "pci_iounmap" },
	{ 0x7c26698e, "rtw_update_rx_freq_from_ie" },
	{ 0xac0e57d0, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11ba3300, "ieee80211_stop_queue" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x88df4ea5, "rtw_rx_stats" },
	{ 0xc5b482f5, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xc72b7397, "rtw_register_hw" },
	{ 0xb075079a, "alloc_netdev_dummy" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x464ac280, "rtw_core_deinit" },
	{ 0x7a5ca779, "rtw_ops" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x24c35654, "rtw_power_mode_change" },
	{ 0x69687cc1, "rtw_tx_write_data_h2c_get" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe24055dc, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x78916925, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "191B9E9D2EA059C02ECEF9F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
