#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0xf131f3bb, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xfe315c8b, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x5b6d0e03, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xb77f1252, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x122340da, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x16dd7729, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0xe551bf3b, "");
SYMBOL_CRC(rtw89_core_rx, 0x5eebeaa6, "");
SYMBOL_CRC(rtw89_core_napi_start, 0x538112da, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x703f2e16, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x4ea2c897, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x57436343, "");
SYMBOL_CRC(rtw89_check_quirks, 0xa4cf622b, "");
SYMBOL_CRC(rtw89_core_init, 0xd91bc6fd, "");
SYMBOL_CRC(rtw89_core_deinit, 0xe53ce717, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xc6f1340d, "");
SYMBOL_CRC(rtw89_core_register, 0xabb243b9, "");
SYMBOL_CRC(rtw89_core_unregister, 0x4b7abe3d, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x1b4649ec, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x3797f537, "");
SYMBOL_CRC(rtw89_ops, 0xafe35339, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xd4ea416a, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xd8d82acc, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x40f59efc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x8cf56ce6, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x0dea55a6, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x08e7867c, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xf425a804, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0x623b6a0f, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xe8a50251, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x188fa72d, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xbfde7bff, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x80780157, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xe6184088, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x98facefa, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x716ed974, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x595d082b, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0xdd0567c6, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0x4e0350a5, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0xe7c0e0f5, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0xd1ad5452, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x90d34a9f, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x958756ae, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xeee25d03, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x088f5dc8, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0xe346dfc4, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x40997775, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x00bb167a, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x64d0e51d, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xd50749c8, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x91dc3512, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x883d4943, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0x386374c6, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xfb8f763e, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xd239957f, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xbc1d92d1, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0xaf83deaf, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0xdc617ddf, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x51b4d950, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0xd842d76f, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x6cb54ad7, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0xd2c7e84b, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0x28f154c5, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0xc0552b37, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x994dd352, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x491926cb, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xaa804bcb, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0xc57103cd, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x4d5cb6fa, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0xa0f308e6, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x2c49337e, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x8a482850, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x032c72d3, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x2d950aae, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x1db202ad, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x1f1eebde, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x0de471b8, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x5c0952bc, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x8975b9bb, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x48f19a98, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x067470fb, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0xc5eae93b, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0xaa15516d, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x8af11080, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x36849de1, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x8524120a, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0x15066bba, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x0227969e, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x88b3877a, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x9608dcfc, "");
SYMBOL_CRC(rtw89_ser_notify, 0x5dd2d379, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72e29c81, "ieee80211_stop_tx_ba_session" },
	{ 0xd0743d9c, "ieee80211_gtk_rekey_notify" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2cbc2f88, "ieee80211_connection_loss" },
	{ 0x6e8d220c, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa513f181, "__ieee80211_schedule_txq" },
	{ 0x4b45155e, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb7a0bf0, "cfg80211_bss_iter" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x7aacc8da, "ieee80211_probereq_get" },
	{ 0xce4de1b3, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc358602e, "request_firmware" },
	{ 0xcd9dba5e, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb0a087af, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe3db8e0, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x45412846, "ieee80211_nullfunc_get" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x2d6f93f6, "ieee80211_pspoll_get" },
	{ 0xb65c1f2, "ieee80211_register_hw" },
	{ 0xe753e741, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x26ef161e, "ieee80211_restart_hw" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x67f55bd9, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0xb9784e55, "ieee80211_set_key_rx_seq" },
	{ 0x233191b0, "_dev_info" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xfca9dea2, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x30e3cecd, "wiphy_to_ieee80211_hw" },
	{ 0xbe782ae2, "ieee80211_gtk_rekey_add" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc28185fb, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd4aafeda, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x23720911, "ieee80211_wake_queues" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xe9232486, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x91f14e57, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4da15551, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x300d4b94, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x83bed128, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xa892e14d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa7d208cc, "ieee80211_ready_on_channel" },
	{ 0x3860e9a1, "ieee80211_stop_queues" },
	{ 0x754c52f1, "skb_trim" },
	{ 0xd60b69ad, "skb_unlink" },
	{ 0x4ab490c5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x8b538ce9, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb075079a, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4d5bdcb9, "ieee80211_scan_completed" },
	{ 0x13a7c998, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xaee91f62, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x673bf0e8, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x7af80587, "ieee80211_queue_work" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x1faafa17, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x78916925, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "5FF5D2D6AAEC0A83C4EE3FB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
