#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rsi_zone_enabled, "_gpl", "");
KSYMTAB_FUNC(rsi_dbg, "_gpl", "");
KSYMTAB_FUNC(rsi_read_pkt, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_init, "_gpl", "");
KSYMTAB_FUNC(rsi_91x_deinit, "_gpl", "");
KSYMTAB_FUNC(rsi_mac80211_detach, "_gpl", "");
KSYMTAB_FUNC(rsi_config_wowlan, "", "");
KSYMTAB_FUNC(rsi_hal_device_init, "_gpl", "");

SYMBOL_CRC(rsi_zone_enabled, 0x0f5c3ce9, "_gpl");
SYMBOL_CRC(rsi_dbg, 0xcd173710, "_gpl");
SYMBOL_CRC(rsi_read_pkt, 0xb8a70283, "_gpl");
SYMBOL_CRC(rsi_91x_init, 0x3d65c8a2, "_gpl");
SYMBOL_CRC(rsi_91x_deinit, 0xbe2160ad, "_gpl");
SYMBOL_CRC(rsi_mac80211_detach, 0x83bdae81, "_gpl");
SYMBOL_CRC(rsi_config_wowlan, 0x406482da, "");
SYMBOL_CRC(rsi_hal_device_init, 0xed0c30cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb66277bf, "ieee80211_queue_stopped" },
	{ 0xb856fd17, "rsi_bt_ops" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x42437fb, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xa6257a2f, "complete" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x7aacc8da, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc358602e, "request_firmware" },
	{ 0xb0a087af, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0xb65c1f2, "ieee80211_register_hw" },
	{ 0xe753e741, "ieee80211_emulate_change_chanctx" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4e448277, "ieee80211_generic_frame_duration" },
	{ 0x6196c6a8, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7d567e1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4de18fbd, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xfca9dea2, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x30e3cecd, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x268386c1, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd4aafeda, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0x91f14e57, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x83bed128, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xa892e14d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x11ba3300, "ieee80211_stop_queue" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0xa7d208cc, "ieee80211_ready_on_channel" },
	{ 0x3860e9a1, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x4ab490c5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x8b538ce9, "wiphy_rfkill_start_polling" },
	{ 0x4d5bdcb9, "ieee80211_scan_completed" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaee91f62, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x673bf0e8, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1faafa17, "ieee80211_emulate_remove_chanctx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x741a23a4, "ieee80211_rx_irqsafe" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,btrsi,rfkill,cfg80211");


MODULE_INFO(srcversion, "E3F14B6BFC128F20126F6D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
