#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x667707e6, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x1702a33d, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x84ec12f2, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xd6f3b091, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xfe8234f7, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x28516514, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xa662454a, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xbed9db7b, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0xf6b9c686, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x49ef1b33, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x0794f0f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7006af44, "filp_open" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xde67633d, "bdev_file_open_by_path" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xc871f928, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9137c559, "config_group_init" },
	{ 0x8a43c37e, "config_group_find_item" },
	{ 0x62d0fc14, "bio_add_zone_append_page" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb44f0622, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x85598405, "__kmalloc_node_noprof" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1db29faa, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xe4e205d6, "sg_zero_buffer" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x70f7896, "_printk" },
	{ 0xb0b16c3b, "vfs_fallocate" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6f5d20b9, "blkdev_zone_mgmt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cd418f3, "put_device" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xf3eeaaa3, "blk_finish_plug" },
	{ 0x64703f56, "submit_bio" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x49f26466, "kstrndup" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x8cb72246, "key_put" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x6f83f529, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x726cf579, "bio_endio" },
	{ 0xf2855efa, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x58e274d9, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf4d53f44, "configfs_register_subsystem" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x55dedbe2, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xaf81c83c, "bio_integrity_add_page" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x7fe12ee, "sg_miter_stop" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x8f83a2c6, "bio_chain" },
	{ 0xffb7c514, "ida_free" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x604914f1, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xaf491d8c, "bio_integrity_alloc" },
	{ 0x60ef30cd, "sg_miter_start" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x864b6074, "bio_init" },
	{ 0x68f6c33a, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7e09426c, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x34e0aeb8, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x21eecae8, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1f789546, "key_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x37c70b8a, "bio_alloc_bioset" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0xc4f57433, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xc1a1cfee, "submit_bio_wait" },
	{ 0x68216ac8, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0xfa3becd2, "__blkdev_issue_discard" },
	{ 0x657c35d3, "fs_bio_set" },
	{ 0x6351ee6e, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-keyring");


MODULE_INFO(srcversion, "EE515AA02E213F11D5C1188");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
