#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(parport_pc_probe_port, "", "");
KSYMTAB_FUNC(parport_pc_unregister_port, "", "");

SYMBOL_CRC(parport_pc_probe_port, 0xa59ee0e2, "");
SYMBOL_CRC(parport_pc_unregister_port, 0x9deac15f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70f7896, "_printk" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x85bd1608, "__request_region" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa2a12b93, "parport_remove_port" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72b243d4, "free_dma" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xaefd8ba0, "parport_del_port" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xb8fe8ffe, "pnp_unregister_driver" },
	{ 0x7b4f2a5e, "platform_driver_unregister" },
	{ 0xd0976e41, "platform_bus_type" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb121390a, "probe_irq_on" },
	{ 0xab600421, "probe_irq_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9455bacb, "parport_wait_event" },
	{ 0x4292364c, "schedule" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x420eabe4, "mem_section" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0x2e60bace, "memcpy" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x8850d2b9, "parport_wait_peripheral" },
	{ 0xf333fd2f, "parport_ieee1284_ecp_write_data" },
	{ 0xc9ed9db1, "parport_ieee1284_write_compat" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x5d42e38, "parport_register_port" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x5e3a3912, "parport_irq_handler" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7eece51e, "parport_announce_port" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x7054a3e4, "request_dma" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf4153780, "pnp_get_resource" },
	{ 0x233191b0, "_dev_info" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x7f518f91, "pci_write_config_byte" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x97eed602, "__platform_driver_register" },
	{ 0x38d665e3, "pci_get_device" },
	{ 0xa45d6efa, "pci_match_id" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa394797b, "pnp_register_driver" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0xe2154862, "parport_ieee1284_epp_write_data" },
	{ 0x375a1144, "parport_ieee1284_epp_read_data" },
	{ 0x41d19813, "parport_ieee1284_epp_write_addr" },
	{ 0xb6ad5adf, "parport_ieee1284_epp_read_addr" },
	{ 0x1190192a, "parport_ieee1284_ecp_read_data" },
	{ 0x50f72d5e, "parport_ieee1284_ecp_write_addr" },
	{ 0xff94fa52, "parport_ieee1284_read_nibble" },
	{ 0xc29d5b41, "parport_ieee1284_read_byte" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "parport");

MODULE_ALIAS("pnp:dPNP0400*");
MODULE_ALIAS("acpi*:PNP0400:*");
MODULE_ALIAS("pnp:dPNP0401*");
MODULE_ALIAS("acpi*:PNP0401:*");
MODULE_ALIAS("pci:v00001106d00000686sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00008231sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001283d00008872sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000131Fd00002021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001407d00008800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B5d00009050sv0000D84Dsd00004014bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000101bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000102bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000103bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00000104bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007268sv00001409sd00009018bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000782sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001592d00000783sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014D2d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014DBd00002121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009523sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00009513sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d00008403sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C110sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C114sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001415d0000C11Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000416Cd00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014F2d00000121sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009900sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009705sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009715sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009815sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009901sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00001000bc*sc*i*");
MODULE_ALIAS("pci:v00009710d00009865sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000125Bd00009100sv0000A000sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000135Cd00000278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001C00d00003050sv00001C00sd00003050bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000402Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00000BE2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad00004007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000135Ad0000401Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7C6BF636F086679C04EF1B0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
