#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x5b2b3545, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0xb3750c0e, "");
SYMBOL_CRC(pcmcia_dev_present, 0xa1fe2a31, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xc277e7fc, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x17e7f987, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0xf7f166d9, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0xec822bc9, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0xc39ff83b, "");
SYMBOL_CRC(pcmcia_release_window, 0xb2f832df, "");
SYMBOL_CRC(pcmcia_enable_device, 0x00e19a0e, "");
SYMBOL_CRC(pcmcia_request_io, 0x8b4fde56, "");
SYMBOL_CRC(pcmcia_request_irq, 0x6bb7506b, "");
SYMBOL_CRC(pcmcia_request_window, 0x0ce13d7f, "");
SYMBOL_CRC(pcmcia_disable_device, 0xbdc015ad, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0x01105335, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0xb81eb61b, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x829f2093, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x81e5fe2a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xf1c36b93, "pcmcia_get_socket" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x2195fbf3, "driver_remove_file" },
	{ 0x4f8503af, "driver_attach" },
	{ 0xcfd01626, "device_unregister" },
	{ 0xc358602e, "request_firmware" },
	{ 0x24550fd6, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbf31d0c, "get_device" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xac1d6948, "driver_create_file" },
	{ 0xef5d3dcf, "bus_for_each_dev" },
	{ 0x233191b0, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x1a98ae18, "pccard_register_pcmcia" },
	{ 0x62e67e7d, "module_put" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x726c5a03, "class_interface_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5152e605, "memcmp" },
	{ 0xadfe334f, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xf1f615e3, "device_register" },
	{ 0x3f76906c, "pcmcia_parse_uevents" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68ae4cdd, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdbc71f27, "_dev_notice" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x96538467, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xd339f379, "pcmcia_put_socket" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xbcec47b4, "sysfs_remove_bin_file" },
	{ 0x5c705e86, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "1B92392FB7B7C34C1A62744");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
