#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x9c58755b, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xfbef75df, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x69e650bb, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x49001952, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0x5e4deb5c, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x65f16a6e, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x9cac3390, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x7fb035f1, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x02d868a5, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0xcf4cfa58, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x353f0032, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x8fe4fa6c, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x0960174e, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0xbbc6ea9c, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x27e045f7, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x77ea2e35, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x337304a8, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x278656e5, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0xed70f6c0, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x5df6f836, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x03082252, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x7f530d56, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x9b408e3c, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0xb1ec12d4, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0xa58debaf, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x0b5a98c5, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x3f6831e9, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x44955f36, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xb2b886a5, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x5f324e0d, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x11139792, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xaa40d45, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xb4cdc4e5, "gpiod_put" },
	{ 0x61fa3672, "of_fwnode_ops" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x304aaf89, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x8235805b, "memmove" },
	{ 0x33c7ebed, "gpiod_count" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xcfd01626, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xf0803358, "serdev_device_set_flow_control" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2916b651, "gpiod_to_irq" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x99989073, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xb70354d2, "fwnode_get_next_child_node" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x7d0ceb1f, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x9e4e3978, "device_for_each_child_reverse" },
	{ 0x233191b0, "_dev_info" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x4f8e0d3f, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x55580f0b, "init_srcu_struct" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x9585eb50, "devm_acpi_dev_add_driver_gpios" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfb901f8c, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x23247866, "cleanup_srcu_struct" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf521b17c, "serdev_device_wait_until_sent" },
	{ 0xe775cb74, "__serdev_device_driver_register" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x9cc69504, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x80686465, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x4b439a5, "serdev_device_write_buf" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeb8d5164, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x33280180, "dev_err_probe" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0xa2048e95, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9386956c, "device_link_add" },
	{ 0x21534da1, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x5c705e86, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");
MODULE_ALIAS("of:N*T*Cmicrosoft,surface-sam");
MODULE_ALIAS("of:N*T*Cmicrosoft,surface-samC*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
