#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rpmsg_class, "", "");
KSYMTAB_FUNC(rpmsg_create_channel, "", "");
KSYMTAB_FUNC(rpmsg_release_channel, "", "");
KSYMTAB_FUNC(rpmsg_create_ept, "", "");
KSYMTAB_FUNC(rpmsg_destroy_ept, "", "");
KSYMTAB_FUNC(rpmsg_send, "", "");
KSYMTAB_FUNC(rpmsg_sendto, "", "");
KSYMTAB_FUNC(rpmsg_send_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_trysend, "", "");
KSYMTAB_FUNC(rpmsg_trysendto, "", "");
KSYMTAB_FUNC(rpmsg_poll, "", "");
KSYMTAB_FUNC(rpmsg_trysend_offchannel, "", "");
KSYMTAB_FUNC(rpmsg_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(rpmsg_get_mtu, "", "");
KSYMTAB_FUNC(rpmsg_find_device, "", "");
KSYMTAB_FUNC(rpmsg_register_device_override, "", "");
KSYMTAB_FUNC(rpmsg_register_device, "", "");
KSYMTAB_FUNC(rpmsg_unregister_device, "", "");
KSYMTAB_FUNC(__register_rpmsg_driver, "", "");
KSYMTAB_FUNC(unregister_rpmsg_driver, "", "");

SYMBOL_CRC(rpmsg_class, 0xd7a4861e, "");
SYMBOL_CRC(rpmsg_create_channel, 0xf19d5da4, "");
SYMBOL_CRC(rpmsg_release_channel, 0x40c8f794, "");
SYMBOL_CRC(rpmsg_create_ept, 0xbe13c43f, "");
SYMBOL_CRC(rpmsg_destroy_ept, 0x05c2a770, "");
SYMBOL_CRC(rpmsg_send, 0x3c40b7f8, "");
SYMBOL_CRC(rpmsg_sendto, 0x28407b4c, "");
SYMBOL_CRC(rpmsg_send_offchannel, 0x8570af8f, "");
SYMBOL_CRC(rpmsg_trysend, 0x81478ae6, "");
SYMBOL_CRC(rpmsg_trysendto, 0x7d9760da, "");
SYMBOL_CRC(rpmsg_poll, 0x9a0baa45, "");
SYMBOL_CRC(rpmsg_trysend_offchannel, 0xf4ae2a2a, "");
SYMBOL_CRC(rpmsg_set_flow_control, 0x42aa058c, "_gpl");
SYMBOL_CRC(rpmsg_get_mtu, 0xe08c2eae, "");
SYMBOL_CRC(rpmsg_find_device, 0xbf346bb6, "");
SYMBOL_CRC(rpmsg_register_device_override, 0x16ec9ae0, "");
SYMBOL_CRC(rpmsg_register_device, 0x203e462f, "");
SYMBOL_CRC(rpmsg_unregister_device, 0x90e35cbd, "");
SYMBOL_CRC(__register_rpmsg_driver, 0x5351bc85, "");
SYMBOL_CRC(unregister_rpmsg_driver, 0x8e19ff09, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xf9aa80d8, "device_find_child" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xb1005dca, "of_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x49f26466, "kstrndup" },
	{ 0x6c1ce5ce, "strcspn" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x483775c2, "driver_set_override" },
	{ 0xfb901f8c, "device_add" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x5cd418f3, "put_device" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x5c705e86, "driver_register" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x810cf51e, "class_register" },
	{ 0x70f7896, "_printk" },
	{ 0x5791aca9, "bus_register" },
	{ 0xbbba8432, "class_destroy" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x25b275fc, "of_device_uevent_modalias" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5964f231, "of_device_modalias" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd3df0fc9, "dev_pm_domain_attach" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x637a0583, "dev_pm_domain_detach" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6B950788EA1B7C82C3DBF18");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
