#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x3ee08595, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x49f1a474, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x22323871, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xf59249b1, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x0a80d54b, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x672c12f9, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x31506b32, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x108dc2ea, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x8535edf4, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x046a902a, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x9dcaceb4, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xd2b58f94, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xbb3b94fc, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x95c6d225, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x06512072, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x0f7213b8, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x81c5911f, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xaca31d53, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x42905560, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xe18f6c38, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x6e3bf4af, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xb2a549a4, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xc6d01127, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x9ea18e36, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xc6c07a8d, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x365cf444, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x56e0738e, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xa6621f95, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x9e7d126c, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xb1ca6a28, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x5ef378d0, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xcdfc942e, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xdcc8d8b9, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xe91b345b, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xb40a1328, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x1a2bad8c, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x7afe5a5f, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x450d65d6, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x3aee19dd, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xa5afbae5, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x781c11bd, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xc7ca027c, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xe68bbc22, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x5e007038, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x70f7896, "_printk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdf6eafb1, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x517616c7, "iscsi_host_remove" },
	{ 0xb44f0622, "pci_dev_put" },
	{ 0x91eff76, "iscsi_host_free" },
	{ 0xe2948dee, "iscsi_host_alloc" },
	{ 0xacf677ab, "pci_dev_get" },
	{ 0xaf3c991, "iscsi_host_add" },
	{ 0xdad5de42, "scsi_host_put" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdcb4f65b, "cxgbi_ppm_init" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x434aa590, "iscsi_conn_queue_xmit" },
	{ 0x9e477615, "__kfree_skb" },
	{ 0x65856a8e, "iscsi_tcp_cleanup_task" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x45174524, "cxgbi_ppm_ppod_release" },
	{ 0x3753abf6, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x42d3eb7, "iscsi_tcp_conn_setup" },
	{ 0x928853b4, "iscsi_session_setup" },
	{ 0x4c74b713, "iscsi_tcp_r2tpool_alloc" },
	{ 0x4dff3e, "iscsi_session_teardown" },
	{ 0x81b4c41d, "iscsi_tcp_r2tpool_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd0ebeeb, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4054c865, "_dev_printk" },
	{ 0x96898769, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8746b90d, "iscsi_host_get_param" },
	{ 0x5152e605, "memcmp" },
	{ 0xd3a5230d, "iscsi_unregister_transport" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x74bcc32d, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x2ea17a11, "iscsi_register_transport" },
	{ 0xa73f8da5, "init_net" },
	{ 0x112b49cf, "ip6_route_output_flags" },
	{ 0x7209adc3, "iscsi_tcp_set_max_r2t" },
	{ 0x204f4c67, "iscsi_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xc937b9e2, "cxgbi_ppm_ppods_reserve" },
	{ 0x2c692a01, "dma_map_sg_attrs" },
	{ 0xa68a26ab, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe250316a, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xfded3435, "iscsi_tcp_recv_skb" },
	{ 0x6eca22e2, "iscsi_lookup_endpoint" },
	{ 0x72fed6b4, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82248b1c, "iscsi_tcp_hdr_recv_prep" },
	{ 0xd2a12be3, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x42437fb, "skb_put" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x420eabe4, "mem_section" },
	{ 0x38a8d420, "page_address" },
	{ 0xb9aac278, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4ea5cce1, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x62e67e7d, "module_put" },
	{ 0xde17127e, "iscsi_destroy_endpoint" },
	{ 0xe9f2c790, "ipv6_dev_get_saddr" },
	{ 0x60f20f70, "make_kuid" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0xb7930a7d, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xeed2d3ac, "iscsi_create_endpoint" },
	{ 0xe70fc9ea, "__ip_dev_find" },
	{ 0x1780194, "iscsi_itt_to_ctask" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
