#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x6cd5bb7d, "");
SYMBOL_CRC(sas_remove_host, 0x8100a537, "");
SYMBOL_CRC(sas_get_address, 0x80c5684f, "");
SYMBOL_CRC(sas_tlr_supported, 0xf6b04197, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xbeffd93e, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x9e0232ce, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x0bc1e181, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xd614132c, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x92cd673e, "");
SYMBOL_CRC(sas_phy_add, 0x985f1252, "");
SYMBOL_CRC(sas_phy_free, 0x5ee210ce, "");
SYMBOL_CRC(sas_phy_delete, 0x8d59dbb7, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x06b8112d, "");
SYMBOL_CRC(sas_port_alloc, 0xa30ffb12, "");
SYMBOL_CRC(sas_port_alloc_num, 0xea665dd3, "");
SYMBOL_CRC(sas_port_add, 0xd0d6f8b2, "");
SYMBOL_CRC(sas_port_free, 0x85d87107, "");
SYMBOL_CRC(sas_port_delete, 0xe28c4951, "");
SYMBOL_CRC(scsi_is_sas_port, 0x4a9947fc, "");
SYMBOL_CRC(sas_port_get_phy, 0xe1c40bd7, "");
SYMBOL_CRC(sas_port_add_phy, 0x83d641f0, "");
SYMBOL_CRC(sas_port_delete_phy, 0x06eefbed, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x6a3b717c, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x74fdfecd, "");
SYMBOL_CRC(sas_end_device_alloc, 0x70e21d78, "");
SYMBOL_CRC(sas_expander_alloc, 0x3d1a549d, "");
SYMBOL_CRC(sas_rphy_add, 0xba84a22c, "");
SYMBOL_CRC(sas_rphy_free, 0x533a1a28, "");
SYMBOL_CRC(sas_rphy_delete, 0x1e339dfb, "");
SYMBOL_CRC(sas_rphy_unlink, 0xd605dbf7, "");
SYMBOL_CRC(sas_rphy_remove, 0x88f3f1a0, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x198a5180, "");
SYMBOL_CRC(sas_attach_transport, 0x612b665b, "");
SYMBOL_CRC(sas_release_transport, 0x7a81311f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5cd418f3, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb901f8c, "device_add" },
	{ 0x386a0714, "transport_add_device" },
	{ 0x53818a9b, "transport_configure_device" },
	{ 0xeda60a69, "device_del" },
	{ 0x18660dac, "transport_destroy_device" },
	{ 0xcdabd39a, "transport_remove_device" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0x70f7896, "_printk" },
	{ 0x4054c865, "_dev_printk" },
	{ 0xf7041b85, "scsi_scan_target" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc3f66c92, "bsg_setup_queue" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x42e6ae5d, "transport_class_register" },
	{ 0xf9477ee8, "transport_class_unregister" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x5e7324fe, "attribute_container_register" },
	{ 0x604e4bb6, "scsi_get_vpd_page" },
	{ 0x5aefe02c, "scsi_mode_sense" },
	{ 0xbb86ab9d, "attribute_container_unregister" },
	{ 0xbb7a2e5, "scsi_remove_host" },
	{ 0xaaf61e35, "bsg_remove_queue" },
	{ 0x98b8298e, "scsi_remove_target" },
	{ 0xfc7d5802, "scsi_is_host_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xbf5d18ff, "bsg_job_done" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x1eb134a6, "dma_opt_mapping_size" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x93259b9, "transport_setup_device" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
