#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x6ef3f6a8, "");
SYMBOL_CRC(ssb_bus_suspend, 0x0dd9fed5, "");
SYMBOL_CRC(ssb_bus_unregister, 0x4df3c7e5, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xf4ce5035, "");
SYMBOL_CRC(__ssb_driver_register, 0xf148bbbc, "");
SYMBOL_CRC(ssb_driver_unregister, 0x237e6c75, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x49bcb778, "");
SYMBOL_CRC(ssb_clockspeed, 0x94e58c39, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xfd92404f, "");
SYMBOL_CRC(ssb_device_enable, 0x7f7eacc5, "");
SYMBOL_CRC(ssb_device_disable, 0x8709df97, "");
SYMBOL_CRC(ssb_dma_translation, 0x8edcf11a, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x4b615daf, "");
SYMBOL_CRC(ssb_bus_powerup, 0x69396402, "");
SYMBOL_CRC(ssb_commit_settings, 0x8955c252, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x4d432847, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0xb938608d, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x3f444837, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x7353aee7, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xa083e1d3, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x823eb931, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0x49351e4c, "sdio_release_host" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0xbdc015ad, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x842d70ac, "sdio_claim_host" },
	{ 0x7d9e4f4d, "pci_iomap" },
	{ 0xf4d57d3c, "sdio_readw" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x1a0acad1, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xb3750c0e, "pcmcia_unregister_driver" },
	{ 0x55967ca9, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xf7f166d9, "pcmcia_map_mem_page" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xdb6ef929, "sdio_writew" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x233191b0, "_dev_info" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0x360fd4f5, "sdio_readsb" },
	{ 0xd3768da1, "gpiochip_get_data" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xce13d7f, "pcmcia_request_window" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0xa16a6361, "sdio_readl" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x17e7f987, "pcmcia_write_config_byte" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a20afc1, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf1f615e3, "device_register" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5e0c0b58, "sdio_writel" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x80d2cb7f, "gpiochip_add_data_with_key" },
	{ 0xdd4e5dc1, "_dev_emerg" },
	{ 0x63cb16d0, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0xe2680208, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc277e7fc, "pcmcia_read_config_byte" },
	{ 0x5b2b3545, "pcmcia_register_driver" },
	{ 0xa5d6c013, "pci_write_config_word" },
	{ 0xb81eb61b, "pcmcia_loop_tuple" },
	{ 0xe19a0e, "pcmcia_enable_device" },
	{ 0x5c705e86, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x69080f3, "device_remove_file" },
	{ 0x5791aca9, "bus_register" },
	{ 0xfdfc7350, "sdio_readb" },
	{ 0x78272d2, "sdio_writeb" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,pcmcia");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "54236BC607DE79873B8967A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
