#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0x818ae5f8, "_gpl");
SYMBOL_CRC(teedev_close_context, 0xdd242c26, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x673e6d7f, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0x89a80e83, "_gpl");
SYMBOL_CRC(tee_device_register, 0xbfdad484, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x8507cf16, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x93d82f4f, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0xd19f65bd, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0x9fe54ba0, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0xe7d94c1b, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x7080c9a5, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x31b7cf99, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x4b27250f, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x03e42ad4, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x3bc69472, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0x3498c473, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0xd0517b62, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x72d282dc, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0xedef26f1, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0x54620d59, "_gpl");
SYMBOL_CRC(tee_shm_free, 0xc8c35b3b, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x489ee8d5, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x2dbd7adf, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x520bd18c, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x81d243de, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0xbb08b50b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x63a472c4, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xba5f5592, "unpin_user_pages" },
	{ 0x779a4bdf, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x2547fdeb, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x83f1e1f6, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xbc12b348, "iov_iter_extract_pages" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb4aed478, "iov_iter_kvec" },
	{ 0x49e19ad2, "crypto_shash_update" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc1053955, "alloc_pages_exact_noprof" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3174c6cb, "make_kgid" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xcf238872, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x7a2579e4, "gen_pool_alloc_algo_owner" },
	{ 0x5e855e56, "gen_pool_first_fit_align" },
	{ 0x2ee26c1, "free_pages_exact" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2da7f131, "iov_iter_npages" },
	{ 0x810cf51e, "class_register" },
	{ 0xaff85ac4, "cdev_init" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0xe585a63d, "class_find_device" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
