#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x550305bf, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x5be3fbba, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0xf6cb95d7, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x4bb0bba8, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x40bf827a, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x76fc38ae, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x207e9ad1, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x481170a6, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xe2697cd4, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x6ceee74b, "_gpl");
SYMBOL_CRC(tb_property_find, 0xc64da6ae, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x86166e8c, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x6b24b08a, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x6e6ecc6d, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x36521060, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0x21a31526, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x3246ad2d, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x75c9b852, "_gpl");
SYMBOL_CRC(tb_service_type, 0x7b5d86f2, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x95026cc7, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x7fd191fd, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x86c0d11d, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x3acc9278, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x7a4c7c75, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0xd8c5beba, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x0fc4d6c5, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x52eb1a5e, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x355969f8, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xdb08edc6, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xb9e6ff14, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe3dd0d8e, "pci_find_ext_capability" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x8d50ca12, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1627bb62, "nvmem_unregister" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdab75183, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x306e3810, "acpi_find_child_by_adr" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x89e2271a, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x80062a86, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8791efd2, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0xd26bded7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1bc6f865, "debugfs_lookup_and_remove" },
	{ 0x5cd418f3, "put_device" },
	{ 0xcd53365b, "devm_free_irq" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x9e4e3978, "device_for_each_child_reverse" },
	{ 0x738803e6, "strnlen" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xef5d3dcf, "bus_for_each_dev" },
	{ 0x233191b0, "_dev_info" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x49f26466, "kstrndup" },
	{ 0x637b85e3, "pcim_iomap_regions" },
	{ 0x5294dc35, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x2a3815a, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xff09e5e, "crypto_shash_setkey" },
	{ 0xf2c0ea9c, "bus_find_device" },
	{ 0xfb901f8c, "device_add" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x86e6e5d6, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7730ae01, "pci_device_is_present" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xb36be32b, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf9aa80d8, "device_find_child" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf1f615e3, "device_register" },
	{ 0xeda60a69, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x70f5d281, "unregister_acpi_bus_type" },
	{ 0xfe169108, "acpi_get_first_physical_node" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x5cbd8e69, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x93b378de, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x25727679, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xea8e3d77, "pm_runtime_forbid" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9d894d32, "pm_runtime_allow" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x706c8561, "acpi_fetch_acpi_dev" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0x552cb509, "device_iommu_capable" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xabc31f93, "pci_walk_bus" },
	{ 0x33280180, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x3c0b5a23, "nvmem_register" },
	{ 0x617d5ae4, "pcim_iomap_table" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0xf5ab4810, "component_add" },
	{ 0xd0d8621b, "strlen" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0x9978af6, "pcim_enable_device" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9386956c, "device_link_add" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x5c705e86, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0xe78f0ed3, "pci_bus_type" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "E1E065F6BE3E4E2E56F3031");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
