#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xf0ac658d, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x6edba7ef, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x8aca1b7e, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x6a84953b, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0xf4597582, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x9cafbd7d, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xfefbba64, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x7fc9a459, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x4702bdf1, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xca3c4758, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x5716a6b5, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x1333dd04, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x2c84d86e, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x28316b35, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xb2f93d87, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x8f0600db, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xde06d21f, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xe348d171, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x02d63a74, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xb4392165, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xda76d842, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xf5214d21, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x4df70f73, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xe61b6ab3, "");
SYMBOL_CRC(ufshcd_system_resume, 0x2296120e, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xe9df2875, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xe62de047, "");
SYMBOL_CRC(ufshcd_remove, 0x5cdb997f, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x6c3dec49, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xa877d6eb, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x2cdac79d, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x2081e4de, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x96ceea73, "");
SYMBOL_CRC(ufshcd_init, 0xc98ba3c6, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xee2b294f, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x820c2ced, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x94c75d7f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xb2a6282e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0xe92c6ce0, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x60d2744c, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xae943c6c, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x7b069490, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x53311d4e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x842160bc, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x3c652b80, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xcffbafd1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0xc34f9194, "scsi_dma_map" },
	{ 0xca78ac57, "scsi_print_sense_hdr" },
	{ 0x693cb068, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xffd0340, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xc3f66c92, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x998c50b7, "scsi_autopm_put_device" },
	{ 0xea83787, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xaaf61e35, "bsg_remove_queue" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xbf5d18ff, "bsg_job_done" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9f8a0420, "dmam_alloc_attrs" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xbb7a2e5, "scsi_remove_host" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x761e93c3, "blk_pm_runtime_init" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x3922c81a, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b7d6115, "sysfs_remove_groups" },
	{ 0x98944558, "hwmon_notify_event" },
	{ 0x625da86f, "pm_runtime_get_if_active" },
	{ 0xe3e7c3cf, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x418ad433, "devfreq_recommended_opp" },
	{ 0xa0aefa1e, "sysfs_create_groups" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8989507f, "scsi_dma_unmap" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xe3e35272, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xf373ffee, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa521e23c, "devm_clk_get" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x51ed0ef5, "blk_mq_alloc_tag_set" },
	{ 0xdbcfa235, "scsi_device_set_state" },
	{ 0x7d501563, "devfreq_add_device" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x668b595, "_kstrtoul" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcc9a0ac3, "blk_crypto_register" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x3b707b9e, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cd418f3, "put_device" },
	{ 0xc564c25b, "blk_mq_unquiesce_tagset" },
	{ 0x453ebf61, "dev_pm_opp_put" },
	{ 0xb70445b7, "blk_mq_free_request" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0xda21c36b, "devm_regulator_get" },
	{ 0xf961187e, "dev_pm_opp_get_freq_indexed" },
	{ 0x233191b0, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xf3bd8dac, "scsi_device_put" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0x682aeb29, "blk_mq_quiesce_tagset" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0x4b7b889e, "regulator_set_load" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x5af8e078, "down_write" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x6301556c, "devfreq_remove_device" },
	{ 0xdad5de42, "scsi_host_put" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfb901f8c, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0x6261fb86, "hwmon_device_register_with_info" },
	{ 0x86d4311, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf2c271ed, "dev_pm_opp_remove" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6d165192, "cpu_latency_qos_update_request" },
	{ 0xc7de5af2, "sdev_prefix_printk" },
	{ 0xbd812d15, "scsi_scan_host" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x579fa3c1, "device_link_remove" },
	{ 0xac1e041a, "blk_mq_alloc_request" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x4dd0efb8, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x74fc7a2, "blk_put_queue" },
	{ 0xeda60a69, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xa580e8ec, "dev_pm_opp_set_opp" },
	{ 0xb0df7a65, "dmam_free_coherent" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xb35499a2, "regulator_count_voltages" },
	{ 0xfc7d5802, "scsi_is_host_device" },
	{ 0x2b8b191b, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7fe554e2, "debugfs_create_u32" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xae030928, "bpf_trace_run10" },
	{ 0x5bf8d54c, "scsi_device_quiesce" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xad64a08c, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xd760c3a7, "scsi_print_command" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbe54ff01, "__scsi_register_driver" },
	{ 0xea8e3d77, "pm_runtime_forbid" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0xb4b0b93b, "param_set_uint_minmax" },
	{ 0x9ef87152, "blk_mq_freeze_queue" },
	{ 0x9d894d32, "pm_runtime_allow" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0xe9df32d6, "devfreq_suspend_device" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x7527b582, "blk_mq_destroy_queue" },
	{ 0x1f711066, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfe8f8042, "blk_mq_alloc_queue" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xdbccf568, "devm_blk_crypto_profile_init" },
	{ 0x76669a9c, "hwmon_device_unregister" },
	{ 0x64c3aa1a, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x5087a38b, "blk_mq_tagset_busy_iter" },
	{ 0x4fe1213f, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0xc7fd0212, "scsi_unblock_requests" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0xccd9fd6e, "regulator_disable" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x3753abf6, "dma_unmap_sg_attrs" },
	{ 0x9015f32a, "scsi_remove_device" },
	{ 0x32a43794, "scsi_block_requests" },
	{ 0xb729f02c, "scsi_add_host_with_dma" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0xb920ff68, "scsi_host_alloc" },
	{ 0xa5bc98dd, "__scsi_add_device" },
	{ 0x90f73323, "devfreq_resume_device" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9386956c, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0xbf38631f, "scsi_change_queue_depth" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x69080f3, "device_remove_file" },
	{ 0x2c692a01, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "4831B600101EDF1DDEB588A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
