#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_run, "_gpl", "");
KSYMTAB_FUNC(xhci_stop, "_gpl", "");
KSYMTAB_FUNC(xhci_shutdown, "_gpl", "");
KSYMTAB_FUNC(xhci_suspend, "_gpl", "");
KSYMTAB_FUNC(xhci_resume, "_gpl", "");
KSYMTAB_FUNC(xhci_get_endpoint_index, "_gpl", "");
KSYMTAB_FUNC(xhci_drop_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_add_endpoint, "_gpl", "");
KSYMTAB_FUNC(xhci_check_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_reset_bandwidth, "_gpl", "");
KSYMTAB_FUNC(xhci_update_hub_device, "_gpl", "");
KSYMTAB_FUNC(xhci_gen_setup, "_gpl", "");
KSYMTAB_FUNC(xhci_init_driver, "_gpl", "");
KSYMTAB_FUNC(xhci_initialize_ring_info, "_gpl", "");
KSYMTAB_FUNC(xhci_get_ep_ctx, "_gpl", "");
KSYMTAB_FUNC(xhci_remove_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_create_secondary_interrupter, "_gpl", "");
KSYMTAB_FUNC(xhci_ext_cap_init, "_gpl", "");
KSYMTAB_FUNC(xhci_msi_irq, "_gpl", "");
KSYMTAB_FUNC(xhci_port_state_to_neutral, "_gpl", "");
KSYMTAB_FUNC(xhci_hub_control, "_gpl", "");
KSYMTAB_FUNC(xhci_dbg_trace, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_quirks, "_gpl", "");
KSYMTAB_DATA(__tracepoint_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__traceiter_xhci_dbg_init, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_xhci_dbg_init, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_xhci_dbg_init, "_gpl", "");

SYMBOL_CRC(xhci_run, 0xc05abde9, "_gpl");
SYMBOL_CRC(xhci_stop, 0x4817902e, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0xf3fbe85b, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xb82693be, "_gpl");
SYMBOL_CRC(xhci_resume, 0x6e817219, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x45d80abb, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0x06846626, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0x8657a6c3, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0x95f7d8d1, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x2852b07b, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0xcfc6a645, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0xb43fe3e5, "_gpl");
SYMBOL_CRC(xhci_initialize_ring_info, 0x230020c0, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0x06c924fd, "_gpl");
SYMBOL_CRC(xhci_remove_secondary_interrupter, 0x66c376cb, "_gpl");
SYMBOL_CRC(xhci_create_secondary_interrupter, 0x74000dfe, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x06db0e0c, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x814a748a, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0xb57b3f9c, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0x5093e76e, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0xd7dccd23, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0x9ac58f15, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0xa19561fb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x31428185, "param_ops_ullong" },
	{ 0x450fc0be, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x47fb4d87, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8d50ca12, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe61ad8a5, "usb_hcd_resume_root_hub" },
	{ 0x840de720, "usb_hcd_unlink_urb_from_ep" },
	{ 0x5fc7e123, "usb_hcd_start_port_resume" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x15731026, "usb_amd_pt_check_port" },
	{ 0x1e40ab52, "usb_hc_died" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x85598405, "__kmalloc_node_noprof" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x94db682e, "usb_wakeup_notification" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf3eb1323, "kstrtou16_from_user" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x1ef1655d, "usb_hcd_map_urb_for_dma" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x420737b9, "debugfs_create_regset32" },
	{ 0x233191b0, "_dev_info" },
	{ 0xa14988e8, "platform_device_add_resources" },
	{ 0xfe9c5507, "usb_hcd_check_unlink_urb" },
	{ 0xd97695eb, "iommu_get_domain_for_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x984547d2, "device_create_managed_software_node" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa36f3b32, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbad0a52c, "platform_device_add" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x5f053605, "platform_device_alloc" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0xb5b736d2, "usb_hcd_link_urb_to_ep" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x2cbf313, "__kmalloc_cache_node_noprof" },
	{ 0xb127a22c, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xdd57a43e, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x60886057, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xe9301c09, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xea8e3d77, "pm_runtime_forbid" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x9d894d32, "pm_runtime_allow" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0xae9f989d, "usb_hcd_giveback_urb" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf45309cd, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfb4f904, "usb_hcd_poll_rh_status" },
	{ 0x275830f0, "usb_acpi_set_power_state" },
	{ 0xf4e73730, "usb_disable_xhci_ports" },
	{ 0x47be806a, "single_release" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x93716f6b, "usb_debug_root" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0x61145d93, "usb_hcd_unmap_urb_for_dma" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0xfd04c9ea, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "2E23E00DB7034D0D33B2EF0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
