#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_pci_common_probe, "_gpl", "xhci");
KSYMTAB_FUNC(xhci_pci_remove, "_gpl", "xhci");

SYMBOL_CRC(xhci_pci_common_probe, 0x58e22654, "_gpl");
SYMBOL_CRC(xhci_pci_remove, 0x30194fb3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb127a22c, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xee6b67fe, "pci_choose_state" },
	{ 0xed77d5ae, "usb_remove_hcd" },
	{ 0x9e855208, "usb_put_hcd" },
	{ 0x859460b9, "usb_hcd_pci_remove" },
	{ 0xea8e3d77, "pm_runtime_forbid" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0x753d21a4, "pci_set_power_state" },
	{ 0xb43fe3e5, "xhci_init_driver" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x4817902e, "xhci_stop" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xb82693be, "xhci_suspend" },
	{ 0xc06da41, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2852b07b, "xhci_update_hub_device" },
	{ 0xcf5a1ca1, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc05abde9, "xhci_run" },
	{ 0xb57b3f9c, "xhci_dbg_trace" },
	{ 0x738803e6, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0x9ac58f15, "__tracepoint_xhci_dbg_init" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5093e76e, "__tracepoint_xhci_dbg_quirks" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcfc6a645, "xhci_gen_setup" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x7c1d78c7, "pci_set_mwi" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x6e817219, "xhci_resume" },
	{ 0xcc56491d, "usb_enable_intel_xhci_ports" },
	{ 0x2fdbc7c4, "__devm_reset_control_get" },
	{ 0x625bd5f1, "usb_hcd_pci_probe" },
	{ 0xbca72971, "usb_create_shared_hcd" },
	{ 0x6db0e0c, "xhci_ext_cap_init" },
	{ 0x236455ac, "usb_add_hcd" },
	{ 0x9d894d32, "pm_runtime_allow" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0xa45d6efa, "pci_match_id" },
	{ 0xf3fbe85b, "xhci_shutdown" },
	{ 0x520fd72e, "usb_hcd_pci_shutdown" },
	{ 0xd0c593e4, "usb_hcd_pci_pm_ops" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "24B6AF7112B3309A216545B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
