#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0xdf80ff40, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0xf629b240, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x3c5d30fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd374215, "device_property_present" },
	{ 0x6a0409ab, "usb_hcd_platform_shutdown" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0x61fa3672, "of_fwnode_ops" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0xb82693be, "xhci_suspend" },
	{ 0xffdb5cd9, "devm_platform_get_and_ioremap_resource" },
	{ 0x7b4f2a5e, "platform_driver_unregister" },
	{ 0x1405451e, "platform_get_irq" },
	{ 0xcfc6a645, "xhci_gen_setup" },
	{ 0x5be915a3, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x84be3955, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafacf79a, "devm_reset_control_array_get" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0xb1005dca, "of_match_device" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x6e817219, "xhci_resume" },
	{ 0xc05abde9, "xhci_run" },
	{ 0xb127a22c, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43fe3e5, "xhci_init_driver" },
	{ 0x9e855208, "usb_put_hcd" },
	{ 0x97eed602, "__platform_driver_register" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x8851639, "devm_clk_get_optional" },
	{ 0xea8e3d77, "pm_runtime_forbid" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x96558af2, "__usb_create_hcd" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xed77d5ae, "usb_remove_hcd" },
	{ 0x99002c60, "of_device_get_match_data" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x236455ac, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe78f0ed3, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd,usb-common");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "45FF819FA12400984830CF2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
