#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x86332006, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcae5e63d, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xbf71647b, "usb_set_interface" },
	{ 0xb4aaf284, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92b57248, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x32a43794, "scsi_block_requests" },
	{ 0x4054c865, "_dev_printk" },
	{ 0xc7fd0212, "scsi_unblock_requests" },
	{ 0x7e197385, "scmd_printk" },
	{ 0xd760c3a7, "scsi_print_command" },
	{ 0xbd812d15, "scsi_scan_host" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xb111f27c, "usb_free_urb" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfc7d5802, "scsi_is_host_device" },
	{ 0xbf38631f, "scsi_change_queue_depth" },
	{ 0x3bf1e9fd, "usb_deregister" },
	{ 0x51317ca7, "usb_get_urb" },
	{ 0x239dc2b3, "usb_kill_urb" },
	{ 0xc7a25bd8, "usb_alloc_urb" },
	{ 0xeb7922a7, "usb_alloc_streams" },
	{ 0x3922c81a, "scsi_report_bus_reset" },
	{ 0x77013dc1, "usb_anchor_urb" },
	{ 0x7cbd4b85, "usb_submit_urb" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5dc6f3ca, "usb_unanchor_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4fe1213f, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xbb7a2e5, "scsi_remove_host" },
	{ 0xdad5de42, "scsi_host_put" },
	{ 0x6551439a, "usb_lock_device_for_reset" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc76a4981, "usb_stor_adjust_quirks" },
	{ 0xb920ff68, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb729f02c, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xc7de5af2, "sdev_prefix_printk" },
	{ 0xe97a8231, "usb_unlink_urb" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,scsi_common,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "57A00333B5A01FF5D3BD6FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
