#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0xb783ce97, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xe83773c9, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x83769ae3, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x9a3b659b, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0xc063a38c, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xa1ac820a, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0xa0caf195, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x7d7ac602, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x4d1e9061, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x3aafe5c2, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x7d2f29eb, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x989ee940, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xa999d3e1, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x822a39aa, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xbd331a4b, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x6effb6f0, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xfb9fb070, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x8013c1a3, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x6d9f92de, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xd0fa0a77, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x08f16075, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x544e702d, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x69c972f0, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xfe7c0594, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x71725993, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xdf20ed44, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x3cb0953c, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x3db80a2d, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xbab83306, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x4019b819, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x27aa9a62, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x13e1dabc, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0x67d4b8c1, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0xb85abab3, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xe23332a6, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x4ddfc475, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x68fb51fd, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x63a41ff0, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xb210c582, "_gpl");
SYMBOL_CRC(typec_register_port, 0x0cc8afda, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0x122ab0bf, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xd196fa68, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0xe30a3a9a, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x790a0880, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x4a68e760, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x3b448868, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xb560f8fc, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x473327d9, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xa3973814, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xfa1176d2, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xfc8bd9e8, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x42e0a657, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x9d31b10a, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xf09dc20f, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x8ea03177, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xa49c44e3, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x656037ca, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0x9df51b21, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x724ad5f9, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0xb8644f12, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xe35a80ce, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x08faffaf, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x83e581a4, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x9388f374, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x5489a560, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x3419de15, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0xdbb12849, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x3e43b948, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x53322a3a, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x40d28c00, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x396f4978, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xd26a6563, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xa8dbcc02, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xe112a716, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xe8ca0ff3, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0xd71d98f3, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x529cd816, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x58763af3, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xcfd01626, "device_unregister" },
	{ 0xa4705177, "acpi_bus_for_each_dev" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x885eeb45, "fwnode_connection_find_match" },
	{ 0xb70354d2, "fwnode_get_next_child_node" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xdbf31d0c, "get_device" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x49ac804d, "sysfs_notify" },
	{ 0xb363e081, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0xbd8839ee, "fwnode_property_read_u32_array" },
	{ 0x62e67e7d, "module_put" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0x4f8e0d3f, "fwnode_get_name" },
	{ 0x5294dc35, "kobject_uevent_env" },
	{ 0x74f87a2c, "sysfs_update_group" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfb901f8c, "device_add" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0x436187e0, "fwnode_property_read_u16_array" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xf9aa80d8, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf1f615e3, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe3f98572, "fwnode_property_read_string" },
	{ 0x64e7b221, "fwnode_property_present" },
	{ 0x3c69440d, "component_master_del" },
	{ 0xaa1825dd, "component_match_add_release" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4638fbef, "device_get_named_child_node" },
	{ 0xe3b058c0, "component_bind_all" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x20029680, "device_match_name" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4b4c9ea0, "fwnode_connection_find_matches" },
	{ 0xd35f75a1, "match_string" },
	{ 0xc08f0286, "component_unbind_all" },
	{ 0x5c705e86, "driver_register" },
	{ 0x810cf51e, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0xe585a63d, "class_find_device" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6A9A50FACD7C4378003F6F0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
