#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x5559fd5b, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x388f3dc4, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x530eaa78, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0xe1430b2f, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x0ac5a623, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x85eef723, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x3ef4375f, "_gpl");
SYMBOL_CRC(ucsi_create, 0x7d183df9, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x8ceef145, "_gpl");
SYMBOL_CRC(ucsi_register, 0xdd119959, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xb56716a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa1ac820a, "typec_partner_set_pd_revision" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x989ee940, "typec_register_partner" },
	{ 0xfe7c0594, "typec_port_set_usb_power_delivery" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x68fb51fd, "typec_port_register_altmode" },
	{ 0x4c9a6ced, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x656037ca, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x44481c55, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x27aa9a62, "typec_set_mode" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xe83773c9, "typec_altmode2port" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x3e43b948, "usb_power_delivery_register" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x4d1e9061, "typec_partner_register_altmode" },
	{ 0x7d7ac602, "typec_partner_set_num_altmodes" },
	{ 0xa999d3e1, "typec_unregister_partner" },
	{ 0x3db80a2d, "typec_set_pwr_opmode" },
	{ 0x8f16075, "typec_cable_set_identity" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0x69c972f0, "typec_unregister_cable" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xb783ce97, "typec_altmode_update_active" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x86e6e5d6, "device_property_read_u8_array" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x3419de15, "usb_power_delivery_register_capabilities" },
	{ 0x6effb6f0, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x83769ae3, "typec_altmode_set_ops" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x53322a3a, "usb_power_delivery_unregister" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x71725993, "typec_set_data_role" },
	{ 0x13e1dabc, "typec_get_negotiated_svdm_version" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xa49c44e3, "typec_altmode_vdm" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x122ab0bf, "typec_unregister_port" },
	{ 0x8b7ffc79, "power_supply_get_drvdata" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xcc8afda, "typec_register_port" },
	{ 0x822a39aa, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0caf195, "typec_partner_set_usb_power_delivery" },
	{ 0x67e9215, "power_supply_changed" },
	{ 0xfb9fb070, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbd331a4b, "typec_plug_register_altmode" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x3aafe5c2, "typec_partner_set_svdm_version" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9a3b659b, "typec_unregister_altmode" },
	{ 0x544e702d, "typec_register_cable" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdbb12849, "usb_power_delivery_unregister_capabilities" },
	{ 0xe23332a6, "typec_get_drvdata" },
	{ 0xc063a38c, "typec_partner_set_identity" },
	{ 0x62e00b23, "power_supply_unregister" },
	{ 0x47be806a, "single_release" },
	{ 0xdf20ed44, "typec_set_pwr_role" },
	{ 0x7d2f29eb, "typec_partner_usb_power_delivery_register" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x93716f6b, "usb_debug_root" },
	{ 0x308b9d1, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,usb-common");


MODULE_INFO(srcversion, "61AEFE7A1D8670E85E70659");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
