#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(xen_privcmd_fops, "_gpl", "");
KSYMTAB_DATA(xen_privcmdbuf_fops, "_gpl", "");

SYMBOL_CRC(xen_privcmd_fops, 0xd354680b, "_gpl");
SYMBOL_CRC(xen_privcmdbuf_fops, 0x65aad9c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x645f32e6, "pin_user_pages_fast" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xfe0e913a, "xen_xlate_remap_gfn_array" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd8cef6e1, "clear_user" },
	{ 0x8d6c944d, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8003f833, "unpin_user_pages_dirty_lock" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x87706d4e, "__put_user_nocheck_8" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xacd837e5, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x39ed406e, "synchronize_srcu" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc93d345d, "__free_pages" },
	{ 0xac2ab2a9, "find_vma" },
	{ 0x6535acb0, "xen_remap_vma_range" },
	{ 0x58e274d9, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0x6893b88c, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe6149f99, "xen_alloc_ballooned_pages" },
	{ 0x866c3670, "apply_to_page_range" },
	{ 0xa2af54b3, "irq_from_evtchn" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbbfe4be4, "xen_unmap_domain_gfn_range" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x325cda0a, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4fc155c2, "__SCT__xen_hypercall" },
	{ 0x71b969c7, "__mmap_lock_do_trace_start_locking" },
	{ 0x7230beea, "fdget" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3065d72c, "xen_free_ballooned_pages" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x7963f441, "__mmap_lock_do_trace_released" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8d6aff89, "__put_user_nocheck_4" },
	{ 0x6d15e48d, "__srcu_read_unlock" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x4b931968, "xen_features" },
	{ 0xf7866b4f, "bind_evtchn_to_irqhandler_lateeoi" },
	{ 0x38a8d420, "page_address" },
	{ 0xb8e98330, "vm_map_pages_zero" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5f18a6, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x54ec64fd, "eventfd_ctx_fileget" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x4e8f828, "mtree_load" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AE12AC1EF2CF965B131FA2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
