#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0x6abd93c9, "");
SYMBOL_CRC(configfs_depend_item, 0xea78a660, "");
SYMBOL_CRC(configfs_undepend_item, 0x456684f4, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0xb2f39890, "");
SYMBOL_CRC(configfs_register_group, 0x3b2715f0, "");
SYMBOL_CRC(configfs_unregister_group, 0x3c3ba043, "");
SYMBOL_CRC(configfs_register_default_group, 0x6c854f39, "");
SYMBOL_CRC(configfs_unregister_default_group, 0xb8384da7, "");
SYMBOL_CRC(configfs_register_subsystem, 0xf4d53f44, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0x1db29faa, "");
SYMBOL_CRC(config_item_set_name, 0x2c996dde, "");
SYMBOL_CRC(config_item_init_type_name, 0x0d24e401, "");
SYMBOL_CRC(config_group_init_type_name, 0x55dedbe2, "");
SYMBOL_CRC(config_item_get, 0x1158ae6e, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x13def47e, "");
SYMBOL_CRC(config_item_put, 0x74d36f49, "");
SYMBOL_CRC(config_group_init, 0x9137c559, "");
SYMBOL_CRC(config_group_find_item, 0x8a43c37e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85a45ea9, "__d_drop" },
	{ 0x8e478473, "simple_rmdir" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xc7f85cd7, "d_instantiate" },
	{ 0x250fba59, "_copy_to_iter" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x7c4f4436, "free_inode_nonrcu" },
	{ 0xf56c6058, "new_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xfbf0cc05, "unregister_filesystem" },
	{ 0xa023d33f, "d_alloc_name" },
	{ 0x488909b3, "simple_statfs" },
	{ 0xea32ed49, "d_make_root" },
	{ 0xd6085934, "always_delete_dentry" },
	{ 0x3ee5d184, "fsnotify" },
	{ 0x90a8f5fe, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4dcc4633, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x58e0ed64, "iput" },
	{ 0x42b45ffc, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x25180a24, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x79c5902b, "register_filesystem" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x54a9228f, "path_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x929f4bda, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb81d4d32, "simple_inode_init_ts" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x42eab7c, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdc21d806, "simple_setattr" },
	{ 0x523a1c02, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0x62e67e7d, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x201b39de, "kill_litter_super" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7911fe8e, "kern_path" },
	{ 0x54a7195b, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x1b66c31e, "ram_aops" },
	{ 0x617937ba, "d_delete" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x3a8f294, "generic_read_dir" },
	{ 0x2365e322, "d_add" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0x9322d788, "inode_set_ctime_current" },
	{ 0xb1337d84, "inc_nlink" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x74847808, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x8072156, "generic_delete_inode" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x76a89eb, "simple_release_fs" },
	{ 0x8ce52621, "d_parent_ino" },
	{ 0xb4d16fec, "get_tree_single" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4a7c8b9d, "inode_permission" },
	{ 0xacce0174, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x90b8f7e7, "simple_pin_fs" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "502276C05E849C09BC8EBCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
