#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xab0cb6e7, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x4bdbe088, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xf89b8266, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x21d699ae, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0xc2baa111, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x78315eba, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x3c6d712d, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x2717b048, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x7e930140, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x63ef9f0d, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x13f7392a, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xd5f22fb1, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x391ad477, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xd77482b4, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x40369151, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xc80b4c9a, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x2918dc33, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xfca37387, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x5b2ed240, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xb664515c, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x51fa9a3b, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xd7d4144a, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xc496eeb3, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xa76261f5, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xcceb338e, "");
SYMBOL_CRC(fuse_do_ioctl, 0xe8a9501d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae814d5e, "super_setup_bdi_name" },
	{ 0x97d474cc, "posix_test_lock" },
	{ 0x892e74c7, "truncate_inode_pages" },
	{ 0x5a0c5d86, "noop_backing_dev_info" },
	{ 0xc306c99f, "pipe_lock" },
	{ 0x9efa5b67, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x36270745, "vfs_fsync_range" },
	{ 0xfca6efca, "setattr_prepare" },
	{ 0xbae05732, "filemap_migrate_folio" },
	{ 0x87bf5cda, "clear_nlink" },
	{ 0x5c5d2743, "file_check_and_advance_wb_err" },
	{ 0x570e2862, "d_alloc_parallel" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xc7f85cd7, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x8d6c944d, "misc_deregister" },
	{ 0x9b28db86, "make_vfsgid" },
	{ 0xc5553352, "clear_inode" },
	{ 0x357246ac, "inode_to_bdi" },
	{ 0x7c96f5be, "find_pid_ns" },
	{ 0x20978fb9, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x75657167, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbd5475e1, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2143b750, "pipe_unlock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x9e124a18, "fs_param_is_string" },
	{ 0xb4028c9d, "folio_unlock" },
	{ 0xf56c6058, "new_inode" },
	{ 0x1ac0bee3, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xd88a2835, "dump_page" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x2da251e, "forget_all_cached_acls" },
	{ 0xb259e8c0, "init_special_inode" },
	{ 0xfbf0cc05, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaa4d2447, "task_active_pid_ns" },
	{ 0x8924c2fb, "iov_iter_single_seg_count" },
	{ 0x72fc46fe, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa023d33f, "d_alloc_name" },
	{ 0x843c5fc5, "replace_page_cache_folio" },
	{ 0xeb8096a6, "inode_query_iversion" },
	{ 0x2fb38e3a, "iov_iter_advance" },
	{ 0x77976148, "kill_fasync" },
	{ 0xea32ed49, "d_make_root" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1d994483, "backing_file_splice_write" },
	{ 0x1a6eb1ee, "sb_set_blocksize" },
	{ 0x884e580b, "fget" },
	{ 0x69d57408, "simple_fill_super" },
	{ 0x23967b1, "xas_find" },
	{ 0x33ba5239, "sync_filesystem" },
	{ 0xe009852a, "sget_fc" },
	{ 0xbc927683, "param_set_uint" },
	{ 0x2e4b09c1, "d_splice_alias" },
	{ 0xc4708f68, "iov_iter_get_pages2" },
	{ 0xd874b2a5, "direct_write_fallback" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc38fa2e8, "from_vfsuid" },
	{ 0x810e856e, "page_get_link" },
	{ 0x2d5ff7, "generic_permission" },
	{ 0x962585b4, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc73964c5, "invalidate_inode_pages2_range" },
	{ 0x3d05f113, "posix_lock_file" },
	{ 0x3301a3f7, "finish_open" },
	{ 0x58e0ed64, "iput" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x7f37fe3a, "logfc" },
	{ 0x3d395440, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x978a0b0, "init_pid_ns" },
	{ 0x5f8b09b, "iov_iter_init" },
	{ 0xb2453ff0, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x25180a24, "sysfs_create_mount_point" },
	{ 0x102140df, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x79c5902b, "register_filesystem" },
	{ 0x91e8db88, "folio_add_lru" },
	{ 0xc00dcf7f, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x350c6461, "sync_inode_metadata" },
	{ 0xc31fa586, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x74814927, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f33d81a, "shrink_dcache_parent" },
	{ 0xe6b657a2, "make_vfsuid" },
	{ 0xb26ff44d, "__put_cred" },
	{ 0xfb7deef3, "backing_file_open" },
	{ 0xa9f297ea, "get_tree_nodev" },
	{ 0x1519322, "splice_file_range" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xb81d4d32, "simple_inode_init_ts" },
	{ 0x9a692120, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xbf43803a, "fs_param_is_u32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf6ad58ea, "inode_newsize_ok" },
	{ 0x42eab7c, "d_drop" },
	{ 0x597e4914, "kill_block_super" },
	{ 0x377686e9, "unlock_new_inode" },
	{ 0x70f7896, "_printk" },
	{ 0x78db93e, "bdi_put" },
	{ 0xc6ce51fb, "posix_acl_from_xattr" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x3b707b9e, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x60f20f70, "make_kuid" },
	{ 0x874c69c1, "truncate_inode_pages_final" },
	{ 0x61bbdc0d, "fs_kobj" },
	{ 0xbd9e62cb, "__filemap_set_wb_err" },
	{ 0xcb1e3ace, "simple_dir_operations" },
	{ 0xd5b2cbf0, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xdbb1b356, "backing_file_mmap" },
	{ 0xf68e33b0, "__filemap_get_folio" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x1ffbf1b9, "folio_mark_dirty" },
	{ 0xd91480b7, "put_pid_ns" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0x94d9f46d, "setattr_should_drop_suidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbc12b348, "iov_iter_extract_pages" },
	{ 0x9e97d1c1, "backing_file_write_iter" },
	{ 0x7bbd4b0f, "copy_page_from_iter_atomic" },
	{ 0xc8994e9a, "fs_param_is_gid" },
	{ 0x12946565, "fs_context_for_submount" },
	{ 0xd9f0a9de, "inode_init_once" },
	{ 0xd407f56c, "file_write_and_wait_range" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xbbd681be, "nosteal_pipe_buf_ops" },
	{ 0x445e828d, "ilookup5" },
	{ 0xd65e7c49, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f8c2e06, "inode_nohighmem" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x7de31e9a, "release_pages" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x3480ab1, "generic_file_direct_write" },
	{ 0x58e274d9, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x226adf0a, "generic_file_read_iter" },
	{ 0xadb6ef40, "inode_maybe_inc_iversion" },
	{ 0xe1281cfe, "unlock_page" },
	{ 0xde2067d7, "inc_node_page_state" },
	{ 0xe594bd94, "thp_get_unmapped_area" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xb24118aa, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb56d3c30, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x2336003, "backing_file_splice_read" },
	{ 0xb5f86994, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0xb29f96fc, "zero_user_segments" },
	{ 0x6c23423a, "write_cache_pages" },
	{ 0xe186ea65, "file_update_time" },
	{ 0xd1f4f2fd, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4c7ed64e, "kmem_cache_alloc_lru_noprof" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x15a4d9f8, "fget_raw" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x44736ba4, "from_kgid" },
	{ 0x7a97913d, "fasync_helper" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xdf98975e, "file_remove_privs" },
	{ 0x9204d906, "from_vfsgid" },
	{ 0x2cfc4782, "write_inode_now" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x1e3b3ceb, "d_obtain_alias" },
	{ 0x61d3ba88, "file_modified" },
	{ 0x2b361994, "copy_page_to_iter" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xe709f5f6, "folio_end_read" },
	{ 0x7c842b33, "finish_no_open" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x1927acde, "__folio_start_writeback" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x201b39de, "kill_litter_super" },
	{ 0x9aa3182b, "folio_end_writeback" },
	{ 0x6eacd0b1, "folio_alloc_noprof" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x5ce076be, "from_kuid" },
	{ 0xefc6b659, "current_in_userns" },
	{ 0x5d1f7d5a, "fc_mount" },
	{ 0x54a7195b, "sysfs_remove_mount_point" },
	{ 0x325cda0a, "misc_register" },
	{ 0x52a6e453, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd9a2dcf9, "in_group_or_capable" },
	{ 0x3174c6cb, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x617937ba, "d_delete" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x8c9e2295, "from_kgid_munged" },
	{ 0x84478808, "end_page_writeback" },
	{ 0xf9664454, "kobject_create_and_add" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x1a2415a4, "wb_writeout_inc" },
	{ 0xf9352151, "nonseekable_open" },
	{ 0x220f16e4, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa52d2a8a, "backing_file_read_iter" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x3aed76fb, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3a8f294, "generic_read_dir" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x2365e322, "d_add" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x36710792, "init_user_ns" },
	{ 0xc2337ac1, "folio_copy" },
	{ 0xceb588c2, "d_find_alias" },
	{ 0xe29559e2, "invalidate_inode_pages2" },
	{ 0x9322d788, "inode_set_ctime_current" },
	{ 0xb1337d84, "inc_nlink" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x627d7521, "get_tree_bdev" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xe1045711, "set_anon_super_fc" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x74847808, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x8072156, "generic_delete_inode" },
	{ 0xade58523, "deactivate_locked_super" },
	{ 0x3383a07c, "touch_atime" },
	{ 0x8fb1da56, "__d_lookup_unhash_wake" },
	{ 0x393c8e75, "set_page_dirty_lock" },
	{ 0xc5a23d27, "pid_nr_ns" },
	{ 0x473130a4, "generic_file_open" },
	{ 0xaad8b111, "truncate_inode_pages_range" },
	{ 0x474af968, "__put_user_ns" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x9d117d5a, "__folio_lock" },
	{ 0x3be41d6c, "filemap_dirty_folio" },
	{ 0xcd3f6c83, "pagecache_get_page" },
	{ 0x174d21bd, "stream_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xbe3290b6, "add_to_pipe" },
	{ 0xe0138f0e, "__fs_parse" },
	{ 0xf355cab0, "filemap_splice_read" },
	{ 0xaae19137, "posix_acl_to_xattr" },
	{ 0x7d75b784, "dget_parent" },
	{ 0x688ab85d, "kill_anon_super" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xaed6a27f, "iget5_locked" },
	{ 0xb4b18ad9, "security_dentry_init_security" },
	{ 0x57f12342, "filemap_write_and_wait_range" },
	{ 0x38a8d420, "page_address" },
	{ 0xb4d16fec, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6a3409cc, "generic_write_checks" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x8868b715, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe95c1846, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xde4aa6d1, "filemap_fault" },
	{ 0xee334835, "d_invalidate" },
	{ 0xdfb30829, "__mark_inode_dirty" },
	{ 0xacce0174, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x2da7f131, "iov_iter_npages" },
	{ 0x601c7736, "drop_nlink" },
	{ 0xba35bed, "fault_in_iov_iter_readable" },
	{ 0x9c8e6041, "filemap_check_errors" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x3289d18e, "fs_param_is_uid" },
	{ 0xbdb6b0fb, "bdi_set_max_ratio" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0xe65a9b9d, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "763F2B9349DCA1B69851CAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
