#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c6ff1a7, "inode_init_owner" },
	{ 0x9efa5b67, "generic_fillattr" },
	{ 0xfca6efca, "setattr_prepare" },
	{ 0xaf4342a2, "iget_locked" },
	{ 0x87bf5cda, "clear_nlink" },
	{ 0x52a90ad1, "generic_block_bmap" },
	{ 0xc7f85cd7, "d_instantiate" },
	{ 0xc5553352, "clear_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8235805b, "memmove" },
	{ 0xf56c6058, "new_inode" },
	{ 0xb259e8c0, "init_special_inode" },
	{ 0xfbf0cc05, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe6b9c56c, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd78c24c, "__blockdev_direct_IO" },
	{ 0xea32ed49, "d_make_root" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x1a6eb1ee, "sb_set_blocksize" },
	{ 0x33ba5239, "sync_filesystem" },
	{ 0x2e4b09c1, "d_splice_alias" },
	{ 0xeec684c3, "load_nls_default" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd129d724, "ihold" },
	{ 0xe7dbfd56, "inode_dio_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xc64a3b52, "read_cache_page" },
	{ 0xdc5c19a3, "cont_write_begin" },
	{ 0x58e0ed64, "iput" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x102140df, "generic_file_write_iter" },
	{ 0x79c5902b, "register_filesystem" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x350c6461, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb81d4d32, "simple_inode_init_ts" },
	{ 0x73f2ac33, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x597e4914, "kill_block_super" },
	{ 0x377686e9, "unlock_new_inode" },
	{ 0x70f7896, "_printk" },
	{ 0xfcd752e0, "block_invalidate_folio" },
	{ 0x1a9afc9c, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xd50f0e4, "load_nls" },
	{ 0x2b0fa770, "generic_cont_expand_simple" },
	{ 0x3e3f2131, "try_to_free_buffers" },
	{ 0x60f20f70, "make_kuid" },
	{ 0x874c69c1, "truncate_inode_pages_final" },
	{ 0xd5b2cbf0, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd9f0a9de, "inode_init_once" },
	{ 0xd407f56c, "file_write_and_wait_range" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0xbbd264b7, "mark_page_accessed" },
	{ 0x8317353c, "cdrom_read_tocentry" },
	{ 0x3e37b367, "seq_escape_mem" },
	{ 0x6f83f529, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f8c2e06, "inode_nohighmem" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x226adf0a, "generic_file_read_iter" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb24118aa, "truncate_pagecache" },
	{ 0x989faf5b, "page_symlink" },
	{ 0xe4907e3d, "setattr_copy" },
	{ 0x420eabe4, "mem_section" },
	{ 0xd1f4f2fd, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4c7ed64e, "kmem_cache_alloc_lru_noprof" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc4733eb, "security_inode_init_security" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x44736ba4, "from_kgid" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xb1bd3d9, "cdrom_multisession" },
	{ 0x93ec9cd2, "blkdev_issue_zeroout" },
	{ 0xdffcad0c, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x604914f1, "bio_add_page" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x2cdd0fc4, "block_dirty_folio" },
	{ 0x7bca5ca7, "inode_add_bytes" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x5ce076be, "from_kuid" },
	{ 0x2bc95bd4, "memset" },
	{ 0x32d70552, "__insert_inode_hash" },
	{ 0xbffe8cf5, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x3174c6cb, "make_kgid" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x8c9e2295, "from_kgid_munged" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf600f5a0, "truncate_setsize" },
	{ 0xcd876b1d, "set_page_dirty" },
	{ 0xe80ae777, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3a8f294, "generic_read_dir" },
	{ 0xebbbc87, "page_symlink_inode_operations" },
	{ 0x85df9b6c, "strsep" },
	{ 0x4a90108f, "mount_bdev" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x36710792, "init_user_ns" },
	{ 0x9322d788, "inode_set_ctime_current" },
	{ 0xb1337d84, "inc_nlink" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x74847808, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x34e0aeb8, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf355cab0, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0x8ce52621, "d_parent_ino" },
	{ 0x57f12342, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xdfb30829, "__mark_inode_dirty" },
	{ 0xacce0174, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x37c70b8a, "bio_alloc_bioset" },
	{ 0xb2688bcb, "unload_nls" },
	{ 0xc1a1cfee, "submit_bio_wait" },
	{ 0x140bce31, "sb_min_blocksize" },
	{ 0x601c7736, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x245917a5, "iget_failed" },
	{ 0x657c35d3, "fs_bio_set" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "5323AF2F33ECC857B74A2B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
