#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x71db7722, "");
SYMBOL_CRC(jbd2_journal_start, 0xcbbddf52, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xbc455764, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x7b0ee76a, "");
SYMBOL_CRC(jbd2__journal_restart, 0x9cc2e0a3, "");
SYMBOL_CRC(jbd2_journal_restart, 0x72f58046, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x85f8091b, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x8838a118, "");
SYMBOL_CRC(jbd2_journal_extend, 0x97e15cb0, "");
SYMBOL_CRC(jbd2_journal_stop, 0xdc1f4706, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x01391b47, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x953bac52, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x44e9d7b1, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x8c584ac2, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xf70cd182, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x7001785f, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xeb237ded, "");
SYMBOL_CRC(jbd2_journal_forget, 0x8dd7d939, "");
SYMBOL_CRC(jbd2_journal_flush, 0xc08f5d00, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x3f796fd1, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xdf325560, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x08ebe298, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x4748863d, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x9fd47edc, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x3788dfc4, "");
SYMBOL_CRC(jbd2_journal_load, 0x5a8a93d7, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xc0aaebd3, "");
SYMBOL_CRC(jbd2_journal_abort, 0xe6e9edeb, "");
SYMBOL_CRC(jbd2_journal_errno, 0xffbea193, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xf02a1ada, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x3fff3410, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x8544c632, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x147694ee, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xd0098fee, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xec432590, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x2fe1cce2, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xfa55df9f, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x0d7f0fee, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x65cd7f7a, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xca9dcaf7, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x8870101b, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xec890f1c, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x6b543c4b, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x0eeb196a, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x8ca9209d, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xe5216737, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x5e918a0b, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xf5f13b52, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x69521cab, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x8a893cd9, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xaf3d19f7, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xfdb1f62a, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x49ff142a, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x918c70f2, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x0c08734d, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x3089e637, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x030f8527, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x8631ed08, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x17912359, "bh_uptodate_or_lock" },
	{ 0x16fec119, "shrinker_alloc" },
	{ 0xc871f928, "blk_start_plug" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb4028c9d, "folio_unlock" },
	{ 0x2fafbf04, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0x2704f75, "mark_buffer_dirty" },
	{ 0x2ad95b7, "__find_get_block" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0xc5afe8bb, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x47399775, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe226ad44, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x58e0ed64, "iput" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x624152d1, "blockdev_superblock" },
	{ 0x975b7482, "proc_create_data" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x86b0f071, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7c7066ea, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa545e52, "alloc_buffer_head" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x823d3787, "shrinker_free" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x7b351b18, "mutex_lock_io" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e3f2131, "try_to_free_buffers" },
	{ 0x6d87e7d3, "sync_blockdev" },
	{ 0x927825ae, "free_buffer_head" },
	{ 0x2b30d371, "shrinker_register" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xf3eeaaa3, "blk_finish_plug" },
	{ 0xdfc74c61, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9abe3a4d, "__brelse" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xda5a8230, "__bh_read_batch" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x27afc2f0, "__wait_on_buffer" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x575c1904, "__bh_read" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x93ec9cd2, "blkdev_issue_zeroout" },
	{ 0xbffd80b7, "filemap_fdatawait_range_keep_errors" },
	{ 0x49e19ad2, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf50b81a1, "freezing_slow_path" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x828a983b, "proc_mkdir" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0xb47217b3, "unlock_buffer" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x5a6124af, "__folio_put" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x6fe05389, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaad8b111, "truncate_inode_pages_range" },
	{ 0x34e0aeb8, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8930b2b6, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x701dc89d, "end_buffer_write_sync" },
	{ 0x74efb5d2, "seq_open" },
	{ 0xc7c5e71e, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0xe19aa29e, "blkdev_issue_discard" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DB03486CEA6A176A21FA4B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
