#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0xd8b82b38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c6bc6be, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x396d1bfb, "nlmclnt_proc" },
	{ 0xf14ccc19, "nfs_writeback_update_inode" },
	{ 0x450ddf14, "nfs_alloc_client" },
	{ 0xe55bbaea, "nfs_dentry_operations" },
	{ 0xa60dbdd9, "xdr_write_pages" },
	{ 0xa5ebfd60, "nfs_access_zap_cache" },
	{ 0xbaecba73, "nfs_wb_all" },
	{ 0x9f300abf, "xdr_inline_decode" },
	{ 0x2da251e, "forget_all_cached_acls" },
	{ 0x8d7b89cd, "nfs_submount" },
	{ 0x34566b51, "__tracepoint_nfs_xdr_status" },
	{ 0xb76c20ea, "nfs_mknod" },
	{ 0x6f1293c1, "nfs_create_server" },
	{ 0x2e60bace, "memcpy" },
	{ 0xae5d0c1, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x3169a189, "nfs_post_op_update_inode" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xd1df9d68, "xdr_read_pages" },
	{ 0xac18dc1b, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x1844fba3, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xecb2f8cb, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5f5d9b6a, "nfs_revalidate_inode" },
	{ 0x29b5d221, "nfs_get_lock_context" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5dbd200c, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x60f20f70, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xecf68f6c, "nfs_get_client" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x30541844, "nfs_file_operations" },
	{ 0x2fccb142, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x1c0fa700, "nfs_put_lock_context" },
	{ 0x3ce2e371, "nfs_rename" },
	{ 0x3049d427, "nfs_lookup" },
	{ 0x2ccc8b65, "nfs_sysfs_link_rpc_client" },
	{ 0x8446a2d6, "nfsacl_encode" },
	{ 0x47fad62c, "posix_acl_create" },
	{ 0x48395030, "get_nfs_open_context" },
	{ 0xd81e9bff, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x3282f9db, "nfs_getattr" },
	{ 0x3f38e9cf, "nfs_zap_acl_cache" },
	{ 0xbcc60c8d, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x4f52f12f, "rpc_bind_new_program" },
	{ 0xd7fec249, "register_nfs_version" },
	{ 0x7d437582, "nfs_atomic_open_v23" },
	{ 0x8c942c52, "rpc_call_start" },
	{ 0x45e8e1bf, "rpc_call_sync" },
	{ 0x16a8d987, "rpc_prepare_reply_pages" },
	{ 0x4a5bbc22, "nfs_fs_type" },
	{ 0xd207d44d, "nfs_setattr" },
	{ 0xa35dded5, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xe8ed909f, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x3174c6cb, "make_kgid" },
	{ 0x8c9e2295, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xb3e5fc04, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8461a3e9, "nfs_rmdir" },
	{ 0xdd186c0f, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8f534570, "nfs_async_iocounter_wait" },
	{ 0xb8a1544f, "nfs_setattr_update_inode" },
	{ 0x6a5c4573, "nfs_sops" },
	{ 0x36710792, "init_user_ns" },
	{ 0xf4791405, "rpc_restart_call" },
	{ 0x9aa4b6f6, "nfs_link" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x74847808, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xb736bcb7, "put_nfs_open_context" },
	{ 0xdaca1e36, "nfs_permission" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x1efb8c90, "nfs_add_or_obtain" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfbf757e7, "nfs_free_client" },
	{ 0x40e09563, "nfs_close_context" },
	{ 0xfbc74bb7, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xe44b3f0, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x545ff293, "nfs_symlink" },
	{ 0xdfa3cc31, "nfs_unlink" },
	{ 0x2e00b0e3, "forget_cached_acl" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "12BE3500CFC85C0BEACCCFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
