#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x5e9504de, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xf6b100d5, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x17ec5275, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x98b0ade1, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x025a453b, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x631c6217, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x77a83a63, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x51db3ad0, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x126d0a63, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x2e1119ae, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xfa14a046, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x55a253bc, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xa02df320, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xebfe2864, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x1bb1a401, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x1b2325ba, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x802046c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x96efed71, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xd47333c2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xd92de799, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x02da1276, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xe4521972, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x1d57c82c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xe4a7e3bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x0d381e90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xd15d06b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x8be24f50, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xcd03923e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdd342fa8, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x91b45ecc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x6e637af7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x2db5cda2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x555bb1db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xa470ab67, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x0bd06bd1, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x5b10e318, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x18b41178, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x0ea6260d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x2f1e21ba, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xed340273, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x2174b794, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x1c27d83b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x39d8a50e, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x0a8be6d9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x0ea40716, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x225f7e44, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x13776549, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xd88aa0fc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x6bec9822, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xd655deaf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xb4284c9b, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x30db4b05, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x585de456, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x88092d05, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x1622ee6c, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xc1cded6e, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x0df18be9, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x9e9772aa, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x0072886f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xab0517e4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x8c4aa1c5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x24183731, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x723b43c7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x4304b348, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x354ec110, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x28d19c50, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xa73a258b, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x7f8e45ca, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xdea3206d, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x5e909bd7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x983c97fc, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xa1447b1d, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xdad8be2a, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x3d8d4818, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xbb5a7169, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xc43159a2, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x8533fd27, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xf43dc946, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xdbb34e88, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x217b85a9, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x28aedb74, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x74890eeb, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x59ddc636, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x9d0fd16f, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x15ef2fa5, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xbc89f25f, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xb7c03013, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xda7c23df, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x2ea5e74b, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x14f46144, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x6a18112f, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xc1a2fe3a, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x9ff16da3, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xb81de737, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xbbb305f8, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x85058467, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x1823fc75, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x020c0033, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x0addb7c0, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x607a03ab, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x93c7c005, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8f18fb9, "rpc_put_task" },
	{ 0x21955cf8, "nfs4_stat_to_errno" },
	{ 0x5f73080e, "svc_generic_rpcbind_set" },
	{ 0x6c6bc6be, "nfs_clone_server" },
	{ 0xdc7891dc, "nfs_access_add_cache" },
	{ 0xc20b3c37, "filemap_fdatawrite" },
	{ 0xb08d2757, "nfs_show_stats" },
	{ 0x9de21347, "nfs_server_remove_lists" },
	{ 0x16fec119, "shrinker_alloc" },
	{ 0x6647d699, "nfs42_ssc_unregister" },
	{ 0x6dc5022f, "generic_listxattr" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x26ec69d, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf14ccc19, "nfs_writeback_update_inode" },
	{ 0xc5553352, "clear_inode" },
	{ 0x357246ac, "inode_to_bdi" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x82f28880, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x1057528b, "user_revoke" },
	{ 0x9bf9e52b, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x450ddf14, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xafc31bda, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x41e02e0e, "rpc_clnt_probe_trunked_xprts" },
	{ 0x7ae9df75, "nfs_pageio_reset_read_mds" },
	{ 0xa60dbdd9, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x81042bf4, "rpc_shutdown_client" },
	{ 0xa0a8000a, "svc_bind" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x4304f754, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x13477a03, "nfs_free_inode" },
	{ 0xa5ebfd60, "nfs_access_zap_cache" },
	{ 0x3e98d2f2, "nfs_sb_deactive" },
	{ 0xbaecba73, "nfs_wb_all" },
	{ 0x2c808de9, "__break_lease" },
	{ 0x4565c135, "nfs_pageio_init_write" },
	{ 0x4910d162, "svc_recv" },
	{ 0xfade8c52, "nfs_drop_inode" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9f300abf, "xdr_inline_decode" },
	{ 0xbf98ab6b, "nfs_pageio_init_read" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xdbeff9ed, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xe92e0e5b, "nfs_init_commit" },
	{ 0x9a610ee7, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xcf198110, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0xb76c20ea, "nfs_mknod" },
	{ 0x94f7053f, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7ac82c4b, "nfs4_label_alloc" },
	{ 0x7dec200d, "rpc_localaddr" },
	{ 0xf9f044fc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x458f1d9d, "nfs_access_get_cached" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xe6583e52, "nfs_lock" },
	{ 0x40025743, "unregister_key_type" },
	{ 0xb62111e1, "nfs_client_init_is_complete" },
	{ 0xdd9ea842, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e4b09c1, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0xaaa5980a, "user_preparse" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xd129d724, "ihold" },
	{ 0x962585b4, "truncate_pagecache_range" },
	{ 0xf3f7bd14, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xc73964c5, "invalidate_inode_pages2_range" },
	{ 0x3169a189, "nfs_post_op_update_inode" },
	{ 0xed2cce87, "svc_exit_thread" },
	{ 0x58e0ed64, "iput" },
	{ 0xb977b986, "xdr_set_pagelen" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4476d261, "nfs_pgio_header_free" },
	{ 0xd42cdff2, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7f37fe3a, "logfc" },
	{ 0x7fdc8823, "nfs_pgio_header_alloc" },
	{ 0x3d395440, "iter_file_splice_write" },
	{ 0x4b3bd19d, "rpc_pton" },
	{ 0x56b38e80, "nfs_sb_active" },
	{ 0xbe23d4a7, "mod_node_page_state" },
	{ 0x17cc1b6b, "rpc_ntop" },
	{ 0xc3e66016, "rpc_wake_up_queued_task" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7854b99f, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xa8f5a0e, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x45dded8b, "_copy_from_pages" },
	{ 0xb241889d, "__module_get" },
	{ 0x9f946881, "rpc_task_release_transport" },
	{ 0xf08fc514, "xdr_page_pos" },
	{ 0xc244f4d2, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x7c7a4285, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa425ce39, "key_instantiate_and_link" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0x462a2e75, "match_strlcpy" },
	{ 0xd1df9d68, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf77c8b15, "register_key_type" },
	{ 0xda833ce7, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1149b44b, "rpc_run_task" },
	{ 0xd2d24a3b, "nfs_pageio_resend" },
	{ 0x6bdbbe1a, "keyring_alloc" },
	{ 0x74814927, "vfs_setpos" },
	{ 0x1844fba3, "nfs_create" },
	{ 0x690ba9f6, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb26ff44d, "__put_cred" },
	{ 0x522fcb04, "nfs_update_delegated_mtime" },
	{ 0xed5f3961, "nfs_statfs" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x823d3787, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x1519322, "splice_file_range" },
	{ 0x1d496c09, "rpc_max_bc_payload" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x6648b1e9, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x9a692120, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xecb2f8cb, "nfs_mkdir" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5f5d9b6a, "nfs_revalidate_inode" },
	{ 0xf6ad58ea, "inode_newsize_ok" },
	{ 0xefc2a2d, "nfs_file_mmap" },
	{ 0x29b5d221, "nfs_get_lock_context" },
	{ 0x42eab7c, "d_drop" },
	{ 0x70f7896, "_printk" },
	{ 0xa2cb1455, "nfs_set_cache_invalid" },
	{ 0x1dac0ecb, "rpc_release_client" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf78754f7, "rpc_clnt_manage_trunked_xprts" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x81a8bc9f, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc563cb07, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1aedc5aa, "unregister_sysctl_table" },
	{ 0xaae3b07d, "nfs_generic_pgio" },
	{ 0x60f20f70, "make_kuid" },
	{ 0x874c69c1, "truncate_inode_pages_final" },
	{ 0x96175302, "generic_setlease" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x9706098, "xprt_destroy_backchannel" },
	{ 0xbdbedd23, "rpc_switch_client_transport" },
	{ 0x738803e6, "strnlen" },
	{ 0xd6ca2e32, "nfs_scan_commit_list" },
	{ 0x8ad35d86, "xdr_stream_decode_string_dup" },
	{ 0x9ba21810, "nfs_commit_inode" },
	{ 0x2b30d371, "shrinker_register" },
	{ 0x956d73d0, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x12dff147, "rpc_destroy_pipe_data" },
	{ 0xecf68f6c, "nfs_get_client" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x2dc7a2b8, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb15e4c1, "nfs_atomic_open" },
	{ 0x643e5db5, "rpc_pipe_generic_upcall" },
	{ 0x53f6a0a7, "nfs_file_fsync" },
	{ 0x62e67e7d, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x2a949c75, "mntput" },
	{ 0x1c0fa700, "nfs_put_lock_context" },
	{ 0x3ce2e371, "nfs_rename" },
	{ 0x3049d427, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0x2ccc8b65, "nfs_sysfs_link_rpc_client" },
	{ 0x1c4cb938, "nfs_put_client" },
	{ 0x532b1f0c, "nfs_show_options" },
	{ 0x8aafd9a5, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x8cb72246, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x322581ff, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x48395030, "get_nfs_open_context" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xe830e551, "nfs_clear_verifier_delegated" },
	{ 0xdba7da73, "nfs_sysfs_add_server" },
	{ 0x58e274d9, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xce0eef97, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xc001269a, "nfs_do_submount" },
	{ 0xa2f94ee1, "vfs_dup_fs_context" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x518a4d89, "request_key_with_auxdata" },
	{ 0xdfac779b, "rpc_clone_client_set_auth" },
	{ 0x930eadc9, "rpc_clone_client" },
	{ 0x2cf17f84, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd542e987, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe2082adb, "svc_rpcb_cleanup" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x6a7c77d3, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb56d3c30, "put_fs_context" },
	{ 0xa5bb5d70, "nfs_retry_commit" },
	{ 0xf70b2438, "nfs4_dentry_operations" },
	{ 0xd7d22e95, "__module_put_and_kthread_exit" },
	{ 0xb69b5e0d, "rpc_peeraddr2str" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0x40d4946d, "nfs_client_for_each_server" },
	{ 0x7e0c263d, "nfs_clear_inode" },
	{ 0x43f6208b, "rpc_sleep_on_priority" },
	{ 0xd81e9bff, "nfs_invalidate_atime" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x6e119f62, "nfs_umount_begin" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x3282f9db, "nfs_getattr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x76829515, "nfs_pageio_reset_write_mds" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0xfdb8a08f, "nfs_generic_pg_test" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x55902f81, "xdr_stream_subsegment" },
	{ 0x3f38e9cf, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x4a3c9c45, "nfs_fscache_open_file" },
	{ 0x44736ba4, "from_kgid" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3708343f, "nfs_write_inode" },
	{ 0x48385d97, "nfs_request_remove_commit_list" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xd62ff850, "page_to_nid" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x657405b6, "rpc_wake_up_first" },
	{ 0xecf110dc, "alloc_nfs_open_context" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x4acdb85c, "vfs_parse_fs_param" },
	{ 0x5e48babd, "nfs_path" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x87e91533, "rpc_sleep_on_priority_timeout" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x1faf10f1, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd7fec249, "register_nfs_version" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2ab6be3b, "rpc_sleep_on_timeout" },
	{ 0x7de972a3, "list_lru_count_one" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xb5d6c674, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x8c942c52, "rpc_call_start" },
	{ 0x509f7546, "xprt_setup_backchannel" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0xfeaee1f3, "svc_create" },
	{ 0xad0e7cd, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xeb81f353, "nfs_file_set_open_context" },
	{ 0xbbbb6e51, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x45e8e1bf, "rpc_call_sync" },
	{ 0x5ce076be, "from_kuid" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x8ac6b57c, "rpc_put_task_async" },
	{ 0x16a8d987, "rpc_prepare_reply_pages" },
	{ 0x9a5b11ab, "rpc_queue_upcall" },
	{ 0xd14b5f1b, "nfs_free_server" },
	{ 0x5d1f7d5a, "fc_mount" },
	{ 0x680d686a, "register_sysctl_sz" },
	{ 0xd207d44d, "nfs_setattr" },
	{ 0x2bc95bd4, "memset" },
	{ 0xa35dded5, "xdr_terminate_string" },
	{ 0xd48594a1, "nfs4_fs_type" },
	{ 0x39b41ea2, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xe8ed909f, "rpc_delay" },
	{ 0xaead3ead, "nfs_flock" },
	{ 0x893a5c11, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x99b91278, "__list_lru_init" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1e0c8959, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x9bd1a7d8, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x5b92728b, "rpc_exit" },
	{ 0x3174c6cb, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x66b73f63, "rpc_remove_pipe_dir_object" },
	{ 0xe7d8aefd, "nfs_may_open" },
	{ 0x8c9e2295, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x683ea836, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xb3e5fc04, "xdr_reserve_space" },
	{ 0x8e0b1194, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8461a3e9, "nfs_rmdir" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xbe185be0, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x528bafb0, "nfs_filemap_write_and_wait_range" },
	{ 0x502fa019, "rpc_mkpipe_dentry" },
	{ 0x98b8677b, "alloc_file_pseudo" },
	{ 0x45bc118f, "rpc_mkpipe_data" },
	{ 0x44aa499d, "rpc_add_pipe_dir_object" },
	{ 0x3aed76fb, "igrab" },
	{ 0xdd186c0f, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8f534570, "nfs_async_iocounter_wait" },
	{ 0x6d9ff39e, "nfs_file_read" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x5bb0e2f7, "nfs_alloc_fattr_with_label" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xbf40ced8, "filemap_fdatawait_range" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x5fddef9e, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb8a1544f, "nfs_setattr_update_inode" },
	{ 0xf32dbe6d, "nfs_instantiate" },
	{ 0x36710792, "init_user_ns" },
	{ 0xcc589128, "rpc_uaddr2sockaddr" },
	{ 0x5388363f, "user_read" },
	{ 0xf4791405, "rpc_restart_call" },
	{ 0xcc1164fe, "request_key_tag" },
	{ 0x887ff7be, "xprt_force_disconnect" },
	{ 0xae6c01ef, "user_free_preparse" },
	{ 0x5a5d8705, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x45f8f003, "svc_xprt_destroy_all" },
	{ 0x2c31aa2b, "generic_key_instantiate" },
	{ 0xb1337d84, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x9aa4b6f6, "nfs_link" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc7a89b55, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x546193ac, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x74847808, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x85174991, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1503bf28, "xdr_stream_move_subsegment" },
	{ 0xd74dda61, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x4a936268, "nfs_post_op_update_inode_force_wcc" },
	{ 0x1da5cfe8, "nfs_pgheader_init" },
	{ 0xb736bcb7, "put_nfs_open_context" },
	{ 0xe2559b21, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xdfafee7d, "nfs_show_devname" },
	{ 0xdaca1e36, "nfs_permission" },
	{ 0xb2c00adb, "nfs_initiate_commit" },
	{ 0xaad8b111, "truncate_inode_pages_range" },
	{ 0x474af968, "__put_user_ns" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0xbcb3fc6b, "cred_fscmp" },
	{ 0xdb395136, "rpc_unlink" },
	{ 0xf3615002, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4a9f92c0, "nfs_file_write" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x1493d37b, "node_data" },
	{ 0xb28fab52, "nfs_probe_server" },
	{ 0xb414eff, "nfs_setsecurity" },
	{ 0xb8f14481, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x1c1028e8, "rpc_clnt_test_and_add_xprt" },
	{ 0xb43581d8, "file_ra_state_init" },
	{ 0x103c90dd, "nfs_force_lookup_revalidate" },
	{ 0x76806ab9, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcfd42086, "rpc_clnt_add_xprt" },
	{ 0x7d75b784, "dget_parent" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0xb881381, "prepare_kernel_cred" },
	{ 0xb9dfa068, "nfs_alloc_server" },
	{ 0x86c76b8f, "rpc_call_async" },
	{ 0xb4b18ad9, "security_dentry_init_security" },
	{ 0x57f12342, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x6be9e50, "nfs_server_insert_lists" },
	{ 0x38a8d420, "page_address" },
	{ 0x38b8bc4a, "nfs_dreq_bytes_left" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfbf757e7, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x64e757a5, "rpc_init_pipe_dir_object" },
	{ 0x32b627bf, "bpf_trace_run7" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xfbc74bb7, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x42bbce22, "nfs_init_server_rpcclient" },
	{ 0xdfb30829, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1b6833c2, "rpc_set_connect_timeout" },
	{ 0xdcbc1577, "rpcauth_create" },
	{ 0xe44b3f0, "xdr_stream_pos" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x6e61ab75, "key_set_timeout" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x29f3a126, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x6245d3b1, "svc_xprt_create" },
	{ 0xa5958306, "nfs42_ssc_register" },
	{ 0xae85efd4, "rpc_wait_for_completion_task" },
	{ 0x601c7736, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc64591c7, "rpc_num_bc_slots" },
	{ 0xceb5c215, "nfs_alloc_inode" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcfd6120e, "rpc_destroy_wait_queue" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x4ffac5ee, "security_inode_listsecurity" },
	{ 0xa8acc161, "nfs_fhget" },
	{ 0x545ff293, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x330c10d7, "locks_copy_lock" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xdfa3cc31, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x204890b5, "nfs_set_verifier" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "B8A510B20DC989DB1593B59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
