#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libceph_compatible, "", "");
KSYMTAB_FUNC(ceph_msg_type_name, "", "");
KSYMTAB_FUNC(ceph_check_fsid, "", "");
KSYMTAB_FUNC(ceph_compare_options, "", "");
KSYMTAB_FUNC(ceph_parse_fsid, "", "");
KSYMTAB_FUNC(ceph_alloc_options, "", "");
KSYMTAB_FUNC(ceph_destroy_options, "", "");
KSYMTAB_FUNC(ceph_parse_mon_ips, "", "");
KSYMTAB_FUNC(ceph_parse_param, "", "");
KSYMTAB_FUNC(ceph_print_client_options, "", "");
KSYMTAB_FUNC(ceph_client_addr, "", "");
KSYMTAB_FUNC(ceph_client_gid, "", "");
KSYMTAB_FUNC(ceph_create_client, "", "");
KSYMTAB_FUNC(ceph_destroy_client, "", "");
KSYMTAB_FUNC(ceph_reset_client_addr, "", "");
KSYMTAB_FUNC(__ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_open_session, "", "");
KSYMTAB_FUNC(ceph_wait_for_latest_osdmap, "", "");
KSYMTAB_FUNC(ceph_pr_addr, "", "");
KSYMTAB_FUNC(ceph_msgr_flush, "", "");
KSYMTAB_FUNC(ceph_con_close, "", "");
KSYMTAB_FUNC(ceph_con_open, "", "");
KSYMTAB_FUNC(ceph_con_init, "", "");
KSYMTAB_FUNC(ceph_addr_is_blank, "", "");
KSYMTAB_FUNC(ceph_con_send, "", "");
KSYMTAB_FUNC(ceph_con_keepalive, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pages, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_pagelist, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bio, "", "");
KSYMTAB_FUNC(ceph_msg_data_add_bvecs, "", "");
KSYMTAB_FUNC(ceph_msg_new2, "", "");
KSYMTAB_FUNC(ceph_msg_new, "", "");
KSYMTAB_FUNC(ceph_msg_get, "", "");
KSYMTAB_FUNC(ceph_msg_put, "", "");
KSYMTAB_FUNC(ceph_msg_dump, "", "");
KSYMTAB_FUNC(ceph_buffer_new, "", "");
KSYMTAB_FUNC(ceph_buffer_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_alloc, "", "");
KSYMTAB_FUNC(ceph_pagelist_release, "", "");
KSYMTAB_FUNC(ceph_pagelist_append, "", "");
KSYMTAB_FUNC(ceph_pagelist_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_free_reserve, "", "");
KSYMTAB_FUNC(ceph_pagelist_set_cursor, "", "");
KSYMTAB_FUNC(ceph_pagelist_truncate, "", "");
KSYMTAB_FUNC(ceph_monc_want_map, "", "");
KSYMTAB_FUNC(ceph_monc_got_map, "", "");
KSYMTAB_FUNC(ceph_monc_renew_subs, "", "");
KSYMTAB_FUNC(ceph_monc_wait_osdmap, "", "");
KSYMTAB_FUNC(ceph_monc_open_session, "", "");
KSYMTAB_FUNC(ceph_monc_do_statfs, "", "");
KSYMTAB_FUNC(ceph_monc_get_version, "", "");
KSYMTAB_FUNC(ceph_monc_get_version_async, "", "");
KSYMTAB_FUNC(ceph_monc_blocklist_add, "", "");
KSYMTAB_FUNC(ceph_monc_init, "", "");
KSYMTAB_FUNC(ceph_monc_stop, "", "");
KSYMTAB_FUNC(ceph_monc_validate_auth, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addr, "", "");
KSYMTAB_FUNC(ceph_decode_entity_addrvec, "", "");
KSYMTAB_FUNC(ceph_cls_lock, "", "");
KSYMTAB_FUNC(ceph_cls_unlock, "", "");
KSYMTAB_FUNC(ceph_cls_break_lock, "", "");
KSYMTAB_FUNC(ceph_cls_set_cookie, "", "");
KSYMTAB_FUNC(ceph_free_lockers, "", "");
KSYMTAB_FUNC(ceph_cls_lock_info, "", "");
KSYMTAB_FUNC(ceph_cls_assert_locked, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data, "", "");
KSYMTAB_FUNC(osd_req_op_raw_data_in_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bio, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_data_bvec_pos, "", "");
KSYMTAB_FUNC(osd_req_op_extent_osd_iter, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pagelist, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_pages, "", "");
KSYMTAB_FUNC(osd_req_op_cls_request_data_bvecs, "", "");
KSYMTAB_FUNC(osd_req_op_cls_response_data_pages, "", "");
KSYMTAB_FUNC(ceph_osdc_get_request, "", "");
KSYMTAB_FUNC(ceph_osdc_put_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_request, "", "");
KSYMTAB_FUNC(ceph_osdc_alloc_messages, "", "");
KSYMTAB_FUNC(osd_req_op_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_init, "", "");
KSYMTAB_FUNC(osd_req_op_extent_update, "", "");
KSYMTAB_FUNC(osd_req_op_extent_dup_last, "", "");
KSYMTAB_FUNC(osd_req_op_cls_init, "", "");
KSYMTAB_FUNC(osd_req_op_xattr_init, "", "");
KSYMTAB_FUNC(osd_req_op_alloc_hint_init, "", "");
KSYMTAB_FUNC(ceph_osdc_new_request, "", "");
KSYMTAB_FUNC(__ceph_alloc_sparse_ext_map, "", "");
KSYMTAB_FUNC(ceph_osdc_abort_requests, "", "");
KSYMTAB_FUNC(ceph_osdc_clear_abort_err, "", "");
KSYMTAB_FUNC(ceph_osdc_update_epoch_barrier, "", "");
KSYMTAB_FUNC(ceph_osdc_start_request, "", "");
KSYMTAB_FUNC(ceph_osdc_cancel_request, "", "");
KSYMTAB_FUNC(ceph_osdc_wait_request, "", "");
KSYMTAB_FUNC(ceph_osdc_sync, "", "");
KSYMTAB_FUNC(ceph_osdc_watch, "", "");
KSYMTAB_FUNC(ceph_osdc_unwatch, "", "");
KSYMTAB_FUNC(ceph_osdc_notify_ack, "", "");
KSYMTAB_FUNC(ceph_osdc_notify, "", "");
KSYMTAB_FUNC(ceph_osdc_list_watchers, "", "");
KSYMTAB_FUNC(ceph_osdc_flush_notifies, "", "");
KSYMTAB_FUNC(ceph_osdc_maybe_request_map, "", "");
KSYMTAB_FUNC(ceph_osdc_call, "", "");
KSYMTAB_FUNC(osd_req_op_copy_from_init, "", "");
KSYMTAB_FUNC(ceph_pg_pool_name_by_id, "", "");
KSYMTAB_FUNC(ceph_pg_poolid_by_name, "", "");
KSYMTAB_FUNC(ceph_pg_pool_flags, "", "");
KSYMTAB_FUNC(ceph_oloc_copy, "", "");
KSYMTAB_FUNC(ceph_oloc_destroy, "", "");
KSYMTAB_FUNC(ceph_oid_copy, "", "");
KSYMTAB_FUNC(ceph_oid_printf, "", "");
KSYMTAB_FUNC(ceph_oid_aprintf, "", "");
KSYMTAB_FUNC(ceph_oid_destroy, "", "");
KSYMTAB_FUNC(ceph_object_locator_to_pg, "", "");
KSYMTAB_FUNC(ceph_pg_to_acting_primary, "", "");
KSYMTAB_FUNC(ceph_calc_file_object_mapping, "", "");
KSYMTAB_FUNC(ceph_file_to_extents, "", "");
KSYMTAB_FUNC(ceph_iterate_extents, "", "");
KSYMTAB_FUNC(ceph_extent_to_file, "", "");
KSYMTAB_FUNC(ceph_get_num_objects, "", "");
KSYMTAB_FUNC(ceph_auth_is_authenticated, "", "");
KSYMTAB_FUNC(__ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_destroy_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_add_authorizer_challenge, "", "");
KSYMTAB_FUNC(ceph_auth_verify_authorizer_reply, "", "");
KSYMTAB_FUNC(ceph_auth_invalidate_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_get_authorizer, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_more, "", "");
KSYMTAB_FUNC(ceph_auth_handle_svc_reply_done, "", "");
KSYMTAB_FUNC(ceph_auth_handle_bad_authorizer, "", "");
KSYMTAB_FUNC(ceph_entity_type_name, "", "");
KSYMTAB_FUNC(ceph_str_hash, "", "");
KSYMTAB_FUNC(ceph_str_hash_name, "", "");
KSYMTAB_FUNC(ceph_put_page_vector, "", "");
KSYMTAB_FUNC(ceph_release_page_vector, "", "");
KSYMTAB_FUNC(ceph_alloc_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_user_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_to_page_vector, "", "");
KSYMTAB_FUNC(ceph_copy_from_page_vector, "", "");
KSYMTAB_FUNC(ceph_zero_page_vector_range, "", "");
KSYMTAB_FUNC(ceph_create_snap_context, "", "");
KSYMTAB_FUNC(ceph_get_snap_context, "", "");
KSYMTAB_FUNC(ceph_put_snap_context, "", "");
KSYMTAB_FUNC(ceph_find_or_create_string, "", "");
KSYMTAB_FUNC(ceph_release_string, "", "");

SYMBOL_CRC(libceph_compatible, 0x466b85b8, "");
SYMBOL_CRC(ceph_msg_type_name, 0xb54676fa, "");
SYMBOL_CRC(ceph_check_fsid, 0x55738ee2, "");
SYMBOL_CRC(ceph_compare_options, 0xb86621d0, "");
SYMBOL_CRC(ceph_parse_fsid, 0x4affd6c2, "");
SYMBOL_CRC(ceph_alloc_options, 0x987d3968, "");
SYMBOL_CRC(ceph_destroy_options, 0xd4d736db, "");
SYMBOL_CRC(ceph_parse_mon_ips, 0xdb8d26fb, "");
SYMBOL_CRC(ceph_parse_param, 0x07120c1e, "");
SYMBOL_CRC(ceph_print_client_options, 0x4513e635, "");
SYMBOL_CRC(ceph_client_addr, 0xfb3e3ac7, "");
SYMBOL_CRC(ceph_client_gid, 0x7f31db17, "");
SYMBOL_CRC(ceph_create_client, 0x1f4b62b2, "");
SYMBOL_CRC(ceph_destroy_client, 0xcfcc7909, "");
SYMBOL_CRC(ceph_reset_client_addr, 0x9c37e162, "");
SYMBOL_CRC(__ceph_open_session, 0xba0380a8, "");
SYMBOL_CRC(ceph_open_session, 0xafffea24, "");
SYMBOL_CRC(ceph_wait_for_latest_osdmap, 0x5fed84c8, "");
SYMBOL_CRC(ceph_pr_addr, 0x6a7a38a0, "");
SYMBOL_CRC(ceph_msgr_flush, 0xafb8a407, "");
SYMBOL_CRC(ceph_con_close, 0x52c9a338, "");
SYMBOL_CRC(ceph_con_open, 0x690770d6, "");
SYMBOL_CRC(ceph_con_init, 0xeceeb0db, "");
SYMBOL_CRC(ceph_addr_is_blank, 0xf254297e, "");
SYMBOL_CRC(ceph_con_send, 0x67bb2ed4, "");
SYMBOL_CRC(ceph_con_keepalive, 0x8b5d1ddb, "");
SYMBOL_CRC(ceph_msg_data_add_pages, 0x1219618f, "");
SYMBOL_CRC(ceph_msg_data_add_pagelist, 0xd97c493b, "");
SYMBOL_CRC(ceph_msg_data_add_bio, 0xa45fec5c, "");
SYMBOL_CRC(ceph_msg_data_add_bvecs, 0xdf404492, "");
SYMBOL_CRC(ceph_msg_new2, 0x99ba90a4, "");
SYMBOL_CRC(ceph_msg_new, 0xa7555e21, "");
SYMBOL_CRC(ceph_msg_get, 0x5a659bdb, "");
SYMBOL_CRC(ceph_msg_put, 0x8657251b, "");
SYMBOL_CRC(ceph_msg_dump, 0x69db2cad, "");
SYMBOL_CRC(ceph_buffer_new, 0x3522979c, "");
SYMBOL_CRC(ceph_buffer_release, 0xb72c162e, "");
SYMBOL_CRC(ceph_pagelist_alloc, 0x0a3c60e0, "");
SYMBOL_CRC(ceph_pagelist_release, 0x644b6e50, "");
SYMBOL_CRC(ceph_pagelist_append, 0x1cba3f20, "");
SYMBOL_CRC(ceph_pagelist_reserve, 0x6edb8cb7, "");
SYMBOL_CRC(ceph_pagelist_free_reserve, 0x8bd5050e, "");
SYMBOL_CRC(ceph_pagelist_set_cursor, 0xc20c8ca8, "");
SYMBOL_CRC(ceph_pagelist_truncate, 0xf562aab7, "");
SYMBOL_CRC(ceph_monc_want_map, 0x7ccfdcf1, "");
SYMBOL_CRC(ceph_monc_got_map, 0x4f2e3a83, "");
SYMBOL_CRC(ceph_monc_renew_subs, 0xaa312647, "");
SYMBOL_CRC(ceph_monc_wait_osdmap, 0x5378df0b, "");
SYMBOL_CRC(ceph_monc_open_session, 0xb7650be3, "");
SYMBOL_CRC(ceph_monc_do_statfs, 0x3e253434, "");
SYMBOL_CRC(ceph_monc_get_version, 0xad6441c5, "");
SYMBOL_CRC(ceph_monc_get_version_async, 0x3a7b1d34, "");
SYMBOL_CRC(ceph_monc_blocklist_add, 0x433a7522, "");
SYMBOL_CRC(ceph_monc_init, 0x7d3df5af, "");
SYMBOL_CRC(ceph_monc_stop, 0x72ae003c, "");
SYMBOL_CRC(ceph_monc_validate_auth, 0x0748081d, "");
SYMBOL_CRC(ceph_decode_entity_addr, 0xd4eb7735, "");
SYMBOL_CRC(ceph_decode_entity_addrvec, 0x50603ce3, "");
SYMBOL_CRC(ceph_cls_lock, 0xb1072939, "");
SYMBOL_CRC(ceph_cls_unlock, 0xf39526fa, "");
SYMBOL_CRC(ceph_cls_break_lock, 0x94b550e1, "");
SYMBOL_CRC(ceph_cls_set_cookie, 0xa9d72c31, "");
SYMBOL_CRC(ceph_free_lockers, 0xa698f998, "");
SYMBOL_CRC(ceph_cls_lock_info, 0x896cc51b, "");
SYMBOL_CRC(ceph_cls_assert_locked, 0xc75daa6a, "");
SYMBOL_CRC(osd_req_op_extent_osd_data, 0x355a179b, "");
SYMBOL_CRC(osd_req_op_raw_data_in_pages, 0xefe814c1, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pages, 0x229eefc0, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_pagelist, 0xaec0add2, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bio, 0xf63a4ae8, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvecs, 0xe61212bb, "");
SYMBOL_CRC(osd_req_op_extent_osd_data_bvec_pos, 0x22c51a7a, "");
SYMBOL_CRC(osd_req_op_extent_osd_iter, 0x425407c6, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pagelist, 0x5ef8d886, "");
SYMBOL_CRC(osd_req_op_cls_request_data_pages, 0x893c0c15, "");
SYMBOL_CRC(osd_req_op_cls_request_data_bvecs, 0xf7eda10a, "");
SYMBOL_CRC(osd_req_op_cls_response_data_pages, 0x7da48d0b, "");
SYMBOL_CRC(ceph_osdc_get_request, 0x14f5a6a4, "");
SYMBOL_CRC(ceph_osdc_put_request, 0x8cdabe42, "");
SYMBOL_CRC(ceph_osdc_alloc_request, 0x2072d3b4, "");
SYMBOL_CRC(ceph_osdc_alloc_messages, 0xfec1b3a0, "");
SYMBOL_CRC(osd_req_op_init, 0xd3babb28, "");
SYMBOL_CRC(osd_req_op_extent_init, 0xc4ac48df, "");
SYMBOL_CRC(osd_req_op_extent_update, 0x268c0fb3, "");
SYMBOL_CRC(osd_req_op_extent_dup_last, 0xcc9de985, "");
SYMBOL_CRC(osd_req_op_cls_init, 0x78b4b599, "");
SYMBOL_CRC(osd_req_op_xattr_init, 0x9de86272, "");
SYMBOL_CRC(osd_req_op_alloc_hint_init, 0xc5e6e9b5, "");
SYMBOL_CRC(ceph_osdc_new_request, 0xb09b26bf, "");
SYMBOL_CRC(__ceph_alloc_sparse_ext_map, 0x02e5a252, "");
SYMBOL_CRC(ceph_osdc_abort_requests, 0xb9b47ea0, "");
SYMBOL_CRC(ceph_osdc_clear_abort_err, 0xf06ceed1, "");
SYMBOL_CRC(ceph_osdc_update_epoch_barrier, 0x6410be0b, "");
SYMBOL_CRC(ceph_osdc_start_request, 0x4f0dedab, "");
SYMBOL_CRC(ceph_osdc_cancel_request, 0x646c233d, "");
SYMBOL_CRC(ceph_osdc_wait_request, 0x7d32b52c, "");
SYMBOL_CRC(ceph_osdc_sync, 0xaf15d52e, "");
SYMBOL_CRC(ceph_osdc_watch, 0x837aa1c3, "");
SYMBOL_CRC(ceph_osdc_unwatch, 0x35bf6f5b, "");
SYMBOL_CRC(ceph_osdc_notify_ack, 0xf58bf779, "");
SYMBOL_CRC(ceph_osdc_notify, 0xf7a92a4a, "");
SYMBOL_CRC(ceph_osdc_list_watchers, 0x7f42e907, "");
SYMBOL_CRC(ceph_osdc_flush_notifies, 0x12b5da44, "");
SYMBOL_CRC(ceph_osdc_maybe_request_map, 0x99a1e9f0, "");
SYMBOL_CRC(ceph_osdc_call, 0x28011347, "");
SYMBOL_CRC(osd_req_op_copy_from_init, 0xdcd1d86d, "");
SYMBOL_CRC(ceph_pg_pool_name_by_id, 0xbd55e437, "");
SYMBOL_CRC(ceph_pg_poolid_by_name, 0x6c9f9b92, "");
SYMBOL_CRC(ceph_pg_pool_flags, 0xe3b99e98, "");
SYMBOL_CRC(ceph_oloc_copy, 0x317ac0ee, "");
SYMBOL_CRC(ceph_oloc_destroy, 0x3d0f2a7c, "");
SYMBOL_CRC(ceph_oid_copy, 0x2087719e, "");
SYMBOL_CRC(ceph_oid_printf, 0xdf6ef4a1, "");
SYMBOL_CRC(ceph_oid_aprintf, 0x5aeeee62, "");
SYMBOL_CRC(ceph_oid_destroy, 0x2101cbc9, "");
SYMBOL_CRC(ceph_object_locator_to_pg, 0x93d5a2ea, "");
SYMBOL_CRC(ceph_pg_to_acting_primary, 0xaca06008, "");
SYMBOL_CRC(ceph_calc_file_object_mapping, 0x9fefa3cb, "");
SYMBOL_CRC(ceph_file_to_extents, 0x38f2d94e, "");
SYMBOL_CRC(ceph_iterate_extents, 0xeef6cfa3, "");
SYMBOL_CRC(ceph_extent_to_file, 0xca80437b, "");
SYMBOL_CRC(ceph_get_num_objects, 0x3c8d7111, "");
SYMBOL_CRC(ceph_auth_is_authenticated, 0xe45aff43, "");
SYMBOL_CRC(__ceph_auth_get_authorizer, 0x5e34d88a, "");
SYMBOL_CRC(ceph_auth_destroy_authorizer, 0xad703657, "");
SYMBOL_CRC(ceph_auth_add_authorizer_challenge, 0x756068f6, "");
SYMBOL_CRC(ceph_auth_verify_authorizer_reply, 0xeb499601, "");
SYMBOL_CRC(ceph_auth_invalidate_authorizer, 0x2e037ded, "");
SYMBOL_CRC(ceph_auth_get_authorizer, 0xb2de7447, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_more, 0x7869beed, "");
SYMBOL_CRC(ceph_auth_handle_svc_reply_done, 0x71d38b3a, "");
SYMBOL_CRC(ceph_auth_handle_bad_authorizer, 0x6947ccad, "");
SYMBOL_CRC(ceph_entity_type_name, 0xdfc091f9, "");
SYMBOL_CRC(ceph_str_hash, 0x57baf885, "");
SYMBOL_CRC(ceph_str_hash_name, 0x63758856, "");
SYMBOL_CRC(ceph_put_page_vector, 0x28eb8302, "");
SYMBOL_CRC(ceph_release_page_vector, 0xee45c3fd, "");
SYMBOL_CRC(ceph_alloc_page_vector, 0xbc469239, "");
SYMBOL_CRC(ceph_copy_user_to_page_vector, 0x8a61b336, "");
SYMBOL_CRC(ceph_copy_to_page_vector, 0x777fe13d, "");
SYMBOL_CRC(ceph_copy_from_page_vector, 0x2ce0ac15, "");
SYMBOL_CRC(ceph_zero_page_vector_range, 0x28e4679f, "");
SYMBOL_CRC(ceph_create_snap_context, 0x9ca95932, "");
SYMBOL_CRC(ceph_get_snap_context, 0xbe3879aa, "");
SYMBOL_CRC(ceph_put_snap_context, 0x86fca7e4, "");
SYMBOL_CRC(ceph_find_or_create_string, 0x45044d94, "");
SYMBOL_CRC(ceph_release_string, 0xee120c03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2eee6ef2, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe09387f4, "tcp_sock_set_cork" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x9e124a18, "fs_param_is_string" },
	{ 0xd33d2d25, "vmalloc_to_page" },
	{ 0x9351cde6, "kmap_high" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2fb38e3a, "iov_iter_advance" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x40025743, "unregister_key_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xc4708f68, "iov_iter_get_pages2" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x465abf87, "fs_param_is_enum" },
	{ 0x7f37fe3a, "logfc" },
	{ 0x1fc781d, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x467e0ed0, "crypto_aead_setauthsize" },
	{ 0xf2454c53, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xf637763e, "crypto_skcipher_setkey" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xe7cc8de9, "filemap_alloc_folio_noprof" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xf77c8b15, "register_key_type" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbf43803a, "fs_param_is_u32" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x70f7896, "_printk" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xbffcd343, "crypto_skcipher_decrypt" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0x3e37b367, "seq_escape_mem" },
	{ 0x49f26466, "kstrndup" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x8cb72246, "key_put" },
	{ 0x6bcc8bc1, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5af8e078, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xff09e5e, "crypto_shash_setkey" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9f19672b, "crypto_aead_encrypt" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbb83bc95, "kunmap_high" },
	{ 0x420eabe4, "mem_section" },
	{ 0xb29f96fc, "zero_user_segments" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xb4aed478, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xf9216a0b, "sock_sendmsg" },
	{ 0x49e19ad2, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x11089ac7, "_ctype" },
	{ 0x130c0f56, "tcp_stream_memory_free" },
	{ 0x6f90ba29, "sg_alloc_table_from_pages_segment" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xaaaf2b74, "kernel_connect" },
	{ 0x2bc95bd4, "memset" },
	{ 0x68f6c33a, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa90c723f, "crypto_alloc_sync_skcipher" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x7a801bee, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf238872, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x4ddb3371, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0xcc1164fe, "request_key_tag" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2c31aa2b, "generic_key_instantiate" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x788a4ee7, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x393c8e75, "set_page_dirty_lock" },
	{ 0x258136f4, "sock_release" },
	{ 0x678e9426, "iov_iter_discard" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x7e8d16b5, "tcp_sock_set_nodelay" },
	{ 0xe0138f0e, "__fs_parse" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x38a8d420, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab404fdf, "kernel_sendmsg" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "8D46F4E4ADCF86579048D18");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
