#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x6a653b2a, "");
SYMBOL_CRC(is_hsr_master, 0x2b264abc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x952cf908, "dev_set_mtu" },
	{ 0xe1bcd7bf, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xfe1a7475, "eth_header" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0x8235805b, "memmove" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0x6cd9c316, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d7f7ec, "dev_set_promiscuity" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbc880e5e, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0xe69895b6, "netlink_ack" },
	{ 0xe74f1d04, "__pskb_copy_fclone" },
	{ 0xcdd73dd5, "dev_uc_unsync" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9977e238, "netlink_broadcast_filtered" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd96c076d, "netdev_upper_dev_link" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x46c90deb, "netdev_rx_handler_unregister" },
	{ 0xcf55f79e, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x37d3d8f7, "skb_copy_expand" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d6ad00c, "dev_get_by_index_rcu" },
	{ 0x6d8866bc, "netdev_printk" },
	{ 0x81ef8001, "skb_push" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x5be3ef5e, "netdev_upper_dev_unlink" },
	{ 0x2587c463, "nla_put" },
	{ 0xeaba451c, "netdev_set_operstate" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x867ed269, "netif_rx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0xc0436020, "debugfs_rename" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x88ce403f, "call_netdevice_notifiers" },
	{ 0xaa82af3c, "dev_set_allmulti" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0xd7dccd2d, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0x30ecc5a9, "dev_disable_lro" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x87f76909, "single_open" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x3e162198, "dev_mc_unsync" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xb17d888e, "netdev_core_stats_inc" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x7db76d6d, "dev_mc_sync_multiple" },
	{ 0x53a49344, "register_netdevice" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0708B5D7542A10AAC487902");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
