#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x1bd4033b, "");
SYMBOL_CRC(wpan_phy_for_each, 0x107163fd, "");
SYMBOL_CRC(wpan_phy_new, 0x80820b9c, "");
SYMBOL_CRC(wpan_phy_register, 0x1fff791b, "");
SYMBOL_CRC(wpan_phy_unregister, 0x48b9f17a, "");
SYMBOL_CRC(wpan_phy_free, 0xed61c2b0, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x6aab3c4d, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0xc761810d, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x7760d6ed, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x441bf398, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x4572a3aa, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xea220167, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xea2fe268, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x422d0326, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x06506bd4, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x392f12a7, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xbd923806, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xd1596583, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x8b3f80c3, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x76e59132, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x1a909c53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x42437fb, "skb_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x42fa494e, "trace_output_call" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9977e238, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa8d428c3, "device_rename" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x305722e9, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfb901f8c, "device_add" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0xc9705907, "dev_get_by_index" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x2587c463, "nla_put" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0xeda60a69, "device_del" },
	{  0x2ae85, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x7a801bee, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9c18b7d4, "get_net_ns_by_pid" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x20029680, "device_match_name" },
	{ 0x3e3cdde4, "dev_get_by_name" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xb3ffb13b, "__dev_change_net_namespace" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0x1d3c1841, "get_net_ns_by_fd" },
	{ 0x810cf51e, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xe585a63d, "class_find_device" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "41E7773C1AA1DB2EE13E023");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
