#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0xff1adff3, "");
SYMBOL_CRC(gue_encap_hlen, 0x19741ae4, "");
SYMBOL_CRC(__fou_build_header, 0x842400ef, "");
SYMBOL_CRC(__gue_build_header, 0x6f7137dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf7e8401, "__skb_checksum_complete" },
	{ 0x7b6e8294, "ip_tunnel_encap_add_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x4a7e5cdd, "udp_sock_create4" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0xa20c768f, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xce2132be, "inet_offloads" },
	{ 0x2cd61221, "inet_protos" },
	{ 0x4f9508d2, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xc44d5504, "__skb_get_hash_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x2587c463, "nla_put" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd191a814, "ip_tunnel_encap_del_ops" },
	{ 0x4aed82d7, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x1245bfa0, "register_btf_kfunc_id_set" },
	{ 0x2676cf70, "setup_udp_tunnel_sock" },
	{ 0xcc05514f, "udp_sock_create6" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x54c03b3c, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FA681621000C1259BBE8990");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
