#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee80211_emulate_add_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_remove_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_change_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_switch_vif_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_restart_hw, "", "");
KSYMTAB_FUNC(ieee80211_alloc_hw_nm, "", "");
KSYMTAB_FUNC(ieee80211_register_hw, "", "");
KSYMTAB_FUNC(ieee80211_unregister_hw, "", "");
KSYMTAB_FUNC(ieee80211_free_hw, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_ext, "", "");
KSYMTAB_FUNC(ieee80211_tx_rate_update, "", "");
KSYMTAB_FUNC(ieee80211_report_low_ack, "", "");
KSYMTAB_FUNC(ieee80211_free_txskb, "", "");
KSYMTAB_FUNC(ieee80211_purge_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_link_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_ifaddr, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta, "", "");
KSYMTAB_FUNC(ieee80211_sta_block_awake, "", "");
KSYMTAB_FUNC(ieee80211_sta_eosp, "", "");
KSYMTAB_FUNC(ieee80211_send_eosp_nullfunc, "", "");
KSYMTAB_FUNC(ieee80211_sta_set_buffered, "", "");
KSYMTAB_FUNC(ieee80211_sta_register_airtime, "", "");
KSYMTAB_FUNC(ieee80211_sta_recalc_aggregates, "", "");
KSYMTAB_FUNC(ieee80211_scan_completed, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_results, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(ieee80211_ready_on_channel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remain_on_channel_expired, "_gpl", "");
KSYMTAB_FUNC(ieee80211_request_smps, "_gpl", "");
KSYMTAB_FUNC(ieee80211_send_bar, "", "");
KSYMTAB_FUNC(ieee80211_refresh_tx_agg_session_timer, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_rx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_manage_rx_ba_offl, "", "");
KSYMTAB_FUNC(ieee80211_rx_ba_timer_expired, "", "");
KSYMTAB_FUNC(ieee80211_update_mu_groups, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links_async, "_gpl", "");
KSYMTAB_FUNC(ieee80211_rate_control_register, "", "");
KSYMTAB_FUNC(ieee80211_rate_control_unregister, "", "");
KSYMTAB_FUNC(ieee80211_get_tx_rates, "", "");
KSYMTAB_FUNC(rate_control_set_rates, "", "");
KSYMTAB_FUNC(ieee80211_tkip_add_iv, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p1k_iv, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_rx_p1k, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p2k, "", "");
KSYMTAB_FUNC(ieee80211_csa_finish, "", "");
KSYMTAB_FUNC(ieee80211_channel_switch_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_match, "", "");
KSYMTAB_FUNC(ieee80211_color_change_finish, "_gpl", "");
KSYMTAB_FUNC(ieee80211_obss_color_collision_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_sta_ps_transition, "", "");
KSYMTAB_FUNC(ieee80211_sta_pspoll, "", "");
KSYMTAB_FUNC(ieee80211_sta_uapsd_trigger, "", "");
KSYMTAB_FUNC(ieee80211_mark_rx_ba_filtered_frames, "", "");
KSYMTAB_FUNC(ieee80211_rx_list, "", "");
KSYMTAB_FUNC(ieee80211_rx_napi, "", "");
KSYMTAB_FUNC(ieee80211_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_prepare_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_dequeue, "", "");
KSYMTAB_FUNC(ieee80211_next_txq, "", "");
KSYMTAB_FUNC(__ieee80211_schedule_txq, "", "");
KSYMTAB_FUNC(ieee80211_txq_airtime_check, "", "");
KSYMTAB_FUNC(ieee80211_txq_may_transmit, "", "");
KSYMTAB_FUNC(ieee80211_txq_schedule_start, "", "");
KSYMTAB_FUNC(ieee80211_beacon_update_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_set_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_cntdwn_is_complete, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_index, "", "");
KSYMTAB_FUNC(ieee80211_beacon_free_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_tim, "", "");
KSYMTAB_FUNC(ieee80211_proberesp_get, "", "");
KSYMTAB_FUNC(ieee80211_get_fils_discovery_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_get_unsol_bcast_probe_resp_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_pspoll_get, "", "");
KSYMTAB_FUNC(ieee80211_nullfunc_get, "", "");
KSYMTAB_FUNC(ieee80211_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_rts_get, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_get, "", "");
KSYMTAB_FUNC(ieee80211_get_buffered_bc, "", "");
KSYMTAB_FUNC(ieee80211_reserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_unreserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys_rcu, "", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_key_rx_seq, "", "");
KSYMTAB_FUNC(ieee80211_set_key_rx_seq, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remove_key, "_gpl", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_add, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_mic_failure, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_replay, "_gpl", "");
KSYMTAB_FUNC(wiphy_to_ieee80211_hw, "", "");
KSYMTAB_FUNC(ieee80211_get_bssid, "", "");
KSYMTAB_FUNC(ieee80211_generic_frame_duration, "", "");
KSYMTAB_FUNC(ieee80211_rts_duration, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_duration, "", "");
KSYMTAB_FUNC(ieee80211_handle_wake_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queues, "", "");
KSYMTAB_FUNC(ieee80211_queue_stopped, "", "");
KSYMTAB_FUNC(ieee80211_wake_queues, "", "");
KSYMTAB_FUNC(ieee80211_iterate_interfaces, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_mtx, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_mtx, "_gpl", "");
KSYMTAB_FUNC(wdev_to_ieee80211_vif, "_gpl", "");
KSYMTAB_FUNC(ieee80211_vif_to_wdev, "_gpl", "");
KSYMTAB_FUNC(ieee80211_queue_work, "", "");
KSYMTAB_FUNC(ieee80211_queue_delayed_work, "", "");
KSYMTAB_FUNC(ieee80211_hw_restart_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_resume_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_ave_rssi, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radar_detected, "", "");
KSYMTAB_FUNC(ieee80211_update_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_parse_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_txq_get_depth, "", "");
KSYMTAB_FUNC(ieee80211_iter_chan_contexts_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_chswitch_done, "", "");
KSYMTAB_FUNC(ieee80211_ap_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_beacon_loss, "", "");
KSYMTAB_FUNC(ieee80211_connection_loss, "", "");
KSYMTAB_FUNC(ieee80211_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_send_teardown_neg_ttlm, "", "");
KSYMTAB_FUNC(ieee80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(ieee80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(ieee80211_enable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_disable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(ieee80211_calc_rx_airtime, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_tx_airtime, "_gpl", "");
KSYMTAB_FUNC(__ieee80211_get_radio_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_assoc_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_tx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_rx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_create_tpt_led_trigger, "", "");
KSYMTAB_FUNC(ieee80211_report_wowlan_wakeup, "", "");

SYMBOL_CRC(ieee80211_emulate_add_chanctx, 0x83bed128, "");
SYMBOL_CRC(ieee80211_emulate_remove_chanctx, 0x1faafa17, "");
SYMBOL_CRC(ieee80211_emulate_change_chanctx, 0xe753e741, "");
SYMBOL_CRC(ieee80211_emulate_switch_vif_chanctx, 0xa892e14d, "");
SYMBOL_CRC(ieee80211_restart_hw, 0x26ef161e, "");
SYMBOL_CRC(ieee80211_alloc_hw_nm, 0x735ec5a4, "");
SYMBOL_CRC(ieee80211_register_hw, 0x0b65c1f2, "");
SYMBOL_CRC(ieee80211_unregister_hw, 0x1fe6949b, "");
SYMBOL_CRC(ieee80211_free_hw, 0xb6d828f4, "");
SYMBOL_CRC(ieee80211_tx_status_irqsafe, 0x4de18fbd, "");
SYMBOL_CRC(ieee80211_tx_status_skb, 0x6cb0a216, "");
SYMBOL_CRC(ieee80211_tx_status_ext, 0xbe3dbd6b, "");
SYMBOL_CRC(ieee80211_tx_rate_update, 0xb6fa5acf, "");
SYMBOL_CRC(ieee80211_report_low_ack, 0x153a4cc0, "");
SYMBOL_CRC(ieee80211_free_txskb, 0x91f14e57, "");
SYMBOL_CRC(ieee80211_purge_tx_queue, 0x22e3aa76, "");
SYMBOL_CRC(ieee80211_find_sta_by_link_addrs, 0x0c2c60c2, "_gpl");
SYMBOL_CRC(ieee80211_find_sta_by_ifaddr, 0x57f5e9ab, "_gpl");
SYMBOL_CRC(ieee80211_find_sta, 0x67f55bd9, "");
SYMBOL_CRC(ieee80211_sta_block_awake, 0xaaf818a4, "");
SYMBOL_CRC(ieee80211_sta_eosp, 0xfb196fe8, "");
SYMBOL_CRC(ieee80211_send_eosp_nullfunc, 0x746d5377, "");
SYMBOL_CRC(ieee80211_sta_set_buffered, 0xde0511eb, "");
SYMBOL_CRC(ieee80211_sta_register_airtime, 0xcaff8e01, "");
SYMBOL_CRC(ieee80211_sta_recalc_aggregates, 0x5c157b06, "");
SYMBOL_CRC(ieee80211_scan_completed, 0x4d5bdcb9, "");
SYMBOL_CRC(ieee80211_sched_scan_results, 0xba0039c1, "");
SYMBOL_CRC(ieee80211_sched_scan_stopped, 0x701da944, "");
SYMBOL_CRC(ieee80211_ready_on_channel, 0xa7d208cc, "_gpl");
SYMBOL_CRC(ieee80211_remain_on_channel_expired, 0xd4aafeda, "_gpl");
SYMBOL_CRC(ieee80211_request_smps, 0x0203ab13, "_gpl");
SYMBOL_CRC(ieee80211_send_bar, 0xcf0733b5, "");
SYMBOL_CRC(ieee80211_refresh_tx_agg_session_timer, 0xaa00ce60, "");
SYMBOL_CRC(ieee80211_start_tx_ba_session, 0xb0a087af, "");
SYMBOL_CRC(ieee80211_start_tx_ba_cb_irqsafe, 0x79cc6975, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_session, 0x72e29c81, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_cb_irqsafe, 0xfca9dea2, "");
SYMBOL_CRC(ieee80211_stop_rx_ba_session, 0xecd1dbdb, "");
SYMBOL_CRC(ieee80211_manage_rx_ba_offl, 0x1b60fcb3, "");
SYMBOL_CRC(ieee80211_rx_ba_timer_expired, 0xc7183852, "");
SYMBOL_CRC(ieee80211_update_mu_groups, 0xfd83c220, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links, 0x7c63a1dd, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links_async, 0xb2a2663c, "_gpl");
SYMBOL_CRC(ieee80211_rate_control_register, 0xbd39feb2, "");
SYMBOL_CRC(ieee80211_rate_control_unregister, 0x233890be, "");
SYMBOL_CRC(ieee80211_get_tx_rates, 0xdc34f329, "");
SYMBOL_CRC(rate_control_set_rates, 0xce7da671, "");
SYMBOL_CRC(ieee80211_tkip_add_iv, 0xac520e44, "_gpl");
SYMBOL_CRC(ieee80211_get_tkip_p1k_iv, 0x774470bd, "");
SYMBOL_CRC(ieee80211_get_tkip_rx_p1k, 0x3d922933, "");
SYMBOL_CRC(ieee80211_get_tkip_p2k, 0x2b7d419d, "");
SYMBOL_CRC(ieee80211_csa_finish, 0x0f4baaf2, "");
SYMBOL_CRC(ieee80211_channel_switch_disconnect, 0x0c8bb6f5, "");
SYMBOL_CRC(ieee80211_nan_func_terminated, 0x34980437, "");
SYMBOL_CRC(ieee80211_nan_func_match, 0xa7cb1cc4, "");
SYMBOL_CRC(ieee80211_color_change_finish, 0x5d2f0a57, "_gpl");
SYMBOL_CRC(ieee80211_obss_color_collision_notify, 0xfbff216b, "_gpl");
SYMBOL_CRC(ieee80211_sta_ps_transition, 0x924efa21, "");
SYMBOL_CRC(ieee80211_sta_pspoll, 0x94dcd73e, "");
SYMBOL_CRC(ieee80211_sta_uapsd_trigger, 0xf0f85d8b, "");
SYMBOL_CRC(ieee80211_mark_rx_ba_filtered_frames, 0x6dbba94c, "");
SYMBOL_CRC(ieee80211_rx_list, 0xe94f4f65, "");
SYMBOL_CRC(ieee80211_rx_napi, 0x78916925, "");
SYMBOL_CRC(ieee80211_rx_irqsafe, 0x741a23a4, "");
SYMBOL_CRC(ieee80211_tx_prepare_skb, 0x04e09616, "");
SYMBOL_CRC(ieee80211_tx_dequeue, 0x300d4b94, "");
SYMBOL_CRC(ieee80211_next_txq, 0xc28185fb, "");
SYMBOL_CRC(__ieee80211_schedule_txq, 0xa513f181, "");
SYMBOL_CRC(ieee80211_txq_airtime_check, 0xd6eacdcf, "");
SYMBOL_CRC(ieee80211_txq_may_transmit, 0x296b25a2, "");
SYMBOL_CRC(ieee80211_txq_schedule_start, 0xce4de1b3, "");
SYMBOL_CRC(ieee80211_beacon_update_cntdwn, 0x08ed0e79, "");
SYMBOL_CRC(ieee80211_beacon_set_cntdwn, 0xb5fd9977, "");
SYMBOL_CRC(ieee80211_beacon_cntdwn_is_complete, 0x7cf6ed0f, "");
SYMBOL_CRC(ieee80211_beacon_get_template, 0x9f631c05, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_index, 0x4df4bacf, "");
SYMBOL_CRC(ieee80211_beacon_free_ema_list, 0x7762bda8, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_list, 0x97522f62, "");
SYMBOL_CRC(ieee80211_beacon_get_tim, 0xaee91f62, "");
SYMBOL_CRC(ieee80211_proberesp_get, 0x5e075edf, "");
SYMBOL_CRC(ieee80211_get_fils_discovery_tmpl, 0x4dc926d5, "");
SYMBOL_CRC(ieee80211_get_unsol_bcast_probe_resp_tmpl, 0x639b6151, "");
SYMBOL_CRC(ieee80211_pspoll_get, 0x2d6f93f6, "");
SYMBOL_CRC(ieee80211_nullfunc_get, 0x45412846, "");
SYMBOL_CRC(ieee80211_probereq_get, 0x7aacc8da, "");
SYMBOL_CRC(ieee80211_rts_get, 0x33906886, "");
SYMBOL_CRC(ieee80211_ctstoself_get, 0xeecb6e06, "");
SYMBOL_CRC(ieee80211_get_buffered_bc, 0xc1552ff8, "");
SYMBOL_CRC(ieee80211_reserve_tid, 0x00b14e02, "");
SYMBOL_CRC(ieee80211_unreserve_tid, 0xdefffa27, "");
SYMBOL_CRC(ieee80211_iter_keys, 0xa9867e5c, "");
SYMBOL_CRC(ieee80211_iter_keys_rcu, 0xe9232486, "");
SYMBOL_CRC(ieee80211_gtk_rekey_notify, 0xd0743d9c, "_gpl");
SYMBOL_CRC(ieee80211_get_key_rx_seq, 0xcce27038, "");
SYMBOL_CRC(ieee80211_set_key_rx_seq, 0xb9784e55, "_gpl");
SYMBOL_CRC(ieee80211_remove_key, 0x7df8f31a, "_gpl");
SYMBOL_CRC(ieee80211_gtk_rekey_add, 0xbe782ae2, "_gpl");
SYMBOL_CRC(ieee80211_key_mic_failure, 0x8040ae72, "_gpl");
SYMBOL_CRC(ieee80211_key_replay, 0xd9bd4c22, "_gpl");
SYMBOL_CRC(wiphy_to_ieee80211_hw, 0x30e3cecd, "");
SYMBOL_CRC(ieee80211_get_bssid, 0x8d41726d, "");
SYMBOL_CRC(ieee80211_generic_frame_duration, 0x4e448277, "");
SYMBOL_CRC(ieee80211_rts_duration, 0xccf3ec8d, "");
SYMBOL_CRC(ieee80211_ctstoself_duration, 0x9e28343a, "");
SYMBOL_CRC(ieee80211_handle_wake_tx_queue, 0x7d567e1e, "");
SYMBOL_CRC(ieee80211_wake_queue, 0x6196c6a8, "");
SYMBOL_CRC(ieee80211_stop_queue, 0x11ba3300, "");
SYMBOL_CRC(ieee80211_stop_queues, 0x3860e9a1, "");
SYMBOL_CRC(ieee80211_queue_stopped, 0xb66277bf, "");
SYMBOL_CRC(ieee80211_wake_queues, 0x23720911, "");
SYMBOL_CRC(ieee80211_iterate_interfaces, 0xafac4134, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_atomic, 0x13a7c998, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_mtx, 0x1635783d, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_atomic, 0xcd9dba5e, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_mtx, 0x60e7fb75, "_gpl");
SYMBOL_CRC(wdev_to_ieee80211_vif, 0x4a91c18a, "_gpl");
SYMBOL_CRC(ieee80211_vif_to_wdev, 0x20facb3a, "_gpl");
SYMBOL_CRC(ieee80211_queue_work, 0x7af80587, "");
SYMBOL_CRC(ieee80211_queue_delayed_work, 0x13747f3e, "");
SYMBOL_CRC(ieee80211_hw_restart_disconnect, 0xe302ce3b, "_gpl");
SYMBOL_CRC(ieee80211_resume_disconnect, 0x4fba1c71, "_gpl");
SYMBOL_CRC(ieee80211_ave_rssi, 0x8c413b12, "_gpl");
SYMBOL_CRC(ieee80211_radar_detected, 0x513fdca3, "");
SYMBOL_CRC(ieee80211_update_p2p_noa, 0x19f37f0d, "");
SYMBOL_CRC(ieee80211_parse_p2p_noa, 0x991a0ca0, "");
SYMBOL_CRC(ieee80211_txq_get_depth, 0x4b45155e, "");
SYMBOL_CRC(ieee80211_iter_chan_contexts_atomic, 0xefeb9ddb, "_gpl");
SYMBOL_CRC(ieee80211_chswitch_done, 0x69409643, "");
SYMBOL_CRC(ieee80211_ap_probereq_get, 0x43a046cf, "");
SYMBOL_CRC(ieee80211_beacon_loss, 0x345196e4, "");
SYMBOL_CRC(ieee80211_connection_loss, 0x2cbc2f88, "");
SYMBOL_CRC(ieee80211_disconnect, 0xe42d48cc, "");
SYMBOL_CRC(ieee80211_send_teardown_neg_ttlm, 0x4f931d7e, "");
SYMBOL_CRC(ieee80211_cqm_rssi_notify, 0x673bf0e8, "");
SYMBOL_CRC(ieee80211_cqm_beacon_loss_notify, 0x7a97bb8c, "");
SYMBOL_CRC(ieee80211_enable_rssi_reports, 0x352a27f9, "");
SYMBOL_CRC(ieee80211_disable_rssi_reports, 0x870d8a02, "");
SYMBOL_CRC(ieee80211_tdls_oper_request, 0x84df2f4c, "");
SYMBOL_CRC(ieee80211_calc_rx_airtime, 0xe14d62d3, "_gpl");
SYMBOL_CRC(ieee80211_calc_tx_airtime, 0xaebbbaa7, "_gpl");
SYMBOL_CRC(__ieee80211_get_radio_led_name, 0xe0fe9799, "");
SYMBOL_CRC(__ieee80211_get_assoc_led_name, 0x36ae6a22, "");
SYMBOL_CRC(__ieee80211_get_tx_led_name, 0x2e945b69, "");
SYMBOL_CRC(__ieee80211_get_rx_led_name, 0x924f3ebf, "");
SYMBOL_CRC(__ieee80211_create_tpt_led_trigger, 0x5d5f1b8f, "");
SYMBOL_CRC(ieee80211_report_wowlan_wakeup, 0x6e8d220c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2eee6ef2, "crypto_skcipher_encrypt" },
	{ 0xee59e7c5, "cfg80211_inform_bss_frame_data" },
	{ 0x1c0cda3d, "cfg80211_sched_scan_results" },
	{ 0x7a6333d, "cfg80211_sinfo_alloc_tid_stats" },
	{ 0x16627d20, "skb_complete_wifi_ack" },
	{ 0xf28cf0ae, "__hw_addr_init" },
	{ 0x214071e7, "cfg80211_mgmt_tx_status_ext" },
	{ 0xafe91ca6, "cfg80211_rx_assoc_resp" },
	{ 0xd438ee3b, "cfg80211_rx_unexpected_4addr_frame" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8b24e88f, "cfg80211_merge_profile" },
	{ 0x437ce35f, "eth_mac_addr" },
	{ 0x42437fb, "skb_put" },
	{ 0x3b9b1b66, "cfg80211_links_removed" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe2238b8, "cfg80211_chandef_dfs_required" },
	{ 0x6ee75e50, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb73cfaac, "cfg80211_assoc_comeback" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0x6393fcc8, "regulatory_pre_cac_allowed" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9f0d768b, "skb_clone_sk" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xc881088c, "wiphy_work_flush" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4b8c2dea, "cfg80211_bss_color_notify" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7c6697f1, "cfg80211_remain_on_channel_expired" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0x9f21bd82, "cfg80211_cac_event" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x7bf1016f, "cfg80211_register_netdevice" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0xf866463, "led_trigger_blink_oneshot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcc1a7c48, "cfg80211_is_element_inherited" },
	{ 0xfd2833f5, "ieee80211_amsdu_to_8023s" },
	{ 0xb71ed69f, "__hw_addr_unsync" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x873fd5a, "cfg80211_ref_bss" },
	{ 0x272d6876, "ieee80211_mandatory_rates" },
	{ 0xefab0596, "ieee80211_chandef_to_operating_class" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0x345fa8cc, "ieee80211_operating_class_to_chandef" },
	{ 0xee5c2525, "dev_alloc_name" },
	{ 0x38739c84, "___pskb_trim" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xbd9bc7cc, "cfg80211_iter_rnr" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1fc781d, "crypto_alloc_aead" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x467e0ed0, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf2454c53, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xe6fe23f8, "cfg80211_new_sta" },
	{ 0xf637763e, "crypto_skcipher_setkey" },
	{ 0x148d00b5, "wiphy_delayed_work_pending" },
	{ 0x4424c712, "netdev_set_default_ethtool_ops" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0x27feae5d, "skb_csum_hwoffload_help" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0xf4e03c3, "wiphy_new_nm" },
	{ 0x64269d1f, "cfg80211_sta_opmode_change_notify" },
	{ 0x70f7896, "_printk" },
	{ 0x78612668, "cfg80211_ready_on_channel" },
	{ 0x8274d9bd, "cfg80211_reg_check_beaconing" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x2ad5707b, "skb_checksum_help" },
	{ 0x96e99e5c, "cfg80211_classify8021d" },
	{ 0x4e0fedd8, "cfg80211_tx_mgmt_expired" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4bd302b1, "ieee80211_fragment_element" },
	{ 0x7a4c632, "cfg80211_rx_mlme_mgmt" },
	{ 0xb7089b9, "wiphy_delayed_work_queue" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbffcd343, "crypto_skcipher_decrypt" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x3eb44f4, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x1f259cb0, "cfg80211_put_bss" },
	{ 0xf3233d7e, "cfg80211_nan_func_terminated" },
	{ 0x28278b33, "cfg80211_ch_switch_notify" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x13bd8859, "cfg80211_tx_mlme_mgmt" },
	{ 0x233191b0, "_dev_info" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0xf6175a64, "cfg80211_gtk_rekey_notify" },
	{ 0x37d3d8f7, "skb_copy_expand" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xbfb81d0e, "ieee80211_get_channel_khz" },
	{ 0x8400b942, "cfg80211_check_combinations" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc3f4a0d9, "__cfg80211_radar_event" },
	{ 0xd6551781, "cfg80211_tdls_oper_request" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd314fe76, "cfg80211_control_port_tx_status" },
	{ 0x9ce5d166, "cfg80211_chandef_primary" },
	{ 0x8b87c481, "cfg80211_get_drvinfo" },
	{ 0x13c58e52, "ieee80211_get_8023_tunnel_proto" },
	{ 0x6bcc8bc1, "crypto_aead_setkey" },
	{ 0xc44d5504, "__skb_get_hash_net" },
	{ 0xe9d962c6, "kernel_param_lock" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x309dc93f, "cfg80211_rx_spurious_frame" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xdae00316, "cfg80211_ibss_joined" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3b724c9d, "cfg80211_nan_match" },
	{ 0xff09e5e, "crypto_shash_setkey" },
	{ 0xf7be8ee8, "cfg80211_chandef_compatible" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x672f619a, "cfg80211_iter_combinations" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xbc38cab5, "cfg80211_iftype_allowed" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9f19672b, "crypto_aead_encrypt" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb8e9e44b, "ieee80211_is_valid_amsdu" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2f61bf72, "cfg80211_michael_mic_failure" },
	{ 0xd12acbb9, "cfg80211_cqm_pktloss_notify" },
	{ 0x12310580, "cfg80211_any_usable_channels" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0xad447ae1, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x8fa02936, "cfg80211_free_nan_func" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0xf40bc2f5, "ieee80211_operating_class_to_band" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x216dbca3, "cfg80211_del_sta_sinfo" },
	{ 0xf9c74a64, "netif_receive_skb" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xb36be32b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1d49163f, "skb_ensure_writable" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xc3ad80ce, "wiphy_unregister" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x49e19ad2, "crypto_shash_update" },
	{ 0x4c30fe1a, "wiphy_work_queue" },
	{ 0x8833977b, "led_trigger_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb3f40e25, "ieee80211_radiotap_iterator_init" },
	{ 0xc55ccf2, "cfg80211_notify_new_peer_candidate" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x2339d785, "ieee80211_data_to_8023_exthdr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa162214f, "cfg80211_schedule_channels_check" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xf5a05a35, "kernel_param_unlock" },
	{ 0xfcb600c, "wiphy_work_cancel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x85de3f6f, "wiphy_delayed_work_timer" },
	{ 0x1037884f, "cfg80211_chandef_usable" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xb133ca96, "wiphy_delayed_work_cancel" },
	{ 0x4690cc38, "ieee80211_strip_8023_mesh_hdr" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x1b9a29f6, "kfree_skb_list_reason" },
	{ 0x64952882, "cfg80211_cqm_beacon_loss_notify" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x9b4d522f, "cfg80211_rx_control_port" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x91f68ea1, "__hw_addr_sync" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x867ed269, "netif_rx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x1bb59029, "ieee80211_s1g_channel_width" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x48800a5b, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x84014198, "cfg80211_ch_switch_started_notify" },
	{ 0xdb106438, "cfg80211_check_station_change" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe92d2112, "cfg80211_sched_scan_stopped_locked" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcf707b9e, "cfg80211_unregister_wdev" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfcb69418, "cfg80211_probe_status" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xdca70b05, "freq_reg_info" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x4ff82a93, "cfg80211_stop_iface" },
	{ 0x57e81fc4, "ieee80211_radiotap_iterator_next" },
	{ 0x238dd7f6, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4e0a1841, "crypto_shash_finup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x53351a48, "cfg80211_defragment_element" },
	{ 0x419a1e, "wiphy_delayed_work_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xe58e1df1, "led_trigger_register" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0xec9ff0b2, "cfg80211_assoc_failure" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x4e788e32, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd56d55f3, "ieee80211_get_mesh_hdrlen" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6129bdd, "cfg80211_send_layer2_update" },
	{ 0xb5196f9b, "acpi_amd_wbrf_add_remove" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x18b854cd, "cfg80211_get_iftype_ext_capa" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82371dfe, "led_trigger_event" },
	{ 0xc31d91b9, "cfg80211_shutdown_all_interfaces" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x46c898c6, "cfg80211_report_obss_beacon_khz" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x4054c865, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0x38cb594a, "ieee80211_ie_split_ric" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb70be67e, "led_trigger_blink" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x53382dce, "cfg80211_radio_chandef_valid" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x5332d613, "__skb_gso_segment" },
	{ 0x181fcab6, "cfg80211_unlink_bss" },
	{ 0x37c38945, "__cfg80211_get_bss" },
	{ 0x3f38ab94, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x75801322, "acpi_amd_wbrf_supported_producer" },
	{ 0x7261a3db, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdcb8fb10, "cfg80211_auth_timeout" },
	{ 0xeb195430, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x644dcde0, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,libarc4");


MODULE_INFO(srcversion, "7FE94B5AB58FD051D11E304");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
