#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x18f986b9, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0xed0727e2, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0x6344eaf6, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x83631871, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0xacc38e62, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x635fb4cb, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xcf4eebb3, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0xfe772a2d, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0xe21c63d7, "_gpl");
SYMBOL_CRC(ip_set_test, 0x6ed61adf, "_gpl");
SYMBOL_CRC(ip_set_add, 0x1acc9b4f, "_gpl");
SYMBOL_CRC(ip_set_del, 0xa48b1211, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x025e544a, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0xbfbcb5a3, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x2bd28019, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x83b569b4, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xddecd3d1, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x52b65604, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x8841aa6d, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x7fdf7b0a, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ee93833, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x6e60e3e2, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x28433775, "nf_register_sockopt" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xa43a1ed9, "nfnetlink_subsys_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe69895b6, "netlink_ack" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5df1fb12, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x65f05a99, "ipv6_skip_exthdr" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa8c2cfee, "nfnetlink_unicast" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x2587c463, "nla_put" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x25aa683d, "ns_capable" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa73285a8, "nfnetlink_subsys_unregister" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "B06F5D6440B874F2FB7952E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
