#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x87b53ce2, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x1735c8b0, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xf0aa3bce, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xcd25cef0, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x5412741f, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xfbdc3fde, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xcca69169, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x866870a4, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x7019ee8d, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x0177b67d, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xeb818e3c, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x86d89cba, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x4df393c4, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x000199a5, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x404f86c4, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xfceaff10, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xd49b72a8, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xaf34636b, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x53a38233, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x6f9a3620, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xdabcd485, "_gpl");
SYMBOL_CRC(print_tuple, 0xa87f5ff1, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x241d3c0f, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x2bf3a107, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x49c0dc02, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xd2dba7a6, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xe0021b8d, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x222e1c84, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xd24689aa, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xdf676c79, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x6be00518, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x8155d5ec, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x1a828259, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x6719fc0c, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xe66a8b5c, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x9496f912, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xc5a9751d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xeade8f16, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xea43f80e, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x1f575794, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xed950721, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x29ff5308, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x59a4cd72, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x511e3218, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x5a34e14a, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xd7f8af96, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x4dec49d2, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x484d7e79, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x01210ceb, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xff96ae07, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xcad8254c, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x7e658a36, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x0a91c031, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x405a233a, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xb1a8ed49, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x6e15aee3, "_gpl");
SYMBOL_CRC(nf_confirm, 0xdce9faf5, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xbd1215cf, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x9f3e09f2, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x8c0687c9, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x083efa22, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x796f2f43, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x4a5ea480, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x00f28883, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x4cd6aaaf, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x6a87abdc, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x063d9de6, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x3b07d915, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x487028a5, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xb8b536a7, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xae2f2160, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x66ca0c62, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x954e2a2f, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x0901bd7a, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xc33dcd56, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xf3c18253, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x0ce6c9a6, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xc2c76018, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x79ed7b05, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x8b403c0a, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xe6be140d, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xe9d0405e, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x32a72750, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x04f46ea9, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x7b142e89, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x921775c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x543ec466, "__do_once_done" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xed7228db, "nf_defrag_ipv4_disable" },
	{ 0xb36e7b48, "nf_ip6_checksum" },
	{ 0xaeb08bed, "proc_dou8vec_minmax" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x8f924adf, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x28433775, "nf_register_sockopt" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0xbc927683, "param_set_uint" },
	{ 0x1e772621, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x32187ab4, "nf_ct_frag6_gather" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x28e6b430, "nf_ct_hook" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf215bdb4, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x5df1fb12, "nf_unregister_sockopt" },
	{ 0x3b707b9e, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x60f20f70, "make_kuid" },
	{ 0xba374a59, "nf_defrag_ipv6_disable" },
	{ 0x65f05a99, "ipv6_skip_exthdr" },
	{ 0xcd06f6bf, "nf_register_net_hooks" },
	{ 0x738803e6, "strnlen" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x62e67e7d, "module_put" },
	{ 0x889e6734, "nf_checksum" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe458af08, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x2587c463, "nla_put" },
	{ 0x98550f09, "nf_checksum_partial" },
	{ 0x1d49163f, "skb_ensure_writable" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x38c8eb7e, "nf_unregister_net_hooks" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x60a71a9b, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xae74a64d, "nf_log_packet" },
	{ 0x3174c6cb, "make_kgid" },
	{ 0x47596c66, "nf_ip_checksum" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x91a9c232, "__siphash_unaligned" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x1279649b, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xbd248e62, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x3e2d77fa, "inet_proto_csum_replace4" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x34ee358b, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0x80881211, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb93e8924, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x2ffda2d8, "pskb_trim_rcsum_slow" },
	{ 0x29f3a126, "up_read" },
	{ 0x74ace58d, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x9610ab28, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "0930ACE9FE0905B3A768EFF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
