#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x327ae99e, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0xc1a1fb01, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0xbf98b259, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x7dd24cfb, "");
SYMBOL_CRC(nfc_hci_free_device, 0x6efd11cb, "");
SYMBOL_CRC(nfc_hci_register_device, 0xdd5616e8, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x67a156b4, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0x5dceef86, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x6f334ca3, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x2acb1469, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0xadeb9e8a, "");
SYMBOL_CRC(nfc_hci_send_event, 0x07f0ab97, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x7cdf2b8e, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0x19342b2c, "");
SYMBOL_CRC(nfc_hci_set_param, 0x1724577d, "");
SYMBOL_CRC(nfc_hci_get_param, 0x79647178, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x3dc8cd60, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x02fd9a1b, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0xc3193ba3, "");
SYMBOL_CRC(nfc_llc_start, 0x48ba1e26, "");
SYMBOL_CRC(nfc_llc_stop, 0x2a3ee9f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42437fb, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x635b88e1, "nfc_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x14780fc3, "nfc_allocate_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf83a0301, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x268386c1, "skb_pull" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x52b6e065, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7ce3cde5, "nfc_targets_found" },
	{ 0xb396f449, "nfc_driver_failure" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x9902fd9a, "nfc_register_device" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "04C8699622E961E39E6C61F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
