#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xb0e60575, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x642354d9, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x4f07cc43, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x95c5e907, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xdae60865, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x7855648b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x796f2f43, "nf_ct_ext_add" },
	{ 0x38be5413, "nsh_pop" },
	{ 0xfbdc3fde, "nf_conntrack_find_get" },
	{ 0xb8b536a7, "nf_ct_set_timeout" },
	{ 0x2f95bb0e, "dev_get_stats" },
	{ 0x4956e52d, "__nla_put" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x22a9f348, "dev_fill_metadata_dst" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x4f46ea9, "nf_ct_handle_fragments" },
	{ 0x437ce35f, "eth_mac_addr" },
	{ 0x42437fb, "skb_put" },
	{ 0x15bfb58, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x59a9618b, "nsh_push" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xda48eae2, "nf_ct_nat" },
	{ 0x58678016, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x17b034a1, "skb_eth_pop" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x8f14c73b, "skb_gso_validate_mac_len" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0xed950721, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xe6be140d, "nf_ct_helper" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0xca1bb6f, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x93ef067a, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0x8b403c0a, "nf_connlabels_put" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0x38739c84, "___pskb_trim" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xc787cd18, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d7f7ec, "dev_set_promiscuity" },
	{ 0xae2f2160, "nf_ct_destroy_timeout" },
	{ 0xe9d0405e, "nf_ct_add_helper" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xeade8f16, "nf_conntrack_helper_put" },
	{ 0x7b2507b4, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x32a72750, "nf_ct_skb_network_trim" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0xbd850e84, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8f75a3, "node_states" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9977e238, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0x27feae5d, "skb_csum_hwoffload_help" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0xc2c76018, "nf_connlabels_replace" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0x41037a1b, "nla_put_nohdr" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x79ed7b05, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x46c90deb, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3f401ac7, "skb_eth_push" },
	{ 0xd3794274, "nf_conncount_count" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc9e1e51e, "skb_mpls_pop" },
	{ 0xf762cb7e, "skb_vlan_pop" },
	{ 0x13656d26, "dst_init" },
	{ 0x62e67e7d, "module_put" },
	{ 0x9b6eb137, "ksize" },
	{ 0xc44d5504, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xa73f8da5, "init_net" },
	{ 0xaacc9e27, "sort" },
	{ 0xc0fe6f50, "ipv6_stub" },
	{ 0x6698695d, "skb_mpls_update_lse" },
	{ 0x268386c1, "skb_pull" },
	{ 0x44f7d110, "__skb_get_hash_symmetric_net" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0x6d6ad00c, "dev_get_by_index_rcu" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x5be3ef5e, "netdev_upper_dev_unlink" },
	{ 0x2587c463, "nla_put" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x1d49163f, "skb_ensure_writable" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xf759ea6c, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7019ee8d, "__nf_conntrack_confirm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2bc95bd4, "memset" },
	{ 0xea43f80e, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x5412741f, "nf_ct_delete" },
	{ 0x748bbc5c, "nf_conncount_init" },
	{ 0xf94c75e0, "skb_vlan_push" },
	{ 0x867ed269, "netif_rx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x2be75be2, "netdev_master_upper_dev_link" },
	{ 0xc9077845, "skb_zerocopy_headlen" },
	{ 0x48800a5b, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xf06632e2, "inet_proto_csum_replace16" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x967a2742, "skb_scrub_packet" },
	{ 0x901bd7a, "nf_ct_deliver_cached_events" },
	{ 0x1bf2053b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x32c52ba4, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x1279649b, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e2d77fa, "inet_proto_csum_replace4" },
	{ 0xc4f041b3, "nf_conncount_destroy" },
	{ 0x76c0a0, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x44547e1f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e3cdde4, "dev_get_by_name" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xe42ac889, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x73e0a955, "peernet2id_alloc" },
	{ 0x87b53ce2, "nf_ct_get_tuplepr" },
	{ 0xd7dccd2d, "netdev_rx_handler_register" },
	{ 0x33b205f3, "ip_do_fragment" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0x30ecc5a9, "dev_disable_lro" },
	{ 0xf87343c6, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xcd25cef0, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfc0148fd, "netlink_has_listeners" },
	{ 0x6ebf9bd9, "kmalloc_size_roundup" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x5332d613, "__skb_gso_segment" },
	{ 0x29f3a126, "up_read" },
	{ 0x1c4b65a4, "skb_mpls_push" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0x4df393c4, "nf_conntrack_in" },
	{ 0x74ace58d, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0xada5e718, "__skb_vlan_pop" },
	{ 0xf0aa3bce, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x53a49344, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "4364189F94E0E7EAC39A518");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
