#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x57044829, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x9888a019, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x73ac1c40, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x5dd98bc4, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x4817e4fe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91451625, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x34e3e086, "sock_i_uid" },
	{ 0x64316b8d, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x58a6ebea, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x4cac3ae1, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb62cc466, "sock_wfree" },
	{ 0x42437fb, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xd349c70e, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc88e1a93, "ip6_dst_hoplimit" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xcdae5a03, "inet6_add_offload" },
	{ 0x4f761a0f, "crypto_shash_tfm_digest" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4afa3002, "inet6_bind" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7cabe862, "l3mdev_fib_table_by_index" },
	{ 0x4a7e5cdd, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe42cb854, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf62e322b, "skb_segment" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0xe70fc9ea, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfa24b132, "udp_tunnel6_xmit_skb" },
	{ 0x5e772f6, "sock_common_getsockopt" },
	{ 0x4989407a, "inet_bind" },
	{ 0xe964d92a, "sock_create" },
	{ 0xea944fa4, "net_hotdata" },
	{ 0x614128e3, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xb97524fe, "fd_install" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x414975dd, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xafee3515, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xffaed179, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x76f568a6, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x28c296a, "sock_common_setsockopt" },
	{ 0xe4d11a7a, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x50cef96a, "__sk_mem_schedule" },
	{ 0xd63177ad, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x69582576, "sock_alloc_file" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf215bdb4, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xec02d0cb, "sk_error_report" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x81b7d123, "put_cmsg" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0x8112e6ce, "inet_sock_destruct" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x5fd59930, "sock_kmalloc" },
	{ 0x5d69dc33, "inet_sk_get_local_port_range" },
	{ 0x9fd9aceb, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x269cf5c5, "inet_getname" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0x24e07aa9, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xdc5e7872, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd875584a, "__genradix_ptr" },
	{ 0xd35367ed, "inet_release" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x99000b37, "proto_register" },
	{ 0x37d3d8f7, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6a2516df, "inet_ctl_sock_create" },
	{ 0x17556a7e, "inet_ioctl" },
	{ 0x4f9fa872, "reuseport_add_sock" },
	{ 0xe7533695, "reuseport_select_sock" },
	{ 0x44faec88, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf5782c32, "sk_filter_trim_cap" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x58e274d9, "fput" },
	{ 0xe3af3fcd, "inet_accept" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xff09e5e, "crypto_shash_setkey" },
	{ 0x268386c1, "skb_pull" },
	{ 0xb9d8dc67, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe55a81db, "ip6_mtu" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xee31c77c, "inet_add_protocol" },
	{ 0xf457e418, "inet_shutdown" },
	{ 0x72e831a0, "sk_free" },
	{ 0xab76fd5b, "sock_wake_async" },
	{ 0x6d6ad00c, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x2d854690, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x8496bc8f, "__ip_queue_xmit" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x3c757791, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x25aa683d, "ns_capable" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xb28eac8, "inet6_ioctl" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x8ec35235, "ip6_dst_lookup_flow" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x4aed82d7, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x2676cf70, "setup_udp_tunnel_sock" },
	{ 0xcc05514f, "udp_sock_create6" },
	{ 0x754c52f1, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x329b5f37, "sk_common_release" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcc19bda1, "inet6_getname" },
	{ 0xffa6a0b5, "sock_i_ino" },
	{ 0x736759f8, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf9549728, "ip6_xmit" },
	{ 0xbc284094, "security_sctp_assoc_request" },
	{ 0x3e7874, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3284773a, "ipv4_mtu" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xe703d966, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x1279649b, "__skb_checksum" },
	{ 0xd543191b, "reuseport_alloc" },
	{ 0x89daed70, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x4067cd87, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x430b843d, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x9e40bfd4, "ipv6_dup_options" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a601045, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x6a069c0c, "proc_create_net_single" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0x77f201f6, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x258136f4, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x35cf29e9, "inet_recv_error" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0x4c090ec6, "sock_gettstamp" },
	{ 0x78b3b5a0, "security_sctp_bind_connect" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x31cf08f9, "_proc_mkdir" },
	{ 0xd9caa4b2, "sk_setup_caps" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xac2d311e, "send_sig" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x531dd74d, "inet6_add_protocol" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0x9ff8720e, "ip_setsockopt" },
	{ 0xc2788d42, "ipv6_flowlabel_exclusive" },
	{ 0x634724a3, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9d503d19, "ipv6_getsockopt" },
	{ 0xd0d8621b, "strlen" },
	{ 0x75b4decc, "reuseport_detach_sock" },
	{ 0x3522400f, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc8cee15e, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x9610ab28, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "A002B76532FC30556F38CC6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
