#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xefecf933, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xd2268ac0, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xfaa6b3d1, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x3ea163e3, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xd8c762a1, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x5b1fd068, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xa77c5cdc, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x6c557ba9, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x6d3d8e8d, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xc2411f95, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x09fe4bf1, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x47e25793, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x30102a09, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x227a94a6, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xa029792a, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xca6c3ee0, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x26ada60b, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x79173911, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xdd31062b, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xbe4decac, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x5997141f, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x4bad74c3, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x55a29876, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xf32319e8, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x2c7961f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb23deca, "security_sock_graft" },
	{ 0xef8e4e8e, "sock_map_close" },
	{ 0xfebeec5, "sock_queue_rcv_skb_reason" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8d6c944d, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb241889d, "__module_get" },
	{ 0x3aeecbbc, "sk_stream_error" },
	{ 0x5e187d08, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2b45257a, "ns_capable_noaudit" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb26ff44d, "__put_cred" },
	{ 0xec02d0cb, "sk_error_report" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa4b08f62, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x99000b37, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x62e67e7d, "module_put" },
	{ 0xc0a6ec2f, "sk_msg_is_readable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x72e831a0, "sk_free" },
	{ 0xa3eef689, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3f09ce0, "sock_no_listen" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xaf36998f, "sock_recv_errqueue" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0x325cda0a, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0x4ccf42f0, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xf9352151, "nonseekable_open" },
	{ 0xd59730e3, "sk_psock_drop" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x36710792, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85489d4a, "sock_setsockopt" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0x9610ab28, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B5B4A91A291FA6D5A60F9C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
