#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_rawmidi_drop_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_output, "", "");
KSYMTAB_FUNC(snd_rawmidi_drain_input, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_open, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_release, "", "");
KSYMTAB_FUNC(snd_rawmidi_info_select, "", "");
KSYMTAB_FUNC(snd_rawmidi_output_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_input_params, "", "");
KSYMTAB_FUNC(snd_rawmidi_receive, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_read, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_empty, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_peek, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit_ack, "", "");
KSYMTAB_FUNC(snd_rawmidi_transmit, "", "");
KSYMTAB_FUNC(snd_rawmidi_proceed, "", "");
KSYMTAB_FUNC(snd_rawmidi_kernel_write, "", "");
KSYMTAB_FUNC(snd_rawmidi_init, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_new, "", "");
KSYMTAB_FUNC(snd_rawmidi_free, "_gpl", "");
KSYMTAB_FUNC(snd_rawmidi_set_ops, "", "");

SYMBOL_CRC(snd_rawmidi_drop_output, 0x11f0caec, "");
SYMBOL_CRC(snd_rawmidi_drain_output, 0xffed9fa5, "");
SYMBOL_CRC(snd_rawmidi_drain_input, 0x080d58bf, "");
SYMBOL_CRC(snd_rawmidi_kernel_open, 0xba7355b3, "");
SYMBOL_CRC(snd_rawmidi_kernel_release, 0x1620d692, "");
SYMBOL_CRC(snd_rawmidi_info_select, 0xb5c946c2, "");
SYMBOL_CRC(snd_rawmidi_output_params, 0x4866e39a, "");
SYMBOL_CRC(snd_rawmidi_input_params, 0x922115a8, "");
SYMBOL_CRC(snd_rawmidi_receive, 0x35e3a105, "");
SYMBOL_CRC(snd_rawmidi_kernel_read, 0xb22a1e84, "");
SYMBOL_CRC(snd_rawmidi_transmit_empty, 0xb4c61f08, "");
SYMBOL_CRC(snd_rawmidi_transmit_peek, 0x24041f0b, "");
SYMBOL_CRC(snd_rawmidi_transmit_ack, 0x847fd2f6, "");
SYMBOL_CRC(snd_rawmidi_transmit, 0xf0c13426, "");
SYMBOL_CRC(snd_rawmidi_proceed, 0xefa822ab, "");
SYMBOL_CRC(snd_rawmidi_kernel_write, 0x56a76247, "");
SYMBOL_CRC(snd_rawmidi_init, 0x75f496fd, "_gpl");
SYMBOL_CRC(snd_rawmidi_new, 0xadccc900, "");
SYMBOL_CRC(snd_rawmidi_free, 0x801934bc, "_gpl");
SYMBOL_CRC(snd_rawmidi_set_ops, 0x8309cb37, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x74972f4b, "snd_info_register" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcf8d5ae, "snd_seq_device_new" },
	{ 0x6c522b43, "snd_ctl_get_preferred_subdevice" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0x1e754e77, "snd_info_free_entry" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6f03a63b, "snd_unregister_oss_device" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6cd0a1a6, "snd_register_oss_device" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0xb94dc3b8, "snd_ctl_register_ioctl" },
	{ 0xb5ee07cb, "snd_card_file_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8f595b11, "snd_major" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x762b6de0, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x2856b70a, "snd_device_alloc" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88dd5687, "snd_device_new" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x32a56b4f, "snd_ctl_unregister_ioctl" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x198788b4, "snd_lookup_oss_minor_data" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x18e61e10, "snd_info_create_card_entry" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x174d21bd, "stream_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x24098d7e, "pid_vnr" },
	{ 0x72d6cd07, "snd_card_file_remove" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1414bb84, "snd_device_register" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xed60b67e, "snd_register_device" },
	{ 0xa9df7799, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device");


MODULE_INFO(srcversion, "0FA7723EB9A1D832F95D24B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
