#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x9e87f688, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xcc3863e0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x8965f001, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x3f203838, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xdb606219, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x4a9f5fbd, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xa3818a47, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x46a33266, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xe80a3fd9, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x4ee2b88c, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x1ac7525a, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xe1b3db17, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xaebf20ad, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x5f01e82d, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x1ed79a19, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xcdee0e62, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xee1c434b, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xb2ed9515, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xccefbd9c, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x255c060a, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xc44310c8, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x9578eaa6, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x037a277f, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x1e6b2117, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x1af72d4f, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x1c3f7bd8, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xbeaf6216, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x15db0d2d, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0xd843f31a, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xfef8b0e9, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x2fddfed7, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x24a41b5f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xf7e77a1b, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xdac0a292, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x51a0ee7c, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x3ce77ff3, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x25184892, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0xb6572971, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xb73129d6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xadd67ba1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x43a5d941, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xb500b511, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xf1d7f263, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xcfe28ef6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x94a7b7e4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x970d107a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x13a27d8f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xcd13e17a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x6f7260e5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xd568ff2a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xe1841172, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xfaf2af06, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xd85fa273, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x479b376d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x6864d32c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x229120f6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xfc2d1b89, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x8b3ee71e, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xd29a5b7a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x93db83ce, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xab6897e7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x2c087cdf, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x86fbb689, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x431cf822, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x15af8076, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x55d64c83, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x09c47600, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0xd6ea1510, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xd5be0f1c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x4a200f2e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x80b5ea10, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xd735420d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x4e6d87dc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x62e2db6b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xcb20b17b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x219cb0ee, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x86060c71, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x0a10f0a1, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xa98c8f68, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x806c8080, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x9155397d, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x478b1ac1, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x03e44bc8, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x44f93f41, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x75b2696d, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x12ea35db, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x711705a5, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x25c375e7, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x981e2da3, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x790712d4, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x99133cfe, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x860675af, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x0bc95b67, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xf79d3f96, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe6e2388f, "regcache_sync" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x6941b171, "snd_dma_alloc_dir_pages" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x58763af3, "component_master_add_with_match" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x601ba43d, "snd_pcm_add_chmap_ctls" },
	{ 0xb44f0622, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x38d665e3, "pci_get_device" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x9aacde2d, "devres_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x625da86f, "pm_runtime_get_if_active" },
	{ 0xcbcf5d55, "kobject_init" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x59845662, "regcache_reg_cached" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x62bed9f0, "snd_sgbuf_get_addr" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xf795fc78, "snd_sgbuf_get_chunk_size" },
	{ 0x4ad79ca6, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x64613d17, "snd_dma_free_pages" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x233191b0, "_dev_info" },
	{ 0x62e67e7d, "module_put" },
	{ 0x4837de3c, "component_match_add_typed" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x4618d5, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfb901f8c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xabee13e2, "__devres_alloc_node" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd122ceec, "__regmap_init" },
	{ 0xeda60a69, "device_del" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf9664454, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x3c69440d, "component_master_del" },
	{ 0x759a1672, "regmap_read" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe3b058c0, "component_bind_all" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xa45d6efa, "pci_match_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1a9ce73a, "devres_find" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0xcbf40193, "regmap_exit" },
	{ 0xd0d8621b, "strlen" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc08f0286, "component_unbind_all" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe78f0ed3, "pci_bus_type" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x5791aca9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xe65a9b9d, "kobject_put" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "5DB94B74966C5289F2EAEBD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
