#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0xe31541df, "");
SYMBOL_CRC(snd_ac97_read, 0x7529522f, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x08cda2cd, "");
SYMBOL_CRC(snd_ac97_update, 0xef0cc96a, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xdb50d617, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0xa2f2d935, "");
SYMBOL_CRC(snd_ac97_bus, 0xca506703, "");
SYMBOL_CRC(snd_ac97_mixer, 0x0e963e83, "");
SYMBOL_CRC(snd_ac97_update_power, 0x6b4d0043, "");
SYMBOL_CRC(snd_ac97_suspend, 0xab62234f, "");
SYMBOL_CRC(snd_ac97_resume, 0x442c04aa, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x3335ed0e, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x9301a7d9, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x15ff136c, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x68ca0ca0, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x63cac9f1, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xbfb20d55, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf31ede98, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xbbc16055, "snd_ctl_add" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x1e754e77, "snd_info_free_entry" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x2d3da9a9, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x85ce6a9a, "snd_ctl_new1" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cd418f3, "put_device" },
	{ 0xf5e6884, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xea031cd6, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xa4d37924, "snd_ctl_make_virtual_master" },
	{ 0xec40520c, "snd_pcm_hw_rule_add" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xe41fa4af, "snd_ctl_boolean_mono_info" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x14c0cdd9, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3f6375f0, "snd_ctl_rename" },
	{ 0xf1f615e3, "device_register" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x88dd5687, "snd_device_new" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x18e61e10, "snd_info_create_card_entry" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
