#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x678e6812, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x344bae1d, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x7f21b858, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0x88015f3d, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x07dca678, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0xc410d73e, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0xd16f5d7e, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x35d0e46c, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x8846f361, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x4569c681, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x35e3a105, "snd_rawmidi_receive" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x6941b171, "snd_dma_alloc_dir_pages" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf0c13426, "snd_rawmidi_transmit" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8cda2cd, "snd_ac97_write_cache" },
	{ 0xbbc16055, "snd_ctl_add" },
	{ 0x442c04aa, "snd_ac97_resume" },
	{ 0x744179c2, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xcf8d5ae, "snd_seq_device_new" },
	{ 0x52fd270a, "snd_card_register" },
	{ 0xc358602e, "request_firmware" },
	{ 0x9a94dd79, "snd_devm_alloc_dir_pages" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xc9f66934, "snd_pcm_hw_constraint_minmax" },
	{ 0x1f43ffd5, "snd_pcm_set_sync_per_card" },
	{ 0x5863e310, "snd_timer_interrupt" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x430f6074, "snd_card_rw_proc_new" },
	{ 0xdb50d617, "snd_ac97_update_bits" },
	{ 0xe963e83, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x62bed9f0, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xda36c6cb, "snd_ctl_remove" },
	{ 0xca506703, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2d3da9a9, "snd_ctl_find_id" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x64613d17, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x85ce6a9a, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf5e6884, "snd_ctl_remove_id" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x233191b0, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xd97695eb, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xab62234f, "snd_ac97_suspend" },
	{ 0x53bac62f, "snd_pcm_lib_malloc_pages" },
	{ 0x4a123d4c, "__snd_util_mem_alloc" },
	{ 0xe41fa4af, "snd_ctl_boolean_mono_info" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xadd4d890, "snd_util_memhdr_new" },
	{ 0x650832cb, "snd_pcm_lib_ioctl" },
	{ 0xf59a32ee, "snd_pcm_lib_free_pages" },
	{ 0x1f53a555, "snd_hwdep_new" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x81883399, "snd_ctl_notify" },
	{ 0x8f49e599, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd630526d, "snd_pcm_set_managed_buffer" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xbe2c1515, "snd_timer_new" },
	{ 0x3f6375f0, "snd_ctl_rename" },
	{ 0xe42837af, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xef0cc96a, "snd_ac97_update" },
	{ 0xc296448b, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x3176285e, "pci_set_master" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xadccc900, "snd_rawmidi_new" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x90933f99, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdbc71f27, "_dev_notice" },
	{ 0x6a224c83, "__snd_util_mem_free" },
	{ 0x8309cb37, "snd_rawmidi_set_ops" },
	{ 0x13e2a42b, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xf15da3c6, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x9e06c0b1, "snd_util_memhdr_free" },
	{ 0x18e61e10, "snd_info_create_card_entry" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x9b440466, "snd_device_free" },
	{ 0x83e464e7, "snd_pcm_period_elapsed" },
	{ 0x3936370b, "__snd_util_memblk_new" },
	{ 0xd0d8621b, "strlen" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x9978af6, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd055966d, "snd_pcm_hw_rule_noresample" },
	{ 0x7529522f, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "095F33098D9B3DE44D0BCE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
