#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(hda_cs_dsp_fw_ids, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_add_controls, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_control_remove, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_write_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_read_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");

SYMBOL_CRC(hda_cs_dsp_fw_ids, 0x2b707546, "_gpl");
SYMBOL_CRC(hda_cs_dsp_add_controls, 0x2204d0ee, "_gpl");
SYMBOL_CRC(hda_cs_dsp_control_remove, 0xdd274381, "_gpl");
SYMBOL_CRC(hda_cs_dsp_write_ctl, 0x1a7b9c74, "_gpl");
SYMBOL_CRC(hda_cs_dsp_read_ctl, 0x99ca3dbc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6404f0e7, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0xbbc16055, "snd_ctl_add" },
	{ 0x386d45f, "cs_dsp_coeff_read_ctrl" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x911d816c, "cs_dsp_coeff_write_ctrl" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xda36c6cb, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85ce6a9a, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5b75b09d, "cs_dsp_get_ctl" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x736debc3, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd");


MODULE_INFO(srcversion, "EF0DDF58C6C582D97771E55");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
