#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x1103b822, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x2cb493cb, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x8564672d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50cdf7f7, "acpi_dev_get_first_match_dev" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x9ee9d836, "regcache_cache_only" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xe6e2388f, "regcache_sync" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0xe0c7e545, "firmware_request_nowarn" },
	{ 0xbbc16055, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x45c633a9, "cs_dsp_cleanup_debugfs" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xadd4221e, "cs_dsp_stop" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0xf596a719, "gpiod_set_value_cansleep" },
	{ 0xdab75183, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb5a57f17, "sound_debugfs_root" },
	{ 0xa9300ee4, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3d4e6196, "cs_dsp_init_debugfs" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xda36c6cb, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7af7e6b2, "cs35l56_get_calibration" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x85ce6a9a, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0x233191b0, "_dev_info" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xa7c8b842, "cs35l56_init_cs_dsp" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd66a9714, "cs_dsp_halo_init" },
	{ 0x1403a152, "cs_dsp_power_down" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xa1fc97e, "cs35l56_runtime_suspend_common" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x2e9d66fa, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2c89936a, "cs35l56_mbox_send" },
	{ 0x21acce10, "cs35l56_hw_init" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5cd9b2d8, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf3af7013, "cs_dsp_power_up" },
	{ 0x6669c7af, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x7075674d, "cs35l56_wait_for_firmware_boot" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x4364e641, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x9785779, "cs35l56_is_fw_reload_needed" },
	{ 0x759a1672, "regmap_read" },
	{ 0x975a981a, "cs_dsp_run" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9f67c1fd, "cs_amp_write_cal_coeffs" },
	{ 0xf3ab61ca, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x117693ea, "cs35l56_runtime_resume_common" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x2076e5b6, "regmap_multi_reg_write" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0xf5ab4810, "component_add" },
	{ 0xed84398d, "set_primary_fwnode" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0x85e3e4a8, "devm_gpiod_get_index_optional" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xaf4888f0, "cs35l56_firmware_shutdown" },
	{ 0x971e6858, "pm_runtime_force_suspend" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l56-shared,snd,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "DF35788D1B6C76EFB434D87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
