#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(acp_machine_select, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(config_pte_for_stream, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(config_acp_dma, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(acp_platform_register, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(acp_platform_unregister, "_gpl", "SND_SOC_ACP_COMMON");

SYMBOL_CRC(acp_machine_select, 0xdc79e68c, "_gpl");
SYMBOL_CRC(config_pte_for_stream, 0x021342b3, "_gpl");
SYMBOL_CRC(config_acp_dma, 0x85fcbd27, "_gpl");
SYMBOL_CRC(acp_platform_register, 0x0088a421, "_gpl");
SYMBOL_CRC(acp_platform_unregister, 0x2a3ce6e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bf6fc8, "devm_snd_soc_register_component" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0xc296448b, "snd_pcm_set_managed_buffer_all" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90933f99, "snd_pcm_hw_constraint_integer" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x83e464e7, "snd_pcm_period_elapsed" },
	{ 0x4ad2d269, "snd_pcm_hw_constraint_step" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-acpi,snd-pcm");


MODULE_INFO(srcversion, "C67C6F949BDB6B4C17C0B04");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
