#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x893f4651, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x9022f24c, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xc84bab4d, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x38f8e4b0, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x5658d295, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x156013d9, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6125af5, "snd_soc_dapm_put_enum_double" },
	{ 0xfe09a18c, "wm_adsp_fw_put" },
	{ 0x693cb068, "regulator_enable" },
	{ 0x9ee9d836, "regcache_cache_only" },
	{ 0xe6e2388f, "regcache_sync" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x975d3241, "of_node_put" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8eb331ee, "snd_soc_component_get_kcontrol" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0xf596a719, "gpiod_set_value_cansleep" },
	{ 0xe0e05a2e, "wm_adsp2_remove" },
	{ 0x3f8fbc90, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa9300ee4, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc2df3d0, "devm_gpiod_get_optional" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x3bf6fc8, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0xda21c36b, "devm_regulator_get" },
	{ 0xb14f08c0, "snd_soc_component_disable_pin_unlocked" },
	{ 0x233191b0, "_dev_info" },
	{ 0xd430a6dd, "snd_soc_info_volsw" },
	{ 0xab9f1208, "of_get_child_by_name" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x828036ef, "wm_adsp_event" },
	{ 0xe16d32c6, "snd_soc_dapm_put_volsw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81883399, "snd_ctl_notify" },
	{ 0x7830cc68, "wm_adsp_fw_enum" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x50b14888, "wm_adsp2_component_probe" },
	{ 0x3ceff9a6, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd79426d0, "wm_adsp2_preloader_get" },
	{ 0x9d411598, "snd_soc_info_enum_double" },
	{ 0xee17267d, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa7211403, "devm_regmap_add_irq_chip" },
	{ 0xe5020abd, "snd_soc_get_volsw" },
	{ 0x759a1672, "regmap_read" },
	{ 0x498ca299, "snd_soc_put_volsw" },
	{ 0x15727efa, "wm_adsp_fw_get" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdb515e34, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd1dc684c, "regmap_bulk_read" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0xccd9fd6e, "regulator_disable" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x2076e5b6, "regmap_multi_reg_write" },
	{ 0x104ebccb, "snd_soc_dapm_get_volsw" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0x6eb3d643, "regmap_register_patch" },
	{ 0x62db5eef, "snd_soc_dapm_get_enum_double" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0xe22cfb15, "wm_halo_init" },
	{ 0xc8a4e021, "wm_adsp_early_event" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "339289D9249B51897B33DCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
