#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x932b4a35, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x14d39152, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x2a0cf959, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x05103470, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x7cde8074, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xb09438b1, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x4593fb25, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xc5e540d4, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xb26317e7, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xfefcad8d, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x429c3ff4, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xe7a802a5, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x3467fa17, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x0ce74ef6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd374215, "device_property_present" },
	{ 0x9ee9d836, "regcache_cache_only" },
	{ 0xe6e2388f, "regcache_sync" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7416f0c4, "snd_soc_jack_report" },
	{ 0xf596a719, "gpiod_set_value_cansleep" },
	{ 0xc9f66934, "snd_pcm_hw_constraint_minmax" },
	{ 0x7f150274, "regcache_sync_region" },
	{ 0x6048ec4b, "snd_soc_put_enum_double" },
	{ 0xa9300ee4, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc2df3d0, "devm_gpiod_get_optional" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3bf6fc8, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe8fd8968, "regulator_bulk_disable" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0x61c61a30, "snd_soc_get_enum_double" },
	{ 0x233191b0, "_dev_info" },
	{ 0xd430a6dd, "snd_soc_info_volsw" },
	{ 0xb8150c07, "regcache_drop_region" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d411598, "snd_soc_info_enum_double" },
	{ 0x1d7bc428, "regulator_bulk_enable" },
	{ 0x5dfc209, "devm_regulator_bulk_get" },
	{ 0xe5020abd, "snd_soc_get_volsw" },
	{ 0x759a1672, "regmap_read" },
	{ 0x498ca299, "snd_soc_put_volsw" },
	{ 0x9f548443, "snd_soc_component_update_bits" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd1dc684c, "regmap_bulk_read" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x2076e5b6, "regmap_multi_reg_write" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "03C925C7DEB10ECF436DE21");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
