#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(max98090_mic_detect, "_gpl", "");

SYMBOL_CRC(max98090_mic_detect, 0x3497ea53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6125af5, "snd_soc_dapm_put_enum_double" },
	{ 0x9ee9d836, "regcache_cache_only" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xe6e2388f, "regcache_sync" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x7416f0c4, "snd_soc_jack_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x863ee23f, "snd_soc_bytes_put" },
	{ 0xe66e4061, "snd_soc_component_read" },
	{ 0x8ee40953, "i2c_match_id" },
	{ 0x58e1342a, "snd_soc_bytes_get" },
	{ 0x6048ec4b, "snd_soc_put_enum_double" },
	{ 0xa9300ee4, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xa521e23c, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c31fada, "snd_soc_component_write" },
	{ 0x3bf6fc8, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x80062a86, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xc851f383, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0x61c61a30, "snd_soc_get_enum_double" },
	{ 0x233191b0, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x4e41b891, "i2c_register_driver" },
	{ 0xd430a6dd, "snd_soc_info_volsw" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xa98f7de0, "snd_soc_get_volsw_range" },
	{ 0xe16d32c6, "snd_soc_dapm_put_volsw" },
	{ 0x7ba51370, "snd_soc_bytes_info" },
	{ 0x37745aa, "snd_soc_info_volsw_range" },
	{ 0x5d886f61, "snd_soc_add_component_controls" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xa8018b9b, "snd_soc_put_volsw_range" },
	{ 0x31e50604, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2f7ffe4, "acpi_match_device" },
	{ 0x9d411598, "snd_soc_info_enum_double" },
	{ 0xe5020abd, "snd_soc_get_volsw" },
	{ 0x759a1672, "regmap_read" },
	{ 0x498ca299, "snd_soc_put_volsw" },
	{ 0x9f548443, "snd_soc_component_update_bits" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x406caec3, "snd_soc_dapm_new_controls" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xec0af065, "snd_pcm_hw_constraint_msbits" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0x104ebccb, "snd_soc_dapm_get_volsw" },
	{ 0xa6d820fc, "i2c_del_driver" },
	{ 0x62db5eef, "snd_soc_dapm_get_enum_double" },
	{ 0x1b8ff0c9, "snd_soc_dai_active" },
	{ 0x815588a6, "clk_enable" },
	{ 0x2acda8a0, "snd_soc_params_to_bclk" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "A038C51223052BA5766A9C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
