#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xde7a6bf8, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x4eb84ea4, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0xab0af520, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x93b83d7c, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x73ff540b, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xb3e3318a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6125af5, "snd_soc_dapm_put_enum_double" },
	{ 0xaff32918, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd374215, "device_property_present" },
	{ 0x9ee9d836, "regcache_cache_only" },
	{ 0xe6e2388f, "regcache_sync" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x7416f0c4, "snd_soc_jack_report" },
	{ 0xe66e4061, "snd_soc_component_read" },
	{ 0xf596a719, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x2916b651, "gpiod_to_irq" },
	{ 0x3f8fbc90, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6048ec4b, "snd_soc_put_enum_double" },
	{ 0xa9300ee4, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xee52854a, "gpiod_get_value" },
	{ 0xc2df3d0, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd58f59c5, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c31fada, "snd_soc_component_write" },
	{ 0x3bf6fc8, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc851f383, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0x61c61a30, "snd_soc_get_enum_double" },
	{ 0x4e41b891, "i2c_register_driver" },
	{ 0xd430a6dd, "snd_soc_info_volsw" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe16d32c6, "snd_soc_dapm_put_volsw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x345f789f, "snd_soc_dapm_force_bias_level" },
	{ 0x452f7f5f, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x5d886f61, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x31e50604, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d411598, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x8851639, "devm_clk_get_optional" },
	{ 0xe5020abd, "snd_soc_get_volsw" },
	{ 0x759a1672, "regmap_read" },
	{ 0x498ca299, "snd_soc_put_volsw" },
	{ 0x9f548443, "snd_soc_component_update_bits" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x406caec3, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0x104ebccb, "snd_soc_dapm_get_volsw" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0xa6d820fc, "i2c_del_driver" },
	{ 0x6eb3d643, "regmap_register_patch" },
	{ 0x62db5eef, "snd_soc_dapm_get_enum_double" },
	{ 0x2eb2efe7, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("of:N*T*Crealtek,rt5639");
MODULE_ALIAS("of:N*T*Crealtek,rt5639C*");
MODULE_ALIAS("of:N*T*Crealtek,rt5640");
MODULE_ALIAS("of:N*T*Crealtek,rt5640C*");
MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
