#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sst_alloc_drv_context, "_gpl", "");
KSYMTAB_FUNC(sst_context_init, "_gpl", "");
KSYMTAB_FUNC(sst_context_cleanup, "_gpl", "");
KSYMTAB_FUNC(sst_configure_runtime_pm, "_gpl", "");
KSYMTAB_DATA(intel_sst_pm, "_gpl", "");
KSYMTAB_FUNC(relocate_imr_addr_mrfld, "_gpl", "");

SYMBOL_CRC(sst_alloc_drv_context, 0xa38a6125, "_gpl");
SYMBOL_CRC(sst_context_init, 0xfc5f1f73, "_gpl");
SYMBOL_CRC(sst_context_cleanup, 0xa808599f, "_gpl");
SYMBOL_CRC(sst_configure_runtime_pm, 0x7fc8cb23, "_gpl");
SYMBOL_CRC(intel_sst_pm, 0xec510b5f, "_gpl");
SYMBOL_CRC(relocate_imr_addr_mrfld, 0x709cd25f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42648a78, "cpu_latency_qos_remove_request" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc358602e, "request_firmware" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x2e60bace, "memcpy" },
	{ 0x596ff27b, "cpu_latency_qos_add_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x233191b0, "_dev_info" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x23679939, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xef0b51cb, "request_firmware_nowait" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6d165192, "cpu_latency_qos_update_request" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x1c443231, "sst_unregister_dsp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb324db7f, "sst_register_dsp" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sst-atom-hifi2-platform");


MODULE_INFO(srcversion, "CAA30B3BA96928BD2B53751");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
