#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt712_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt722_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x940cf447, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x2ea36e21, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0x4ac18b9b, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x82fb75dd, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0x81d9c94c, "");
SYMBOL_CRC(asoc_sdw_startup, 0x0a1db711, "");
SYMBOL_CRC(asoc_sdw_prepare, 0xf069e5ae, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x56f9494e, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x03c0eab0, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0xd89b0fbc, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0x7fe0a098, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0xcc90b6c5, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0xef813c1d, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x880c5782, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0xebe3d698, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0xeb71cbe6, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0xa89ef237, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0x12a2b607, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0xcc871ce2, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0xbb18895a, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0xf5a62b1a, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0x4695ebda, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0xd969fd7a, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0xc1a5bf03, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0xa644d003, "");
SYMBOL_CRC(asoc_sdw_rt712_spk_rtd_init, 0x120a4b80, "");
SYMBOL_CRC(asoc_sdw_rt722_spk_rtd_init, 0xdec2ceae, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x8950349e, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x52d09f07, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0x9d736c3a, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0x27e307ec, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x9f2fba3e, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0xbbf5b5cd, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0xb5dcd818, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0xc061628f, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0x112adf88, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x630c4bb0, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0x1d68d398, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0xecb1d830, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xd3191c1f, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0x411ca81c, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x8f3ccfa5, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0x4a404b50, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0x576a9ae9, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0xb3c83ed0, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0x8ae27bfd, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0x422350cf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b46e283, "sdw_bus_type" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x3fc6f500, "to_software_node" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd5528d2e, "snd_soc_dai_set_tdm_slot" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x216dbfd7, "snd_soc_dapm_enable_pin" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe50a99, "snd_soc_dapm_disable_pin" },
	{ 0xb3f2f57d, "snd_soc_component_set_sysclk" },
	{ 0x734913cb, "snd_soc_dai_set_sysclk" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ec6209b, "snd_soc_dapm_sync" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8da42352, "snd_soc_component_set_jack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeb7eeb3, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0xb952d8c, "fwnode_create_software_node" },
	{ 0xa9d65f9c, "snd_soc_dapm_get_pin_switch" },
	{ 0x4cde88bf, "sdw_disable_stream" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xf2c0ea9c, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0x71891d59, "sdw_deprepare_stream" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x31e50604, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4ca6d92c, "device_remove_software_node" },
	{ 0xeacc984a, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x46439d62, "snd_soc_card_jack_new_pins" },
	{ 0x3231a298, "snd_soc_dai_set_pll" },
	{ 0x406caec3, "snd_soc_dapm_new_controls" },
	{ 0xbbec2c2e, "sdw_enable_stream" },
	{ 0x6b6c7260, "snd_soc_dapm_put_pin_switch" },
	{ 0x20029680, "device_match_name" },
	{ 0xdbaa5322, "snd_soc_dapm_info_pin_switch" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x52ed2c26, "snd_soc_add_card_controls" },
	{ 0x51cc2020, "device_add_software_node" },
	{ 0x16d1706b, "sdw_prepare_stream" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,snd-soc-core,snd");


MODULE_INFO(srcversion, "6C41647632F304A037976CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
