#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xb36ab4b7, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x738fc517, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x00c13a50, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x7e96ac58, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x892a352d, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x354c9a62, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x32da5c3c, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xe6c4746e, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0xd5235b60, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0xf1bb5a18, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x369c04b6, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0xc31e3a76, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x75191e6f, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x9880c2f0, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xf3c89102, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x1d206f4f, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xaad14986, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0xf43b3665, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0xf3570a72, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x90f1956f, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x5d886f61, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x52ed2c26, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x3e8c22b1, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xce479840, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xa4540c91, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x5aff032f, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x9518d933, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x0f9c9862, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x139ff9cf, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x7ca642f1, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0xe9770707, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0x4507a074, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xe24b6efe, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x150800e1, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x7242ffcf, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0xdb5da3a7, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0xb2b52e11, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x88d6681f, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0xdc11b205, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x690133d2, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x98d65ef1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x0dae42e1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x24b46754, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x539fb612, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0xe92ea405, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x7e567fa9, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0x6557dbab, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x16e03a5b, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xd65faf5d, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x2b09793b, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0xe7f45e4b, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x0fef6cd2, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x14dc4523, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0xd2aba468, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xa0d7b670, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xaaa97805, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x338bbe46, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0xcda63dc6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x345f789f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xe83382d1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x07ee3d24, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0xfaa6a895, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x80b7cb97, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x5d9eadf6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x3b03236a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xcd758954, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x496d18ce, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x3f8fbc90, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0x2ec6209b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x5c21ae5c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x30818aa5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x31e50604, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0x4590d369, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x0f63d089, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xde0b0819, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x104ebccb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xe16d32c6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x62db5eef, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0xd6125af5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0xdbaa5322, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0xa9d65f9c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x6b6c7260, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0xe0d52b89, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x406caec3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x2fc3e8a1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x6f16f970, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0xba600d0f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x216dbfd7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0xd58f59c5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0xf3ac46bb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0x452f7f5f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x00e50a99, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x61f6bf95, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x093a30ae, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x3cab04da, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x172a12d7, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x42ddbf8f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xa35204ba, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0x7416f0c4, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x3506d788, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x47ace4a5, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x2ac7eff6, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xc21daf23, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x30ab623e, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x9f4d47e8, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0xb836eadc, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0xa63d7f2d, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x03be5260, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x9dc29140, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x734913cb, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x2789e01a, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0x3231a298, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xb7e5678d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0x105b819b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0xd5528d2e, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0xd924a7ac, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0xa103f397, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x2ed08047, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0x7f27eb32, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x56e00c14, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x1b8ff0c9, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x4a5d957b, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0xd14c9491, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x6e02c686, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x27c3e48f, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x1e55f292, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0x2064cf75, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0xa3a75f72, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0xc7e05a2d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0xf07b6915, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0xb3f2f57d, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0xdbf90d2d, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xb55cec1d, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xdb515e34, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x3b90de3d, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0xb14f08c0, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x2f9965c4, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x0d59b2ae, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x389ab56b, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x0249c538, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xc7277001, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x8eb331ee, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x48786f52, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x8da42352, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xc985f182, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0xc04db6e2, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x01e247fa, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0xe6892a99, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xcd68ab8c, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x1160deae, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x6d485b4e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0xf9a1ac2b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x4d756ba5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x1fe77e4c, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x1f5f31d0, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0xaef6047d, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x943b6a5b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x6b7b643e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xd379c655, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0xe66e4061, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0x4c31fada, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x9f548443, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x57f863a4, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xb4587b29, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x3c7cd438, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x9b7e54e2, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x2aafbc4f, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0xe32b960d, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0x564c3353, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x75e14e82, "_gpl");
SYMBOL_CRC(widget_in_list, 0x26011c10, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0xe0105006, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x9f26eb43, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x4b438c85, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0xfa827970, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0x77934f36, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x03bf6fc8, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x8de8f197, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x8bb41abc, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x9d411598, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x61c61a30, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x6048ec4b, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0xd430a6dd, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xb1ee056d, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0xe5020abd, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x498ca299, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x6d2eab51, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x3eb4dd07, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x037745aa, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0xa8018b9b, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0xa98f7de0, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x898b173d, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x7ba51370, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x58e1342a, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x863ee23f, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x20ba2b9d, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0xb05a09b1, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x58e8e1b4, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0xd1e00b06, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x7d6ea322, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x08145be1, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x34bb3198, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0xe8827b96, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x43fd70dd, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x351f061e, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0x77a1a7ae, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x91cfab98, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x46439d62, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x09e90a0f, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xd20f0a42, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0xbcd789a5, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x57d4af95, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x73ff4aa1, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x5f49fa3f, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x03cbdedb, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x12151b20, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0x740c1a2a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xaff32918, "gpiod_get_value_cansleep" },
	{ 0x693cb068, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x250fba59, "_copy_to_iter" },
	{ 0xb4cdc4e5, "gpiod_put" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x975d3241, "of_node_put" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x1f64833d, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x98f51cba, "regmap_get_val_bytes" },
	{ 0x7b4f2a5e, "platform_driver_unregister" },
	{ 0xbbc16055, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa8ed9999, "snd_dmaengine_pcm_sync_stop" },
	{ 0x744179c2, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xc72372c6, "snd_jack_report" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xbce99524, "regmap_raw_read" },
	{ 0x52fd270a, "snd_card_register" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x5b221d3c, "snd_card_free" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x9aacde2d, "devres_destroy" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1922856e, "gpiod_get_index" },
	{ 0x32b1a972, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xc9f66934, "snd_pcm_hw_constraint_minmax" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2916b651, "gpiod_to_irq" },
	{ 0xd0e880c9, "gpiod_export" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xe69c89c4, "dma_release_channel" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xa9300ee4, "regcache_mark_dirty" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x594b7261, "regulator_disable_deferred" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xda36c6cb, "snd_ctl_remove" },
	{ 0x40e6420e, "snd_ctl_free_one" },
	{ 0x2d3da9a9, "snd_ctl_find_id" },
	{ 0xa521e23c, "devm_clk_get" },
	{ 0x4ad79ca6, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7b595c84, "snd_pcm_new_internal" },
	{ 0x9c1fca1f, "of_get_property" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x23c5cf45, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0xed0a8b1, "snd_dmaengine_pcm_get_chan" },
	{ 0x17d86163, "pinctrl_pm_select_default_state" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x85ce6a9a, "snd_ctl_new1" },
	{ 0x70f7896, "_printk" },
	{ 0x6788dff6, "snd_pcm_stream_unlock_irq" },
	{ 0x80062a86, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xeb7eeb3, "devm_kstrdup" },
	{ 0x426c0f85, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1bc6f865, "debugfs_lookup_and_remove" },
	{ 0x5cd418f3, "put_device" },
	{ 0x234f58c, "gpiod_unexport" },
	{ 0xea031cd6, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0xda21c36b, "devm_regulator_get" },
	{ 0xbaebf22b, "snd_dmaengine_pcm_close" },
	{ 0x1d2a738d, "dma_get_slave_caps" },
	{ 0x233191b0, "_dev_info" },
	{ 0x62e67e7d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x6c890062, "snd_card_new" },
	{ 0x447b4c3f, "snd_card_disconnect_sync" },
	{ 0x6b9867ff, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd197215a, "snd_dmaengine_pcm_request_channel" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x34bfc7f1, "pinctrl_pm_select_sleep_state" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0xabdecbeb, "__of_parse_phandle_with_args" },
	{ 0x650832cb, "snd_pcm_lib_ioctl" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0xa48352c, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xae7328ad, "snd_pcm_stream_unlock_irqrestore" },
	{ 0xf79872e9, "snd_jack_add_new_kctl" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe3d9a72e, "dev_get_regmap" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xabee13e2, "__devres_alloc_node" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x81883399, "snd_ctl_notify" },
	{ 0xf1b1560d, "of_property_read_string" },
	{ 0x73ba2387, "regulator_allow_bypass" },
	{ 0x48df7536, "of_find_property" },
	{ 0x8f49e599, "snd_pcm_set_ops" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x21cac46e, "regmap_async_complete" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd630526d, "snd_pcm_set_managed_buffer" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x8d78a0b2, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf1f615e3, "device_register" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0xd09ef6ae, "default_llseek" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7fe554e2, "debugfs_create_u32" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc28824cf, "snd_dmaengine_pcm_open" },
	{ 0x86eb219a, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x98dd5421, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x37b33bb6, "snd_dmaengine_pcm_pointer" },
	{ 0xdc677bed, "of_graph_get_port_parent" },
	{ 0x97eed602, "__platform_driver_register" },
	{ 0x23324ec1, "dma_request_chan" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x61e5a76, "pinctrl_lookup_state" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3e46332f, "snd_compress_new" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x6895c077, "snd_hwparams_to_dma_slave_config" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0x759a1672, "regmap_read" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92c3f564, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xefe4812f, "pinctrl_select_state" },
	{ 0xfe0c9232, "snd_power_wait" },
	{ 0xec0af065, "snd_pcm_hw_constraint_msbits" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x180db697, "of_count_phandle_with_args" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x97da8bb0, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x18a094a2, "device_add_groups" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0xcbf40193, "regmap_exit" },
	{ 0xd35f75a1, "match_string" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x94b8ad8, "regmap_raw_write" },
	{ 0xd0d8621b, "strlen" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x18c4301d, "of_property_read_string_helper" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xa0feaddb, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "6C81E9095889152A6823AA2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
