#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0x9ad3536c, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x47e82b29, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x9a29246b, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x6e0f034d, "");
SYMBOL_CRC(acp_dsp_block_read, 0xdf0a698f, "");
SYMBOL_CRC(acp_dsp_block_write, 0x663f3034, "");
SYMBOL_CRC(acp_get_bar_index, 0x0e416b71, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xe741651f, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x8ea6e8ba, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0x5d8d2740, "");
SYMBOL_CRC(acp_mailbox_write, 0x07167b7f, "");
SYMBOL_CRC(acp_mailbox_read, 0xdea351bc, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0x4a1587ee, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xcd18b67e, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x8c3b20cf, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x60daf2ad, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x2d8fdf22, "");
SYMBOL_CRC(acp_pcm_hw_params, 0x142d1f5c, "");
SYMBOL_CRC(acp_pcm_open, 0xcbe42731, "");
SYMBOL_CRC(acp_pcm_close, 0xa3896498, "");
SYMBOL_CRC(acp_pcm_pointer, 0x8c600642, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x30a41861, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x04c36591, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x41b2e7cd, "");
SYMBOL_CRC(acp_sof_trace_release, 0xc1c77fd5, "");
SYMBOL_CRC(acp_sof_trace_init, 0xd2f8b87e, "");
SYMBOL_CRC(sof_acp_common_ops, 0xa5cbb786, "");
SYMBOL_CRC(acp_probes_register, 0x7dcc9040, "");
SYMBOL_CRC(acp_probes_unregister, 0x0ba15eb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2bc74a2, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9b7b7474, "sdw_amd_exit" },
	{ 0xec497c0a, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb44f0622, "pci_dev_put" },
	{ 0x38d665e3, "pci_get_device" },
	{ 0xc358602e, "request_firmware" },
	{ 0x9ab88442, "devm_ioremap" },
	{ 0x425b0b7, "sof_xtensa_arch_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x62bed9f0, "snd_sgbuf_get_addr" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc94448b6, "amd_sdw_scan_controller" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xd26bded7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7ef8ad0, "sdw_amd_probe" },
	{ 0x233191b0, "_dev_info" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x6ba5e4e8, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0x7d0a1a42, "sof_print_oops_and_stack" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xcffe0b8a, "snd_sof_dsp_update_bits" },
	{ 0xd38c007d, "sdw_amd_get_slave_info" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x79824a18, "sof_io_read" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x4fef5dbd, "snd_sof_ipc_reply" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x64e755f2, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfbf29288, "snd_sof_dsp_panic" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd8d30bb7, "sof_client_dev_unregister" },
	{ 0x5cbdbea2, "snd_sof_load_firmware_memcpy" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0x26c5d2cf, "sof_io_write" },
	{ 0x295b7d28, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-acpi,soundwire-amd,snd-sof,snd-sof-xtensa-dsp,snd-pcm,snd-amd-sdw-acpi");


MODULE_INFO(srcversion, "833CFAA1085A3A73ED29894");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
