#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_codec_jack_wake_enable, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_jack_check, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_probe_bus, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_for_state_change, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_detect_mask, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_init_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_resume_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_stop_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_suspend_cmd_io, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_rirb_status_clear, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_set_codec_wakeup, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_check_rirb_status, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_device_remove, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC");
KSYMTAB_FUNC(hda_codec_i915_display_power, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_init, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");
KSYMTAB_FUNC(hda_codec_i915_exit, "_gpl", "SND_SOC_SOF_HDA_AUDIO_CODEC_I915");

SYMBOL_CRC(hda_codec_jack_wake_enable, 0xb2f26e82, "_gpl");
SYMBOL_CRC(hda_codec_jack_check, 0xf9167aed, "_gpl");
SYMBOL_CRC(hda_codec_probe_bus, 0xa3148ffa, "_gpl");
SYMBOL_CRC(hda_codec_check_for_state_change, 0x3cfcb23a, "_gpl");
SYMBOL_CRC(hda_codec_detect_mask, 0xa7f13e18, "_gpl");
SYMBOL_CRC(hda_codec_init_cmd_io, 0xf68415c0, "_gpl");
SYMBOL_CRC(hda_codec_resume_cmd_io, 0x324a7cf9, "_gpl");
SYMBOL_CRC(hda_codec_stop_cmd_io, 0x0c32c426, "_gpl");
SYMBOL_CRC(hda_codec_suspend_cmd_io, 0x8eb71bca, "_gpl");
SYMBOL_CRC(hda_codec_rirb_status_clear, 0x7655042b, "_gpl");
SYMBOL_CRC(hda_codec_set_codec_wakeup, 0x698b9b16, "_gpl");
SYMBOL_CRC(hda_codec_check_rirb_status, 0xaf7439eb, "_gpl");
SYMBOL_CRC(hda_codec_device_remove, 0x9132cbef, "_gpl");
SYMBOL_CRC(hda_codec_i915_display_power, 0x6f00e8de, "_gpl");
SYMBOL_CRC(hda_codec_i915_init, 0x5fc6232e, "_gpl");
SYMBOL_CRC(hda_codec_i915_exit, 0x2725da99, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xb500b511, "snd_hdac_bus_send_cmd" },
	{ 0xf1d7f263, "snd_hdac_bus_get_response" },
	{ 0x43a5d941, "snd_hdac_bus_update_rirb" },
	{ 0xaebf20ad, "snd_hdac_codec_modalias" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xad8502ca, "snd_hdac_ext_bus_device_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0x4ee2b88c, "snd_hdac_device_register" },
	{ 0xf79d3f96, "snd_hdac_i915_init" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x1ac7525a, "snd_hdac_device_unregister" },
	{ 0x919a323f, "device_attach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xadd67ba1, "snd_hdac_bus_stop_cmd_io" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x711705a5, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb73129d6, "snd_hdac_bus_init_cmd_io" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x860675af, "snd_hdac_acomp_exit" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb7edc61b, "snd_hda_codec_device_init" },
	{ 0x12ea35db, "snd_hdac_set_codec_wakeup" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd-sof,snd-hda-codec");


MODULE_INFO(srcversion, "1084AAA78034AB9B5C0C372");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
