#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x2a652e08, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x9aae0ee5, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x3fbdfbd7, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x972c4cc5, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0x9068cedb, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x11aade66, "");
SYMBOL_CRC(mtl_dsp_dump, 0x71e733dc, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x6f81e469, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x454d6e79, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x5e95eda9, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0xb97e3e61, "");
SYMBOL_CRC(mtl_ipc_dump, 0xa17e74e5, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x13e17f94, "");
SYMBOL_CRC(mtl_dsp_core_put, 0x593fcb1d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9556f82, "hda_sdw_check_wakeen_irq_common" },
	{ 0x18876742, "snd_soc_acpi_intel_arl_machines" },
	{ 0x234605b5, "hda_dsp_shutdown" },
	{ 0x547c7fee, "hda_sdw_int_enable" },
	{ 0x2390d11c, "hda_sdw_startup" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xa5b926e7, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1216cf44, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdfe57576, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xde0871c, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6e58371b, "hda_pci_intel_probe" },
	{ 0x8f6620ef, "snd_sof_dsp_dbg_dump" },
	{ 0xc256fd38, "sof_mailbox_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcecb3635, "debugfs_create_bool" },
	{ 0x2f80fe74, "snd_sof_dsp_update_bits_forced" },
	{ 0xd580732b, "sof_pci_remove" },
	{ 0xde0e66f7, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe51d3cb9, "hda_set_dai_drv_ops" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x81dd6091, "snd_sof_ipc_get_reply" },
	{ 0xcffe0b8a, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4fef5dbd, "snd_sof_ipc_reply" },
	{ 0x684d72a0, "hda_ipc4_tx_is_busy" },
	{ 0x3e4228a1, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0x47c6b1a4, "hda_ops_free" },
	{ 0xd6c99bce, "sof_pci_shutdown" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x59413d33, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5d29ddcd, "hda_dsp_get_state" },
	{ 0x3c936eb4, "hda_dsp_ipc4_load_library" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe3e8acfd, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x5a869675, "sof_pci_pm" },
	{ 0x1723f284, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0xa40b629c, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof-intel-hda-common,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0EA498191FECF50F2A43F14");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
