#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(sof_skl_ops, 0x0477050a, "");
SYMBOL_CRC(sof_skl_ops_init, 0x1b250b61, "");
SYMBOL_CRC(skl_chip_info, 0x98d7deb0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x609e3fe0, "hda_dsp_core_is_enabled" },
	{ 0x6941b171, "snd_dma_alloc_dir_pages" },
	{ 0x234605b5, "hda_dsp_shutdown" },
	{ 0xcc8c8685, "snd_soc_acpi_intel_kbl_machines" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x2e60bace, "memcpy" },
	{ 0x9737303b, "hda_dsp_disable_interrupts" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x7bda9994, "hda_power_down_dsp" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b89e47, "hda_dsp_enable_core" },
	{ 0x64613d17, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdfe57576, "sof_hda_common_ops" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x23297457, "hda_dsp_core_run" },
	{ 0x5ff0d2f8, "hda_dsp_core_stall_reset" },
	{ 0x6e58371b, "hda_pci_intel_probe" },
	{ 0xff3b0fd0, "hda_ipc4_dump" },
	{ 0x8f6620ef, "snd_sof_dsp_dbg_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x9d9760ad, "hda_dsp_core_reset_power_down" },
	{ 0xd580732b, "sof_pci_remove" },
	{ 0xe51d3cb9, "hda_set_dai_drv_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xcffe0b8a, "snd_sof_dsp_update_bits" },
	{ 0x367bc534, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40641e45, "hda_dsp_check_ipc_irq" },
	{ 0x6ef62ffb, "hda_dsp_ipc4_irq_thread" },
	{ 0x47c6b1a4, "hda_ops_free" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd6c99bce, "sof_pci_shutdown" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0b65eb8, "snd_soc_acpi_intel_skl_machines" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5a869675, "sof_pci_pm" },
	{ 0xfe451703, "hda_dsp_ipc4_send_msg" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-pcm,snd-soc-acpi-intel-match,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "639BF20243D55EEC92B9962");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
