#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xbaa5c97b, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x17fd2e9a, "_gpl");
SYMBOL_CRC(af_alg_release, 0x1e94fbcc, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x95b2dabe, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x89f1d19e, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x7e9557eb, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xf3f26188, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xa40e3e2b, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xb6cacf07, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xae9d9e72, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x1a364c33, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x8f3be1c9, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xa188fe23, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xb22a05c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5af8e078, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xaa173b39, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0x52a6e453, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5fd59930, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4cf88128, "extract_iter_to_sg" },
	{ 0x7125bd7a, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x99000b37, "proto_register" },
	{ 0xa4b08f62, "sock_register" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x29f3a126, "up_read" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x9610ab28, "release_sock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x62e67e7d, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x72e831a0, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdb23deca, "security_sock_graft" },
	{ 0x4ccf42f0, "security_sk_clone" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xab76fd5b, "sock_wake_async" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x38a8d420, "page_address" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0xc93d345d, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x70f7896, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x8cb72246, "key_put" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3ffc04e4, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdd3bd14, "sock_no_connect" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0xb9a0e3e9, "sock_no_getname" },
	{ 0x5f31d957, "sock_no_ioctl" },
	{ 0x3f09ce0, "sock_no_listen" },
	{ 0xb2116460, "sock_no_shutdown" },
	{ 0xf64d3566, "sock_no_sendmsg" },
	{ 0x6c3459ab, "sock_no_recvmsg" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
