#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x591d94c9, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x1ab40e3b, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x015ae020, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xed585d86, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x2f46e9c1, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x41754221, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xd62dd22a, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x1e84b912, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x271469d3, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x64acf47d, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x91e07bee, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xe8fc3505, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xd406a5d5, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x9c282b6c, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x0917320e, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x009eff2c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x7e76ea91, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xaeaaf72b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x2f5711d2, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x070ff5e1, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x64f6320d, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x1772c6ad, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x26b812ca, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xc4c55c08, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x4c57cf05, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x16473cce, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xdf5f76ec, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x70352db7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xc24d12c2, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x06113d27, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x33b45acc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc7fe6429, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf9a482f9, "msleep" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x75008147, "kthread_create_worker" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x233191b0, "_dev_info" },
	{ 0xdc5c8aad, "sched_set_fifo" },
	{ 0x373e6a27, "crypto_register_aead" },
	{ 0x10cfc100, "crypto_unregister_aead" },
	{ 0xcc24a496, "crypto_register_ahash" },
	{ 0x51588e80, "crypto_unregister_ahash" },
	{ 0xe990dd49, "crypto_register_akcipher" },
	{ 0x6293be53, "crypto_unregister_akcipher" },
	{ 0x54c61662, "crypto_register_kpp" },
	{ 0x8e0ce3db, "crypto_unregister_kpp" },
	{ 0x21feba8e, "crypto_register_skcipher" },
	{ 0xb20a4cd1, "crypto_unregister_skcipher" },
	{ 0x1fba405c, "crypto_enqueue_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xaee4d64f, "crypto_dequeue_request" },
	{ 0x95899e53, "crypto_enqueue_request_head" },
	{ 0xae94196f, "kthread_destroy_worker" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8804DBF21A364B6BE271C7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
