#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x91bf3c23, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x10ab87d4, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xd480d72d, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xd70a899e, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xe30678b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2eee6ef2, "crypto_skcipher_encrypt" },
	{ 0xfc6c2a03, "cryptd_alloc_aead" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xcd357810, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x373e6a27, "crypto_register_aead" },
	{ 0x10cfc100, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x36c2fd05, "crypto_register_aeads" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x467e0ed0, "crypto_aead_setauthsize" },
	{ 0xf2454c53, "crypto_aead_decrypt" },
	{ 0xf637763e, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b2f550, "crypto_unregister_aeads" },
	{ 0xa33939fa, "cryptd_skcipher_child" },
	{ 0xbffcd343, "crypto_skcipher_decrypt" },
	{ 0xaf0f0404, "cryptd_alloc_skcipher" },
	{ 0x6bcc8bc1, "crypto_aead_setkey" },
	{ 0x21feba8e, "crypto_register_skcipher" },
	{ 0x9f19672b, "crypto_aead_encrypt" },
	{ 0xd92fc92, "cryptd_aead_queued" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xb20a4cd1, "crypto_unregister_skcipher" },
	{ 0x3f34b7b6, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce0b5f4c, "cryptd_skcipher_queued" },
	{ 0x8a37ba6c, "cryptd_free_aead" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x3b236c3b, "crypto_unregister_skciphers" },
	{ 0x259058e2, "cryptd_free_skcipher" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "F70643DDB8B3C26A0417513");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
