#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0x3ce80379, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x406f922c, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0x1f5c4b93, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x9acf106a, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0xab57d8cb, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0x431ebffa, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x9ea1aee4, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x3ec433a9, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0xee446fba, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x22f93179, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0x158e207b, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0xdcde6d5f, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x56855a5e, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0xfc0e69ea, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0xb2ee7027, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x29012b1c, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0xa8f9efc3, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0xfdf4a32d, "_gpl");
SYMBOL_CRC(ata_link_online, 0x7fc654c5, "_gpl");
SYMBOL_CRC(ata_link_offline, 0xbf799be9, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0xa7625f15, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x9bcd60a8, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x74444f58, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x1a0b12e2, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0xb10b9473, "_gpl");
SYMBOL_CRC(ata_port_free, 0x9494f107, "_gpl");
SYMBOL_CRC(ata_host_put, 0xed435df9, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0xfd7157a6, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0x24ad8f5f, "_gpl");
SYMBOL_CRC(ata_host_start, 0x5bdc4a52, "_gpl");
SYMBOL_CRC(ata_host_init, 0xbced3391, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xcd339b88, "_gpl");
SYMBOL_CRC(ata_host_register, 0x26f00c42, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x1fa44747, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x50f66250, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0xd224649f, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0xbb9d8d19, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0x78d99b0e, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0x03034bc4, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0xaaf9dc8a, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0xb6777108, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0xb4e3b21f, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x044ed5fd, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0xe3101e50, "_gpl");
SYMBOL_CRC(ata_wait_register, 0xd7ce7c8b, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x4bdd82a1, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0x5a7a91e6, "_gpl");
SYMBOL_CRC(ata_print_version, 0x124899f8, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0xa8f97178, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x2b2f2cb1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x08a88a9f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xf0e52dc0, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0x6103b853, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0xf80f5fc7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0x41c36b9b, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0xd069fb5e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0xc68c41d6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0x1aa7a185, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0xfb2e5f1a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x9de88bc8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0xc19b2437, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x827437f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0xc9715630, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0xded9b9ad, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0xa351ff73, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x001b3767, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0xb44f61a5, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0xcc54c9f3, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0x57889ff6, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0xbf72747c, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0x44c83af3, "_gpl");
SYMBOL_CRC(ata_scsi_device_configure, 0x47df8d90, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0x7772e718, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0x9b0d576a, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x967b86aa, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x6a0225db, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x24565439, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x4a10facb, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0x4e626473, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0xb4cf40d5, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0xc4adaea9, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0x77656759, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x7c59a275, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x53110d93, "");
SYMBOL_CRC(ata_port_schedule_eh, 0x27fd14e2, "_gpl");
SYMBOL_CRC(ata_link_abort, 0x31a7e495, "_gpl");
SYMBOL_CRC(ata_port_abort, 0xd2c2845e, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x40bc1348, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0xf7572970, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x680c4668, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0xe15d4f9d, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0xe855ae4c, "_gpl");
SYMBOL_CRC(ata_tport_add, 0x7952e0bc, "_gpl");
SYMBOL_CRC(ata_port_classify, 0xd0d92a36, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0x08e40dda, "_gpl");
SYMBOL_CRC(sata_scr_read, 0x2eb34473, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x123e6031, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0x97acdef3, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0xc602b835, "_gpl");
SYMBOL_CRC(sata_link_resume, 0xe8cd1976, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0xf48a867e, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x30ca0517, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0xcfd57ca1, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0xa01e4bd9, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0xf5dff4a5, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0xea78d9ce, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0xd37a8540, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0xf57dd59c, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0x0ab48144, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x26e1ed89, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0xe1c22441, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x4d2b48b2, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0x1a1ed974, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0xccc5f798, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0x150a01cd, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0xc23d1ea7, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0xa0e35901, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x4751544e, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0x61c6606d, "_gpl");
SYMBOL_CRC(ata_sas_device_configure, 0x49183ba3, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0xe0ee96ff, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x8765348f, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x7079cb52, "_gpl");
SYMBOL_CRC(sata_port_ops, 0x57a9f2a1, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0xdc8c42e1, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x91a6e5bc, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x41f65107, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0xd0795919, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0x3895eeb5, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x12eff6ff, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0x825cd915, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x85d0d38f, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x7fccb6f2, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0xc265b6e5, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0xff03d888, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x2c182dd5, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0x91ed0a54, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xeb9abbee, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x6c43b737, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x6f6fb2c8, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x05522276, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0xa238e54e, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x203912ae, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0xc7ff228c, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0xde27578b, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x51c1ef53, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0xf01673b1, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x4fba6f27, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x2a2d50ce, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x53c5f3ab, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0x829d3826, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x7116106b, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x1837fa80, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0xa1737b70, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0xec5f3d55, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x2e7ea0de, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0xd9782746, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0xc83a56bd, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x71c80c8b, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0x9955b643, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0xea1eced6, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x2027ef0d, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0x4d8766da, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x9e51b0f3, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0xd00acf54, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x045c310f, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xd0f5e1f9, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0xf9449614, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x350b37be, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x784d12f6, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0x96033d17, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0x0e7f325e, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0xf02e3899, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x76a1246e, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0xae046c26, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0x52cdec98, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0xf539367a, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xbdb7c712, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x41f8cb00, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0xda0f4ed6, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x706121bb, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xdcf30c05, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0xc24439f3, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x266a123f, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0x6aa42aba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0xd0d2f2f9, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x62d151a7, "devres_release_group" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xea83787, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4dceed35, "devres_remove_group" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9f8a0420, "dmam_alloc_attrs" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xbb7a2e5, "scsi_remove_host" },
	{ 0xcdabd39a, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x26c96847, "scsi_build_sense" },
	{ 0x80a40b24, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x97ab144f, "scsi_check_sense" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xb188bb7c, "sdev_evt_send_simple" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x753d21a4, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x13a1f0a9, "of_get_next_available_child" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x11255114, "sdev_disable_disk_events" },
	{ 0x4ad79ca6, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdbcfa235, "scsi_device_set_state" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x93259b9, "transport_setup_device" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xd26bded7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cd418f3, "put_device" },
	{ 0xcd53365b, "devm_free_irq" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xddfae609, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xf3bd8dac, "scsi_device_put" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0x637b85e3, "pcim_iomap_regions" },
	{ 0x5294dc35, "kobject_uevent_env" },
	{ 0xf2855efa, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xdad5de42, "scsi_host_put" },
	{ 0xf9477ee8, "transport_class_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfb901f8c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0xde550e23, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5e7324fe, "attribute_container_register" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xabee13e2, "__devres_alloc_node" },
	{ 0x7fe12ee, "sg_miter_stop" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x579fa3c1, "device_link_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0x53818a9b, "transport_configure_device" },
	{ 0xf004203a, "devres_open_group" },
	{ 0x91681d98, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xeee20ba7, "pcim_pin_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x386a0714, "transport_add_device" },
	{ 0x60ef30cd, "sg_miter_start" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x418a5367, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0xeda60a69, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x97a59c0c, "scsi_rescan_device" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x47ac4276, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xea8e3d77, "pm_runtime_forbid" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xbb86ab9d, "attribute_container_unregister" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f711066, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x18660dac, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc268b8ed, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x4fe1213f, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3753abf6, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x617d5ae4, "pcim_iomap_table" },
	{ 0x9015f32a, "scsi_remove_device" },
	{ 0x3e0865da, "blk_abort_request" },
	{ 0xb729f02c, "scsi_add_host_with_dma" },
	{ 0xed84398d, "set_primary_fwnode" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x4054c865, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf08af366, "dev_pm_qos_expose_flags" },
	{ 0x9978af6, "pcim_enable_device" },
	{ 0xb920ff68, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xa5bc98dd, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9386956c, "device_link_add" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0xbf38631f, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x72aa723e, "acpi_pm_set_device_wakeup" },
	{ 0xe78f0ed3, "pci_bus_type" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2c692a01, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42e6ae5d, "transport_class_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "F31035C171845420C57320C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
