#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x908f15e4, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xcb86ba3b, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x7b0f8d7a, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x7c19172b, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x17e94bc3, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xee75edce, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x3c5b8d31, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xd042f549, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xfadd2c3b, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x830fc6bf, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x2549c16f, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x49772acd, "_gpl");
SYMBOL_CRC(mhi_notify, 0x2c69186d, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x1dda2df1, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x9ec43974, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xa02923c0, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xaa7772b2, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x32d8ff62, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x89d0444d, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x5aacdcdb, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0xedd9707f, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x4d0ca5f5, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xfdf7f938, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xf9fe467b, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x56ab7063, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x3a5a2447, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x714e992e, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x27aec6da, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x42227320, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x5fb997e1, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x0118f295, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x2c94bef1, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xb6161a98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25407c37, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0xc358602e, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x80062a86, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cd418f3, "put_device" },
	{ 0x8086fcb2, "sysfs_remove_file_ns" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x233191b0, "_dev_info" },
	{ 0xa96b96a, "kstrtouint_from_user" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x2a3815a, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfb901f8c, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeda60a69, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0xd592de51, "memset_io" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xd0d8621b, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xbac0d53, "vcalloc_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x5c705e86, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34FDD70FBB8371846BB26BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
