#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fpga_image_info_alloc, "_gpl", "");
KSYMTAB_FUNC(fpga_image_info_free, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_load, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(of_fpga_mgr_get, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_put, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_lock, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unlock, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__fpga_mgr_register, "_gpl", "");
KSYMTAB_FUNC(fpga_mgr_unregister, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register_full, "_gpl", "");
KSYMTAB_FUNC(__devm_fpga_mgr_register, "_gpl", "");

SYMBOL_CRC(fpga_image_info_alloc, 0xc1b48aea, "_gpl");
SYMBOL_CRC(fpga_image_info_free, 0x8a8f6151, "_gpl");
SYMBOL_CRC(fpga_mgr_load, 0x53b2d604, "_gpl");
SYMBOL_CRC(fpga_mgr_get, 0xf7252471, "_gpl");
SYMBOL_CRC(of_fpga_mgr_get, 0xda5290be, "_gpl");
SYMBOL_CRC(fpga_mgr_put, 0xbecfc761, "_gpl");
SYMBOL_CRC(fpga_mgr_lock, 0x45bcb42f, "_gpl");
SYMBOL_CRC(fpga_mgr_unlock, 0xb04a27e9, "_gpl");
SYMBOL_CRC(__fpga_mgr_register_full, 0x9c647903, "_gpl");
SYMBOL_CRC(__fpga_mgr_register, 0xe369f732, "_gpl");
SYMBOL_CRC(fpga_mgr_unregister, 0xc28d2990, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register_full, 0xcfad8c5b, "_gpl");
SYMBOL_CRC(__devm_fpga_mgr_register, 0x6a3f8837, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x5cd418f3, "put_device" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x60ef30cd, "sg_miter_start" },
	{ 0xf2855efa, "sg_miter_next" },
	{ 0x7fe12ee, "sg_miter_stop" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x67dcd8fd, "sg_pcopy_to_buffer" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffb7c514, "ida_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfee1670, "device_match_of_node" },
	{ 0xe585a63d, "class_find_device" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x62e67e7d, "module_put" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x233191b0, "_dev_info" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x70f7896, "_printk" },
	{ 0x810cf51e, "class_register" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd0d8621b, "strlen" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xf1f615e3, "device_register" },
	{ 0xabee13e2, "__devres_alloc_node" },
	{ 0x4ad79ca6, "devres_add" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb81a630a, "sg_miter_skip" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xd33d2d25, "vmalloc_to_page" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9b951e76, "__kmap_to_page" },
	{ 0x6f90ba29, "sg_alloc_table_from_pages_segment" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc358602e, "request_firmware" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BFF17D5F207ADE6D0FB5855");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
