#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x0a84d0e5, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xa9437397, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xbc77f0a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0xaf083b0e, "__devm_drm_dev_alloc" },
	{ 0xec654ab7, "device_get_match_data" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0x86e6e5d6, "device_property_read_u8_array" },
	{ 0xd374215, "device_property_present" },
	{ 0xc2df3d0, "devm_gpiod_get_optional" },
	{ 0xda21c36b, "devm_regulator_get" },
	{ 0x72bc5709, "devm_backlight_device_register" },
	{ 0xb10bc55f, "drmm_mode_config_init" },
	{ 0xa0cccdc, "drm_universal_plane_init" },
	{ 0xeb6247f9, "drm_plane_enable_fb_damage_clips" },
	{ 0xa8324f39, "drm_crtc_init_with_planes" },
	{ 0xcc084f0c, "drm_encoder_init" },
	{ 0x54812602, "drm_connector_init" },
	{ 0xd9e6e3d5, "drm_connector_attach_encoder" },
	{ 0x4e51ec75, "drm_mode_config_reset" },
	{ 0xa23cc1cf, "drm_dev_register" },
	{ 0x6c49a4f4, "drm_fbdev_shmem_setup" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x5a04696b, "drm_mode_duplicate" },
	{ 0xcaeb9e00, "drm_mode_probed_add" },
	{ 0x73431b96, "drm_set_preferred_mode" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xff75e149, "pwm_put" },
	{ 0xccd9fd6e, "regulator_disable" },
	{ 0xe3cf7201, "pwm_apply_might_sleep" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xf18e0134, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x71abb79a, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x2a96333, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xf67ea747, "drm_dev_enter" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8939ab5, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x75b148e5, "drm_atomic_helper_check_plane_state" },
	{ 0x9793bb08, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x6e79c93a, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0xc63f64a3, "drm_dev_unplug" },
	{ 0xef263744, "drm_atomic_helper_shutdown" },
	{ 0x1b9873ff, "drm_format_conv_state_reserve" },
	{ 0xab063186, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x7bc8c004, "drm_gem_fb_begin_cpu_access" },
	{ 0xc69015a6, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x3a9fcff4, "drm_gem_fb_end_cpu_access" },
	{ 0x75130a2d, "drm_fb_xrgb8888_to_gray8" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6357aff6, "drm_fb_xrgb8888_to_mono" },
	{ 0xf596a719, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x693cb068, "regulator_enable" },
	{ 0x1dee2224, "pwm_get" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x574a61d2, "__drm_atomic_helper_crtc_reset" },
	{ 0xf41419d4, "__drm_gem_reset_shadow_plane" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xf900c538, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xd07f295c, "drm_gem_shmem_dumb_create" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0xc16cb62c, "drm_read" },
	{ 0x91d0a3d, "drm_poll" },
	{ 0xaf5563ff, "drm_ioctl" },
	{ 0xed8f35a8, "drm_gem_mmap" },
	{ 0xe80a918a, "drm_open" },
	{ 0x311feb90, "drm_release" },
	{ 0x43b326b7, "drm_gem_fb_create_with_dirty" },
	{ 0xc29a06e7, "drm_atomic_helper_check" },
	{ 0x964c1e93, "drm_atomic_helper_commit" },
	{ 0x37a26ef5, "drm_atomic_helper_connector_reset" },
	{ 0xac7481e3, "drm_helper_probe_single_connector_modes" },
	{ 0xca041c51, "drm_connector_cleanup" },
	{ 0x9816410d, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x5443be2a, "drm_atomic_helper_connector_destroy_state" },
	{ 0xce512b73, "drm_encoder_cleanup" },
	{ 0x50de98de, "drm_crtc_cleanup" },
	{ 0xf97b831a, "drm_atomic_helper_set_config" },
	{ 0xed185d6a, "drm_atomic_helper_page_flip" },
	{ 0x883c4720, "drm_atomic_helper_update_plane" },
	{ 0x72b09008, "drm_atomic_helper_disable_plane" },
	{ 0x6c721daf, "drm_plane_cleanup" },
	{ 0xf684e2bd, "drm_gem_begin_shadow_fb_access" },
	{ 0x62bb80c9, "drm_gem_end_shadow_fb_access" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C157EB9E09F89E3AFEB376B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
