#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x4629c19d, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0xabb29fe4, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x73e88c2b, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x9ebcb02c, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x9d2b54db, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0xc2a7ec66, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0xef492e8b, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x920d8f19, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xb337c5d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xda898d72, "hid_hw_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x683bc395, "hid_hw_open" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x5852c18d, "hid_hw_close" },
	{ 0x5416657c, "__hid_register_driver" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x7fe9f3eb, "hid_hw_stop" },
	{ 0xd4834a6f, "mfd_remove_devices" },
	{ 0x5b41f693, "hid_unregister_driver" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdc484b50, "hid_open_report" },
	{ 0x859261eb, "hid_hw_start" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0xcdd1773b, "mfd_add_devices" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x45d420dd, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "1A91689429C7AD6270075C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
