#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_add_clients_from_dt, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0x8e3d7a43, "_gpl");
SYMBOL_CRC(hsi_add_clients_from_dt, 0x44623202, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x3b445659, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0x5902bd18, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0x57826373, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0x0632e8e7, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x5b89384d, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0x38f448cd, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0xa244dd8f, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0x3903d8b6, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0xa0af838c, "_gpl");
SYMBOL_CRC(hsi_async, 0x1976c765, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0xb9c150cb, "_gpl");
SYMBOL_CRC(hsi_release_port, 0x5de82dc1, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0x75e1ab11, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0x30e02e8f, "_gpl");
SYMBOL_CRC(hsi_event, 0xfedfaa7c, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0x82fce258, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x97cb05e4, "of_alias_from_compatible" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0x13a1f0a9, "of_get_next_available_child" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0x62e67e7d, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xb1005dca, "of_match_device" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0xfb901f8c, "device_add" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf1b1560d, "of_property_read_string" },
	{ 0x48df7536, "of_find_property" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf1f615e3, "device_register" },
	{ 0xeda60a69, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x39d2f194, "of_property_read_u32_index" },
	{ 0x5c705e86, "driver_register" },
	{ 0x18c4301d, "of_property_read_string_helper" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "050632032E2A00D2C126E17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
