#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mma9551_read_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_byte, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_word, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_status_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_write_config_words, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_update_config_bits, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_gpio_config, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_version, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_device_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_set_power_state, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_sleep, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_chan, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_read_accel_scale, "", "IIO_MMA9551");
KSYMTAB_FUNC(mma9551_app_reset, "", "IIO_MMA9551");

SYMBOL_CRC(mma9551_read_config_byte, 0x2dcb2dfc, "");
SYMBOL_CRC(mma9551_write_config_byte, 0x4142a416, "");
SYMBOL_CRC(mma9551_read_status_byte, 0xf72a30dd, "");
SYMBOL_CRC(mma9551_read_config_word, 0x945a01df, "");
SYMBOL_CRC(mma9551_write_config_word, 0xba297cd6, "");
SYMBOL_CRC(mma9551_read_status_word, 0xd8e9f09c, "");
SYMBOL_CRC(mma9551_read_config_words, 0x6c4d0403, "");
SYMBOL_CRC(mma9551_read_status_words, 0xe69290fc, "");
SYMBOL_CRC(mma9551_write_config_words, 0x6bd27804, "");
SYMBOL_CRC(mma9551_update_config_bits, 0x28d9f78f, "");
SYMBOL_CRC(mma9551_gpio_config, 0xd0649d9d, "");
SYMBOL_CRC(mma9551_read_version, 0xd315d7bf, "");
SYMBOL_CRC(mma9551_set_device_state, 0xa5cfc729, "");
SYMBOL_CRC(mma9551_set_power_state, 0xd7f19240, "");
SYMBOL_CRC(mma9551_sleep, 0xbcd7fe96, "");
SYMBOL_CRC(mma9551_read_accel_chan, 0x53919f0c, "");
SYMBOL_CRC(mma9551_read_accel_scale, 0x41ef446c, "");
SYMBOL_CRC(mma9551_app_reset, 0x0d96426e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x648ee4b3, "i2c_transfer" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x233191b0, "_dev_info" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF732B0FB83CD26C976C38B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
