#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0xdec466db, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0xf726174c, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0xde146d29, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa4fd3cbb, "iio_dma_buffer_exit" },
	{ 0xe69c89c4, "dma_release_channel" },
	{ 0xbd7be5b9, "iio_buffer_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x37738f54, "iio_dma_buffer_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x71f476ff, "iio_dma_buffer_block_done" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xca8c3c4e, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x23324ec1, "dma_request_chan" },
	{ 0x1d2a738d, "dma_get_slave_caps" },
	{ 0xfd54c10d, "iio_dma_buffer_init" },
	{ 0x92aed549, "iio_device_attach_buffer" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0xd667729a, "iio_dma_buffer_read" },
	{ 0x91a9ff15, "iio_dma_buffer_usage" },
	{ 0xb8188261, "iio_dma_buffer_write" },
	{ 0xabb134c9, "iio_dma_buffer_request_update" },
	{ 0x3b8a6dcf, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0xedbfe302, "iio_dma_buffer_set_length" },
	{ 0xe8b3a9a6, "iio_dma_buffer_enable" },
	{ 0x2fc62071, "iio_dma_buffer_disable" },
	{ 0xd89d64e9, "iio_dma_buffer_attach_dmabuf" },
	{ 0x60a9bbe2, "iio_dma_buffer_detach_dmabuf" },
	{ 0xc57320c6, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0x636a32d1, "iio_dma_buffer_lock_queue" },
	{ 0x962adaef, "iio_dma_buffer_unlock_queue" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "industrialio-buffer-dma,industrialio");


MODULE_INFO(srcversion, "E2D5B553B5B6FCFE229A861");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
