#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0xc58d0e8c, "");
SYMBOL_CRC(bme280_chip_info, 0xb2682f48, "");
SYMBOL_CRC(bmp380_chip_info, 0x5882effa, "");
SYMBOL_CRC(bmp580_chip_info, 0xa040a44c, "");
SYMBOL_CRC(bmp180_chip_info, 0xb9ec2b57, "");
SYMBOL_CRC(bmp280_common_probe, 0x900206c8, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x66083543, "");
SYMBOL_CRC(bmp180_regmap_config, 0xae76045b, "");
SYMBOL_CRC(bmp280_regmap_config, 0x44f0d939, "");
SYMBOL_CRC(bme280_regmap_config, 0x69386f89, "");
SYMBOL_CRC(bmp380_regmap_config, 0xaba26fd8, "");
SYMBOL_CRC(bmp580_regmap_config, 0xa5ded35d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0e82e3, "regmap_write" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x99395dd5, "gpiod_set_value" },
	{ 0x8330821a, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8af49dcf, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa372f73b, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc2df3d0, "devm_gpiod_get_optional" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0xe8fd8968, "regulator_bulk_disable" },
	{ 0x233191b0, "_dev_info" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6baa2acd, "irq_get_irq_data" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x95e43e0b, "__devm_iio_device_register" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc9cd4d65, "devm_iio_device_alloc" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x9161aeec, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d7bc428, "regulator_bulk_enable" },
	{ 0x5dfc209, "devm_regulator_bulk_get" },
	{ 0x8d601ff4, "iio_get_time_ns" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x759a1672, "regmap_read" },
	{ 0xb8939ab5, "regmap_bulk_write" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd1dc684c, "regmap_bulk_read" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0x33280180, "dev_err_probe" },
	{ 0xb7c01f1, "iio_trigger_notify_done" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "industrialio-triggered-buffer,industrialio");


MODULE_INFO(srcversion, "3B329A381C77EF259650548");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
