#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xf99d398b, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xd622e112, "");
SYMBOL_CRC(ib_cm_listen, 0x925a83ee, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xe873881a, "");
SYMBOL_CRC(ib_send_cm_req, 0x92a81564, "");
SYMBOL_CRC(ib_send_cm_rep, 0xe5b2a27c, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x99386118, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x7406796d, "");
SYMBOL_CRC(ib_send_cm_drep, 0x74baf9d3, "");
SYMBOL_CRC(ib_send_cm_rej, 0xfbc4f6d1, "");
SYMBOL_CRC(ib_send_cm_mra, 0xd3a74ec4, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x738dae23, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x93b816c5, "");
SYMBOL_CRC(ib_cm_notify, 0x7b59f6be, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x5a7cc1dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29e871d0, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf4809f9e, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x42483672, "rdma_query_gid" },
	{ 0x8883c469, "ib_port_register_client_groups" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xb579ab5a, "ib_modify_port" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xda9648c4, "rdma_create_ah" },
	{ 0xd034edca, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x407658a, "ib_find_cached_pkey" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x31f42cc9, "ib_register_client" },
	{ 0x98ba18ba, "ib_unregister_mad_agent" },
	{ 0x96e5f59c, "ib_post_send_mad" },
	{ 0x74c47639, "ib_create_send_mad" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xaf9ddcbd, "rdma_destroy_ah_attr" },
	{ 0x38ce6984, "ib_set_client_data" },
	{ 0x43ac4497, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb36454b8, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x8b496760, "rdma_destroy_ah_user" },
	{ 0x96f12713, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x16d9b7, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xf6f97733, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0xc422ade8, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd62e8fbf, "ib_free_recv_mad" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4f3c011, "ib_register_mad_agent" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa0f5c0d, "ib_modify_mad" },
	{ 0x3a8053c1, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "83999B628C85F576050F5BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
