#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0xc65e8420, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0xf8da808e, "");
SYMBOL_CRC(rtrs_clt_open, 0x4ec3d450, "");
SYMBOL_CRC(rtrs_clt_close, 0xe76ed182, "");
SYMBOL_CRC(rtrs_clt_request, 0x9e91d51f, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0xe21740cb, "");
SYMBOL_CRC(rtrs_clt_query, 0xcda7044d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x926b41e5, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x72c544cb, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x67029a33, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x838c4ca7, "rdma_resolve_addr" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6376c767, "rtrs_post_recv_empty" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x9af0664a, "ib_dereg_mr_user" },
	{ 0x132dc576, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4a2830ba, "rtrs_iu_post_rdma_write_imm" },
	{ 0x2c87d48b, "rtrs_iu_post_send" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf5a22e54, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x485407e8, "rtrs_rdma_dev_pd_init" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf4856ba5, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf76a9b90, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cd418f3, "put_device" },
	{ 0x98fea17a, "rtrs_rdma_dev_pd_deinit" },
	{ 0x79ca4092, "ib_register_event_handler" },
	{ 0x738803e6, "strnlen" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x7d978f2e, "rdma_resolve_route" },
	{ 0x890391f6, "ib_unregister_event_handler" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x35c47eab, "rtrs_iu_free" },
	{ 0xc3a1cc81, "ib_map_mr_sg" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfb901f8c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb1299e1, "kobj_sysfs_ops" },
	{ 0x551def2e, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xb4aed478, "iov_iter_kvec" },
	{ 0x61fa002a, "rtrs_iu_post_recv" },
	{ 0xfe0b561, "kobject_init_and_add" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x58a28299, "sysfs_remove_file_self" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0xeda60a69, "device_del" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x837cf885, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x61cd79bb, "rdma_connect_locked" },
	{ 0x96acf1cb, "rdma_set_reuseaddr" },
	{ 0xf9664454, "kobject_create_and_add" },
	{ 0xe0f9c582, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x3785249a, "kobject_del" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd67cfb41, "rdma_destroy_id" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8507750, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xa3ee9d73, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3753abf6, "dma_unmap_sg_attrs" },
	{ 0xcefd92a1, "rtrs_cq_qp_create" },
	{ 0x4c656665, "rtrs_ib_dev_put" },
	{ 0xd0d8621b, "strlen" },
	{ 0xf8fbfd3, "rtrs_init_hb" },
	{ 0x71c9f234, "rdma_consumer_reject_data" },
	{ 0x8d8be12b, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x2d92a4ae, "rtrs_send_hb_ack" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x1e97023d, "rtrs_iu_alloc" },
	{ 0x810cf51e, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x2c692a01, "dma_map_sg_attrs" },
	{ 0x92b57248, "flush_work" },
	{ 0xe65a9b9d, "kobject_put" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "B526B836AB82D195650C8B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
