#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_iu_alloc, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_free, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_recv, "_gpl", "");
KSYMTAB_FUNC(rtrs_post_recv_empty, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_send, "_gpl", "");
KSYMTAB_FUNC(rtrs_iu_post_rdma_write_imm, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_create, "_gpl", "");
KSYMTAB_FUNC(rtrs_cq_qp_destroy, "_gpl", "");
KSYMTAB_FUNC(rtrs_send_hb_ack, "_gpl", "");
KSYMTAB_FUNC(rtrs_init_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_start_hb, "_gpl", "");
KSYMTAB_FUNC(rtrs_stop_hb, "_gpl", "");
KSYMTAB_FUNC(sockaddr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_str, "", "");
KSYMTAB_FUNC(rtrs_addr_to_sockaddr, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_init, "", "");
KSYMTAB_FUNC(rtrs_rdma_dev_pd_deinit, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_put, "", "");
KSYMTAB_FUNC(rtrs_ib_dev_find_or_add, "", "");

SYMBOL_CRC(rtrs_iu_alloc, 0x1e97023d, "_gpl");
SYMBOL_CRC(rtrs_iu_free, 0x35c47eab, "_gpl");
SYMBOL_CRC(rtrs_iu_post_recv, 0x61fa002a, "_gpl");
SYMBOL_CRC(rtrs_post_recv_empty, 0x6376c767, "_gpl");
SYMBOL_CRC(rtrs_iu_post_send, 0x2c87d48b, "_gpl");
SYMBOL_CRC(rtrs_iu_post_rdma_write_imm, 0x4a2830ba, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_create, 0xcefd92a1, "_gpl");
SYMBOL_CRC(rtrs_cq_qp_destroy, 0x551def2e, "_gpl");
SYMBOL_CRC(rtrs_send_hb_ack, 0x2d92a4ae, "_gpl");
SYMBOL_CRC(rtrs_init_hb, 0x0f8fbfd3, "_gpl");
SYMBOL_CRC(rtrs_start_hb, 0xa8507750, "_gpl");
SYMBOL_CRC(rtrs_stop_hb, 0x8d8be12b, "_gpl");
SYMBOL_CRC(sockaddr_to_str, 0xe0f9c582, "");
SYMBOL_CRC(rtrs_addr_to_str, 0x926b41e5, "");
SYMBOL_CRC(rtrs_addr_to_sockaddr, 0x67029a33, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_init, 0x485407e8, "");
SYMBOL_CRC(rtrs_rdma_dev_pd_deinit, 0x98fea17a, "");
SYMBOL_CRC(rtrs_ib_dev_put, 0x4c656665, "");
SYMBOL_CRC(rtrs_ib_dev_find_or_add, 0xf4856ba5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2f166bb6, "__ib_alloc_pd" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7d3dfd03, "rdma_create_qp" },
	{ 0x49f26466, "kstrndup" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1cba4f62, "ib_cq_pool_put" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd386ef21, "__ib_alloc_cq" },
	{ 0x67089f71, "rdma_notify" },
	{ 0x6d84279a, "inet_pton_with_scope" },
	{ 0xce4c8ff9, "rdma_destroy_qp" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x29c2d57b, "ib_cq_pool_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xbc8b5524, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd58d6442, "ib_dealloc_pd_user" },
	{ 0x349cba85, "strchr" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ib_core,rdma_cm");


MODULE_INFO(srcversion, "C70EA29613CAC368EB47170");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
