#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x82084dfa, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x91860bf9, "");
SYMBOL_CRC(bttv_sub_unregister, 0x894b712c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9591128e, "vb2_queue_init" },
	{ 0x4691aa9e, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xed74c65e, "vb2_dma_sg_memops" },
	{ 0x173bd9c0, "v4l2_ctrl_poll" },
	{ 0x7733f189, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x7e588ed4, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5b0b0901, "v4l2_ctrl_radio_filter" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x2b726375, "i2c_bit_add_bus" },
	{ 0xb1c14bc2, "v4l2_ctrl_add_handler" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x38d665e3, "pci_get_device" },
	{ 0xc358602e, "request_firmware" },
	{ 0x1d519951, "vb2_ops_wait_finish" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x30b74f16, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xa732990e, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x798afc26, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x624dcd53, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf98c079a, "v4l2_ctrl_handler_log_status" },
	{ 0xbe5cf8f7, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa41d240, "video_devdata" },
	{ 0x5cd418f3, "put_device" },
	{ 0xd04efb17, "vb2_fop_release" },
	{ 0x61edb228, "i2c_new_scanned_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x6a320b96, "v4l2_ctrl_find" },
	{ 0x7f82970d, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfa747c9c, "__v4l2_ctrl_s_ctrl" },
	{ 0x56c3b264, "vb2_plane_cookie" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf0b75d9b, "rc_keyup" },
	{ 0xa790f6c4, "vb2_ioctl_dqbuf" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6345861e, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc16cb9ea, "tveeprom_read" },
	{ 0x17b075c5, "v4l2_ctrl_new_custom" },
	{ 0xb51fcefb, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9cbd8e30, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4154eab8, "rc_register_device" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x3e65520, "rc_keydown" },
	{ 0x2f0a4ea4, "snd_tea575x_enum_freq_bands" },
	{ 0x617bdf00, "vb2_buffer_done" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x7ec10034, "vb2_plane_vaddr" },
	{ 0xd9fb68f5, "v4l2_ctrl_subscribe_event" },
	{ 0x6951c5a7, "snd_tea575x_s_hw_freq_seek" },
	{ 0xde80cd09, "ioremap" },
	{ 0x41239749, "video_unregister_device" },
	{ 0xedc4314f, "snd_tea575x_set_freq" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x56ed323d, "i2c_new_client_device" },
	{ 0xdb5c3cf, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x21ef7f58, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf1f615e3, "device_register" },
	{ 0x70245822, "rc_free_device" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x90e59f9a, "vb2_fop_read" },
	{ 0xe30ede1c, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7215262b, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b9fbfc3, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb307cf18, "snd_tea575x_hw_init" },
	{ 0x44c5f3af, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7f518f91, "pci_write_config_byte" },
	{ 0x68bc161e, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb81821d6, "vb2_ioctl_streamon" },
	{ 0xf1ff6f18, "vb2_fop_poll" },
	{ 0xe425766d, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x691fe1aa, "v4l2_ctrl_handler_free" },
	{ 0x691b70ce, "v4l2_device_unregister" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6e7573ee, "vb2_wait_for_all_buffers" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xfd6e7584, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xb9245579, "v4l2_i2c_new_subdev" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7f7058f, "video_device_release_empty" },
	{ 0x5c705e86, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x58c9b482, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb96f430, "v4l2_event_unsubscribe" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5791aca9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8cf68546, "vb2_ioctl_reqbufs" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,tea575x,videobuf2-dma-sg,videodev,i2c-algo-bit,videobuf2-common,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "37E27DBB880D5C37827DABE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
