#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x9fab67d3, "");
SYMBOL_CRC(cx88_querycap, 0x4ade10f8, "");
SYMBOL_CRC(cx88_enum_input, 0xf8febede, "");
SYMBOL_CRC(cx88_set_freq, 0xc6c7fb17, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9591128e, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xed74c65e, "vb2_dma_sg_memops" },
	{ 0x103edcb1, "cx88_reset" },
	{ 0x173bd9c0, "v4l2_ctrl_poll" },
	{ 0x7733f189, "video_ioctl2" },
	{ 0x4f0f845f, "cx88_wakeup" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x7e588ed4, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xb1c14bc2, "v4l2_ctrl_add_handler" },
	{ 0x1fef89b, "v4l2_i2c_new_subdev_board" },
	{ 0x317ac7bf, "cx88_set_scale" },
	{ 0x1d519951, "vb2_ops_wait_finish" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x8662ac4, "cx88_shutdown" },
	{ 0x8ef5a1b2, "cx88_vdev_init" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xa732990e, "vb2_ioctl_querybuf" },
	{ 0x1ddb2194, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x624dcd53, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xaff00918, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x302d785f, "cx88_core_get" },
	{ 0x9e6d2dfb, "cx88_get_stereo" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x70d04d13, "cx88_ir_stop" },
	{ 0xbe5cf8f7, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa41d240, "video_devdata" },
	{ 0x62decb8f, "cx88_set_tvnorm" },
	{ 0xd04efb17, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6a320b96, "v4l2_ctrl_find" },
	{ 0xef7f48fb, "cx88_ir_start" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfa747c9c, "__v4l2_ctrl_s_ctrl" },
	{ 0x56c3b264, "vb2_plane_cookie" },
	{ 0xa790f6c4, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa25c2094, "cx88_risc_buffer" },
	{ 0x9cbd8e30, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc064c2ae, "cx88_set_stereo" },
	{ 0x617bdf00, "vb2_buffer_done" },
	{ 0xd9fb68f5, "v4l2_ctrl_subscribe_event" },
	{ 0x41239749, "video_unregister_device" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0x56ed323d, "i2c_new_client_device" },
	{ 0xdb5c3cf, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x21ef7f58, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xd1688383, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x90e59f9a, "vb2_fop_read" },
	{ 0xc9123ba2, "cx88_sram_channel_dump" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0xcef65b94, "cx88_sram_channel_setup" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x44c5f3af, "__video_register_device" },
	{ 0x68bc161e, "vb2_ops_wait_prepare" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb81821d6, "vb2_ioctl_streamon" },
	{ 0xf1ff6f18, "vb2_fop_poll" },
	{ 0xe425766d, "v4l2_ctrl_new_std" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xb9245579, "v4l2_i2c_new_subdev" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdd571100, "cx88_newstation" },
	{ 0xcb96f430, "v4l2_event_unsubscribe" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8cf68546, "vb2_ioctl_reqbufs" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-dma-sg,cx88xx,videodev,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6F1A478A11DE3C68FF7F31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
