#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x89dd17dc, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xd98e43aa, "");
SYMBOL_CRC(ivtv_api, 0x4ef41178, "");
SYMBOL_CRC(ivtv_vapi, 0x7e4afd0a, "");
SYMBOL_CRC(ivtv_vapi_result, 0xf99dfd15, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x1143950a, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x6e17d75a, "");
SYMBOL_CRC(ivtv_udma_setup, 0xead3d298, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x98c6d3df, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xaedf09ad, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x1ab24edc, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x0e819665, "");
SYMBOL_CRC(ivtv_firmware_check, 0x68aa0253, "");
SYMBOL_CRC(ivtv_claim_stream, 0xe7bcfcc4, "");
SYMBOL_CRC(ivtv_release_stream, 0x55956dff, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x77a7d549, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x30cece33, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f431541, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc2ff5d5, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7733f189, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x2b726375, "i2c_bit_add_bus" },
	{ 0xbb6da46d, "v4l2_fh_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1fef89b, "v4l2_i2c_new_subdev_board" },
	{ 0xae8b221c, "kthread_flush_worker" },
	{ 0x3f30ae3b, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0xc358602e, "request_firmware" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x30b74f16, "v4l2_ctrl_handler_init_class" },
	{ 0x9ab88442, "devm_ioremap" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xba5f5592, "unpin_user_pages" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x798afc26, "i2c_transfer_buffer_flags" },
	{ 0x87b87d12, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfc1c8ad9, "__devm_request_region" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf98c079a, "v4l2_ctrl_handler_log_status" },
	{ 0xbe5cf8f7, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa41d240, "video_devdata" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x61edb228, "i2c_new_scanned_device" },
	{ 0x714359ee, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0xc7fe6429, "kthread_queue_work" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x7f82970d, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfa747c9c, "__v4l2_ctrl_s_ctrl" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xc16cb9ea, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x970e00e7, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x5862086c, "v4l2_fh_is_singular" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0xd9fb68f5, "v4l2_ctrl_subscribe_event" },
	{ 0x3dd81532, "v4l2_fh_init" },
	{ 0x292b550b, "v4l2_event_pending" },
	{ 0x2c87f3e4, "__kthread_init_worker" },
	{ 0x41239749, "video_unregister_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x34ff32a7, "v4l2_event_subscribe" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3176285e, "pci_set_master" },
	{ 0xb9525066, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x375a0ad0, "__v4l2_device_register_subdev" },
	{ 0xe30ede1c, "v4l2_device_register" },
	{ 0x47ac4276, "param_ops_string" },
	{ 0x7215262b, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x44c5f3af, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0x7f518f91, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xcbef3c33, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe425766d, "v4l2_ctrl_new_std" },
	{ 0xcc42ae25, "v4l2_ctrl_g_ctrl" },
	{ 0x17e1fd4e, "cx2341x_handler_init" },
	{ 0x39d9529b, "cx2341x_handler_set_50hz" },
	{ 0x691fe1aa, "v4l2_ctrl_handler_free" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x691b70ce, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xdc5c8aad, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfd6e7584, "v4l2_subdev_call_wrappers" },
	{ 0x3753abf6, "dma_unmap_sg_attrs" },
	{ 0xa54a8d48, "v4l2_event_queue" },
	{ 0xb9245579, "v4l2_i2c_new_subdev" },
	{ 0x38a8d420, "page_address" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x9978af6, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7f7058f, "video_device_release_empty" },
	{ 0x86a4bd07, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0xcb96f430, "v4l2_event_unsubscribe" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2c692a01, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
