#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x7290da73, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x3181ec3a, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0xc922ab11, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x30704903, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x151f22dc, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x7e0155e5, "_gpl");
SYMBOL_CRC(is_fw_load, 0xdaed9f3c, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x314c7cf3, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x93a9750d, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x2656eff0, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xebbb027f, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x83f00fce, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x7caf6b24, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x6eb1c662, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x6cd2b601, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x787f1296, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x6e39f9aa, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xc9846f03, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x2c120e7c, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0xf1fb805c, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x056def03, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x56233d80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9591128e, "vb2_queue_init" },
	{ 0xc7a25bd8, "usb_alloc_urb" },
	{ 0x173bd9c0, "v4l2_ctrl_poll" },
	{ 0x7733f189, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x825ea4d3, "media_device_unregister" },
	{ 0xb111f27c, "usb_free_urb" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x7e588ed4, "vb2_ioctl_streamoff" },
	{ 0x5b0b0901, "v4l2_ctrl_radio_filter" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8aa4cd1c, "usb_alloc_coherent" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb1c14bc2, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc358602e, "request_firmware" },
	{ 0x1d519951, "vb2_ops_wait_finish" },
	{ 0x86332006, "usb_register_driver" },
	{ 0x30b74f16, "v4l2_ctrl_handler_init_class" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x21feeaf9, "__media_device_register" },
	{ 0xa732990e, "vb2_ioctl_querybuf" },
	{ 0x798afc26, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x624dcd53, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x940ede7a, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9529a90e, "usb_put_dev" },
	{ 0x432ae122, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa41d240, "video_devdata" },
	{ 0xd04efb17, "vb2_fop_release" },
	{ 0x714359ee, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0x402bde2a, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x7cbd4b85, "usb_submit_urb" },
	{ 0x233191b0, "_dev_info" },
	{ 0x7f82970d, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xee304e15, "media_device_register_entity" },
	{ 0x276a6d48, "media_device_cleanup" },
	{ 0xa790f6c4, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x976f614, "i2c_unregister_device" },
	{ 0x1c08173d, "usb_free_coherent" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6322ca15, "usb_control_msg" },
	{ 0x617bdf00, "vb2_buffer_done" },
	{ 0x7ec10034, "vb2_plane_vaddr" },
	{ 0xd9fb68f5, "v4l2_ctrl_subscribe_event" },
	{ 0xbf71647b, "usb_set_interface" },
	{ 0x3932b5c1, "media_entity_pads_init" },
	{ 0x41239749, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x56ed323d, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x3bf1e9fd, "usb_deregister" },
	{ 0xdb5c3cf, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x21ef7f58, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6228eeda, "v4l2_s_ctrl" },
	{ 0x222b212, "i2c_mux_alloc" },
	{ 0xf5e37208, "vb2_vmalloc_memops" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x90e59f9a, "vb2_fop_read" },
	{ 0xe30ede1c, "v4l2_device_register" },
	{ 0x7215262b, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b9fbfc3, "rc_allocate_device" },
	{ 0xe97a8231, "usb_unlink_urb" },
	{ 0x54db3cff, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x44c5f3af, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x68bc161e, "vb2_ops_wait_prepare" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x239dc2b3, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb81821d6, "vb2_ioctl_streamon" },
	{ 0x6bc8ec81, "v4l2_mc_create_media_graph" },
	{ 0xf1ff6f18, "vb2_fop_poll" },
	{ 0x17e1fd4e, "cx2341x_handler_init" },
	{ 0x39d9529b, "cx2341x_handler_set_50hz" },
	{ 0x6f1175dd, "__media_device_usb_init" },
	{ 0x691fe1aa, "v4l2_ctrl_handler_free" },
	{ 0x648ee4b3, "i2c_transfer" },
	{ 0x691b70ce, "v4l2_device_unregister" },
	{ 0xf3f3f451, "usb_reset_endpoint" },
	{ 0x91a7ed2b, "i2c_mux_del_adapters" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xfd6e7584, "v4l2_subdev_call_wrappers" },
	{ 0x84c036c6, "v4l2_ctrl_log_status" },
	{ 0xb9245579, "v4l2_i2c_new_subdev" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xa7f7058f, "video_device_release_empty" },
	{ 0xf542b072, "i2c_mux_add_adapter" },
	{ 0x35347b4, "_vb2_fop_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcb96f430, "v4l2_event_unsubscribe" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x8cf68546, "vb2_ioctl_reqbufs" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,mc,cx2341x,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "210904576AB8FF11206545C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
