#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x08ffa67f, "");
SYMBOL_CRC(gspca_dev_probe2, 0x297e6aac, "");
SYMBOL_CRC(gspca_dev_probe, 0x1b875daa, "");
SYMBOL_CRC(gspca_disconnect, 0x79fad840, "");
SYMBOL_CRC(gspca_suspend, 0x1df1102d, "");
SYMBOL_CRC(gspca_resume, 0x78eeee16, "");
SYMBOL_CRC(gspca_expo_autogain, 0xd9eb3771, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0xb49bfe1a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9591128e, "vb2_queue_init" },
	{ 0x576014b2, "input_allocate_device" },
	{ 0xc7a25bd8, "usb_alloc_urb" },
	{ 0x7733f189, "video_ioctl2" },
	{ 0xb111f27c, "usb_free_urb" },
	{ 0xdfccf3be, "v4l2_device_put" },
	{ 0x7e588ed4, "vb2_ioctl_streamoff" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8aa4cd1c, "usb_alloc_coherent" },
	{ 0x1a2cadcd, "vb2_ioctl_expbuf" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xecd9a38, "usb_ifnum_to_if" },
	{ 0x1d519951, "vb2_ops_wait_finish" },
	{ 0xe46d6483, "input_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa732990e, "vb2_ioctl_querybuf" },
	{ 0x624dcd53, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a973ea0, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x940ede7a, "usb_clear_halt" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbe5cf8f7, "v4l2_ctrl_handler_setup" },
	{ 0xcac6d11a, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa41d240, "video_devdata" },
	{ 0x8db6ff5a, "vb2_queue_error" },
	{ 0xd04efb17, "vb2_fop_release" },
	{ 0x738803e6, "strnlen" },
	{ 0x7cbd4b85, "usb_submit_urb" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xfa747c9c, "__v4l2_ctrl_s_ctrl" },
	{ 0xa790f6c4, "vb2_ioctl_dqbuf" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1c08173d, "usb_free_coherent" },
	{ 0x6345861e, "vb2_ioctl_create_bufs" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x617bdf00, "vb2_buffer_done" },
	{ 0x7ec10034, "vb2_plane_vaddr" },
	{ 0xd9fb68f5, "v4l2_ctrl_subscribe_event" },
	{ 0xbf71647b, "usb_set_interface" },
	{ 0x41239749, "video_unregister_device" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdb5c3cf, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x21ef7f58, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf5e37208, "vb2_vmalloc_memops" },
	{ 0x408b183e, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x90e59f9a, "vb2_fop_read" },
	{ 0xe30ede1c, "v4l2_device_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x44c5f3af, "__video_register_device" },
	{ 0x68bc161e, "vb2_ops_wait_prepare" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x239dc2b3, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb81821d6, "vb2_ioctl_streamon" },
	{ 0xf1ff6f18, "vb2_fop_poll" },
	{ 0xcc42ae25, "v4l2_ctrl_g_ctrl" },
	{ 0x691fe1aa, "v4l2_ctrl_handler_free" },
	{ 0x691b70ce, "v4l2_device_unregister" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xa7f7058f, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcb96f430, "v4l2_event_unsubscribe" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x8cf68546, "vb2_ioctl_reqbufs" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
