#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x46529461, "");
SYMBOL_CRC(video_device_release, 0x022ad1e4, "");
SYMBOL_CRC(video_device_release_empty, 0xa7f7058f, "");
SYMBOL_CRC(video_devdata, 0x0a41d240, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x44c5f3af, "");
SYMBOL_CRC(video_unregister_device, 0x41239749, "");
SYMBOL_CRC(video_device_pipeline_start, 0x90e2682f, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x365ecdd6, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xa31b59ce, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xc76e8c03, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x4f0e4cab, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xdb29ef1c, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x7733f189, "");
SYMBOL_CRC(v4l2_device_register, 0xe30ede1c, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0xdfccf3be, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x970e00e7, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x408b183e, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x691b70ce, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0x375a0ad0, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xfe65f8a8, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x4b415c9c, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x3dd81532, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x3f30ae3b, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x624dcd53, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xbb6da46d, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x4f431541, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x9cbd8e30, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x5862086c, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x2140ecfa, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xa54a8d48, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x63475de0, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x292b550b, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x4e761d8e, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x34ff32a7, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x6b4482a7, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xcb96f430, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xe2ebe9b3, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x3e295fe5, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x438493ec, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0xfd6e7584, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x57534505, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x3bec0154, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x3c22d1fc, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x60f42385, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x292b1317, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x3117dd75, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xc1bb0f07, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xb71d24b4, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x702a6b81, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x8df9ab1f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0x8f23449f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0x8db93920, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x2ed54225, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0xf3b1097b, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x2fc53a6e, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xc097567b, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xddba3f94, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0xb6304395, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x75e2e42b, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x376241b2, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x59740fce, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0xdc5bc085, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x87b87d12, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0xb68ae89b, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0x783cbb78, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0xb819c171, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xf35444dd, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xff76573f, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x68515e81, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x98501408, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x14ceae90, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0x58053964, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xd006c0c0, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xaf6fe434, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x5f5ba0d8, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xfe48e7bb, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x97d5ce31, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x30b74f16, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x691fe1aa, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x6a320b96, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x17b075c5, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xe425766d, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xb9525066, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0xd510120b, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x81501935, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x183fbaa7, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xb1c14bc2, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x5b0b0901, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x86a4bd07, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x5e767102, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x10f3536c, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x0f486423, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xa35e15d9, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0xbe5cf8f7, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xf98c079a, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x79319699, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xbf93e30e, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x13ac8bb1, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x276df3ce, "");
SYMBOL_CRC(v4l2_g_ctrl, 0xefed8bdb, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x6228eeda, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xcc42ae25, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x06f1ba59, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xfa747c9c, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x5c4c28f0, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x3d613146, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xe641589a, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xba511698, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x79d7be2a, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0xfc3398da, "");
SYMBOL_CRC(v4l2_queryctrl, 0xa01993bb, "");
SYMBOL_CRC(v4l2_querymenu, 0xa68a7eb0, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x84c036c6, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x9f20dd98, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0xab2a980d, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xd9fb68f5, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x2a3dc120, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x173bd9c0, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xa45c7c39, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x756961ec, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xb32a35d8, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xdffbb591, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x6bc8ec81, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x12aa4217, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x66b67f93, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x13be4482, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x2fcfaeec, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xb690c4c5, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x59155b36, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xba6a6da8, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x357ea630, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xfdd159a4, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x445745d8, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xb48cf8aa, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0xc617fcde, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x2ae0877b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xe0b98a71, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x4922465a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x11f3044c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x2b6856cd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x0951d722, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x6ce1c95c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xdef3dffd, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x28ea1fd3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xe5a33113, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x3e21512e, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x785aff1d, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x01fef89b, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xb9245579, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xcae1ae0c, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4b3e4ee, "media_devnode_remove" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x6c68a87e, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x603274b5, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb2d1aa87, "led_sysfs_enable" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x8163a29e, "fwnode_graph_get_remote_endpoint" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x8ee808f4, "spi_unregister_device" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x29b57c77, "media_request_object_unbind" },
	{ 0x207d8460, "led_put" },
	{ 0x8cf6a6fe, "led_trigger_remove" },
	{ 0x48e82de3, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x376668bb, "media_request_object_complete" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x500b491b, "fwnode_graph_get_port_parent" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa090413, "media_create_intf_link" },
	{ 0x7f92f0a2, "media_create_pad_link" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xb363e081, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x922b70c, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0x61edb228, "i2c_new_scanned_device" },
	{ 0xe074f1fa, "media_pad_pipeline" },
	{ 0x738803e6, "strnlen" },
	{ 0x243cecee, "media_request_object_put" },
	{ 0x62e67e7d, "module_put" },
	{ 0xc405f489, "media_pipeline_alloc_start" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xee304e15, "media_device_register_entity" },
	{ 0xfaddea80, "media_request_get_by_fd" },
	{ 0x4c983e14, "cdev_add" },
	{ 0x648b611, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x976f614, "i2c_unregister_device" },
	{ 0xb268c538, "media_request_put" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe29c690c, "spi_new_device" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xf86ce1f3, "media_request_object_bind" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x1a80f4d5, "media_graph_walk_next" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x56ed323d, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf1f615e3, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x645f71dd, "media_pipeline_start" },
	{ 0x76728c6, "media_pipeline_stop" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b6a798e, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd0976e41, "platform_bus_type" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf11d8a82, "led_set_brightness" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4cb990b0, "media_graph_walk_start" },
	{ 0x706ed7a6, "media_devnode_create" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x48e7db58, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x990923e7, "media_device_unregister_entity" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x45287dc, "__media_pipeline_start" },
	{ 0x810cf51e, "class_register" },
	{ 0x7438a342, "led_sysfs_disable" },
	{ 0x529f91bd, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0xe78f0ed3, "pci_bus_type" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x750d93d5, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc6b7f3cf, "cdev_alloc" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "FF39E34F61975723E2606A2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
