#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x7ec13a80, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x256e1c47, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xa60b7872, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x65e8b2ac, "");
SYMBOL_CRC(mpt_halt_firmware, 0x146b6c2d, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xf37536b3, "");
SYMBOL_CRC(mpt_attach, 0x7663ecf2, "");
SYMBOL_CRC(mpt_detach, 0xa2bb493b, "");
SYMBOL_CRC(mpt_resume, 0xf2c99ccf, "");
SYMBOL_CRC(mpt_suspend, 0xac3ebece, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xb3a53fd1, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xa1abb1e2, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x5acd3290, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x91689299, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x092b2571, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xbbb4a545, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xffeb71f2, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x260184e5, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x4c090b84, "");
SYMBOL_CRC(mpt_verify_adapter, 0x76b71849, "");
SYMBOL_CRC(mpt_GetIocState, 0x7cde4cd6, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x6a5ea008, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x365e2848, "");
SYMBOL_CRC(mpt_config, 0x10503c0f, "");
SYMBOL_CRC(mpt_findImVolumes, 0x0c4ed791, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x679a4660, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x93200775, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x8f5e699d, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x71ed4eac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x70f7896, "_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xfc408cf3, "pci_stop_and_remove_bus_device_locked" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5398ce62, "pci_select_bars" },
	{ 0x784d85dc, "pci_enable_device_mem" },
	{ 0x787c1938, "pci_request_selected_regions" },
	{ 0x47fcaaf3, "dma_get_required_mask" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa3df0866, "pci_release_selected_regions" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2bc95bd4, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0xef2a5415, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5f3022, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee6b67fe, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf8304674, "pci_disable_msi" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0x753d21a4, "pci_set_power_state" },
	{ 0x828a983b, "proc_mkdir" },
	{ 0x8fe32e6, "proc_create_single_data" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0xa5d6c013, "pci_write_config_word" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0xff0c45f8, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x3176285e, "pci_set_master" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x7f518f91, "pci_write_config_byte" },
	{ 0x9852d71b, "pci_get_slot" },
	{ 0xb44f0622, "pci_dev_put" },
	{ 0x69c445a2, "pci_enable_wake" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x48261f65, "param_get_int" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
