#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x0069b43d, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x8f5c5ecb, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xe5450c3a, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x7fc8e82c, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x60a0ac44, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x20ff8006, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x1389a10d, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xa055f952, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x3dd6a681, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xc5037203, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xbb00db2f, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x115c217e, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xa0b2a65e, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xa92ea1fa, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0xd954f79f, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x611921fa, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x46a4a6d5, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xb3941b4b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xbaa199af, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xee22f97b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xdfc82766, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x3a88019a, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xe4fa4d6c, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0xb142d535, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x16369685, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3dd0d8e, "pci_find_ext_capability" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf8304674, "pci_disable_msi" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xeb04fc67, "pm_schedule_suspend" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x64027376, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xff0c45f8, "pci_enable_msi" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0x64e05fa1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcdd1773b, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xea8e3d77, "pm_runtime_forbid" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x9d894d32, "pm_runtime_allow" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7f518f91, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0xd4834a6f, "mfd_remove_devices" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x3753abf6, "dma_unmap_sg_attrs" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2c692a01, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
