#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd374215, "device_property_present" },
	{ 0xfdb1ee86, "sdhci_set_bus_width" },
	{ 0x3cb6545e, "sdhci_start_signal_voltage_switch" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x7b4f2a5e, "platform_driver_unregister" },
	{ 0xbf8a01e5, "of_address_to_resource" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x4a8796e1, "sdhci_reset" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xa521e23c, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc78cfc69, "sdhci_pltfm_free" },
	{ 0x9b49fa3a, "mmc_regulator_set_ocr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0x9a935085, "sdhci_runtime_resume_host" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x2e17913a, "sdhci_runtime_suspend_host" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8f22a352, "sdhci_set_ios" },
	{ 0x507a24e9, "device_property_read_string" },
	{ 0x1ed97a7a, "sdhci_get_property" },
	{ 0xf1b1560d, "of_property_read_string" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaec96315, "sdhci_set_clock" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xec654ab7, "device_get_match_data" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8db12d46, "sdhci_execute_tuning" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x97eed602, "__platform_driver_register" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xedcd1de0, "sdhci_add_host" },
	{ 0x916efa99, "sdhci_pltfm_clk_get_max_clock" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x49e45a44, "mmc_of_parse" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x8a7b57da, "sdhci_enable_sdio_irq" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x71ea2ef, "devm_ioremap_resource" },
	{ 0xf3ab61ca, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb77321b1, "sdhci_set_power_noreg" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xee65798f, "sdhci_pltfm_init" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0xd35f75a1, "match_string" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x971e6858, "pm_runtime_force_suspend" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x57f7ea57, "sdhci_remove_host" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "sdhci,sdhci-pltfm,mmc_core");

MODULE_ALIAS("acpi*:MRVL0002:*");
MODULE_ALIAS("acpi*:MRVL0003:*");
MODULE_ALIAS("acpi*:MRVL0004:*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap806-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-ap807-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-cp110-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-3700-sdhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,ac5-sdhci");
MODULE_ALIAS("of:N*T*Cmarvell,ac5-sdhciC*");

MODULE_INFO(srcversion, "7C6231FD50E4BCECBFA9AC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
