#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x338750aa, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x0c5bc4e2, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x5d953644, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x3ea23761, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xa61b2f8c, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xe1aa6179, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x75ad0d58, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x977ba22b, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x489ea1f2, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x359ffa3a, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xda98a494, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x0d14491b, "_gpl");
SYMBOL_CRC(nand_status_op, 0xc7407490, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x35b60306, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xea7f8419, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xe1e38207, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x76782a6b, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0xd85b173e, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x4b13b764, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xc1bd054b, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x950e093c, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x0e172d0b, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xdc33f79e, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0xc1dca9f1, "");
SYMBOL_CRC(nand_write_oob_std, 0x4a3a0c49, "");
SYMBOL_CRC(nand_write_page_raw, 0x0270227b, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0xf4386dd1, "");
SYMBOL_CRC(nand_decode_ext_id, 0xf6f2c5fc, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x06f34da1, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xc9000ecc, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x898fb7a6, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x0d8901d6, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x155c6711, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0x50f6bf42, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x41538dbc, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x3cb6b0db, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x6e33edba, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x1b426dd5, "");
SYMBOL_CRC(nand_cleanup, 0x368eebfa, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x42c301c9, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x8db0465b, "");
SYMBOL_CRC(nand_create_bbt, 0x1e8d6859, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaff32918, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x5bec079e, "mtd_read_oob" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x33c7ebed, "gpiod_count" },
	{ 0x84a2f8a0, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe819506, "nand_get_large_page_hamming_ooblayout" },
	{ 0x2e60bace, "memcpy" },
	{ 0xf581cec, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfdc3b42, "gpiod_get_index_optional" },
	{ 0x4cf57587, "nand_ecc_sw_hamming_init_ctx" },
	{ 0x45675ad8, "nanddev_init" },
	{ 0x5c48f83e, "nand_ecc_sw_bch_correct" },
	{ 0x37953754, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x6acf1554, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9580fe92, "nand_ecc_sw_hamming_calculate" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x61d362d3, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x3d84804b, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xcfbc15ab, "nand_ecc_is_strong_enough" },
	{ 0x4f9e6a4b, "mtd_write_oob" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xd1f19631, "nand_get_small_page_ooblayout" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7670352, "of_get_nand_ecc_user_config" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x2ec42c2e, "nand_ecc_sw_hamming_correct" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x989d5931, "of_property_count_elems_of_size" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf1b1560d, "of_property_read_string" },
	{ 0x48df7536, "of_find_property" },
	{ 0x5152e605, "memcmp" },
	{ 0x91f689bb, "mtd_read" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x3a09da88, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x528ff1b8, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x90a175c6, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b1fe4c6, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc16787e6, "mtd_ooblayout_get_databytes" },
	{ 0xd35f75a1, "match_string" },
	{ 0x32622555, "mtd_ooblayout_get_eccbytes" },
	{ 0xac4ca12b, "nanddev_mtd_max_bad_blocks" },
	{ 0x8177db71, "nand_ecc_sw_bch_calculate" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "CEDAE5265053F303681C2CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
