#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xa4cc5949, "_gpl");
SYMBOL_CRC(mux_chip_register, 0xa765a437, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x3c960673, "_gpl");
SYMBOL_CRC(mux_chip_free, 0xc483f26a, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x7bd4f0e7, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x19478d24, "_gpl");
SYMBOL_CRC(mux_control_states, 0x763aae1f, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x79e6184d, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0xae879a4c, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x95db9748, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x6483b7c2, "_gpl");
SYMBOL_CRC(mux_control_put, 0xc51e5fcb, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x119679c8, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0xc08e0173, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x975d3241, "of_node_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xa7e66450, "of_property_match_string" },
	{ 0xfee1670, "device_match_of_node" },
	{ 0xcf2a6966, "up" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4ad79ca6, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfb901f8c, "device_add" },
	{ 0xabdecbeb, "__of_parse_phandle_with_args" },
	{ 0xabee13e2, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xeda60a69, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0x810cf51e, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xe585a63d, "class_find_device" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "330F3890F0AECD292E3B2B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
