#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0xb64d38cd, "");
SYMBOL_CRC(vnic_dev_get_res, 0x0f77f3be, "");
SYMBOL_CRC(vnic_dev_unregister, 0xcdfa9b2c, "");
SYMBOL_CRC(vnic_dev_register, 0xc58f6589, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x418c9d46, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x74d70ce3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93aac8c9, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe3dd0d8e, "pci_find_ext_capability" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x42437fb, "skb_put" },
	{ 0x29049da2, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x784d85dc, "pci_enable_device_mem" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d9e4f4d, "pci_iomap" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc0eb1515, "unregister_netdev" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf8304674, "pci_disable_msi" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xbc880e5e, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8fa69040, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0x233191b0, "_dev_info" },
	{ 0x54740abb, "__hw_addr_unsync_dev" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5fab1c8d, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xff0c45f8, "pci_enable_msi" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xd24cc8b9, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x86db3307, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc9634f99, "netif_set_real_num_rx_queues" },
	{ 0xad447ae1, "dev_close" },
	{ 0x420eabe4, "mem_section" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0xf9c74a64, "netif_receive_skb" },
	{ 0x2587c463, "nla_put" },
	{ 0x446e3761, "register_netdev" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x64ac2870, "netif_set_xps_queue" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xefb9cb05, "rps_may_expire_flow" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x88ce403f, "call_netdevice_notifiers" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0xd7deef75, "__hw_addr_sync_dev" },
	{ 0xc1d009db, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0xab8ac01b, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf7ed98b7, "__skb_flow_dissect" },
	{ 0x33741de0, "__napi_schedule_irqoff" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c35f043, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "BC2E97E5A825F30A9DEE11A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
