#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x5a4e5060, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x1ec17348, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0xa0787ee1, "_gpl");
SYMBOL_CRC(fun_bind, 0x369c9fa2, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x9ceff1d3, "");
SYMBOL_CRC(fun_release_irqs, 0xb953cc29, "");
SYMBOL_CRC(fun_serv_stop, 0x253e07c2, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xc7a72aec, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0x6b715c85, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0xc82be887, "");
SYMBOL_CRC(fun_dev_enable, 0xa88978c1, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0x50c4917d, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0x6360c6dc, "_gpl");
SYMBOL_CRC(fun_sq_create, 0x19d91c15, "_gpl");
SYMBOL_CRC(fun_cq_create, 0xde65991e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x56b73ad2, "pci_msix_vec_count" },
	{ 0x787c1938, "pci_request_selected_regions" },
	{ 0xa3df0866, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x784d85dc, "pci_enable_device_mem" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x17f4e86e, "sbitmap_queue_wake_all" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x2798f2f2, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xecfeee4, "__alloc_pages_noprof" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x233191b0, "_dev_info" },
	{ 0x5398ce62, "pci_select_bars" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0x8ae5cc2b, "pcie_print_link_status" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x38a8d420, "page_address" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "95B697930470BE54ACB93ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
