#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x87fdd5fc, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xd77f5a8a, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x1f35f097, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x728d31ed, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xad993bcf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xeeacfc84, "xsk_tx_completed" },
	{ 0xb0bee56f, "napi_alloc_skb" },
	{ 0x93aac8c9, "alloc_etherdev_mqs" },
	{ 0xcc87bf02, "netdev_lower_get_next" },
	{ 0x662f88a3, "flow_block_cb_lookup" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x82cfe2c4, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0xe1bcd7bf, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x402a9945, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf6499364, "flow_rule_match_enc_keyid" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xe3dd0d8e, "pci_find_ext_capability" },
	{ 0x75008147, "kthread_create_worker" },
	{ 0x670e8f26, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbc6e012c, "devl_region_create" },
	{ 0x2dc82436, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0xe15c0a14, "kthread_cancel_delayed_work_sync" },
	{ 0x1783d5de, "dpll_device_change_ntf" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x3b89f554, "pci_wake_from_d3" },
	{ 0x29049da2, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc0305f8c, "call_switchdev_notifiers" },
	{ 0x65979bdf, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xe0c7e545, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x8b7d32f6, "auxiliary_device_init" },
	{ 0x784d85dc, "pci_enable_device_mem" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x609f946a, "flow_rule_match_enc_ip" },
	{ 0x8235805b, "memmove" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x7fb55024, "flow_rule_match_l2tpv3" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0x4995dd43, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9b6686fc, "xsk_tx_peek_release_desc_batch" },
	{ 0x613bf29d, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9f8a0420, "dmam_alloc_attrs" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x22e4c906, "devl_lock" },
	{ 0xb44f0622, "pci_dev_put" },
	{ 0xb4bd7510, "xp_fill_cb" },
	{ 0xc81952be, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2a560cc9, "ndo_dflt_bridge_getlink" },
	{ 0xc0eb1515, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf28986fa, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xe45241c9, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf378173, "xdp_features_set_redirect_target" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x38d665e3, "pci_get_device" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc358602e, "request_firmware" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x2ca71b50, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xab984702, "flow_rule_match_cvlan" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xabc68926, "gnss_insert_raw" },
	{ 0x7bc8682d, "pci_num_vf" },
	{ 0x1f4b35d8, "flow_rule_match_eth_addrs" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xcf03aeef, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe39f82a7, "ptp_clock_index" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x5360f584, "devl_port_fn_devlink_set" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3e9a18e3, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9501937, "devlink_alloc_ns" },
	{ 0xae77f1d5, "devl_rate_leaf_destroy" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x46c113dd, "xdp_do_redirect" },
	{ 0xf7def802, "devlink_free" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9a5b8f2f, "devl_rate_node_create" },
	{ 0xbc880e5e, "netdev_warn" },
	{ 0x8ddd123c, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x753d21a4, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x112e4c16, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0xeb6f7bb5, "flow_rule_match_ipv4_addrs" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0x5db9ee10, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd008d304, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0x75b4d910, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x3bd8e959, "devlink_flash_update_status_notify" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x234225d3, "pci_restore_msi_state" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xef493350, "xdp_return_buff" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x89209809, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x654622c3, "auxiliary_driver_unregister" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x6ea67328, "switchdev_handle_port_obj_del" },
	{ 0xecfeee4, "__alloc_pages_noprof" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x9e8aab9, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5155713, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x2ad5707b, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cd418f3, "put_device" },
	{ 0xcd53365b, "devm_free_irq" },
	{ 0x6156c7f4, "net_dim" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x65f05a99, "ipv6_skip_exthdr" },
	{ 0xdddb7930, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x26ba5e50, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x1a4718fa, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x54740abb, "__hw_addr_unsync_dev" },
	{ 0x233191b0, "_dev_info" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0x8604ddfa, "netif_device_attach" },
	{ 0x86c9b86f, "xdp_features_clear_redirect_target" },
	{ 0x7c1bed71, "netdev_pick_tx" },
	{ 0xe88e4e93, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x333bd2b1, "xp_raw_get_dma" },
	{ 0x3e49a40b, "eth_get_headlen" },
	{ 0xcb173819, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xaacc2828, "xdp_rxq_info_is_reg" },
	{ 0xc6254c2a, "flow_rule_match_enc_opts" },
	{ 0xe52fd6f7, "flow_block_cb_setup_simple" },
	{ 0xd52682df, "pci_msix_can_alloc_dyn" },
	{ 0x1bce921c, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5fab1c8d, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x637b85e3, "pcim_iomap_regions" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xdf6eafb1, "vlan_dev_real_dev" },
	{ 0x644ed57a, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6b9867ff, "devm_kmemdup" },
	{ 0x22fc6e38, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0xde12da34, "devlink_flash_update_timeout_notify" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xd24cc8b9, "softnet_data" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14cd421, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb1f112ac, "ptp_clock_register" },
	{ 0xf6106857, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x6261fb86, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x86db3307, "netif_set_real_num_tx_queues" },
	{ 0x11337b48, "__auxiliary_device_add" },
	{ 0xcd806cfb, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc9634f99, "netif_set_real_num_rx_queues" },
	{ 0x3201d456, "flow_indr_block_cb_alloc" },
	{ 0xc2949515, "devl_port_register_with_ops" },
	{ 0x11055326, "pci_wait_for_pending_transaction" },
	{ 0xad447ae1, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7730ae01, "pci_device_is_present" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0x14eaf035, "pcie_flr" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xfaacd473, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x15a60ef1, "dcbnl_ieee_notify" },
	{ 0x43ccd298, "xsk_uses_need_wakeup" },
	{ 0x446e3761, "register_netdev" },
	{ 0x54ca1e42, "dev_mc_del" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xd62ff850, "page_to_nid" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x1688d098, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x16d67cd6, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x64ac2870, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x5f6c9604, "netif_tx_stop_all_queues" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xeda60a69, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x40b51c05, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x8fc0cf94, "dcb_getapp" },
	{ 0xb0df7a65, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xb55168d6, "flow_rule_match_ports" },
	{ 0x87040c82, "gnss_allocate_device" },
	{ 0x9477fca8, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4415e674, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x1f60462, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x3176285e, "pci_set_master" },
	{ 0xf24374b5, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x36f24828, "flow_rule_match_ipv6_addrs" },
	{ 0xc60855a2, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9188d4ed, "devl_params_unregister" },
	{ 0x99ae7eb4, "ptp_clock_unregister" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x491b39e6, "xp_dma_unmap" },
	{ 0x7687e8b4, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x45c02f95, "switchdev_handle_port_obj_add" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe612a076, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc456eba8, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0xb497df4d, "flow_rule_match_pppoe" },
	{ 0x4695122b, "flow_rule_match_enc_control" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x125c9289, "__page_frag_cache_drain" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdbc71f27, "_dev_notice" },
	{ 0x8547b4de, "gnss_deregister_device" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0xefb9cb05, "rps_may_expire_flow" },
	{ 0xb12828c4, "metadata_dst_free" },
	{ 0x8110dbbc, "xsk_set_tx_need_wakeup" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x79ea35d8, "netdev_reset_tc" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0xae94196f, "kthread_destroy_worker" },
	{ 0xd72ad824, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xb8d10624, "flow_rule_match_enc_ports" },
	{ 0xf33907e8, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x98c2c21e, "dpll_netdev_pin_clear" },
	{ 0xdc97533e, "netif_queue_set_napi" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x88ce403f, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfc26ca1a, "devl_assert_locked" },
	{ 0x8ae5cc2b, "pcie_print_link_status" },
	{ 0x638995ad, "xp_set_rxq_info" },
	{ 0x9be81d66, "flow_rule_match_vlan" },
	{ 0x764feb60, "devl_port_unregister" },
	{ 0x82bd802c, "xdp_rxq_info_unreg" },
	{ 0xacf677ab, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xc39aa217, "napi_build_skb" },
	{ 0x877f7447, "netdev_master_upper_dev_get_rcu" },
	{ 0xaedbf489, "__xdp_rxq_info_reg" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x44547e1f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xfd2ce42c, "dpll_pin_register" },
	{ 0xf61a7405, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47132520, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xd7deef75, "__hw_addr_sync_dev" },
	{ 0xc1d009db, "pci_disable_sriov" },
	{ 0xd38d7e4, "pldmfw_flash_image" },
	{ 0xa0e2b564, "kthread_queue_delayed_work" },
	{ 0xe42ac889, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x35ee5c0, "netdev_set_num_tc" },
	{ 0xd886305a, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x76669a9c, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94358f5, "dev_uc_add_excl" },
	{ 0x5e29ca2, "bitmap_from_arr64" },
	{ 0x13ec6ef6, "boot_cpu_data" },
	{ 0x9d763ee5, "xp_free" },
	{ 0x7354c7a8, "dev_mc_add_excl" },
	{ 0xa73e8382, "gnss_put_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x52d97667, "bitmap_to_arr64" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xe4f2ca30, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3116ef8a, "netif_set_tso_max_size" },
	{ 0xf7ed98b7, "__skb_flow_dissect" },
	{ 0x1744dd7b, "vlan_dev_vlan_id" },
	{ 0xbe6bf2f, "pci_msix_alloc_irq_at" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x1d2c1872, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x617d5ae4, "pcim_iomap_table" },
	{ 0x8cfb628a, "xdp_master_redirect" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0x38a8d420, "page_address" },
	{ 0xa14998da, "dpll_pin_on_pin_register" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x9226c660, "napi_consume_skb" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x2599a2fb, "xp_alloc_batch" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0xb9e4ac01, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0x9978af6, "pcim_enable_device" },
	{ 0x554eae87, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xc45b5b50, "flow_rule_match_control" },
	{ 0x4eac5ab8, "flow_rule_match_ip" },
	{ 0x6c35f043, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xd676f3b6, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x35ec82ba, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc6445fd8, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xbf2099f3, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "gnss,ptp,libie");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:ice.sf");

MODULE_INFO(srcversion, "8A7DFC5B503A5E0BBEE35B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
