#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x9402254b, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x8c9dbe92, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x1e491b00, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x64eaf1ac, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xe8f33ada, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xaad9b34e, "");
SYMBOL_CRC(mlx5_cmd_check, 0x13ad77aa, "");
SYMBOL_CRC(mlx5_cmd_do, 0x455d1a10, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x735ec5a0, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xdc065da6, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xf84d7bd0, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x203716fc, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xe5ea087f, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x9b3d61b6, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x670782c9, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xd855f6f6, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x15babf73, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x9e358b70, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x5f7cf189, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x2c09bfb2, "");
SYMBOL_CRC(mlx5_eq_enable, 0x9d54a3f5, "");
SYMBOL_CRC(mlx5_eq_disable, 0x45df42b0, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x1e0a5268, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x626ff79a, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xcedc04c7, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x20c1d189, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x47fe7c74, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x66f3f9b5, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x689b657b, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x24a453a1, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x0244946e, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x401353ea, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x24afabb7, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x8090c6ee, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x2dfa3d39, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xf6f26e6b, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x461fb0dd, "");
SYMBOL_CRC(mlx5_create_cq, 0x3d8209e0, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x18758921, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x803b0368, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xa629e199, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xbc3c97e8, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x344a7322, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x9a8bd0d2, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x989495a7, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xcb800c0f, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x51a571c1, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xa08f7e55, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xa75cf500, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x856c5554, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x48729924, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x0377d5f6, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x2cf02d1e, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xfdb80ab9, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xb8a348c4, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x9cd9a9f5, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xefa9ad23, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x3295022b, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x92e93b41, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xdb664ced, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x0d29ac60, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xbe9230ca, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x69a712ac, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xd257e6ea, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xce7331ca, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x146911f7, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x498c7691, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x0d262b9b, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x96aeab25, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x0b8ae152, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x3811a792, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xc53f29d7, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xb91de951, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x19e8a655, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xf31221d5, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x6f27b675, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x1805bb19, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x80313030, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x9cea7ece, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x93a0c2a6, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xe4d64b47, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xbbbe25c5, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x16fe40fb, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x166c475f, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x2d2ed346, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x34dc5465, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xb0253e41, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x8c9a7736, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x0b962c34, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xc8ae2686, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x731d34f3, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xb464233b, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xc3c5138c, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x19b64466, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xc6bdcf87, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xe8e5eeee, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x736c4aa0, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x469b33af, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x15aaf1e2, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xdebf6928, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x4d0925b9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x014eabfb, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xe64bbf9a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x105593d0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xe2701fb7, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x23cf95ee, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x31012850, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x2c98024f, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x5b25b56e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x21fd8206, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x359c9ee4, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x81beb3f1, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x6deaf04e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x525e2e13, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x17c77508, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xa69ce940, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xeacd61eb, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x7ee8a4c9, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xcce9d504, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xf315143e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xf50fe477, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x0062ce05, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xdb410094, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x87f3c22d, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xbffce8ae, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xbe6041a9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x6106fc46, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xf58adc26, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x21120e07, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xb2ab3339, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x8dde1e4b, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xe7427424, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc5467ef5, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe4da4eea, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x30ecd098, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x8dd66992, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xa65ebf41, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xb48da479, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x64cfd028, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xf8afa157, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x049ab08f, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x10cdc7f2, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x1eb7b706, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x9efb6961, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x7dffe344, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x1d0029f1, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xf4302331, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xca8c6718, "");
SYMBOL_CRC(mlx5_fc_create, 0x6fdbe077, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x08597956, "");
SYMBOL_CRC(mlx5_fc_query, 0x473d9052, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x0c978935, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x7e973d6e, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x7d70d586, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x5836752a, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x5bd6382f, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x976d16c4, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x521b1236, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xfc120b41, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xdfefb927, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x2bad9289, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xcc327aac, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0xaea26486, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xb810b2dd, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xefb1871d, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xaaab5641, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xbbb76f85, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x69112905, "");
SYMBOL_CRC(mlx5_notifier_register, 0x68a292ef, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x3a8ced12, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xaebd39af, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x8bf11e68, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xd9f465c6, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xffaf76af, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x4c7a956a, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xf372c75d, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x09776438, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x19246322, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xe24ccfc5, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x4d9d948b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x8aa091ed, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0xec9fb972, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xa96afdcc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x0ef1a1ae, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x36e17010, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x78fb5289, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x90202a72, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x4f7bcee2, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x578d263d, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x9707952d, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xa60f33c5, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x005e9819, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x14e2e56b, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x2bc5293c, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xc01eee11, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x47f874d1, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x3f7907f2, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xaf76f4c0, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xa90b9db6, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x78be1562, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x9d6f75c0, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x11bf197c, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xb3df36d3, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x0445410b, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x6d069a70, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x4d284a95, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xf1850860, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x23ca5ee1, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xb3425bc3, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xc7f658f2, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x3c08f220, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x3d0ce77d, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x47659e48, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x556a108a, "__inet_lookup_established" },
	{ 0xeeacfc84, "xsk_tx_completed" },
	{ 0xb0bee56f, "napi_alloc_skb" },
	{ 0x93aac8c9, "alloc_etherdev_mqs" },
	{ 0xcc87bf02, "netdev_lower_get_next" },
	{ 0x37155735, "secpath_set" },
	{ 0x403b7839, "atomic64_dec_return_cx8" },
	{ 0x662f88a3, "flow_block_cb_lookup" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x82cfe2c4, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6ecb211e, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x16369685, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x402a9945, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf6499364, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x670e8f26, "bpf_prog_put" },
	{ 0x429457b5, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x162bdb82, "pci_cfg_access_unlock" },
	{ 0x2dc82436, "xp_dma_map" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf3ec3dd8, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0x8d50ca12, "dma_pool_create" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x56b73ad2, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x42437fb, "skb_put" },
	{ 0x29049da2, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc0305f8c, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x65979bdf, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x24221ff2, "register_fib_notifier" },
	{ 0x8b7d32f6, "auxiliary_device_init" },
	{ 0xc88e1a93, "ip6_dst_hoplimit" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x609f946a, "flow_rule_match_enc_ip" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0x1b0191eb, "pci_enable_atomic_ops_to_root" },
	{ 0x2fafbf04, "seq_release" },
	{ 0x635643b7, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xa66776ff, "xsk_clear_tx_need_wakeup" },
	{ 0xe4f00b2e, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x22e4c906, "devl_lock" },
	{ 0xaa2a72bf, "__iowrite64_copy" },
	{ 0xc81952be, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2a560cc9, "ndo_dflt_bridge_getlink" },
	{ 0xc0eb1515, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xc4874620, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x896f33a4, "flow_rule_match_tcp" },
	{ 0x85598405, "__kmalloc_node_noprof" },
	{ 0x2f619406, "register_netdevice_notifier_dev_net" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x7c6f1802, "devlink_health_reporter_create" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xab984702, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0xa96ad027, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7bc8682d, "pci_num_vf" },
	{ 0x1c7929b7, "debugfs_create_atomic_t" },
	{ 0x1f4b35d8, "flow_rule_match_eth_addrs" },
	{ 0x2fad6521, "pci_disable_ptm" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x11f3c89f, "xfrm_state_check_expire" },
	{ 0xcf03aeef, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe39f82a7, "ptp_clock_index" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x38739c84, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x16203093, "flow_block_cb_free" },
	{ 0x5360f584, "devl_port_fn_devlink_set" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3e9a18e3, "xp_can_alloc" },
	{ 0xc787cd18, "psample_sample_packet" },
	{ 0x88bd8b4b, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9501937, "devlink_alloc_ns" },
	{ 0xae77f1d5, "devl_rate_leaf_destroy" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xf62104b7, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x66ad0904, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x96400961, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xfc1e6856, "page_pool_destroy" },
	{ 0x46c113dd, "xdp_do_redirect" },
	{ 0xf7def802, "devlink_free" },
	{ 0xf8ec68a8, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xbc880e5e, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x8ddd123c, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x112e4c16, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0xeb6f7bb5, "flow_rule_match_ipv4_addrs" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf3d0f978, "sock_gen_put" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xc5435e86, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcf9089b8, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x7e27cb62, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x89209809, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5de327aa, "ptp_find_pin" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0xe6ad28e1, "request_firmware_direct" },
	{ 0x65f0bd75, "flow_rule_match_icmp" },
	{ 0x654622c3, "auxiliary_driver_unregister" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xecfeee4, "__alloc_pages_noprof" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2aa3c99c, "devlink_port_attrs_pci_vf_set" },
	{ 0x9e8aab9, "priv_to_devlink" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc5683e62, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cd418f3, "put_device" },
	{ 0x6156c7f4, "net_dim" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0xeadddd4c, "devlink_port_health_reporter_create" },
	{ 0x5d9c81d3, "pcie_relaxed_ordering_enabled" },
	{ 0xdddb7930, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x382ced11, "devlink_port_attrs_pci_pf_set" },
	{ 0x26ba5e50, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x1a4718fa, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x233191b0, "_dev_info" },
	{ 0xf762cb7e, "skb_vlan_pop" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0x8604ddfa, "netif_device_attach" },
	{ 0xf1dd85e, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x7c1bed71, "netdev_pick_tx" },
	{ 0xe88e4e93, "flow_indr_dev_unregister" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x333bd2b1, "xp_raw_get_dma" },
	{ 0x3e49a40b, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xaacc2828, "xdp_rxq_info_is_reg" },
	{ 0xc6254c2a, "flow_rule_match_enc_opts" },
	{ 0x632780, "work_busy" },
	{ 0x64949a9, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xa4367301, "free_fib_info" },
	{ 0xf7203d35, "devl_health_reporter_create" },
	{ 0xe52fd6f7, "flow_block_cb_setup_simple" },
	{ 0xd52682df, "pci_msix_can_alloc_dyn" },
	{ 0x1bce921c, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xbf7145d4, "unregister_netdevice_notifier_dev_net" },
	{ 0x6a428700, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x65499680, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x2f8e273d, "flow_rule_match_ct" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xdf6eafb1, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0x22fc6e38, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x4c6246d6, "devlink_port_unregister" },
	{ 0xf4828e2d, "dev_get_port_parent_id" },
	{ 0x5af8e078, "down_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xa73f8da5, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xd24cc8b9, "softnet_data" },
	{ 0xc0fe6f50, "ipv6_stub" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x14cd421, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0xb1f112ac, "ptp_clock_register" },
	{ 0xf6106857, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x35926fba, "xsk_tx_peek_desc" },
	{ 0x6261fb86, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x86db3307, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x11337b48, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6baa2acd, "irq_get_irq_data" },
	{ 0xdd9b1433, "dev_remove_pack" },
	{ 0xc9634f99, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xc9705907, "dev_get_by_index" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0x3201d456, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd9ebfeba, "skb_store_bits" },
	{ 0xc2949515, "devl_port_register_with_ops" },
	{ 0x6d6ad00c, "dev_get_by_index_rcu" },
	{ 0x6d8866bc, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0x728a89e, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x64e05fa1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfaacd473, "xsk_clear_rx_need_wakeup" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x6158af7b, "unregister_netdevice_notifier_net" },
	{ 0x5f3fd1c1, "auxiliary_device_sysfs_irq_remove" },
	{ 0x43ccd298, "xsk_uses_need_wakeup" },
	{ 0x446e3761, "register_netdev" },
	{ 0x9a242223, "unregister_fib_notifier" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x43e25eb6, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7369f134, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xe3b76939, "debugfs_create_size_t" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x16d67cd6, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x874d078a, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x64ac2870, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc9ea9cd6, "__ethtool_get_link_ksettings" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x958a0a23, "__inet6_lookup_established" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xeda60a69, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0xdec0649c, "page_pool_create" },
	{ 0x4b3c6f18, "skb_checksum" },
	{ 0xee99ce21, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xb55168d6, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x2cbf313, "__kmalloc_cache_node_noprof" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x1b7a78e8, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x7d6a533c, "devl_resources_unregister" },
	{ 0x4415e674, "ptp_clock_event" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x1f60462, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x3176285e, "pci_set_master" },
	{ 0xdc0eae14, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7fe554e2, "debugfs_create_u32" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x36f24828, "flow_rule_match_ipv6_addrs" },
	{ 0xc60855a2, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x9188d4ed, "devl_params_unregister" },
	{ 0x99ae7eb4, "ptp_clock_unregister" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x491b39e6, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xbb2840f5, "devlink_trap_report" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0xf3582450, "__neigh_event_send" },
	{ 0x96a5eea6, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xd3eab03d, "dev_printk_emit" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa3753751, "devl_traps_register" },
	{ 0xe612a076, "devl_unlock" },
	{ 0xc456eba8, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xa7331d41, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x4695122b, "flow_rule_match_enc_control" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x1bf2053b, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0xefb9cb05, "rps_may_expire_flow" },
	{ 0xb12828c4, "metadata_dst_free" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x8110dbbc, "xsk_set_tx_need_wakeup" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x79ea35d8, "netdev_reset_tc" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0xb7930a7d, "neigh_destroy" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x252dfcb6, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x21308e07, "debugfs_create_x32" },
	{ 0xd72ad824, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9709dbc5, "current_work" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xb8d10624, "flow_rule_match_enc_ports" },
	{ 0xf33907e8, "xdp_return_frame_bulk" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0xdc97533e, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x42425a11, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfc26ca1a, "devl_assert_locked" },
	{ 0x8ae5cc2b, "pcie_print_link_status" },
	{ 0x638995ad, "xp_set_rxq_info" },
	{ 0x9be81d66, "flow_rule_match_vlan" },
	{ 0x764feb60, "devl_port_unregister" },
	{ 0x82bd802c, "xdp_rxq_info_unreg" },
	{ 0xfad7084f, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe3a67df, "devl_param_driverinit_value_get" },
	{ 0xc39aa217, "napi_build_skb" },
	{ 0x877f7447, "netdev_master_upper_dev_get_rcu" },
	{ 0xaedbf489, "__xdp_rxq_info_reg" },
	{ 0x1ab50c7d, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x44547e1f, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcb3284d, "bpf_prog_inc" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5ebc03af, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xbebf86cd, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47132520, "devlink_priv" },
	{ 0x36f90c35, "pci_enable_ptm" },
	{ 0xffac2f74, "devlink_port_register_with_ops" },
	{ 0xc1d009db, "pci_disable_sriov" },
	{ 0xe42ac889, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x35ee5c0, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x76669a9c, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0x7da46ce7, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0x5e29ca2, "bitmap_from_arr64" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x13ec6ef6, "boot_cpu_data" },
	{ 0x9d763ee5, "xp_free" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x4879bfc8, "page_pool_update_nid" },
	{ 0x47be806a, "single_release" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xe4f2ca30, "__auxiliary_driver_register" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3116ef8a, "netif_set_tso_max_size" },
	{ 0x1744dd7b, "vlan_dev_vlan_id" },
	{ 0xf7ed98b7, "__skb_flow_dissect" },
	{ 0xbe6bf2f, "pci_msix_alloc_irq_at" },
	{ 0x74efb5d2, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x1d2c1872, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x8cfb628a, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2c8a0339, "skb_coalesce_rx_frag" },
	{ 0x8fdb7cd0, "xp_raw_get_data" },
	{ 0x23fdebb9, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x38a8d420, "page_address" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x183ac5ba, "qdisc_reset" },
	{ 0x9226c660, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x2599a2fb, "xp_alloc_batch" },
	{ 0xbe35d450, "flow_rule_match_mpls" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0xb9e4ac01, "dcb_ieee_delapp" },
	{ 0x32b627bf, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xd238eda8, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x15e8e311, "debugfs_create_u8" },
	{ 0x87f76909, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x554eae87, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xf5837c2, "skb_ext_add" },
	{ 0xd28f9e4, "pcie_bandwidth_available" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xc45b5b50, "flow_rule_match_control" },
	{ 0x4eac5ab8, "flow_rule_match_ip" },
	{ 0x6c35f043, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x8972768c, "atomic64_dec_if_positive_cx8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa5e2ba93, "auxiliary_device_sysfs_irq_add" },
	{ 0x35ec82ba, "dcb_ieee_setapp" },
	{ 0xf1b3abcd, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5012335b, "xsk_tx_release" },
	{ 0x98337c37, "devl_traps_unregister" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x3dab32ac, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xbba307ce, "neigh_lookup" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x2fe2945a, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ptp,psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "DB5E6C4B5D8CAD752792D4E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
