#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x45f5be80, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x94141ffc, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xc8b4851d, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x0134b6ee, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xb0fb723e, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xff386edc, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0x89088483, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81b10d70, "mdiobus_alloc_size" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xeeacfc84, "xsk_tx_completed" },
	{ 0xb0bee56f, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6ecb211e, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x670e8f26, "bpf_prog_put" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2dc82436, "xp_dma_map" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x437ce35f, "eth_mac_addr" },
	{ 0x42437fb, "skb_put" },
	{ 0x29049da2, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x8235805b, "memmove" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0xc81952be, "bpf_warn_invalid_xdp_action" },
	{ 0xc0eb1515, "unregister_netdev" },
	{ 0xc4874620, "xdp_convert_zc_to_xdp_frame" },
	{ 0xf378173, "xdp_features_set_redirect_target" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xe39f82a7, "ptp_clock_index" },
	{ 0x5c5d0c2a, "phy_attached_info" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xfc1e6856, "page_pool_destroy" },
	{ 0x46c113dd, "xdp_do_redirect" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbc880e5e, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xeb6f7bb5, "flow_rule_match_ipv4_addrs" },
	{ 0xe56cf66a, "xdp_rxq_info_unreg_mem_model" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xea210e01, "phylink_limit_mac_speed" },
	{ 0x5b638b95, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x17d86163, "pinctrl_pm_select_default_state" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x89209809, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x93cfe4b7, "__devm_alloc_percpu" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x80062a86, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2ad5707b, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0xdddb7930, "xsk_set_rx_need_wakeup" },
	{ 0x738803e6, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x1a4718fa, "netif_device_detach" },
	{ 0x4f39d711, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x233191b0, "_dev_info" },
	{ 0xc727930d, "xpcs_create_mdiodev" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0x8604ddfa, "netif_device_attach" },
	{ 0x86c9b86f, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7c1bed71, "netdev_pick_tx" },
	{ 0x19cd270d, "phy_init_eee" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x333bd2b1, "xp_raw_get_dma" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xaacc2828, "xdp_rxq_info_is_reg" },
	{ 0xab1f18f6, "devm_alloc_etherdev_mqs" },
	{ 0xe52fd6f7, "flow_block_cb_setup_simple" },
	{ 0x1bce921c, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x5fab1c8d, "dev_open" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xddcad9d6, "xpcs_destroy" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x34bfc7f1, "pinctrl_pm_select_sleep_state" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14cd421, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb1f112ac, "ptp_clock_register" },
	{ 0x35926fba, "xsk_tx_peek_desc" },
	{ 0x5b11db29, "__of_mdiobus_register" },
	{ 0x86db3307, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc9634f99, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xad447ae1, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x81ef8001, "skb_push" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0xfaacd473, "xsk_clear_rx_need_wakeup" },
	{ 0x77d566f0, "xpcs_get_interfaces" },
	{ 0x43ccd298, "xsk_uses_need_wakeup" },
	{ 0x446e3761, "register_netdev" },
	{ 0x1688d098, "xsk_get_pool_from_qid" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x874d078a, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x2fd8fd65, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0x9f12bb5b, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xdec0649c, "page_pool_create" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xb55168d6, "flow_rule_match_ports" },
	{ 0x6adc9c57, "phylink_fwnode_phy_connect" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4415e674, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x1f60462, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfa738121, "fwnode_get_named_child_node" },
	{ 0xc60855a2, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x99ae7eb4, "ptp_clock_unregister" },
	{ 0x491b39e6, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x36400926, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc456eba8, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa6774b45, "xdp_return_frame_rx_napi" },
	{ 0x84b0efd9, "netdev_alert" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xee5b9a7a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x25727679, "fwnode_find_reference" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xc0436020, "debugfs_rename" },
	{ 0x64e7b221, "fwnode_property_present" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x1eb64646, "div64_s64" },
	{ 0x8110dbbc, "xsk_set_tx_need_wakeup" },
	{ 0x79ea35d8, "netdev_reset_tc" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x638995ad, "xp_set_rxq_info" },
	{ 0x9be81d66, "flow_rule_match_vlan" },
	{ 0x82bd802c, "xdp_rxq_info_unreg" },
	{ 0xfad7084f, "page_pool_alloc_pages" },
	{ 0xaedbf489, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x4626c1bc, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x35ee5c0, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x9d763ee5, "xp_free" },
	{ 0xd8cf3833, "phy_support_eee" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x954b48a, "xpcs_create_fwnode" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x1d2c1872, "skb_add_rx_frag_netmem" },
	{ 0x8cfb628a, "xdp_master_redirect" },
	{ 0x8fdb7cd0, "xp_raw_get_data" },
	{ 0x38a8d420, "page_address" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x9b4cc5b6, "eth_header_parse_protocol" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x87f76909, "single_open" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xc6445fd8, "ethtool_op_get_ts_info" },
	{ 0x5012335b, "xsk_tx_release" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x7f23073e, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "libphy,ptp,phylink,pcs_xpcs,of_mdio");


MODULE_INFO(srcversion, "EE6790BBCA53BAB09E954C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
