#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x0924feb1, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xaf3d4bef, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x1dc55746, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x48b2c894, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x3f4cc3fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x543ec466, "__do_once_done" },
	{ 0x8b355f9e, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x69158941, "dev_pre_changeaddr_notify" },
	{ 0x112f934a, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x34e68db7, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x97cb03ab, "ip6_local_out" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7be32302, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0x4bea7c2f, "netif_inherit_tso_max" },
	{ 0x70811cc5, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcdd73dd5, "dev_uc_unsync" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd96c076d, "netdev_upper_dev_link" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xcf55f79e, "eth_header_parse" },
	{ 0x46c90deb, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4e350a32, "eth_header_cache_update" },
	{ 0xcd06f6bf, "nf_register_net_hooks" },
	{ 0x112b49cf, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x2df0ba2c, "ip_route_input_noref" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0x268386c1, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xd582fae3, "netif_stacked_transfer_operstate" },
	{ 0x5be3ef5e, "netdev_upper_dev_unlink" },
	{ 0x2587c463, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x25aa683d, "ns_capable" },
	{ 0x38c8eb7e, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xc9ea9cd6, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x867ed269, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x967a2742, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc5767df2, "vlan_vid_add" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x88ce403f, "call_netdevice_notifiers" },
	{ 0x31878f8a, "vlan_vid_del" },
	{ 0xaa82af3c, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd7dccd2d, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xba6dd750, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x9b4cc5b6, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x3e162198, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe3d45375, "dev_change_flags" },
	{ 0xb17d888e, "netdev_core_stats_inc" },
	{ 0x5fb41d5d, "dev_forward_skb" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x53a49344, "register_netdevice" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F155EF1C8B8B0372760C884");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
