#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xe652f33e, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xeaddffa1, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x24a74137, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xb422654f, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xe3df9995, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x471c0f78, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xcfb03f86, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x16cfe0ef, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xc9d37552, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x1a942e2d, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x89ee6340, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xd39fc7f0, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x40e89365, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x77f610e8, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x9e974ff7, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x3dd73eb9, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x1a6ccacc, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x617d69f4, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x3419a790, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xef866ab3, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x838eb9a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8050f58c, "mdiobus_write" },
	{ 0xe699c15e, "mdiobus_read" },
	{ 0x610a1d0b, "phy_write_mmd" },
	{ 0xdddc44a8, "phy_modify" },
	{ 0x60f02800, "phy_trigger_machine" },
	{ 0x9bcaf26a, "phy_error" },
	{ 0x7d369c6f, "phy_modify_changed" },
	{ 0xd6292c79, "genphy_update_link" },
	{ 0xf922c20a, "genphy_read_lpa" },
	{ 0x71349969, "phy_resolve_aneg_pause" },
	{ 0x11d06fc1, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x939555df, "phy_read_mmd" },
	{ 0xb83df821, "ethnl_cable_test_result_with_src" },
	{ 0x1864cae6, "ethnl_cable_test_fault_length_with_src" },
	{ 0xe4b3ec6e, "phy_modify_mmd" },
	{ 0x2565452e, "genphy_soft_reset" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
