#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x3321ede3, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x4e872610, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xf748e9bc, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x650ee845, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0xa2f39f7d, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x51d94d48, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x9269b887, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe699c15e, "mdiobus_read" },
	{ 0x60f02800, "phy_trigger_machine" },
	{ 0x9bcaf26a, "phy_error" },
	{ 0x14072bae, "genphy_read_status" },
	{ 0x8050f58c, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xd374215, "device_property_present" },
	{ 0x79c367a9, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x9594aedf, "phy_drivers_register" },
	{ 0x939555df, "phy_read_mmd" },
	{ 0xc1001708, "__genphy_config_aneg" },
	{ 0xdddc44a8, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x2565452e, "genphy_soft_reset" },
	{ 0x1c89dfc3, "phy_drivers_unregister" },
	{ 0xf102732a, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x610a1d0b, "phy_write_mmd" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x233191b0, "_dev_info" },
	{ 0xb5b0e0f3, "genphy_suspend" },
	{ 0x1886d512, "genphy_resume" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
