#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x5639e07e, "");
SYMBOL_CRC(ppp_register_channel, 0xbb3091c0, "");
SYMBOL_CRC(ppp_unregister_channel, 0x6517230e, "");
SYMBOL_CRC(ppp_channel_index, 0x4941c23f, "");
SYMBOL_CRC(ppp_unit_number, 0xee582e92, "");
SYMBOL_CRC(ppp_dev_name, 0x0ecbe8e2, "");
SYMBOL_CRC(ppp_input, 0x3a7bd8f1, "");
SYMBOL_CRC(ppp_input_error, 0x5e7bb7db, "");
SYMBOL_CRC(ppp_output_wakeup, 0x7c1093eb, "");
SYMBOL_CRC(ppp_register_compressor, 0x47343336, "");
SYMBOL_CRC(ppp_unregister_compressor, 0xabfa441f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x62e67e7d, "module_put" },
	{ 0x2a928918, "slhc_free" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xe9ddcea8, "bpf_prog_destroy" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x42437fb, "skb_put" },
	{ 0x2e60bace, "memcpy" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25aa683d, "ns_capable" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x70f7896, "_printk" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0x5345da6, "__register_chrdev" },
	{ 0x810cf51e, "class_register" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xc1f6f9ce, "device_create" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0x559be11e, "device_destroy" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4292364c, "schedule" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5f8b09b, "iov_iter_init" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7d21f90a, "netdev_name_in_use" },
	{ 0x53a49344, "register_netdevice" },
	{ 0x884e580b, "fget" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x58e274d9, "fput" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7a801bee, "__put_net" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0x81ef8001, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbd850e84, "skb_pull_rcsum" },
	{ 0x967a2742, "skb_scrub_packet" },
	{ 0x867ed269, "netif_rx" },
	{ 0x268386c1, "skb_pull" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x6d8866bc, "netdev_printk" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0xc8edce06, "bpf_prog_create" },
	{ 0x15f90688, "slhc_init" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x29f3a126, "up_read" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "8753360485FBE1E48B11960");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
