#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xb52afc14, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xe1f491d7, "");
SYMBOL_CRC(team_options_register, 0x074a45fc, "");
SYMBOL_CRC(team_options_unregister, 0xce7faa03, "");
SYMBOL_CRC(team_option_inst_set_change, 0x8b14f512, "");
SYMBOL_CRC(team_options_change_check, 0xaf9d2122, "");
SYMBOL_CRC(team_mode_register, 0xed9f23ac, "");
SYMBOL_CRC(team_mode_unregister, 0x92d98adf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x952cf908, "dev_set_mtu" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6e60e3e2, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x4a105af7, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2a2c2862, "netpoll_send_skb" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0x6cd9c316, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d7f7ec, "dev_set_promiscuity" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xbc880e5e, "netdev_warn" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcdd73dd5, "dev_uc_unsync" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9977e238, "netlink_broadcast_filtered" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xacfc94a8, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x46c90deb, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x62e67e7d, "module_put" },
	{ 0x50a79a37, "dev_uc_flush" },
	{ 0x5fab1c8d, "dev_open" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7ae6e3be, "dev_mc_flush" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc9705907, "dev_get_by_index" },
	{ 0xad447ae1, "dev_close" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5be3ef5e, "netdev_upper_dev_unlink" },
	{ 0x2587c463, "nla_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc9ea9cd6, "__ethtool_get_link_ksettings" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{  0x2ae85, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x54713911, "netdev_has_upper_dev" },
	{ 0xdadfec07, "netdev_change_features" },
	{ 0x82728fe8, "netdev_lower_state_changed" },
	{ 0x2be75be2, "netdev_master_upper_dev_link" },
	{ 0x5f9366e4, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc456eba8, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2a28cddf, "vlan_vids_del_by_dev" },
	{ 0x10564c25, "__netpoll_setup" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc5767df2, "vlan_vid_add" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x88ce403f, "call_netdevice_notifiers" },
	{ 0x31878f8a, "vlan_vid_del" },
	{ 0xaa82af3c, "dev_set_allmulti" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x71073f25, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd7dccd2d, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0x30ecc5a9, "dev_disable_lro" },
	{ 0xd0d8621b, "strlen" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x3e162198, "dev_mc_unsync" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7db76d6d, "dev_mc_sync_multiple" },
	{ 0x53a49344, "register_netdevice" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C48C6FA34B0C1AE91864D27");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
