#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x7ba32c40, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x535f2c13, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x738803e6, "strnlen" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x650618f9, "file_f_owner_allocate" },
	{ 0x7a97913d, "fasync_helper" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xef49aa66, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x60c8d6e8, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2587c463, "nla_put" },
	{ 0x8c9e2295, "from_kgid_munged" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe9ddcea8, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x44f7d110, "__skb_get_hash_symmetric_net" },
	{ 0x5f6c9604, "netif_tx_stop_all_queues" },
	{ 0xf5e4e127, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a0cd755, "bpf_prog_get_type_dev" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x70f7896, "_printk" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0x325cda0a, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8d6c944d, "misc_deregister" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x14cd421, "xdp_return_frame" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x77976148, "kill_fasync" },
	{ 0xea944fa4, "net_hotdata" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0x670e8f26, "bpf_prog_put" },
	{ 0xb17d888e, "netdev_core_stats_inc" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf605dbbb, "build_skb" },
	{ 0x42437fb, "skb_put" },
	{ 0xe703d966, "skb_set_owner_w" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaf96804a, "sock_init_data_uid" },
	{ 0x72e831a0, "sk_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xf5782c32, "sk_filter_trim_cap" },
	{ 0x32c52ba4, "skb_tx_error" },
	{ 0x29049da2, "skb_tstamp_tx" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xeef8bdb0, "skb_copy_ubufs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x38739c84, "___pskb_trim" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0x4f428462, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x82bd802c, "xdp_rxq_info_unreg" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0x62e67e7d, "module_put" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x86db3307, "netif_set_real_num_tx_queues" },
	{ 0xc9634f99, "netif_set_real_num_rx_queues" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0xd008d304, "netdev_state_change" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xf7ed98b7, "__skb_flow_dissect" },
	{ 0xe211126f, "skb_partial_csum_set" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x250fba59, "_copy_to_iter" },
	{ 0x2fb38e3a, "iov_iter_advance" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4292364c, "schedule" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xaf36998f, "sock_recv_errqueue" },
	{ 0x46c113dd, "xdp_do_redirect" },
	{ 0xc81952be, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa6774b45, "xdp_return_frame_rx_napi" },
	{ 0xc4874620, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x78778b22, "skb_page_frag_refill" },
	{ 0x38a8d420, "page_address" },
	{ 0x220f16e4, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8cfb628a, "xdp_master_redirect" },
	{ 0x5a6124af, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0x2da7f131, "iov_iter_npages" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xbeef0582, "sock_alloc_send_pskb" },
	{ 0x711602e, "zerocopy_sg_from_iter" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0xac1bfd6b, "skb_copy_datagram_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x49ae48f, "do_xdp_generic" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0xf9c74a64, "netif_receive_skb" },
	{ 0x81ef8001, "skb_push" },
	{ 0x3e49a40b, "eth_get_headlen" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x5c23811, "napi_gro_frags" },
	{ 0x26a1653c, "napi_get_frags" },
	{ 0x8924c2fb, "iov_iter_single_seg_count" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x420eabe4, "mem_section" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x125c9289, "__page_frag_cache_drain" },
	{ 0xd2f8801d, "security_tun_dev_attach" },
	{ 0xaacc2828, "xdp_rxq_info_is_reg" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x7e4f12d2, "sk_attach_filter" },
	{ 0x9610ab28, "release_sock" },
	{ 0xaedbf489, "__xdp_rxq_info_reg" },
	{ 0x89209809, "xdp_rxq_info_reg_mem_model" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x25aa683d, "ns_capable" },
	{ 0x4bec4eb5, "get_net_ns" },
	{ 0x4bea887, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc6cbbc89, "capable" },
	{ 0x546bdd75, "__dev_get_by_name" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x3174c6cb, "make_kgid" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0x5f5abcc2, "ip_tunnel_header_ops" },
	{ 0x53a49344, "register_netdevice" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0x60f20f70, "make_kuid" },
	{ 0x36710792, "init_user_ns" },
	{ 0x5ce076be, "from_kuid" },
	{ 0x8b04321, "dev_get_mac_address" },
	{ 0x73d9f6d3, "dev_set_mac_address_user" },
	{ 0xb005e7f8, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0x69440d3d, "ether_setup" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x88ce403f, "call_netdevice_notifiers" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xb241889d, "__module_get" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x44736ba4, "from_kgid" },
	{ 0xacfc94a8, "passthru_features_check" },
	{ 0x437ce35f, "eth_mac_addr" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xc6445fd8, "ethtool_op_get_ts_info" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "50309AB3B76444828A15788");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
