#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0xaf8b7771, "_gpl");
SYMBOL_CRC(rndis_command, 0xaf20849a, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x52caafb0, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x64126d9a, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x962a7514, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x2844f534, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6322ca15, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8983fe3, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x233191b0, "_dev_info" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x620a4e86, "usbnet_generic_cdc_bind" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc8403258, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0xc456eba8, "__dynamic_netdev_dbg" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x268386c1, "skb_pull" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x1b75218, "usbnet_cdc_zte_rx_fixup" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xd0bc7e9d, "usbnet_skb_return" },
	{ 0x37d3d8f7, "skb_copy_expand" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x8235805b, "memmove" },
	{ 0x86332006, "usb_register_driver" },
	{ 0x3bf1e9fd, "usb_deregister" },
	{ 0x16e85cf3, "usbnet_cdc_unbind" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x904f32ca, "usbnet_probe" },
	{ 0x2d5d411b, "usbnet_disconnect" },
	{ 0x732e3ed2, "usbnet_suspend" },
	{ 0x8682ae12, "usbnet_resume" },
	{ 0x75c8201e, "usbnet_open" },
	{ 0xd8db0804, "usbnet_stop" },
	{ 0x81489c17, "usbnet_start_xmit" },
	{ 0x437ce35f, "eth_mac_addr" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0x69ba5ef0, "usbnet_tx_timeout" },
	{ 0xf5e4e127, "dev_get_tstats64" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
