#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x7eba42c4, "");
SYMBOL_CRC(ath11k_core_resume, 0xcdb6a017, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xf61fcadd, "");
SYMBOL_CRC(ath11k_core_init, 0x603db519, "");
SYMBOL_CRC(ath11k_core_deinit, 0xfca803d2, "");
SYMBOL_CRC(ath11k_core_free, 0xdf9bdea4, "");
SYMBOL_CRC(ath11k_core_alloc, 0x9d39a127, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0xf6f1258f, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xe3065707, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0xaeab4018, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x667cb9bc, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0xea1baa21, "");
SYMBOL_CRC(ath11k_info, 0xfeb3ffcf, "");
SYMBOL_CRC(ath11k_err, 0x8ca947b0, "");
SYMBOL_CRC(ath11k_warn, 0x47bd4bdd, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x379fe334, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x03bd0d1d, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x8f52021e, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x200c1f25, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x9723d55f, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xf1fd322a, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xf107fef1, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x498cc970, "");
SYMBOL_CRC(ath11k_pcic_write32, 0xb7c65f39, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x077397f1, "");
SYMBOL_CRC(ath11k_pcic_read, 0xc226545c, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x3014de42, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xb689455a, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x0db61a64, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xe8693d91, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xe24c9ac1, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x73ad61c1, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xd09d9643, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x21033ef8, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xfd44c07a, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xa016e52b, "");
SYMBOL_CRC(ath11k_pcic_start, 0xf950dc3e, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xc7d83ed9, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0xef4e51c3, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x87fb48bb, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x123a5d7e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ed0e79, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd0743d9c, "ieee80211_gtk_rekey_notify" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x15991762, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x2cbc2f88, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x975d3241, "of_node_put" },
	{ 0x42437fb, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe0c7e545, "firmware_request_nowarn" },
	{ 0x9f2258ae, "qmi_handle_init" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xbf8a01e5, "of_address_to_resource" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd5ccb4af, "device_get_mac_address" },
	{ 0x639b6151, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xcd9dba5e, "ieee80211_iterate_stations_atomic" },
	{ 0x9ab88442, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xbe3dbd6b, "ieee80211_tx_status_ext" },
	{ 0x2e60bace, "memcpy" },
	{ 0x345196e4, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x4dc926d5, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xd99d4395, "thermal_cooling_device_register" },
	{ 0xb65c1f2, "ieee80211_register_hw" },
	{ 0x26ef161e, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe302ce3b, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x67f55bd9, "ieee80211_find_sta" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0x7931e9f0, "qmi_send_request" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cd1b50e, "memcpy_toio" },
	{ 0x7d567e1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4de18fbd, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xefeb9ddb, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x1f259cb0, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf371bf27, "qmi_txn_wait" },
	{ 0x233191b0, "_dev_info" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xbfb81d0e, "ieee80211_get_channel_khz" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0xfbff216b, "ieee80211_obss_color_collision_notify" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x30e3cecd, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc44d5504, "__skb_get_hash_net" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xff09e5e, "crypto_shash_setkey" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x43cb5a62, "qmi_txn_cancel" },
	{ 0xabdecbeb, "__of_parse_phandle_with_args" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x57f5e9ab, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd4aafeda, "ieee80211_remain_on_channel_expired" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x7cf6ed0f, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x23720911, "ieee80211_wake_queues" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xf1b1560d, "of_property_read_string" },
	{ 0x6d4e4828, "wiphy_read_of_freq_limits" },
	{ 0x43f3412d, "qmi_txn_init" },
	{ 0x153a4cc0, "ieee80211_report_low_ack" },
	{ 0x9f631c05, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x49e19ad2, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x91f14e57, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xaaaf2b74, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xd9b1de6a, "devm_hwmon_device_register_with_groups" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7762bda8, "ieee80211_beacon_free_ema_list" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xa7d208cc, "ieee80211_ready_on_channel" },
	{ 0x3860e9a1, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x747f330f, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x20facb3a, "ieee80211_vif_to_wdev" },
	{ 0xb075079a, "alloc_netdev_dummy" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x4d5bdcb9, "ieee80211_scan_completed" },
	{ 0x13a7c998, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xcf238872, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x5d2f0a57, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x513fdca3, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x781617af, "thermal_cooling_device_unregister" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x7af80587, "ieee80211_queue_work" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x190885e8, "regulatory_set_wiphy_regd" },
	{ 0x77d0c38a, "cfg80211_chandef_dfs_cac_time" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x97522f62, "ieee80211_beacon_get_template_ema_list" },
	{ 0x474a7144, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x37c38945, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xf4baaf2, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x78916925, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers");


MODULE_INFO(srcversion, "DAFDD3605A4E4D492EF043C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
