#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0xe35f18d1, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0x08795ba8, "");
SYMBOL_CRC(ath12k_core_resume_early, 0x36757a3d, "");
SYMBOL_CRC(ath12k_core_resume, 0x5e32c849, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd0743d9c, "ieee80211_gtk_rekey_notify" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0x16369685, "pcie_capability_read_word" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xb61996b, "regulatory_set_wiphy_regd_sync" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4fbfb0d9, "pci_request_region" },
	{ 0x2cbc2f88, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x42437fb, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe0c7e545, "firmware_request_nowarn" },
	{ 0x714e992e, "mhi_power_down_keep_dev" },
	{ 0x9f2258ae, "qmi_handle_init" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d9e4f4d, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0x2c94bef1, "mhi_device_put" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x639b6151, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x27aec6da, "mhi_sync_power_up" },
	{ 0x3a5a2447, "mhi_power_down" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfdf7f938, "mhi_pm_resume" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x14cbc155, "__pci_register_driver" },
	{ 0x7fbdc5bd, "pci_assign_resource" },
	{ 0x2e60bace, "memcpy" },
	{ 0x345196e4, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x4dc926d5, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5391ddb2, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xb65c1f2, "ieee80211_register_hw" },
	{ 0x26ef161e, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0x908f15e4, "mhi_register_controller" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe302ce3b, "ieee80211_hw_restart_disconnect" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x53b97800, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x6cb0a216, "ieee80211_tx_status_skb" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x67f55bd9, "ieee80211_find_sta" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0x7931e9f0, "qmi_send_request" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7d567e1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4de18fbd, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xefeb9ddb, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x1f259cb0, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf371bf27, "qmi_txn_wait" },
	{ 0x4d0ca5f5, "mhi_pm_suspend" },
	{ 0x233191b0, "_dev_info" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xbfb81d0e, "ieee80211_get_channel_khz" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x30e3cecd, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xff09e5e, "crypto_shash_setkey" },
	{ 0x268386c1, "skb_pull" },
	{ 0x118f295, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x43cb5a62, "qmi_txn_cancel" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6baa2acd, "irq_get_irq_data" },
	{ 0x57f5e9ab, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd4aafeda, "ieee80211_remain_on_channel_expired" },
	{ 0x64e05fa1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0xb93803d1, "pci_read_config_word" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x23720911, "ieee80211_wake_queues" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x43f3412d, "qmi_txn_init" },
	{ 0x153a4cc0, "ieee80211_report_low_ack" },
	{ 0x9f631c05, "ieee80211_beacon_get_template" },
	{ 0x49e19ad2, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x91f14e57, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7c19172b, "mhi_free_controller" },
	{ 0x6a20afc1, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xaaaf2b74, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7762bda8, "ieee80211_beacon_free_ema_list" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x60e7fb75, "ieee80211_iterate_stations_mtx" },
	{ 0xa7d208cc, "ieee80211_ready_on_channel" },
	{ 0x3860e9a1, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x747f330f, "qmi_handle_release" },
	{ 0x54064ff2, "skb_cow_data" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x7b0f8d7a, "mhi_alloc_controller" },
	{ 0xcf60af47, "skb_realloc_headroom" },
	{ 0x4ab490c5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xcb86ba3b, "mhi_unregister_controller" },
	{ 0x20facb3a, "ieee80211_vif_to_wdev" },
	{ 0xb075079a, "alloc_netdev_dummy" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x4d5bdcb9, "ieee80211_scan_completed" },
	{ 0x13a7c998, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xcf238872, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xee75edce, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9607dec7, "pskb_put" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0x513fdca3, "ieee80211_radar_detected" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x7af80587, "ieee80211_queue_work" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0x4f428462, "napi_disable" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0xa5d6c013, "pci_write_config_word" },
	{ 0x97522f62, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9fdee1dc, "pci_release_region" },
	{ 0x17e94bc3, "mhi_prepare_for_power_up" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x474a7144, "qmi_add_lookup" },
	{ 0x37c38945, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xf4baaf2, "ieee80211_csa_finish" },
	{ 0x78916925, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers,mhi");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B7365A1A89453E38DE2D345");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
