#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xc6b3dacc, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x4d283f48, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xbc0a4d6c, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x4603d3c4, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xc40f75cc, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x93c77aa7, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x98be5d1d, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x2511adcc, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x470b7070, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0xadcf67f0, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x5f324c92, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x3fb26676, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xd0cbc770, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xf81e2865, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c3e8d0, "ath9k_hw_set_txpowerlimit" },
	{ 0x3b9cfd94, "ath_hw_keyreset" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x8235805b, "memmove" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x268386c1, "skb_pull" },
	{ 0x95c8b683, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "6AB875ABAF703AC5629CAD0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
