#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xc0c49c4b, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x4bb19ed8, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x762398c7, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x7f3bbcf8, "_gpl");
SYMBOL_CRC(p54_rx, 0xd2dd7a55, "_gpl");
SYMBOL_CRC(p54_init_common, 0x87682b5b, "_gpl");
SYMBOL_CRC(p54_register_common, 0x9a0581dd, "_gpl");
SYMBOL_CRC(p54_free_common, 0x3916e6ed, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xab6a9e2d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42437fb, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0x345196e4, "ieee80211_beacon_loss" },
	{ 0xe3db8e0, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8afc6622, "led_classdev_unregister" },
	{ 0xb65c1f2, "ieee80211_register_hw" },
	{ 0xe753e741, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe0fe9799, "__ieee80211_get_radio_led_name" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0x6196c6a8, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2e945b69, "__ieee80211_get_tx_led_name" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7d567e1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4de18fbd, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x924f3ebf, "__ieee80211_get_rx_led_name" },
	{ 0x233191b0, "_dev_info" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaacc9e27, "sort" },
	{ 0x268386c1, "skb_pull" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x91f14e57, "ieee80211_free_txskb" },
	{ 0x3bb25f7d, "led_classdev_register_ext" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x83bed128, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xa892e14d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x11ba3300, "ieee80211_stop_queue" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x754c52f1, "skb_trim" },
	{ 0xd60b69ad, "skb_unlink" },
	{ 0x4ab490c5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x36ae6a22, "__ieee80211_get_assoc_led_name" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaee91f62, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x4054c865, "_dev_printk" },
	{ 0x1faafa17, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x741a23a4, "ieee80211_rx_irqsafe" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
