#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0xdb59f68e, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0xcd5c3bb9, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0xb0a4fdfc, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0xb7e16781, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x7aa50a94, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0xc9103dc9, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0x2dc09ec2, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0xeccf7cda, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x36783f61, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x335c5bcd, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x40444eb3, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x7d4f3633, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x75972ed0, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x2cd9f6fa, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0xf21ead88, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x8ede3d95, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0x6380cc40, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0x672ba180, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0x8f82e894, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0xb705af65, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xc5f628e4, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0x832b123e, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x2e4baaec, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x6c060d80, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c0cda3d, "cfg80211_sched_scan_results" },
	{ 0x16627d20, "skb_complete_wifi_ack" },
	{ 0x214071e7, "cfg80211_mgmt_tx_status_ext" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0xafe91ca6, "cfg80211_rx_assoc_resp" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x42437fb, "skb_put" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe2238b8, "cfg80211_chandef_dfs_required" },
	{ 0x6ee75e50, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xfc6b7fad, "cfg80211_sched_scan_stopped" },
	{ 0x42918c8d, "param_ops_ushort" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x7c6697f1, "cfg80211_remain_on_channel_expired" },
	{ 0x9f21bd82, "cfg80211_cac_event" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7bf1016f, "cfg80211_register_netdevice" },
	{ 0xc358602e, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xfd2833f5, "ieee80211_amsdu_to_8023s" },
	{ 0x873fd5a, "cfg80211_ref_bss" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe3db8e0, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b64bd1, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xe6fe23f8, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd45ddb66, "kstrtobool_from_user" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x9f6722c4, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0xf4e03c3, "wiphy_new_nm" },
	{ 0x70f7896, "_printk" },
	{ 0x78612668, "cfg80211_ready_on_channel" },
	{ 0x80062a86, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x96e99e5c, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a4c632, "cfg80211_rx_mlme_mgmt" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x3eb44f4, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x1f259cb0, "cfg80211_put_bss" },
	{ 0x1a4718fa, "netif_device_detach" },
	{ 0x28278b33, "cfg80211_ch_switch_notify" },
	{ 0x233191b0, "_dev_info" },
	{ 0x8604ddfa, "netif_device_attach" },
	{ 0xa96b96a, "kstrtouint_from_user" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xbfb81d0e, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xc3f4a0d9, "__cfg80211_radar_event" },
	{ 0xd6551781, "cfg80211_tdls_oper_request" },
	{ 0xcfa81240, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6b9867ff, "devm_kmemdup" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x2a3815a, "device_wakeup_enable" },
	{ 0xdae00316, "cfg80211_ibss_joined" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xef0b51cb, "request_firmware_nowait" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x268386c1, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x43a62f29, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x2f61bf72, "cfg80211_michael_mic_failure" },
	{ 0xad447ae1, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x216dbca3, "cfg80211_del_sta_sinfo" },
	{ 0xc3ad80ce, "wiphy_unregister" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4da15551, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5f6c9604, "netif_tx_stop_all_queues" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb62506c7, "of_property_read_variable_u8_array" },
	{ 0x867ed269, "netif_rx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x754c52f1, "skb_trim" },
	{ 0xd60b69ad, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe92d2112, "cfg80211_sched_scan_stopped_locked" },
	{ 0xcf60af47, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0xcf707b9e, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x238dd7f6, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x4e788e32, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2a732651, "cfg80211_inform_bss_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xb4eb9b82, "irq_of_parse_and_map" },
	{ 0xd0d8621b, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x443f6f6e, "cfg80211_connect_done" },
	{ 0x37c38945, "__cfg80211_get_bss" },
	{ 0x3f38ab94, "wiphy_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7261a3db, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "C51D7A99DF0CD8CDA5642E0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
