#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x027cd97f, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xe415c2e9, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x264eaca5, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0xfa7fc274, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x96c6df93, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x8ef93322, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0xab52401d, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x6215e361, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xf2c66996, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x236e4e8e, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xf63eded4, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0x9fdb548c, "_gpl");
SYMBOL_CRC(mt76s_init, 0xa3f7ced4, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x0d02c1d6, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xe6467e06, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xd7abed0b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49351e4c, "sdio_release_host" },
	{ 0x2465fbe4, "sdio_disable_func" },
	{ 0xcbe47d8c, "sdio_set_block_size" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x842d70ac, "sdio_claim_host" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xffb4073b, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xebd92651, "mt76_tx_status_check" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xecfeee4, "__alloc_pages_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d2831c6, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x360fd4f5, "sdio_readsb" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x420eabe4, "mem_section" },
	{ 0xa16a6361, "sdio_readl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5e0c0b58, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b445f11, "mt76_queue_tx_complete" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0xb608bb75, "__tracepoint_dev_irq" },
	{ 0x93f7d97c, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x5a6124af, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc0ad6771, "sdio_claim_irq" },
	{ 0xd5f56414, "mt76_skb_adjust_pad" },
	{ 0xb3fca957, "sdio_enable_func" },
	{ 0xe2680208, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1d2c1872, "skb_add_rx_frag_netmem" },
	{ 0x38a8d420, "page_address" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,mt76");


MODULE_INFO(srcversion, "B5587740B3669EF31B8D0B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
