#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x454fb487, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xa628e2df, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x1391f453, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xded2eec9, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xb1433c1a, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9d28c26e, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x720c32d2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xc6315d8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb608bb75, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x8ee3e337, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x805fc13a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xbd9df136, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xe3ed39e3, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xdef0d6a5, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x02ea4ec2, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xecc2d8fc, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x9a87bd88, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x243e7669, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xfaad2057, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x487f9e20, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xde602966, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xb0845386, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x10c995e4, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x3e803113, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x2c37b822, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x6ddb2f0f, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x0d788c0f, "_gpl");
SYMBOL_CRC(mt76_rx, 0x7a45f40d, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x7710a957, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xcc2dccb7, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xdbf1fc21, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0x9a47e04c, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xfb09f022, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x8e2d852a, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x93f7d97c, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xd1de5ee9, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x91f837f3, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x7347faec, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x077fa1d6, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xe1bac219, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xd8027df8, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x351619fb, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xbcb42166, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xa0a85b7d, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x46907467, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x1d5932e2, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xa43e1947, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x14043306, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x8027edfc, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xa5dd34b6, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x4570b04f, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x6d5cf769, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x7295f507, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xc1af555a, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x80741784, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x54c6d968, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xc10d215c, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xf7c508cf, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x5ba44c0e, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xcc5dc519, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x9a993e26, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x8034f935, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x42025ad3, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0xe0961398, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x0bcba04b, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x09f15b46, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xab73c911, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x2fefee8a, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xdf870d87, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x36d1d080, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xd9162671, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xebd92651, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x73a75275, "_gpl");
SYMBOL_CRC(mt76_tx, 0x7c629678, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xd02b9cf4, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xd780d258, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x9562a345, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x8ab33006, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x604ceaa9, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xb7ba1505, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xd5f56414, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x7b445f11, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xe04b2ab7, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xc0dd642f, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x454f1bf4, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x718b366a, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x1c84b6de, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x4e520390, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x15ef3698, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x55283011, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x0b3d1671, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x7d547c92, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x220474c1, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x0cfb1bec, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x9c12fb75, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x3ba9ddc3, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0xa9c0be36, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xfda631a0, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x8cda6267, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcaff8e01, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x16369685, "pcie_capability_read_word" },
	{ 0xe1bcd7bf, "__skb_pad" },
	{ 0x429457b5, "page_pool_get_stats" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa513f181, "__ieee80211_schedule_txq" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x975d3241, "of_node_put" },
	{ 0x42437fb, "skb_put" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4fbe5e49, "page_pool_alloc_frag" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x4a8d225b, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9f8a0420, "dmam_alloc_attrs" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0xce4de1b3, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbe3dbd6b, "ieee80211_tx_status_ext" },
	{ 0xf32aa2fe, "debugfs_create_blob" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xfc1e6856, "page_pool_destroy" },
	{ 0xb65c1f2, "ieee80211_register_hw" },
	{ 0x8afc6622, "led_classdev_unregister" },
	{ 0x5d5f1b8f, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xfb196fe8, "ieee80211_sta_eosp" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9023c2a3, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde55d6cb, "kthread_park" },
	{ 0xffb4073b, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x9c1fca1f, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc34f329, "ieee80211_get_tx_rates" },
	{ 0xcf0733b5, "ieee80211_send_bar" },
	{ 0x8274d9bd, "cfg80211_reg_check_beaconing" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0f85d8b, "ieee80211_sta_uapsd_trigger" },
	{ 0x6ff97a09, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc0a3ac6f, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x1d5e6264, "pci_disable_link_state" },
	{ 0x233191b0, "_dev_info" },
	{ 0xd214dba6, "napi_gro_receive" },
	{ 0x275080db, "of_get_mac_address" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xe9a7fe16, "nvmem_cell_read" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x2aa87214, "kthread_unpark" },
	{ 0x1e4e306b, "dev_set_threaded" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xab9f1208, "of_get_child_by_name" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0x23679939, "__iowrite32_copy" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0x6b9867ff, "devm_kmemdup" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x39755f2f, "of_prop_next_string" },
	{ 0xa2f8aa7e, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0xe14d62d3, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x57f5e9ab, "ieee80211_find_sta_by_ifaddr" },
	{ 0xc28185fb, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x64e05fa1, "pcie_capability_clear_and_set_word_locked" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0xe5fd91ff, "napi_enable" },
	{ 0x7cf6ed0f, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x94dcd73e, "ieee80211_sta_pspoll" },
	{ 0xeecfad34, "free_netdev" },
	{ 0x3f060887, "__ioread32_copy" },
	{ 0x6d4e4828, "wiphy_read_of_freq_limits" },
	{ 0x48df7536, "of_find_property" },
	{ 0x874d078a, "page_pool_put_unrefed_netmem" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0x91f14e57, "ieee80211_free_txskb" },
	{ 0x3bb25f7d, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4a0be382, "of_device_is_available" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x300d4b94, "ieee80211_tx_dequeue" },
	{ 0xe94f4f65, "ieee80211_rx_list" },
	{ 0xdec0649c, "page_pool_create" },
	{ 0x2bc95bd4, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7fe554e2, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb075079a, "alloc_netdev_dummy" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x13a7c998, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0xc39aa217, "napi_build_skb" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5552bce, "of_nvmem_cell_get" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x1d2c1872, "skb_add_rx_frag_netmem" },
	{ 0x38a8d420, "page_address" },
	{ 0x924efa21, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x15e8e311, "debugfs_create_u8" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xf4baaf2, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "DEBEA6ECF81D53836B300C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
