#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x66f662cc, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x4d0df041, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x576eef95, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x62824926, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0xe7bb21dc, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xdf8e2f7c, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x731e2f15, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xb608b3af, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xb7249a7f, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xb160a59c, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xf45ef26a, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x3d18f1f0, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x09bdf7dc, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xf4faf48e, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0xba986c8d, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xaaa4ea82, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x4f58a71d, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xac842f2e, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x648dedec, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x7ccc71c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x351619fb, "mt76_init_sar_power" },
	{ 0xc2cc5dee, "mt76x02_phy_adjust_vga_gain" },
	{ 0x4cfb834a, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x89b135a5, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xadbfa29b, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x23443d3f, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xbcba04b, "mt76_eeprom_init" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x4d09b595, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x220474c1, "mt76_mcu_send_and_get_msg" },
	{ 0x48df7536, "of_find_property" },
	{ 0x9a993e26, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7e4e7d68, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbcb42166, "mt76_get_sar_power" },
	{ 0xf778c4c3, "mt76x02_eeprom_copy" },
	{ 0x5a649bab, "mt76x02_mcu_calibrate" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x12aa3f0e, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xb1433c1a, "mt76_get_min_avg_rssi" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "539D28121D9F13BE1DFE0F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
