#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x7ecd19d7, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x939996a8, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x154650e0, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x1c6dbb3f, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x525c1f19, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x2dc0a75a, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x437ce35f, "eth_mac_addr" },
	{ 0x42437fb, "skb_put" },
	{ 0x6ee75e50, "cfg80211_scan_done" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9f21bd82, "cfg80211_cac_event" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7bf1016f, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe3db8e0, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x660a1a39, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xe6fe23f8, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9f6722c4, "cfg80211_disconnected" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7e27cb62, "netdev_port_same_parent_id" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0xf4e03c3, "wiphy_new_nm" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x3eb44f4, "wiphy_register" },
	{ 0x738803e6, "strnlen" },
	{ 0x1f259cb0, "cfg80211_put_bss" },
	{ 0x28278b33, "cfg80211_ch_switch_notify" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xbfb81d0e, "ieee80211_get_channel_khz" },
	{ 0x8400b942, "cfg80211_check_combinations" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc3f4a0d9, "__cfg80211_radar_event" },
	{ 0x8b87c481, "cfg80211_get_drvinfo" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0x2f61bf72, "cfg80211_michael_mic_failure" },
	{ 0x43a62f29, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x216dbca3, "cfg80211_del_sta_sinfo" },
	{ 0x817ad693, "cfg80211_update_owe_info_event" },
	{ 0xc3ad80ce, "wiphy_unregister" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5f6c9604, "netif_tx_stop_all_queues" },
	{ 0x913fdb57, "netif_tx_wake_queue" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xb53434ee, "wdev_chandef" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf707b9e, "cfg80211_unregister_wdev" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0x238dd7f6, "cfg80211_rx_mgmt_ext" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x71571ea9, "netdev_walk_all_lower_dev" },
	{ 0x2a732651, "cfg80211_inform_bss_data" },
	{ 0xc31d91b9, "cfg80211_shutdown_all_interfaces" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x190885e8, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x443f6f6e, "cfg80211_connect_done" },
	{ 0x37c38945, "__cfg80211_get_bss" },
	{ 0x3f38ab94, "wiphy_free" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "567CDD98B383AFF54B39C15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
