#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xd94ae6d9, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x8150f031, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x68bf9de3, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x6a104341, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xf6603fee, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xc82ba5d9, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xea93cf18, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xab9c122a, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x59305f47, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x30f1d2dd, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xcd706285, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x532d07dd, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x62e3d2ae, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0xccf78877, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x6fe49bcd, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xb0e32a9f, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xd0a62b22, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x503ac226, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x7882f89a, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x4e3a1177, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x2bb1cd46, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xf3343a85, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xd0e67889, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x0c5876d3, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x2a2b9f0d, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x284d52b5, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xc40c2d27, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xaa05d8c9, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xa55be144, "_gpl");
SYMBOL_CRC(rt2800_config, 0x8473cd38, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xe73ad96e, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xf4746631, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xe6315f87, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x0c20a0d0, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x43912a32, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x9f28e31b, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xc5d99c16, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xe62fdd9e, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x29498f73, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x78499c38, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x760b7169, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x17bca0fd, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xfdb998d8, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x676d8042, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7120774c, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa577fd8d, "rt2x00lib_txdone" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xaa10a7e4, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd891b766, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x661e648a, "rt2x00mac_conf_tx" },
	{ 0xfca9dea2, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x81ef8001, "skb_push" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0xe1bcd7bf, "__skb_pad" },
	{ 0x9d47b80d, "rt2x00lib_txdone_noinfo" },
	{ 0x26ef161e, "ieee80211_restart_hw" },
	{ 0x268386c1, "skb_pull" },
	{ 0x233191b0, "_dev_info" },
	{ 0xe83fdab2, "rt2x00lib_set_mac_address" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "9E1A111AF9AF06F91AEF468");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
