#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x8b26bb9c, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x57efda2d, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x274ef338, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xde697903, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xd6701171, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x4869ccae, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x8f5a7bc0, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x78120282, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xedb0c070, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x71bcba6e, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x8aa59f3a, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x74cf3e1a, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x2e8f27af, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0xf17a3dc4, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xa3a6a556, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x10f835fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6322ca15, "usb_control_msg" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x77013dc1, "usb_anchor_urb" },
	{ 0x7cbd4b85, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x5dc6f3ca, "usb_unanchor_urb" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xc7a25bd8, "usb_alloc_urb" },
	{ 0xb111f27c, "usb_free_urb" },
	{ 0xc2c150b6, "rt2x00lib_dmastart" },
	{ 0xece32d2a, "rt2x00lib_dmadone" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xe1bcd7bf, "__skb_pad" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x92bce6a, "rt2x00queue_for_each_entry" },
	{ 0x239dc2b3, "usb_kill_urb" },
	{ 0xaa10a7e4, "rt2x00queue_get_entry" },
	{ 0xb4ff673f, "rt2x00queue_stop_queue" },
	{ 0xfe6f8d8c, "rt2x00queue_flush_queue" },
	{ 0x84398880, "rt2x00queue_start_queue" },
	{ 0x9d47b80d, "rt2x00lib_txdone_noinfo" },
	{ 0x39b1f02f, "rt2x00lib_rxdone" },
	{ 0x1cd71946, "rt2x00lib_suspend" },
	{ 0xdd769546, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xf93234e4, "rt2x00lib_remove_dev" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x9529a90e, "usb_put_dev" },
	{ 0x402bde2a, "usb_get_dev" },
	{ 0xb4aaf284, "usb_reset_device" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2b03e8a, "rt2x00lib_probe_dev" },
	{ 0x70f7896, "_printk" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
