#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtl_tid_to_ac, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_deferred_work, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rfkill, "", "");
KSYMTAB_FUNC(rtl_deinit_rfkill, "_gpl", "");
KSYMTAB_FUNC(rtl_init_core, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_core, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rx_config, "_gpl", "");
KSYMTAB_FUNC(rtl_mrate_idx_to_arfr_id, "", "");
KSYMTAB_FUNC(rtlwifi_rate_mapping, "", "");
KSYMTAB_FUNC(rtl_get_tcb_desc, "", "");
KSYMTAB_FUNC(rtl_tx_mgmt_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_action_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_is_special_data, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_ackqueue, "_gpl", "");
KSYMTAB_FUNC(rtl_set_tx_report, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_report_handler, "_gpl", "");
KSYMTAB_FUNC(rtl_get_hal_edca_param, "_gpl", "");
KSYMTAB_FUNC(rtl_rx_ampdu_apply, "", "");
KSYMTAB_FUNC(rtl_beacon_statistic, "_gpl", "");
KSYMTAB_FUNC(rtl_collect_scan_list, "", "");
KSYMTAB_FUNC(rtl_c2hcmd_enqueue, "", "");
KSYMTAB_FUNC(rtl_send_smps_action, "", "");
KSYMTAB_FUNC(rtl_phy_scan_operation_backup, "", "");
KSYMTAB_FUNC(rtl_recognize_peer, "_gpl", "");
KSYMTAB_DATA(rtl_global_var, "_gpl", "");
KSYMTAB_FUNC(rtl_cam_add_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_delete_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_reset_all_entry, "", "");
KSYMTAB_FUNC(rtl_cam_mark_invalid, "", "");
KSYMTAB_FUNC(rtl_cam_empty_entry, "", "");
KSYMTAB_FUNC(rtl_cam_get_free_entry, "", "");
KSYMTAB_FUNC(rtl_cam_del_entry, "", "");
KSYMTAB_DATA(channel5g, "", "");
KSYMTAB_DATA(channel5g_80m, "", "");
KSYMTAB_FUNC(rtl_addr_delay, "", "");
KSYMTAB_FUNC(rtl_rfreg_delay, "", "");
KSYMTAB_FUNC(rtl_bb_delay, "", "");
KSYMTAB_FUNC(rtl_fw_cb, "", "");
KSYMTAB_FUNC(rtl_wowlan_fw_cb, "", "");
KSYMTAB_FUNC(rtl_update_beacon_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_hal_pwrseqcmdparsing, "", "");
KSYMTAB_FUNC(rtl_cmd_send_packet, "", "");
KSYMTAB_FUNC(rtl_init_sw_leds, "", "");
KSYMTAB_DATA(rtl_ops, "_gpl", "");
KSYMTAB_FUNC(rtl_btc_status_false, "_gpl", "");
KSYMTAB_FUNC(rtl_dm_diginit, "", "");
KSYMTAB_FUNC(_rtl_dbg_print, "_gpl", "");
KSYMTAB_FUNC(_rtl_dbg_print_data, "_gpl", "");
KSYMTAB_FUNC(rtl_debug_add_one, "_gpl", "");
KSYMTAB_FUNC(rtl_debug_remove_one, "_gpl", "");
KSYMTAB_FUNC(efuse_read_1byte, "", "");
KSYMTAB_FUNC(read_efuse_byte, "_gpl", "");
KSYMTAB_FUNC(efuse_shadow_read, "", "");
KSYMTAB_FUNC(rtl_efuse_shadow_map_update, "", "");
KSYMTAB_FUNC(efuse_one_byte_read, "", "");
KSYMTAB_FUNC(efuse_power_switch, "", "");
KSYMTAB_FUNC(rtl_get_hwinfo, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_block_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_page_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fill_dummy, "_gpl", "");
KSYMTAB_FUNC(rtl_efuse_ops_init, "_gpl", "");
KSYMTAB_FUNC(rtl_ps_enable_nic, "", "");
KSYMTAB_FUNC(rtl_ps_disable_nic, "", "");
KSYMTAB_FUNC(rtl_ips_nic_on, "_gpl", "");
KSYMTAB_FUNC(rtl_swlps_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_change_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_enter, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_leave, "_gpl", "");
KSYMTAB_FUNC(rtl_p2p_info, "_gpl", "");
KSYMTAB_FUNC(rtl_query_rxpwrpercentage, "", "");
KSYMTAB_FUNC(rtl_evm_db_to_percentage, "", "");
KSYMTAB_FUNC(rtl_signal_scale_mapping, "", "");
KSYMTAB_FUNC(rtl_process_phyinfo, "", "");

SYMBOL_CRC(rtl_tid_to_ac, 0x97e05663, "_gpl");
SYMBOL_CRC(rtl_deinit_deferred_work, 0x652b14ee, "_gpl");
SYMBOL_CRC(rtl_init_rfkill, 0x3e05c23a, "");
SYMBOL_CRC(rtl_deinit_rfkill, 0x3bab60c0, "_gpl");
SYMBOL_CRC(rtl_init_core, 0x30d51db9, "_gpl");
SYMBOL_CRC(rtl_deinit_core, 0x3ad31751, "_gpl");
SYMBOL_CRC(rtl_init_rx_config, 0x0330a6c8, "_gpl");
SYMBOL_CRC(rtl_mrate_idx_to_arfr_id, 0x15b811b8, "");
SYMBOL_CRC(rtlwifi_rate_mapping, 0xe4701695, "");
SYMBOL_CRC(rtl_get_tcb_desc, 0x63e727ba, "");
SYMBOL_CRC(rtl_tx_mgmt_proc, 0xc214a43c, "_gpl");
SYMBOL_CRC(rtl_action_proc, 0xbe873016, "_gpl");
SYMBOL_CRC(rtl_is_special_data, 0xb56814a1, "_gpl");
SYMBOL_CRC(rtl_tx_ackqueue, 0x03bfe4b3, "_gpl");
SYMBOL_CRC(rtl_set_tx_report, 0x26034c63, "_gpl");
SYMBOL_CRC(rtl_tx_report_handler, 0x7d96bf84, "_gpl");
SYMBOL_CRC(rtl_get_hal_edca_param, 0x072d5dcf, "_gpl");
SYMBOL_CRC(rtl_rx_ampdu_apply, 0x205e301f, "");
SYMBOL_CRC(rtl_beacon_statistic, 0xfe6a571e, "_gpl");
SYMBOL_CRC(rtl_collect_scan_list, 0x24e2084e, "");
SYMBOL_CRC(rtl_c2hcmd_enqueue, 0xb84330c9, "");
SYMBOL_CRC(rtl_send_smps_action, 0x4b600bc2, "");
SYMBOL_CRC(rtl_phy_scan_operation_backup, 0x14299998, "");
SYMBOL_CRC(rtl_recognize_peer, 0x0f8621cd, "_gpl");
SYMBOL_CRC(rtl_global_var, 0x4e94cd48, "_gpl");
SYMBOL_CRC(rtl_cam_add_one_entry, 0xffcf7c95, "");
SYMBOL_CRC(rtl_cam_delete_one_entry, 0xf2a63e63, "");
SYMBOL_CRC(rtl_cam_reset_all_entry, 0xae2b2310, "");
SYMBOL_CRC(rtl_cam_mark_invalid, 0x358a612b, "");
SYMBOL_CRC(rtl_cam_empty_entry, 0x77907cee, "");
SYMBOL_CRC(rtl_cam_get_free_entry, 0xee2ebc87, "");
SYMBOL_CRC(rtl_cam_del_entry, 0xc797905d, "");
SYMBOL_CRC(channel5g, 0x54824f58, "");
SYMBOL_CRC(channel5g_80m, 0x0b038e24, "");
SYMBOL_CRC(rtl_addr_delay, 0x1b945315, "");
SYMBOL_CRC(rtl_rfreg_delay, 0xd8d1d7e9, "");
SYMBOL_CRC(rtl_bb_delay, 0x2d5c9d55, "");
SYMBOL_CRC(rtl_fw_cb, 0xd5873508, "");
SYMBOL_CRC(rtl_wowlan_fw_cb, 0x1c7277f6, "");
SYMBOL_CRC(rtl_update_beacon_work_callback, 0x29b96918, "_gpl");
SYMBOL_CRC(rtl_hal_pwrseqcmdparsing, 0xd5e7695c, "");
SYMBOL_CRC(rtl_cmd_send_packet, 0x14676ba3, "");
SYMBOL_CRC(rtl_init_sw_leds, 0xf39b0fab, "");
SYMBOL_CRC(rtl_ops, 0x5c5bda15, "_gpl");
SYMBOL_CRC(rtl_btc_status_false, 0x2921a4d4, "_gpl");
SYMBOL_CRC(rtl_dm_diginit, 0xff01c758, "");
SYMBOL_CRC(_rtl_dbg_print, 0x3c9e65b3, "_gpl");
SYMBOL_CRC(_rtl_dbg_print_data, 0xb660a9be, "_gpl");
SYMBOL_CRC(rtl_debug_add_one, 0x96b228f8, "_gpl");
SYMBOL_CRC(rtl_debug_remove_one, 0x011780d6, "_gpl");
SYMBOL_CRC(efuse_read_1byte, 0x62f9ec58, "");
SYMBOL_CRC(read_efuse_byte, 0x3c195fe5, "_gpl");
SYMBOL_CRC(efuse_shadow_read, 0x5602cd53, "");
SYMBOL_CRC(rtl_efuse_shadow_map_update, 0xe1414458, "");
SYMBOL_CRC(efuse_one_byte_read, 0x0c3dc970, "");
SYMBOL_CRC(efuse_power_switch, 0x2d267334, "");
SYMBOL_CRC(rtl_get_hwinfo, 0x18f9b2ff, "_gpl");
SYMBOL_CRC(rtl_fw_block_write, 0xbc1950e2, "_gpl");
SYMBOL_CRC(rtl_fw_page_write, 0x45a3700d, "_gpl");
SYMBOL_CRC(rtl_fill_dummy, 0x2e5382f9, "_gpl");
SYMBOL_CRC(rtl_efuse_ops_init, 0x8045cbc4, "_gpl");
SYMBOL_CRC(rtl_ps_enable_nic, 0xb2a7f059, "");
SYMBOL_CRC(rtl_ps_disable_nic, 0x4c9a892e, "");
SYMBOL_CRC(rtl_ips_nic_on, 0xa6236ad3, "_gpl");
SYMBOL_CRC(rtl_swlps_beacon, 0xe789e32d, "_gpl");
SYMBOL_CRC(rtl_lps_change_work_callback, 0xf8ff6add, "_gpl");
SYMBOL_CRC(rtl_lps_enter, 0xdf2d8d52, "_gpl");
SYMBOL_CRC(rtl_lps_leave, 0x018168c8, "_gpl");
SYMBOL_CRC(rtl_p2p_info, 0xe4757e2c, "_gpl");
SYMBOL_CRC(rtl_query_rxpwrpercentage, 0x30a956d7, "");
SYMBOL_CRC(rtl_evm_db_to_percentage, 0xed7c8cf2, "");
SYMBOL_CRC(rtl_signal_scale_mapping, 0xbfeff2b5, "");
SYMBOL_CRC(rtl_process_phyinfo, 0x565419a5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2cbc2f88, "ieee80211_connection_loss" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0xc358602e, "request_firmware" },
	{ 0xb0a087af, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xe753e741, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe86a4b6f, "dev_kfree_skb_irq_reason" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x233890be, "ieee80211_rate_control_unregister" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67f55bd9, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7d567e1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4de18fbd, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1f259cb0, "cfg80211_put_bss" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xfca9dea2, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x30e3cecd, "wiphy_to_ieee80211_hw" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x43a62f29, "wiphy_apply_custom_regulatory" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xc5f3022, "seq_putc" },
	{ 0xbd39feb2, "ieee80211_rate_control_register" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x83bed128, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa892e14d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0xd60b69ad, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x4ab490c5, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x8b538ce9, "wiphy_rfkill_start_polling" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0xdca70b05, "freq_reg_info" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4fba1c71, "ieee80211_resume_disconnect" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xaee91f62, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x87f76909, "single_open" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1faafa17, "ieee80211_emulate_remove_chanctx" },
	{ 0x181fcab6, "cfg80211_unlink_bss" },
	{ 0x37c38945, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x741a23a4, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "FF2B66BA4F76057CAC2DD76");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
