#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v2, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v2, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_be, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_DATA(rtw89_pci_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v2, "", "");
KSYMTAB_DATA(rtw89_pm_ops_be, "", "");
KSYMTAB_DATA(rtw89_pci_gen_be, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x41357a3e, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x45dbec81, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x548e17db, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0xdb37ad71, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x5e44c85f, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x6cc7891f, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x8f925d14, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0xa90402c9, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0x4a51d6c2, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xaad73735, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x33f6b70c, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x8a860fdd, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xb427e90c, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x40498dde, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x17be6968, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x52e0b47c, "");
SYMBOL_CRC(rtw89_pm_ops, 0x50e45976, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x6e7b8fd5, "");
SYMBOL_CRC(rtw89_pci_probe, 0x29025e4a, "");
SYMBOL_CRC(rtw89_pci_remove, 0x479290ac, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v2, 0xa2ff8785, "");
SYMBOL_CRC(rtw89_pm_ops_be, 0x38c81d72, "");
SYMBOL_CRC(rtw89_pci_gen_be, 0x93515d90, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x16369685, "pcie_capability_read_word" },
	{ 0xe3dd0d8e, "pci_find_ext_capability" },
	{ 0x1b4649ec, "rtw89_alloc_ieee80211_hw" },
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d9e4f4d, "pci_iomap" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4ea2c897, "rtw89_core_napi_init" },
	{ 0x4b7abe3d, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x6cb0a216, "ieee80211_tx_status_skb" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xa13c8eb, "napi_complete_done" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcd53365b, "devm_free_irq" },
	{ 0x5555b416, "__napi_schedule" },
	{ 0x233191b0, "_dev_info" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xd91bc6fd, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa4cf622b, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x57436343, "rtw89_core_napi_deinit" },
	{ 0x420eabe4, "mem_section" },
	{ 0x81ef8001, "skb_push" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x3797f537, "rtw89_free_ieee80211_hw" },
	{ 0x538112da, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a20afc1, "pci_iounmap" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5dd2d379, "rtw89_ser_notify" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0xd60b69ad, "skb_unlink" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0xabb243b9, "rtw89_core_register" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x5eebeaa6, "rtw89_core_rx" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xc278bc53, "pci_release_regions" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe53ce717, "rtw89_core_deinit" },
	{ 0x7f518f91, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0x89efa362, "napi_schedule_prep" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x703f2e16, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc6f1340d, "rtw89_chip_info_setup" },
	{ 0xd4ea416a, "rtw89_mac_get_err_status" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "4713ADC3D688E13E8A8115C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
