#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wl1251_init_ieee80211, "_gpl", "");
KSYMTAB_FUNC(wl1251_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wl1251_free_hw, "_gpl", "");

SYMBOL_CRC(wl1251_init_ieee80211, 0xc41e2a74, "_gpl");
SYMBOL_CRC(wl1251_alloc_hw, 0x53c99c36, "_gpl");
SYMBOL_CRC(wl1251_free_hw, 0xc91cab93, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x42437fb, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x7aacc8da, "ieee80211_probereq_get" },
	{ 0xc358602e, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x345196e4, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x45412846, "ieee80211_nullfunc_get" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x2d6f93f6, "ieee80211_pspoll_get" },
	{ 0xb65c1f2, "ieee80211_register_hw" },
	{ 0xe753e741, "ieee80211_emulate_change_chanctx" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6cb0a216, "ieee80211_tx_status_skb" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7d567e1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x37d3d8f7, "skb_copy_expand" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x268386c1, "skb_pull" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x23720911, "ieee80211_wake_queues" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x83bed128, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xa892e14d, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x3860e9a1, "ieee80211_stop_queues" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x4d5bdcb9, "ieee80211_scan_completed" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaee91f62, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x673bf0e8, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x7af80587, "ieee80211_queue_work" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xacce0174, "generic_file_llseek" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x1faafa17, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0x78916925, "ieee80211_rx_napi" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "02CEB771C013CC3872A7F5B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
