#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0xace6a33f, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0x41c398bd, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0xc19ceeff, "_gpl");
SYMBOL_CRC(wlcore_probe, 0xe85d22d0, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x2792df02, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x207d02a6, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x870a08e1, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xf8a045c0, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0x105d4ab5, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x9ca0611b, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0x242de146, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x97753da3, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0xac5583e5, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x6d2d5f29, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0x7f1ebac0, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x4b35719e, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x29792297, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0xf3f661c0, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x649d446e, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x63c22a01, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x01e29665, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0xf60a05da, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0xbd39293b, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x63de925a, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x3f992061, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x9fb6c957, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x56eac809, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xe9c1850c, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0xf4670172, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x94e09713, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xc446244b, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x6713d9c7, "");
SYMBOL_CRC(wlcore_tx_complete, 0xc3c3e40f, "");
SYMBOL_CRC(wl1271_tx_flush, 0xe98007a8, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xc065df2d, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x3728ce61, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x05763376, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x78e6b103, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x921de548, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x58354442, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x4aec9e53, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x1a84b8cd, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x8ee7fcd2, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0xc1db71fa, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x8e4c042a, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x898aaa8d, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x1f32c23a, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0xb6c23978, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2cbc2f88, "ieee80211_connection_loss" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xafac4134, "ieee80211_iterate_interfaces" },
	{ 0x701da944, "ieee80211_sched_scan_stopped" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x69409643, "ieee80211_chswitch_done" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb6d828f4, "ieee80211_free_hw" },
	{ 0x7aacc8da, "ieee80211_probereq_get" },
	{ 0xc358602e, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x43a046cf, "ieee80211_ap_probereq_get" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x45412846, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x2d6f93f6, "ieee80211_pspoll_get" },
	{ 0xb65c1f2, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x26ef161e, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2fc8677b, "ieee80211_get_hdrlen_from_skb" },
	{ 0x7197cf3f, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xecd1dbdb, "ieee80211_stop_rx_ba_session" },
	{ 0x6196c6a8, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x95adbf0f, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6cb0a216, "ieee80211_tx_status_skb" },
	{ 0x67f55bd9, "ieee80211_find_sta" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7d567e1e, "ieee80211_handle_wake_tx_queue" },
	{ 0x70f7896, "_printk" },
	{ 0x80062a86, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0x88db665b, "kstrtoul_from_user" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcfa81240, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0x30e3cecd, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x13747f3e, "ieee80211_queue_delayed_work" },
	{ 0x5e075edf, "ieee80211_proberesp_get" },
	{ 0x2a3815a, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xef0b51cb, "request_firmware_nowait" },
	{ 0x6e3cd63f, "simple_open" },
	{ 0x268386c1, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9d267f34, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd4aafeda, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xef382cd6, "no_seek_end_llseek" },
	{ 0x23720911, "ieee80211_wake_queues" },
	{ 0x153a4cc0, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x91f14e57, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x735ec5a4, "ieee80211_alloc_hw_nm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd09ef6ae, "default_llseek" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x11ba3300, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa7d208cc, "ieee80211_ready_on_channel" },
	{ 0x3860e9a1, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7a97bb8c, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xba0039c1, "ieee80211_sched_scan_results" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x4d5bdcb9, "ieee80211_scan_completed" },
	{ 0x13a7c998, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xee5e44cd, "dev_pm_clear_wake_irq" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf3ab61ca, "pm_runtime_force_resume" },
	{ 0x1fe6949b, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xaee91f62, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x673bf0e8, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x7af80587, "ieee80211_queue_work" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0x924efa21, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xacce0174, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x971e6858, "pm_runtime_force_suspend" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x93c5e32d, "device_remove_bin_file" },
	{ 0x69080f3, "device_remove_file" },
	{ 0xf4baaf2, "ieee80211_csa_finish" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0x78916925, "ieee80211_rx_napi" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "9ABC1192ED56FDAFC44DB0F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
