#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x25227cfb, "");
SYMBOL_CRC(ndlc_close, 0x6a4562b0, "");
SYMBOL_CRC(ndlc_send, 0xce97b7dc, "");
SYMBOL_CRC(ndlc_recv, 0xd62f5c00, "");
SYMBOL_CRC(ndlc_probe, 0x83f0403a, "");
SYMBOL_CRC(ndlc_remove, 0x19484f19, "");
SYMBOL_CRC(st_nci_probe, 0xb3da3bbb, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x78bff713, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x3eeaf4ec, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x19618730, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x13567ebb, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x72554366, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0x62ba91d0, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0xcdd8840c, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x1faa9502, "");
SYMBOL_CRC(st_nci_se_init, 0x69078998, "");
SYMBOL_CRC(st_nci_se_deinit, 0x4e378b25, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x9feb1d90, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9005086, "nci_free_device" },
	{ 0x2e553ec5, "nci_allocate_device" },
	{ 0x20b06571, "nci_register_device" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xeeabf338, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc6647890, "nfc_add_se" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1887efe4, "nfc_remove_se" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0x6e8e37e0, "nci_nfcee_mode_set" },
	{ 0xd9635740, "nci_hci_get_param" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x1f92a983, "nfc_se_transaction" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x268386c1, "skb_pull" },
	{ 0x81b792ef, "nci_hci_connect_gate" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x81ef8001, "skb_push" },
	{ 0x2587c463, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x7c01991b, "nci_prop_cmd" },
	{ 0xd4ff19e8, "nci_core_conn_create" },
	{ 0x87ebd024, "nci_nfcc_loopback" },
	{ 0x14df4dda, "nci_unregister_device" },
	{ 0x52b6e065, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f424f29, "nci_hci_send_event" },
	{ 0x77f8bf45, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5ffb1abc, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x61ae7449, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x8981af93, "nfc_vendor_cmd_reply" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x50fd7f3f, "nci_recv_frame" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x42cf9b5f, "nci_hci_dev_session_init" },
	{ 0x49e5f3a4, "nci_hci_set_param" },
	{ 0x6a895908, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nci,nfc");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
