#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x1eea4fe1, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x4547fa7e, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x18574d9e, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x8c410a97, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x28a7db63, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x031ed06b, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x59a25d49, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x4c6975c4, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x3006f17d, "");
SYMBOL_CRC(nvdimm_region_notify, 0x26dbacfd, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x0951f810, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x932ddc13, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xb89754a8, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x2ca267f8, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x37e785a7, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xb52dedda, "");
SYMBOL_CRC(nd_device_unregister, 0x37ac5e1b, "");
SYMBOL_CRC(__nd_driver_register, 0x6bcfeaa5, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x86dc9c89, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xd10e7728, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xeeee6620, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xb79824ad, "_gpl");
SYMBOL_CRC(to_ndd, 0x55d1f956, "");
SYMBOL_CRC(nvdimm_name, 0x91aa1fc5, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xe55b6eb7, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x23c6c4ec, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xb0189279, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x78cc3a2b, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x6d090ddc, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xe1813036, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x847ca93a, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x4733fe54, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x199440e3, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xe01171d2, "_gpl");
SYMBOL_CRC(to_nd_region, 0x2f9084cf, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xea31b2e7, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x1f3e84e3, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x221b2414, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xe2893790, "");
SYMBOL_CRC(nd_region_release_lane, 0xc91c09bb, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x47484db1, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x66e87872, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x1d4382c6, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x11d6ed2d, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x5018f61f, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x9292d2b2, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x2330ae24, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x48be94b7, "");
SYMBOL_CRC(pmem_sector_size, 0x70bbe2ea, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xf17c3f52, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x3ce88b79, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xf4c242b6, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xab51b62f, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x37ac7e9b, "");
SYMBOL_CRC(devm_namespace_enable, 0x0db82bd2, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xf7f73e18, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x5cb36a30, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x718fd598, "");
SYMBOL_CRC(is_nd_btt, 0x47a1dd9f, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xefbc3932, "");
SYMBOL_CRC(nd_btt_version, 0xfeb9edcc, "");
SYMBOL_CRC(nd_btt_probe, 0x4603136f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6238f02f, "set_disk_ro" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xe735ed96, "devm_memremap" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9420c870, "badblocks_set" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0d29398, "badblocks_exit" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdbf31d0c, "get_device" },
	{ 0xcede275c, "memremap" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf1a254ae, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfc1c8ad9, "__devm_request_region" },
	{ 0x18245177, "__cpuhp_state_remove_instance" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cd418f3, "put_device" },
	{ 0xa74028e4, "badblocks_show" },
	{ 0x815771db, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x233191b0, "_dev_info" },
	{ 0x62e67e7d, "module_put" },
	{ 0x45d659c8, "perf_pmu_migrate_context" },
	{ 0x12626768, "perf_pmu_register" },
	{ 0x49f26466, "kstrndup" },
	{ 0x8cb72246, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0xb66eb73f, "__cpuhp_setup_state" },
	{ 0x1ebdfcd6, "devm_memunmap" },
	{ 0x5b6f644b, "cpu_bit_bitmap" },
	{ 0xfb901f8c, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7dc7cdd, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0xe5e55228, "__cpuhp_state_add_instance" },
	{ 0x78be6031, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xf9aa80d8, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xee11fb08, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x1d74dd05, "__devm_release_region" },
	{ 0xcc1164fe, "request_key_tag" },
	{ 0x6f47331e, "kernfs_put" },
	{ 0x5345da6, "__register_chrdev" },
	{ 0x559be11e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4fe31f3f, "badblocks_check" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0x7b8fdc82, "badblocks_clear" },
	{ 0x14222ecc, "devm_init_badblocks" },
	{ 0xd0d8621b, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0x5c705e86, "driver_register" },
	{ 0x810cf51e, "class_register" },
	{ 0xaab744b7, "__cpuhp_remove_state" },
	{ 0xca1d3350, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x5791aca9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F74DD6D9FC18E46142D7920");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
