#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x8d84cabc, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xf7c0c81b, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x9882025a, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xe2e18853, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x1946b37f, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xcb5e57bd, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xc0e2357f, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xa09e85a2, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x89504c24, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x8912bcf3, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x407e0b2f, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x7464bd67, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xed0ade10, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0xde42bad7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2142c6c, "try_module_get" },
	{ 0x8d6c944d, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x233191b0, "_dev_info" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x8cb72246, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x5af8e078, "down_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc1f6f9ce, "device_create" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xcfbfa0fe, "__nvme_submit_sync_cmd" },
	{ 0xe29346bf, "nvme_try_sched_reset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x325cda0a, "misc_register" },
	{ 0x25d64227, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x97106714, "memdup_user_nul" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x559be11e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x47be806a, "single_release" },
	{ 0x2abac1b7, "nvme_wait_reset" },
	{ 0xe8ecdcfe, "__seq_puts" },
	{ 0xd0d8621b, "strlen" },
	{ 0x87f76909, "single_open" },
	{ 0x29f3a126, "up_read" },
	{ 0x810cf51e, "class_register" },
	{ 0xa81bf1, "nvme_tls_key_lookup" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf97525f8, "nvme_auth_negotiate" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "EA939B35942CDE55A0896E6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
