#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(dead_socket, "", "");
KSYMTAB_DATA(pcmcia_socket_list, "", "");
KSYMTAB_DATA(pcmcia_socket_list_rwsem, "", "");
KSYMTAB_FUNC(pcmcia_get_socket, "", "");
KSYMTAB_FUNC(pcmcia_put_socket, "", "");
KSYMTAB_FUNC(pcmcia_register_socket, "", "");
KSYMTAB_FUNC(pcmcia_unregister_socket, "", "");
KSYMTAB_FUNC(pcmcia_get_socket_by_nr, "", "");
KSYMTAB_FUNC(pcmcia_parse_events, "", "");
KSYMTAB_FUNC(pcmcia_parse_uevents, "", "");
KSYMTAB_FUNC(pccard_register_pcmcia, "", "");
KSYMTAB_FUNC(pcmcia_reset_card, "", "");
KSYMTAB_DATA(pcmcia_socket_class, "", "");

SYMBOL_CRC(dead_socket, 0xcf97f3bd, "");
SYMBOL_CRC(pcmcia_socket_list, 0x212db8d2, "");
SYMBOL_CRC(pcmcia_socket_list_rwsem, 0xc7b87106, "");
SYMBOL_CRC(pcmcia_get_socket, 0xf1c36b93, "");
SYMBOL_CRC(pcmcia_put_socket, 0xd339f379, "");
SYMBOL_CRC(pcmcia_register_socket, 0xe6a006db, "");
SYMBOL_CRC(pcmcia_unregister_socket, 0x2e49c775, "");
SYMBOL_CRC(pcmcia_get_socket_by_nr, 0xbc55a5b9, "");
SYMBOL_CRC(pcmcia_parse_events, 0x11156040, "");
SYMBOL_CRC(pcmcia_parse_uevents, 0x3f76906c, "");
SYMBOL_CRC(pccard_register_pcmcia, 0x1a98ae18, "");
SYMBOL_CRC(pcmcia_reset_card, 0x563892bd, "");
SYMBOL_CRC(pcmcia_socket_class, 0x96538467, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x28dffe9b, "pci_bus_size_bridges" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xdbf31d0c, "get_device" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xa65112ba, "pci_scan_bridge" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x4f74db3a, "pci_scan_slot" },
	{ 0x5af8e078, "down_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x77bf2134, "pci_bus_add_devices" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf50b81a1, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf1f615e3, "device_register" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0xdbc71f27, "_dev_notice" },
	{ 0x95414526, "pci_bus_assign_resources" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x7f518f91, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee1c725, "pci_fixup_cardbus" },
	{ 0x877efd18, "pci_stop_and_remove_bus_device" },
	{ 0xf0c2280c, "pci_set_cacheline_size" },
	{ 0x7e49ae5f, "pci_read_config_byte" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x29f3a126, "up_read" },
	{ 0x810cf51e, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72102893727F91370AFFE49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
