#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x6f6336c0, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x9a2750af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf76987b2, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc13f8060, "__platform_create_bundle" },
	{ 0x70f7896, "_printk" },
	{ 0x49ac804d, "sysfs_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x69080f3, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0x87f76909, "single_open" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x8afc6622, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0x7b4f2a5e, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x5db2a44d, "pci_find_bus" },
	{ 0x8596d7f5, "pci_bus_read_config_dword" },
	{ 0x9852d71b, "pci_get_slot" },
	{ 0xb44f0622, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x877efd18, "pci_stop_and_remove_bus_device" },
	{ 0x16cce03e, "pci_scan_single_device" },
	{ 0x95414526, "pci_bus_assign_resources" },
	{ 0xb2c76b18, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xe305fa5b, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x732ad310, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xb4aea9bd, "backlight_device_unregister" },
	{ 0xe46d6483, "input_unregister_device" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x4eb82ee6, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xaf121c89, "input_event" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xbc1d405, "sparse_keymap_report_event" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3d85aad9, "backlight_force_update" },
	{ 0x702f39b8, "led_classdev_notify_brightness_hw_changed" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x9885bb7f, "input_set_capability" },
	{ 0x2f7452dc, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x233191b0, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x576014b2, "input_allocate_device" },
	{ 0x42955299, "sparse_keymap_setup" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xcac6d11a, "input_register_device" },
	{ 0x6a973ea0, "input_free_device" },
	{ 0xd9b1de6a, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3bb25f7d, "led_classdev_register_ext" },
	{ 0xb211e964, "backlight_device_register" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0x328b02a5, "i8042_install_filter" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x21308e07, "debugfs_create_x32" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe02019df, "__pci_hp_register" },
	{ 0x38d665e3, "pci_get_device" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0xd6375a5f, "battery_hook_register" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x47be806a, "single_release" },
	{ 0x6c65d7e5, "device_show_string" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "wmi,platform_profile,rfkill,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "A7CDAF8FBC39745F8112FC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
