#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmt_telem_get_next_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_unregister_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_get_endpoint_info, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_read32, "_gpl", "INTEL_PMT_TELEMETRY");
KSYMTAB_FUNC(pmt_telem_find_and_register_endpoint, "_gpl", "INTEL_PMT_TELEMETRY");

SYMBOL_CRC(pmt_telem_get_next_endpoint, 0xd71cecee, "_gpl");
SYMBOL_CRC(pmt_telem_register_endpoint, 0x11439a13, "_gpl");
SYMBOL_CRC(pmt_telem_unregister_endpoint, 0x1950c209, "_gpl");
SYMBOL_CRC(pmt_telem_get_endpoint_info, 0x58a0e22e, "_gpl");
SYMBOL_CRC(pmt_telem_read, 0xa2ee2f30, "_gpl");
SYMBOL_CRC(pmt_telem_read32, 0x5070e28a, "_gpl");
SYMBOL_CRC(pmt_telem_find_and_register_endpoint, 0x787efbdb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x654622c3, "auxiliary_driver_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb53776e3, "intel_pmt_is_early_client_hw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x47d95e1f, "intel_pmt_dev_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xe4f2ca30, "__auxiliary_driver_register" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x7756b599, "intel_pmt_dev_create" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x8de7e418, "pmt_telem_read_mmio" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "pmt_class");

MODULE_ALIAS("auxiliary:intel_vsec.telemetry");

MODULE_INFO(srcversion, "DADC77B9FC2E76B088F6EDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
