#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_set, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0xdc388329, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0xf76987b2, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0xaa4db4ba, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xdcaaf964, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0x62acce75, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd58d575f, "_gpl");
SYMBOL_CRC(wmidev_block_set, 0x4eabd91b, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0x33c30ffe, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0xb9186063, "");
SYMBOL_CRC(wmi_driver_unregister, 0x29c9a121, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x483775c2, "driver_set_override" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x5c705e86, "driver_register" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x810cf51e, "class_register" },
	{ 0x5791aca9, "bus_register" },
	{ 0x97eed602, "__platform_driver_register" },
	{ 0x70f7896, "_printk" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x9e4e3978, "device_for_each_child_reverse" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b4f2a5e, "platform_driver_unregister" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x29f3a126, "up_read" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xc1f6f9ce, "device_create" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x9386956c, "device_link_add" },
	{ 0xfb901f8c, "device_add" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x233191b0, "_dev_info" },
	{ 0x5cd418f3, "put_device" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xf2c0ea9c, "bus_find_device" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "187BC9387AAA5C80B10749B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
