#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_device_register, "_gpl", "");
KSYMTAB_FUNC(pwrseq_device_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_put, "_gpl", "");
KSYMTAB_FUNC(devm_pwrseq_get, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_on, "_gpl", "");
KSYMTAB_FUNC(pwrseq_power_off, "_gpl", "");

SYMBOL_CRC(pwrseq_device_register, 0x86671784, "_gpl");
SYMBOL_CRC(pwrseq_device_unregister, 0x74730198, "_gpl");
SYMBOL_CRC(devm_pwrseq_device_register, 0x5558ee00, "_gpl");
SYMBOL_CRC(pwrseq_device_get_drvdata, 0xc6650d5c, "_gpl");
SYMBOL_CRC(pwrseq_get, 0x34ff0463, "_gpl");
SYMBOL_CRC(pwrseq_put, 0xdb61449c, "_gpl");
SYMBOL_CRC(devm_pwrseq_get, 0xb281fb79, "_gpl");
SYMBOL_CRC(pwrseq_power_on, 0x809bb19b, "_gpl");
SYMBOL_CRC(pwrseq_power_off, 0xca3fe8c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x2fafbf04, "seq_release" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xdbf31d0c, "get_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1475e97, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0xef5d3dcf, "bus_for_each_dev" },
	{ 0x62e67e7d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xf2c0ea9c, "bus_find_device" },
	{ 0xfb901f8c, "device_add" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xeda60a69, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xa64761ed, "device_match_any" },
	{ 0x74efb5d2, "seq_open" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0x29f3a126, "up_read" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E8E63B0329A24A5B9E22C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
