#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xc8bfc7ac, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xbf54afef, "");
SYMBOL_CRC(rio_alloc_net, 0xa798b215, "_gpl");
SYMBOL_CRC(rio_add_net, 0x982eb31b, "_gpl");
SYMBOL_CRC(rio_free_net, 0xdf1af13f, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0xf9014cec, "_gpl");
SYMBOL_CRC(rio_add_device, 0x59e55b76, "_gpl");
SYMBOL_CRC(rio_del_device, 0x08a72685, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x840d3a27, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xbc523ca7, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x539cccc1, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xa16ca2e5, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x8430a662, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x5dac7331, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xee090151, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x1d724e1b, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x0e076a2b, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xf8eb473f, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x6bbeb526, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xbbb12a16, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x95d39402, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x3e8502f9, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xff661a85, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x8f51dbbd, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x7e3b8358, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xa3605b3c, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x13d238f0, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xb6f67aae, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x0ac7c35f, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0xe9b16a18, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0xcd0c8c37, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xa29ef6b0, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x26af48e5, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xed538117, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xab33a2e9, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xf0484ffa, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x90419625, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x2b5064fd, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0xab23421a, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xd92f8f09, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x5c6324a9, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xe9fab023, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xcfd6159d, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xab33e941, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xe8f93df2, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x420fc8ad, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x2e2795cd, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xf9c28d56, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x0935759b, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xbb2bd01f, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0xef199470, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xdf2e13f9, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0xd2e6a45d, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xa252749c, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x9249c073, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x97452fd1, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x6841e0ee, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0xaf78e4d4, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x9670d9cd, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0xe8e02102, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x7e3bdfad, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xb2d308f4, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x4783115f, "_gpl");
SYMBOL_CRC(rio_register_driver, 0xf3debb62, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x000d09cd, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x34b394d5, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x65e645d8, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xf360dd2b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcfd01626, "device_unregister" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xe69c89c4, "dma_release_channel" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf806bbb6, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x62e67e7d, "module_put" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf1f615e3, "device_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc5e74216, "release_resource" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5c705e86, "driver_register" },
	{ 0x810cf51e, "class_register" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
