#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x35e5920a, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xa52401ba, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x733d53c7, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xdee12d98, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x6b2c221c, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x82248b1c, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x65856a8e, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xe250316a, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xfded3435, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x1b436b65, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x62584d23, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x042d3eb7, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xb4555615, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x4c74b713, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x81b4c41d, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x7209adc3, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xbe3b171c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xbb83bc95, "kunmap_high" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa9595cf9, "iscsi_dbg_trace" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4054c865, "_dev_printk" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0x38a8d420, "page_address" },
	{ 0x9351cde6, "kmap_high" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6a0d37a4, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8972a9ec, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d72bb3b, "crypto_ahash_digest" },
	{ 0xe8edea7e, "crypto_ahash_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x64d7c805, "skb_prepare_seq_read" },
	{ 0x335b17f7, "skb_seq_read" },
	{ 0x2e60bace, "memcpy" },
	{ 0x47335de8, "skb_abort_seq_read" },
	{ 0x74bcc32d, "iscsi_conn_failure" },
	{ 0x1305e20f, "iscsi_prep_data_out_pdu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1c4b2899, "iscsi_put_task" },
	{ 0x9c8416ad, "iscsi_conn_setup" },
	{ 0xce854b59, "iscsi_conn_teardown" },
	{ 0xd39fa6ab, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5152e605, "memcmp" },
	{ 0x98336769, "iscsi_complete_pdu" },
	{ 0x55b941b5, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1780194, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7e167d9c, "iscsi_get_task" },
	{ 0xab4e36a, "iscsi_update_cmdsn" },
	{ 0xd505ca13, "__iscsi_complete_pdu" },
	{ 0x807310d9, "iscsi_requeue_task" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
