#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x9208e8cd, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x0464df76, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xbfb83fa5, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x0d35694f, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x8dbdfee1, "");
SYMBOL_CRC(sas_resume_ha, 0xa2c650b1, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x85bb3586, "");
SYMBOL_CRC(sas_suspend_ha, 0x8019b766, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xb88a2d74, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x3e342d1b, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x97b96e98, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xca11d74b, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x23da341a, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x074e8159, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x6ff0f235, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xfd9f3aa9, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x0b82d2b5, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xdf27e88c, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xc17fe44d, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xf6144fad, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x1b9ea225, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xf252804f, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x33280162, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x80d070fa, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x069ef367, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xce6edc92, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x4385f548, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x978e9909, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0xb31617c9, "_gpl");
SYMBOL_CRC(sas_query_task, 0xbae9d3b9, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x81de64cd, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x93d99950, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x8d00fce0, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x429990aa, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x1dd889b6, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x7e2b5cb9, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xe38b38e9, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xec5b7dc2, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x61ad526c, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x53cc4fe2, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0xfb039bb0, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8f9efc3, "ata_qc_complete" },
	{ 0xcc54c9f3, "ata_sas_scsi_ioctl" },
	{ 0x7952e0bc, "ata_tport_add" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x88f3f1a0, "sas_rphy_remove" },
	{ 0x49183ba3, "ata_sas_device_configure" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xbf5d18ff, "bsg_job_done" },
	{ 0xe0ee96ff, "ata_sas_queuecmd" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd605dbf7, "sas_rphy_unlink" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80a40b24, "scsi_schedule_eh" },
	{ 0xc358602e, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xe1c22441, "ata_ncq_prio_enabled" },
	{ 0xbced3391, "ata_host_init" },
	{ 0xa30ffb12, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x2e60bace, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xb88b0607, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe1c40bd7, "sas_port_get_phy" },
	{ 0x9bcd60a8, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdcde6d5f, "ata_wait_after_reset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x92cd673e, "sas_phy_alloc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x233191b0, "_dev_info" },
	{ 0x5ee210ce, "sas_phy_free" },
	{ 0xddfae609, "scsi_eh_finish_cmd" },
	{ 0x27fd14e2, "ata_port_schedule_eh" },
	{ 0xe855ae4c, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd0d6f8b2, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6a3b717c, "sas_port_mark_backlink" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x31a7e495, "ata_link_abort" },
	{ 0x29012b1c, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc4adaea9, "ata_scsi_port_error_handler" },
	{ 0x4751544e, "ata_change_queue_depth" },
	{ 0xcd339b88, "ata_port_probe" },
	{ 0xe15d4f9d, "ata_std_error_handler" },
	{ 0x9494f107, "ata_port_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x70e21d78, "sas_end_device_alloc" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x74fdfecd, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3d1a549d, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x1e339dfb, "sas_rphy_delete" },
	{ 0xfc7d5802, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x612b665b, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x422b876f, "scsi_host_busy" },
	{ 0xe28c4951, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa7625f15, "ata_sas_port_suspend" },
	{ 0xba84a22c, "sas_rphy_add" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x6eefbed, "sas_port_delete_phy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x533a1a28, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83d641f0, "sas_port_add_phy" },
	{ 0xb4cf40d5, "ata_scsi_cmd_error_handler" },
	{ 0x4d2b48b2, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x5087a38b, "blk_mq_tagset_busy_iter" },
	{ 0x4fe1213f, "scsi_done" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc7fd0212, "scsi_unblock_requests" },
	{ 0x985f1252, "sas_phy_add" },
	{ 0x564cee2e, "sg_copy_from_buffer" },
	{ 0xed435df9, "ata_host_put" },
	{ 0x85d87107, "sas_port_free" },
	{ 0x7c59a275, "ata_std_sched_eh" },
	{ 0xb10b9473, "ata_port_alloc" },
	{ 0x32a43794, "scsi_block_requests" },
	{ 0x3e0865da, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab48144, "ata_ncq_prio_supported" },
	{ 0x6def8741, "sg_copy_to_buffer" },
	{ 0x6cd5bb7d, "sas_remove_children" },
	{ 0xbf38631f, "scsi_change_queue_depth" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x77656759, "ata_port_wait_eh" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "EF8AD598F69A0EB14546BAD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
