#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0xf7ef8ad0, "");
SYMBOL_CRC(sdw_amd_exit, 0x9b7b7474, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0xd38c007d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd709ad7, "sdw_bus_prep_clk_stop" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x7b4f2a5e, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd767f2aa, "sdw_bus_clk_stop" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x820c5899, "sdw_bus_master_add" },
	{ 0x9ab88442, "devm_ioremap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7bfa6f10, "sdw_handle_slave_status" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x3bf6fc8, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0xbd8839ee, "fwnode_property_read_u32_array" },
	{ 0x8b59fd5a, "sdw_clear_slave_status" },
	{ 0x741a12ed, "sdw_stream_remove_master" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0x9d267f34, "platform_get_resource" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97eed602, "__platform_driver_register" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x939ab32f, "sdw_stream_add_master" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x706c8561, "acpi_fetch_acpi_dev" },
	{ 0x4638fbef, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9fa3e7dc, "sdw_bus_master_delete" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0xd3d22b54, "sdw_compute_slave_ports" },
	{ 0x507ee06e, "sdw_bus_exit_clk_stop" },
	{ 0x9fbbcd, "sdw_master_read_prop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");


MODULE_INFO(srcversion, "28CDA231589925865647A53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
