#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x8b46e283, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xc787e070, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x846f44de, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x820c5899, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x9fa3e7dc, "");
SYMBOL_CRC(sdw_show_ping_status, 0x77f23797, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x68bbc8bc, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x59555334, "");
SYMBOL_CRC(sdw_write_no_pm, 0x5edc01f5, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xcf55efc2, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xa5545028, "");
SYMBOL_CRC(sdw_read_no_pm, 0xe76107ce, "");
SYMBOL_CRC(sdw_update_no_pm, 0xe39da87f, "");
SYMBOL_CRC(sdw_update, 0x221b6cf4, "");
SYMBOL_CRC(sdw_nread, 0x3a7768a4, "");
SYMBOL_CRC(sdw_nwrite, 0xc38ce0ac, "");
SYMBOL_CRC(sdw_read, 0xbf8e39f6, "");
SYMBOL_CRC(sdw_write, 0x78f4da72, "");
SYMBOL_CRC(sdw_compare_devid, 0xa8a8bc8c, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x6844082c, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xdd709ad7, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xd767f2aa, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x507ee06e, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x7bfa6f10, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x8b59fd5a, "");
SYMBOL_CRC(sdw_slave_add, 0xe1343c15, "");
SYMBOL_CRC(sdw_master_read_prop, 0x009fbbcd, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xc3b13b75, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x939ab32f, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x741a12ed, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x05cb6f58, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x0e280250, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9afb299e, "debugfs_create_str" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd374215, "device_property_present" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0x61fa3672, "of_fwnode_ops" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaa7d21c2, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xc358602e, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x3f081906, "of_node_get" },
	{ 0xd3df0fc9, "dev_pm_domain_attach" },
	{ 0x54118a60, "devm_device_add_group" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9c1fca1f, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5d90961, "pm_generic_runtime_resume" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6ff97a09, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5cd418f3, "put_device" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x35ec55bc, "device_property_read_u32_array" },
	{ 0xbd8839ee, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x637a0583, "dev_pm_domain_detach" },
	{ 0x63ae52aa, "pm_generic_runtime_suspend" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf1f615e3, "device_register" },
	{ 0x996dafaf, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x64e7b221, "fwnode_property_present" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x6bdc95e6, "irq_domain_instantiate" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x4638fbef, "device_get_named_child_node" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x5e0d7026, "irq_create_mapping_affinity" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xb6939046, "acpi_dev_for_each_child" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0x714f244b, "irq_set_chip" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0x87f76909, "single_open" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x5c705e86, "driver_register" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9FE2B7EC442A63597A2BC65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
