#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0xc60ecaaf, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x65ac67c5, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x414314a8, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0xc59e3c8a, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xaac73f00, "");
SYMBOL_CRC(cdns_read_ping_status, 0xc1037987, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0x84012790, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xe52e5163, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xa312b6f3, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x73188070, "");
SYMBOL_CRC(sdw_cdns_init, 0x178771ee, "");
SYMBOL_CRC(cdns_bus_conf, 0x4b7d417f, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x57a4c549, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xded816b1, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xd3c872ea, "");
SYMBOL_CRC(sdw_cdns_probe, 0x20963467, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x7af324fd, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xcb1caa9d, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x592a82cd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd709ad7, "sdw_bus_prep_clk_stop" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xd767f2aa, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7bfa6f10, "sdw_handle_slave_status" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x233191b0, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47be806a, "single_release" },
	{ 0xcf55efc2, "sdw_bread_no_pm_unlocked" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x87f76909, "single_open" },
	{ 0x507ee06e, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "007E1F582C3C0D774127844");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
