#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x6a1b7e3a, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x9000cbe9, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xf05be5b0, "");
SYMBOL_CRC(sdw_intel_startup, 0x926b8164, "");
SYMBOL_CRC(sdw_intel_exit, 0x5da63f09, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xb2d0a4c3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73188070, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9382c577, "simple_attr_open" },
	{ 0x1d8236df, "debugfs_attr_write" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x8b7d32f6, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x178771ee, "sdw_cdns_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xd3c872ea, "sdw_cdns_clock_restart" },
	{ 0x414314a8, "sdw_cdns_debugfs_init" },
	{ 0x7aef91f6, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x820c5899, "sdw_bus_master_add" },
	{ 0xa312b6f3, "sdw_cdns_enable_interrupt" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xa3287c4b, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x57a4c549, "sdw_cdns_is_clock_stop" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x65ac67c5, "sdw_cdns_config_update_set_wait" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb1caa9d, "sdw_cdns_config_stream" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x654622c3, "auxiliary_driver_unregister" },
	{ 0x3bf6fc8, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4b7d417f, "cdns_bus_conf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x5cd418f3, "put_device" },
	{ 0x7af324fd, "cdns_set_sdw_stream" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0xbd8839ee, "fwnode_property_read_u32_array" },
	{ 0x233191b0, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x8b59fd5a, "sdw_clear_slave_status" },
	{ 0x74091d03, "debugfs_attr_read" },
	{ 0x741a12ed, "sdw_stream_remove_master" },
	{ 0x2c4b23fb, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xe52e5163, "sdw_cdns_exit_reset" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x794f1002, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0xdde2cb9f, "simple_attr_release" },
	{ 0x11337b48, "__auxiliary_device_add" },
	{ 0x592a82cd, "sdw_cdns_alloc_pdi" },
	{ 0xded816b1, "sdw_cdns_clock_stop" },
	{ 0x436187e0, "fwnode_property_read_u16_array" },
	{ 0xfbc59790, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xaac73f00, "cdns_xfer_msg_defer" },
	{ 0xc59e3c8a, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xeda60a69, "device_del" },
	{ 0x8243af8f, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0xf3eb772, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x939ab32f, "sdw_stream_add_master" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc1037987, "cdns_read_ping_status" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x706c8561, "acpi_fetch_acpi_dev" },
	{ 0x4638fbef, "device_get_named_child_node" },
	{ 0x20963467, "sdw_cdns_probe" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xc60ecaaf, "sdw_cdns_config_update" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x9fa3e7dc, "sdw_bus_master_delete" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0xe4f2ca30, "__auxiliary_driver_register" },
	{ 0x84012790, "sdw_cdns_check_self_clearing_bits" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0x4710698f, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x87f76909, "single_open" },
	{ 0x42a45b21, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x9fbbcd, "sdw_master_read_prop" },
	{ 0x6566d9ee, "hdac_bus_eml_get_count" },
	{ 0x86322dc1, "sdw_compute_params" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "5246981DC83D7F233A4C3AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
