#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0xd6797d36, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x92bf67ca, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xeceb4f50, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x2585005a, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x540bdb2c, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xcacfc131, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xabf5c8f1, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x415f4c2b, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0xa66d5c00, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x8deb11df, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x045bcfa8, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xcde67693, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0x4ce639bc, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x4b71ef8d, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xd225081c, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x79bad038, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x0fde492f, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x43b51e41, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0xb0b035f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xfb901f8c, "device_add" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xcfd01626, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x25b275fc, "of_device_uevent_modalias" },
	{ 0xfee1670, "device_match_of_node" },
	{ 0xf2c0ea9c, "bus_find_device" },
	{ 0x5c705e86, "driver_register" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x5791aca9, "bus_register" },
	{ 0xe472d40c, "device_for_each_child" },
	{ 0xeda60a69, "device_del" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5cd418f3, "put_device" },
	{ 0xb1005dca, "of_match_device" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x13a1f0a9, "of_get_next_available_child" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "459AB680E85BBB4CC3319F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
