#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86332006, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xfe969a1d, "usbatm_usb_disconnect" },
	{ 0x233191b0, "_dev_info" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6322ca15, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0x239dc2b3, "usb_kill_urb" },
	{ 0xb111f27c, "usb_free_urb" },
	{ 0x92b57248, "flush_work" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4292364c, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xecd9a38, "usb_ifnum_to_if" },
	{ 0xf6389c1b, "usb_driver_claim_interface" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7cbd4b85, "usb_submit_urb" },
	{ 0xc358602e, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x432ae122, "usb_bulk_msg" },
	{ 0x943dc8aa, "crc32_be" },
	{ 0xe9d962c6, "kernel_param_lock" },
	{ 0xdd0a2ba2, "strlcat" },
	{ 0x738803e6, "strnlen" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xf5a05a35, "kernel_param_unlock" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xb4aaf284, "usb_reset_device" },
	{ 0xef0b51cb, "request_firmware_nowait" },
	{ 0xeaceeb91, "usbatm_usb_probe" },
	{ 0x969b2a18, "atm_dev_signal_change" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x3bf1e9fd, "usb_deregister" },
	{ 0x4c58a008, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc7a25bd8, "usb_alloc_urb" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0xbf71647b, "usb_set_interface" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8129CE057C6C61D57F29ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
