#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_device_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_has_combined_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_connect_type, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_interface_node, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_create_pdevs, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_destroy_pdevs, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x59185420, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x92ae0212, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x16dc3da4, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x0ecd9a38, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0xa1254452, "_gpl");
SYMBOL_CRC(usb_find_interface, 0x8a90faec, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x6273238e, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0xb7900b5c, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x402bde2a, "_gpl");
SYMBOL_CRC(usb_put_dev, 0x9529a90e, "_gpl");
SYMBOL_CRC(usb_get_intf, 0xe577c7cb, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x9d661403, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x10570f65, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x6551439a, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x041a54c4, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0x4cf24332, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x8aa4cd1c, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x1c08173d, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x82618415, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x94db682e, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x60886057, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x8460540f, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x7f7852cd, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x9cd6630f, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x205e00ee, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x8ed26cda, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0xe717fd79, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0xfd04c9ea, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0xfb41b122, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x77587925, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x55cddd16, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x353e2857, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x036ec34c, "_gpl");
SYMBOL_CRC(usb_reset_device, 0xb4aaf284, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x2574127b, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xf2aa7399, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xe7740ac6, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0x0fb4f904, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x5fc7e123, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0xa36f3b32, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0xb5b736d2, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0xfe9c5507, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x840de720, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x0a902ad2, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x61145d93, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x1ef1655d, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xae9f989d, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0xeb7922a7, "_gpl");
SYMBOL_CRC(usb_free_streams, 0xcae5e63d, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0xe61ad8a5, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x5d417e7e, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x1e40ab52, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x96558af2, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0xbca72971, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x9dc7a603, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x8c93ff48, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x9e855208, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0xb127a22c, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0x236455ac, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0xed77d5ae, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x6a0409ab, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0xc3d5b560, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x7ccf1605, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x2c9a1f16, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0xc7a25bd8, "_gpl");
SYMBOL_CRC(usb_free_urb, 0xb111f27c, "_gpl");
SYMBOL_CRC(usb_get_urb, 0x51317ca7, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x77013dc1, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x5dc6f3ca, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x168057b4, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0xeddfc678, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x7cbd4b85, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0xe97a8231, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x239dc2b3, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x4a4e4b16, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0x9ff69732, "_gpl");
SYMBOL_CRC(usb_block_urb, 0x93bee5b5, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x943dee45, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x6322ca15, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0xca115ee2, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x8d4da85f, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0x08983fe3, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x432ae122, "_gpl");
SYMBOL_CRC(usb_sg_init, 0xc18b5a65, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0xfb009592, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0xe4b42637, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x0082f156, "_gpl");
SYMBOL_CRC(usb_string, 0x4c58a008, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x83ae16af, "_gpl");
SYMBOL_CRC(usb_get_status, 0xefe1c154, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x940ede7a, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0xf3f3f451, "_gpl");
SYMBOL_CRC(usb_set_interface, 0xbf71647b, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0xaa97e5f6, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0xe1cad6c9, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x973281ca, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x1c570894, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x6bbf11aa, "");
SYMBOL_CRC(usb_store_new_id, 0x1f2fdee8, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0xd58b2b98, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0xf6389c1b, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0xc8403258, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0x45ab0e19, "_gpl");
SYMBOL_CRC(usb_match_id, 0x0f8af111, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0xa1f2487b, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0xc943c1a4, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x5044b767, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x86332006, "_gpl");
SYMBOL_CRC(usb_deregister, 0x3bf1e9fd, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0xd824060f, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x357b60fa, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xf68092b6, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0xc65ecbe8, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x9da5acd3, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x01246929, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x6708e535, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x6d4afc23, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x75eafa92, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x20c840ca, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0xd96a5919, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0xc6a3f5d4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0x7cac3e3b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x601c4869, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x3fe1651b, "_gpl");
SYMBOL_CRC(usb_of_get_device_node, 0xcfe09f44, "_gpl");
SYMBOL_CRC(usb_of_has_combined_node, 0x4234438e, "_gpl");
SYMBOL_CRC(usb_of_get_connect_type, 0xe7578c6d, "_gpl");
SYMBOL_CRC(usb_of_get_interface_node, 0xc372f1fc, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x625bd5f1, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x859460b9, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x520fd72e, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0xd0c593e4, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0xdd57a43e, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xcf5a1ca1, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x275830f0, "_gpl");
SYMBOL_CRC(onboard_dev_create_pdevs, 0x68054146, "_gpl");
SYMBOL_CRC(onboard_dev_destroy_pdevs, 0x4a71e5f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a6ce8e6, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x9644a23d, "device_set_wakeup_enable" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xfad857dd, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5d1a4ab4, "of_platform_device_create" },
	{ 0x9b83d212, "device_set_of_node_from_dev" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x8d50ca12, "dma_pool_create" },
	{ 0xf2ef712, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x975d3241, "of_node_put" },
	{ 0x16563cf0, "pci_enable_device" },
	{ 0x36cab4b2, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xe735ed96, "devm_memremap" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8235805b, "memmove" },
	{ 0xeab3038e, "of_find_device_by_node" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0x15a77f1f, "param_get_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9f8a0420, "dmam_alloc_attrs" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x2195fbf3, "driver_remove_file" },
	{ 0x100b8b33, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x4f8503af, "driver_attach" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x38d665e3, "pci_get_device" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x2d619eb4, "devm_of_phy_get" },
	{ 0x211424d4, "of_graph_is_present" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2beab130, "sysfs_unbreak_active_protection" },
	{ 0xb9e31031, "pci_dev_run_wake" },
	{ 0x9ab88442, "devm_ioremap" },
	{ 0x55967ca9, "pci_prepare_to_sleep" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x90a8f5fe, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdab75183, "component_del" },
	{ 0x779a4bdf, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a4d0883, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x306e3810, "acpi_find_child_by_adr" },
	{ 0x80549ffc, "of_graph_get_remote_port_parent" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xeed93e5, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf1a254ae, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x458d1dcd, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x54393443, "of_graph_get_endpoint_by_regs" },
	{ 0xb26ff44d, "__put_cred" },
	{ 0x460df6f0, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0xb7d0e4d0, "gen_pool_dma_alloc" },
	{ 0x49ac804d, "sysfs_notify" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xfc1c8ad9, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x80062a86, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa1b7c346, "device_reprobe" },
	{ 0x8791efd2, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0x6ff97a09, "of_get_next_child" },
	{ 0xd26bded7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x1bc6f865, "debugfs_lookup_and_remove" },
	{ 0x5cd418f3, "put_device" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xac1d6948, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xe0350a80, "phy_exit" },
	{ 0x41904cb8, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xef5d3dcf, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x233191b0, "_dev_info" },
	{ 0x62e67e7d, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xcfa81240, "device_wakeup_disable" },
	{ 0x4c983e14, "cdev_add" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5294dc35, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x74f87a2c, "sysfs_update_group" },
	{ 0x1d79c3b5, "sysfs_unmerge_group" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x2a3815a, "device_wakeup_enable" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf2c0ea9c, "bus_find_device" },
	{ 0xfb901f8c, "device_add" },
	{ 0xabdecbeb, "__of_parse_phandle_with_args" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x30e4f00, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1f6f9ce, "device_create" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0x2072fbf, "sysfs_merge_group" },
	{ 0xb2e5a266, "phy_notify_disconnect" },
	{ 0xbc7aa4f, "of_platform_device_destroy" },
	{ 0x919a323f, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7dc7cdd, "kernfs_find_and_get_ns" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa7e8545c, "phy_power_on" },
	{ 0xef382cd6, "no_seek_end_llseek" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0x48df7536, "of_find_property" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x52de1b70, "of_match_node" },
	{ 0x5152e605, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0xad75755b, "sysfs_remove_file_from_group" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x4a0be382, "of_device_is_available" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf1f615e3, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0xeda60a69, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x460e113d, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x2bc95bd4, "memset" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0x70f5d281, "unregister_acpi_bus_type" },
	{ 0x2c55921d, "device_match_devt" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93b378de, "pm_runtime_no_callbacks" },
	{ 0x8590593d, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6532ead9, "devm_gen_pool_create" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x30802e53, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x9e895483, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x25727679, "fwnode_find_reference" },
	{ 0xdbc71f27, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xea8e3d77, "pm_runtime_forbid" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x9d894d32, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x706c8561, "acpi_fetch_acpi_dev" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x6f47331e, "kernfs_put" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9322d788, "inode_set_ctime_current" },
	{ 0x5345da6, "__register_chrdev" },
	{ 0xf7070906, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x559be11e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0x779a94f3, "device_pm_wait_for_dev" },
	{ 0x3e4ad07b, "pci_disable_device" },
	{ 0xc4cf3796, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc013fa20, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0x180db697, "of_count_phandle_with_args" },
	{ 0x5d897dd7, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x3753abf6, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x4d682c23, "dev_pm_qos_add_request" },
	{ 0x960e4e00, "pm_runtime_barrier" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0x93716f6b, "usb_debug_root" },
	{ 0xf5ab4810, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x38a8d420, "page_address" },
	{ 0xed84398d, "set_primary_fwnode" },
	{ 0xebe17d38, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0xecf3e068, "phy_calibrate" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x4054c865, "_dev_printk" },
	{ 0xf08af366, "dev_pm_qos_expose_flags" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0xcc757040, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x9386956c, "device_link_add" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x29f3a126, "up_read" },
	{ 0x5c705e86, "driver_register" },
	{ 0xa9df7799, "put_pid" },
	{ 0x810cf51e, "class_register" },
	{ 0xc747ca27, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaff85ac4, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xceba4c43, "devm_of_phy_get_by_index" },
	{ 0x750d93d5, "cdev_del" },
	{ 0x69080f3, "device_remove_file" },
	{ 0x5791aca9, "bus_register" },
	{ 0x2c692a01, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x734edaa7, "phy_init" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usb-common");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "D8B619C34F5DE21B2BCACA4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
