#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ehci_handshake, "_gpl", "");
KSYMTAB_FUNC(ehci_reset, "_gpl", "");
KSYMTAB_FUNC(ehci_adjust_port_wakeup_flags, "_gpl", "");
KSYMTAB_FUNC(ehci_hub_control, "_gpl", "");
KSYMTAB_FUNC(ehci_setup, "_gpl", "");
KSYMTAB_FUNC(ehci_suspend, "_gpl", "");
KSYMTAB_FUNC(ehci_resume, "_gpl", "");
KSYMTAB_FUNC(ehci_init_driver, "_gpl", "");

SYMBOL_CRC(ehci_handshake, 0xc8811da4, "_gpl");
SYMBOL_CRC(ehci_reset, 0x076cb9b8, "_gpl");
SYMBOL_CRC(ehci_adjust_port_wakeup_flags, 0x94667aca, "_gpl");
SYMBOL_CRC(ehci_hub_control, 0xaf957d09, "_gpl");
SYMBOL_CRC(ehci_setup, 0xbce3861b, "_gpl");
SYMBOL_CRC(ehci_suspend, 0x4ebbb072, "_gpl");
SYMBOL_CRC(ehci_resume, 0xdde45005, "_gpl");
SYMBOL_CRC(ehci_init_driver, 0x502b668e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60886057, "usb_hub_clear_tt_buffer" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x840de720, "usb_hcd_unlink_urb_from_ep" },
	{ 0xae9f989d, "usb_hcd_giveback_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x233191b0, "_dev_info" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x999e8297, "vfree" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x70f7896, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x93716f6b, "usb_debug_root" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x16f47062, "__platform_register_drivers" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x4667727e, "platform_unregister_drivers" },
	{ 0xe61ad8a5, "usb_hcd_resume_root_hub" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd0d8621b, "strlen" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x73b14cbf, "dma_free_attrs" },
	{ 0xe78f0ed3, "pci_bus_type" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xdf1882af, "dbgp_reset_prep" },
	{ 0x6527a231, "dbgp_external_startup" },
	{ 0x69080f3, "device_remove_file" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x82618415, "ehci_cf_port_reset_rwsem" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x7d8664aa, "device_create_file" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x56470118, "__warn_printk" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xfe9c5507, "usb_hcd_check_unlink_urb" },
	{ 0xfd04c9ea, "usb_root_hub_lost_power" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x738803e6, "strnlen" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x2e60bace, "memcpy" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x8d50ca12, "dma_pool_create" },
	{ 0xc2750306, "dma_alloc_attrs" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1e40ab52, "usb_hc_died" },
	{ 0x5fc7e123, "usb_hcd_start_port_resume" },
	{ 0xfb4f904, "usb_hcd_poll_rh_status" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb5b736d2, "usb_hcd_link_urb_to_ep" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0xa36f3b32, "usb_hcd_end_port_resume" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6273238e, "usb_for_each_dev" },
	{ 0xd09ef6ae, "default_llseek" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "FCF5E8C53D9EC52844857C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
