#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x314c396f, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc7fe6429, "kthread_queue_work" },
	{ 0x9a3b659b, "typec_unregister_altmode" },
	{ 0xe23332a6, "typec_get_drvdata" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x989ee940, "typec_register_partner" },
	{ 0xa0caf195, "typec_partner_set_usb_power_delivery" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x93716f6b, "usb_debug_root" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x87f76909, "single_open" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xdbb12849, "usb_power_delivery_unregister_capabilities" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x53322a3a, "usb_power_delivery_unregister" },
	{ 0x8b7ffc79, "power_supply_get_drvdata" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0x13e1dabc, "typec_get_negotiated_svdm_version" },
	{ 0x67d4b8c1, "typec_get_cable_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4d1e9061, "typec_partner_register_altmode" },
	{ 0xbab83306, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x27aa9a62, "typec_set_mode" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x71725993, "typec_set_data_role" },
	{ 0xdf20ed44, "typec_set_pwr_role" },
	{ 0x3cb0953c, "typec_set_vconn_role" },
	{ 0x67e9215, "power_supply_changed" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfb9fb070, "typec_unregister_plug" },
	{ 0x69c972f0, "typec_unregister_cable" },
	{ 0xa999d3e1, "typec_unregister_partner" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x75008147, "kthread_create_worker" },
	{ 0xdc5c8aad, "sched_set_fifo" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x10bf4660, "fw_devlink_purge_absent_suppliers" },
	{ 0x4ddfc475, "typec_get_fw_cap" },
	{ 0x64e7b221, "fwnode_property_present" },
	{ 0xfa738121, "fwnode_get_named_child_node" },
	{ 0xb70354d2, "fwnode_get_next_child_node" },
	{ 0xbd8839ee, "fwnode_property_read_u32_array" },
	{ 0x37a0cba, "kfree" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0xae94196f, "kthread_destroy_worker" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0xe3f98572, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x77398c34, "usb_role_switch_get" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0xa4f7f810, "devm_power_supply_register" },
	{ 0x3e43b948, "usb_power_delivery_register" },
	{ 0x3419de15, "usb_power_delivery_register_capabilities" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x44481c55, "fwnode_usb_role_switch_get" },
	{ 0xcc8afda, "typec_register_port" },
	{ 0x63a41ff0, "typec_port_register_altmodes" },
	{ 0xb210c582, "typec_port_register_cable_ops" },
	{ 0x122ab0bf, "typec_unregister_port" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfe7c0594, "typec_port_set_usb_power_delivery" },
	{ 0x5489a560, "typec_match_altmode" },
	{ 0xa49c44e3, "typec_altmode_vdm" },
	{ 0xb783ce97, "typec_altmode_update_active" },
	{ 0xb8644f12, "typec_cable_altmode_vdm" },
	{ 0xb85abab3, "typec_cable_set_svdm_version" },
	{ 0x42e0a657, "typec_altmode_notify" },
	{ 0x8ea03177, "typec_altmode_attention" },
	{ 0xc063a38c, "typec_partner_set_identity" },
	{ 0x3aafe5c2, "typec_partner_set_svdm_version" },
	{ 0x544e702d, "typec_register_cable" },
	{ 0x8f16075, "typec_cable_set_identity" },
	{ 0x6effb6f0, "typec_register_plug" },
	{ 0x822a39aa, "typec_plug_set_num_altmodes" },
	{ 0xbd331a4b, "typec_plug_register_altmode" },
	{ 0xd0fa0a77, "typec_cable_is_active" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x3db80a2d, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x47be806a, "single_release" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "typec,usb-common,roles");


MODULE_INFO(srcversion, "AC3384D8EED0440A6FD8939");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
