#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x724aa123, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xe83a8a39, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xe9d1ea83, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x638f046c, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xe3c44dca, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0xf532628c, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xee4a59ac, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x731667a6, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x2bf773e1, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xc9008d29, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xccf59bb1, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x5c345a2f, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0x3b3baf97, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x3c71104c, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x497c2618, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x2aa0e6c1, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x51e0c1d0, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x93899960, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xfb5abe85, "");
SYMBOL_CRC(vhost_chr_poll, 0x914cd2bd, "");
SYMBOL_CRC(vhost_chr_read_iter, 0xadec13ea, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xa6cad0c8, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x39026d4d, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xa88d6e4c, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x3dfb9322, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xb197e3df, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xf766bc15, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x971d7d09, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x0a4612cb, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x84f9cf9c, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x4eb33f17, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xbc167cb0, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xc3f40994, "_gpl");
SYMBOL_CRC(vhost_signal, 0xfe338cd1, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x51565f5b, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xdd42af0c, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x26a4b3fb, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0xba82c984, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x76417cb1, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xdab56341, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0xf04239db, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0xffee0285, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x495bd3d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa6257a2f, "complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2796a6d2, "mmput" },
	{ 0x2e585f20, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x278db0bf, "__kmap_local_page_prot" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x8003f833, "unpin_user_pages_dirty_lock" },
	{ 0x645f32e6, "pin_user_pages_fast" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x58e274d9, "fput" },
	{ 0x745a981, "xa_erase" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5f8b09b, "iov_iter_init" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x250fba59, "_copy_to_iter" },
	{ 0x65e047bb, "__copy_user_ll" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x84124a16, "get_task_mm" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4292364c, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2c819d56, "eventfd_fget" },
	{ 0x2fb38e3a, "iov_iter_advance" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x42918c8d, "param_ops_ushort" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "EEA0F6DBC2C7DD4874C288A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
