#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x1bfba802, "");
SYMBOL_CRC(w1_remove_master_device, 0x5bbb68ae, "");
SYMBOL_CRC(w1_register_family, 0xa0e939a5, "");
SYMBOL_CRC(w1_unregister_family, 0x8ee6679f, "");
SYMBOL_CRC(w1_touch_bit, 0x8fa9b067, "_gpl");
SYMBOL_CRC(w1_write_8, 0x0f4e610c, "_gpl");
SYMBOL_CRC(w1_triplet, 0x36853614, "_gpl");
SYMBOL_CRC(w1_read_8, 0x9b8cbdd8, "_gpl");
SYMBOL_CRC(w1_write_block, 0x01690f72, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x84fcb95b, "_gpl");
SYMBOL_CRC(w1_read_block, 0xbb477ed9, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x4d3cc688, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0x6477f6a7, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x6a60c243, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x982dc3e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x975d3241, "of_node_put" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x5b7d6115, "sysfs_remove_groups" },
	{ 0xa0aefa1e, "sysfs_create_groups" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x64c7233d, "cn_netlink_send_mult" },
	{ 0x5cd418f3, "put_device" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x233191b0, "_dev_info" },
	{ 0x3817bf2b, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x294e8fab, "bus_unregister" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6261fb86, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa0a446f, "driver_unregister" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xf1f615e3, "device_register" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0x76669a9c, "hwmon_device_unregister" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x42d7f781, "of_find_matching_node_and_match" },
	{ 0x5c705e86, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2134b96, "cn_add_callback" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5791aca9, "bus_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "356F96E0613B339AC1472F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
