#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x2b2309d2, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xcb871398, "");
SYMBOL_CRC(ax25_linkfail_release, 0x07d6ff60, "");
SYMBOL_CRC(ax25_listen_register, 0x34e6cdd4, "");
SYMBOL_CRC(ax25_listen_release, 0x28f96402, "");
SYMBOL_CRC(ax25_header_ops, 0x8a73754f, "");
SYMBOL_CRC(ax25_ip_xmit, 0x1c8570fc, "");
SYMBOL_CRC(ax25_send_frame, 0x50985598, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x8d4a3eb5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb23deca, "security_sock_graft" },
	{ 0x3f43fb2e, "skb_free_datagram" },
	{ 0xfebeec5, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x42437fb, "skb_put" },
	{ 0x49a1f7db, "skb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x635643b7, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x9cd4f1ee, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x546bdd75, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0x4292364c, "schedule" },
	{ 0xa4b08f62, "sock_register" },
	{ 0x3dae5640, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x60f20f70, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x99000b37, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xa73f8da5, "init_net" },
	{ 0x268386c1, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdd9b1433, "dev_remove_pack" },
	{ 0x72e831a0, "sk_free" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd373900e, "__skb_wait_for_more_packets" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x52b6e065, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0x867ed269, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x80def702, "sock_rfree" },
	{ 0xffa6a0b5, "sock_i_ino" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0xe703d966, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xbeef0582, "sock_alloc_send_pskb" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4c090ec6, "sock_gettstamp" },
	{ 0xac2d311e, "send_sig" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x1b3e62f3, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x9610ab28, "release_sock" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6812E472115690AF9E3BBFF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
