#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x4c158662, "");
SYMBOL_CRC(bt_sock_register, 0x8de2aa5f, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x76a25b06, "");
SYMBOL_CRC(bt_sock_link, 0x640400c9, "");
SYMBOL_CRC(bt_sock_unlink, 0x92bfea7e, "");
SYMBOL_CRC(bt_sock_linked, 0xc580a360, "");
SYMBOL_CRC(bt_accept_enqueue, 0xbbf51f6b, "");
SYMBOL_CRC(bt_accept_unlink, 0xaf424508, "");
SYMBOL_CRC(bt_accept_dequeue, 0x6a41b977, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x11e1c7cb, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x3552ef53, "");
SYMBOL_CRC(bt_sock_poll, 0x96a6ad3b, "");
SYMBOL_CRC(bt_sock_ioctl, 0xd1a6eca4, "");
SYMBOL_CRC(bt_sock_wait_state, 0xfb48b166, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x9ac190d3, "");
SYMBOL_CRC(bt_procfs_init, 0xa21afd2a, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x8a77eefe, "");
SYMBOL_CRC(bt_debugfs, 0x800db059, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xd807b99e, "");
SYMBOL_CRC(hci_free_dev, 0x3b23e7f4, "");
SYMBOL_CRC(hci_register_dev, 0x5d4464f9, "");
SYMBOL_CRC(hci_unregister_dev, 0x7bb45ca3, "");
SYMBOL_CRC(hci_release_dev, 0x622812c0, "");
SYMBOL_CRC(hci_suspend_dev, 0x9701d4fe, "");
SYMBOL_CRC(hci_resume_dev, 0x6f6eeb18, "");
SYMBOL_CRC(hci_reset_dev, 0x7578fd30, "");
SYMBOL_CRC(hci_recv_frame, 0xdef9ed99, "");
SYMBOL_CRC(hci_recv_diag, 0xc33a0a43, "");
SYMBOL_CRC(hci_set_hw_info, 0xcdad9890, "");
SYMBOL_CRC(hci_set_fw_info, 0xf67dde47, "");
SYMBOL_CRC(hci_register_cb, 0x0374ddd7, "");
SYMBOL_CRC(hci_unregister_cb, 0x6499fe80, "");
SYMBOL_CRC(__hci_cmd_send, 0x13f607bc, "");
SYMBOL_CRC(hci_get_route, 0xf1e0a7f5, "");
SYMBOL_CRC(hci_conn_security, 0xa448fa9b, "");
SYMBOL_CRC(hci_conn_check_secure, 0x49e3dcb7, "");
SYMBOL_CRC(hci_conn_switch_role, 0xa39d2bdb, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xd4b863a0, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x4d375dbe, "");
SYMBOL_CRC(l2cap_add_psm, 0x19c57b12, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xed407fa3, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xc9b9c997, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x947b8eb9, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xd351e734, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x71ffba9b, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xdd061d85, "");
SYMBOL_CRC(l2cap_register_user, 0x6d09ebf9, "");
SYMBOL_CRC(l2cap_unregister_user, 0x1ca2c992, "");
SYMBOL_CRC(l2cap_conn_get, 0x216c2091, "");
SYMBOL_CRC(l2cap_conn_put, 0xbd421894, "");
SYMBOL_CRC(l2cap_chan_send, 0x11522591, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x51b42e5c, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xf6a21663, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xfae5b3b9, "");
SYMBOL_CRC(__hci_cmd_sync, 0x54a782a6, "");
SYMBOL_CRC(hci_cmd_sync, 0x38a4dce4, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x56b3fae2, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xe941941d, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x28ab1f7a, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x82af01c3, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x70f0d8c1, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x80334edc, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xc4836f0d, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xc2daf2af, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x69c93437, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x6218ee5d, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x7dde21ea, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xa687cb70, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xbf5bf971, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x9aaa530b, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0xb5705ca7, "");
SYMBOL_CRC(hci_devcd_rx, 0xb4870d75, "");
SYMBOL_CRC(hci_devcd_timeout, 0x32c9a10c, "");
SYMBOL_CRC(hci_devcd_register, 0x913d23e0, "");
SYMBOL_CRC(hci_devcd_init, 0xf44c6eb9, "");
SYMBOL_CRC(hci_devcd_append, 0x9043f1a7, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xe4f7da4e, "");
SYMBOL_CRC(hci_devcd_complete, 0xafbaf2ed, "");
SYMBOL_CRC(hci_devcd_abort, 0x6bb68b81, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb23deca, "security_sock_graft" },
	{ 0x3f43fb2e, "skb_free_datagram" },
	{ 0xfebeec5, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x34e3e086, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x41f5baa4, "scm_detach_fds" },
	{ 0x4f761a0f, "crypto_shash_tfm_digest" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xcfd01626, "device_unregister" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xf57186e5, "led_trigger_register_simple" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7b6615aa, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xdd3bd14, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe86a4b6f, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe62cdb0e, "memcpy_and_pad" },
	{ 0x7bce4cd6, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb241889d, "__module_get" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xe74f1d04, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb26ff44d, "__put_cred" },
	{ 0x81b7d123, "put_cmsg" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x2132ad41, "disable_delayed_work" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0x84f7f03e, "disable_work_sync" },
	{ 0xc898d0cb, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa4b08f62, "sock_register" },
	{ 0x3dae5640, "datagram_poll" },
	{ 0xdc5e7872, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x99000b37, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xcd68f25, "__sock_recv_timestamp" },
	{ 0xb2116460, "sock_no_shutdown" },
	{ 0xf5782c32, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xff09e5e, "crypto_shash_setkey" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfb901f8c, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x30e4f00, "init_uts_ns" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x72e831a0, "sk_free" },
	{ 0x73569984, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xa3eef689, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x3f09ce0, "sock_no_listen" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xc5f3022, "seq_putc" },
	{ 0xf102732a, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb4aed478, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x4da15551, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0x2f7452dc, "rfkill_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0xeda60a69, "device_del" },
	{ 0x438c8873, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x43f6b05, "__sock_recv_wifi_status" },
	{ 0x5ce076be, "from_kuid" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3aa8bc45, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4ccf42f0, "security_sk_clone" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x794892af, "__scm_destroy" },
	{ 0x8c9e2295, "from_kgid_munged" },
	{ 0x4c6b4c3, "__crypto_memneq" },
	{ 0x754c52f1, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xd60b69ad, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0xffa6a0b5, "sock_i_ino" },
	{ 0x3bba5d1f, "debugfs_create_file" },
	{ 0x73586902, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9709dbc5, "current_work" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xd5fdb172, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x7a0fd3e5, "skb_recv_datagram" },
	{ 0xbeef0582, "sock_alloc_send_pskb" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf11d8a82, "led_set_brightness" },
	{ 0x7b4646bf, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4c090ec6, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x24098d7e, "pid_vnr" },
	{ 0xafbea04a, "disable_delayed_work_sync" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0x82371dfe, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1b3e62f3, "proc_create_seq_private" },
	{ 0x87f76909, "single_open" },
	{ 0x6048a9ab, "crypto_alloc_shash" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xa8ee76d5, "fwnode_property_read_u8_array" },
	{ 0xa9df7799, "put_pid" },
	{ 0x810cf51e, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3070553, "__dev_fwnode" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9610ab28, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0x92b57248, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "715DDEA55D1BF5902A69103");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
