#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x4502953d, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xb67669e8, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xc69cfad1, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xa6f3e369, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x7db4252a, "_gpl");
SYMBOL_CRC(br_forward, 0x5d8ae794, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xf8978068, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x93eb3e6b, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x77ff0607, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x938a649c, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xf70103dc, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xa6d2ff83, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xaa0f6555, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x90655f12, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x6b6affea, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x60f1a726, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xf24aa6f6, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x3f03d640, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xf3fbbedb, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x2d1cab82, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xd0738ab2, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x8c07c969, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x5d091172, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x34024226, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xa8b34de0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc87bf02, "netdev_lower_get_next" },
	{ 0x952cf908, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x69158941, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x6e60e3e2, "__nlmsg_put" },
	{ 0xec81f9ae, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7853077e, "ipv6_mc_check_mld" },
	{ 0x42437fb, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc0305f8c, "call_switchdev_notifiers" },
	{ 0x25407c37, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbe007106, "netdev_update_features" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4a105af7, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x2ca71b50, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2a2c2862, "netpoll_send_skb" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x24550fd6, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1d9b38d9, "switchdev_port_obj_act_is_deferred" },
	{ 0x88bd8b4b, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x10d7f7ec, "dev_set_promiscuity" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd008d304, "netdev_state_change" },
	{ 0xe74f1d04, "__pskb_copy_fclone" },
	{ 0x546bdd75, "__dev_get_by_name" },
	{ 0x69440d3d, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x1f6aef23, "brioctl_set" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xe89c2560, "arp_xmit" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0xacfc94a8, "passthru_features_check" },
	{ 0x41037a1b, "nla_put_nohdr" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x46c90deb, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6fc93bf3, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x2b50aec8, "rtnl_set_sk_err" },
	{ 0xf762cb7e, "skb_vlan_pop" },
	{ 0x21cdc067, "rtnl_unicast" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe9f2c790, "ipv6_dev_get_saddr" },
	{ 0x49f26466, "kstrndup" },
	{ 0x31f603d8, "nla_reserve_64bit" },
	{ 0x93f39fb7, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xf4828e2d, "dev_get_port_parent_id" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc0fe6f50, "ipv6_stub" },
	{ 0xf3cb90f2, "inet_confirm_addr" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0xeb382a75, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd755aab4, "rtnl_af_unregister" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb6ff332, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x6d6ad00c, "dev_get_by_index_rcu" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x81ef8001, "skb_push" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x19a0423d, "br_fdb_test_addr_hook" },
	{ 0xfc586f70, "ndo_dflt_fdb_dump" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x5be3ef5e, "netdev_upper_dev_unlink" },
	{ 0xf9c74a64, "netif_receive_skb" },
	{ 0x2587c463, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc775e9d9, "llc_mac_hdr_init" },
	{ 0xe00718c9, "__rtnl_register_many" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xfe0b561, "kobject_init_and_add" },
	{ 0xf759ea6c, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x25aa683d, "ns_capable" },
	{ 0xb28530f8, "inet_select_addr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xeafcc651, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d0488e6, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xe5eea98a, "arp_create" },
	{ 0xc9ea9cd6, "__ethtool_get_link_ksettings" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc040b943, "stp_proto_register" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0xcf04bac8, "sysfs_rename_link_ns" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x33e5139d, "switchdev_port_obj_add" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0xf5e4e127, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x867ed269, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0xfdf87b53, "ip_mc_check_igmp" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0xdefacfd, "switchdev_port_obj_del" },
	{ 0x2be75be2, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf9664454, "kobject_create_and_add" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x4112804, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc456eba8, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa178937, "__ip_mc_inc_group" },
	{ 0xe9d1ba6f, "netdev_walk_all_upper_dev_rcu" },
	{ 0x908cc7a5, "sysfs_remove_group" },
	{ 0x21bea7cb, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x10564c25, "__netpoll_setup" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc5767df2, "vlan_vid_add" },
	{ 0xb7930a7d, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x3785249a, "kobject_del" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x88ce403f, "call_netdevice_notifiers" },
	{ 0xe1d41f28, "is_skb_forwardable" },
	{ 0x31878f8a, "vlan_vid_del" },
	{ 0xaa82af3c, "dev_set_allmulti" },
	{ 0xe3a5498c, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x44547e1f, "netdev_master_upper_dev_get" },
	{ 0x1fbd25d9, "ipv6_dev_mc_inc" },
	{ 0xfb4b6efe, "rtnl_notify" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8413dde, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x429fa7c, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xe42ac889, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x60d8cf03, "netif_carrier_on" },
	{ 0x5c0df41, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7da46ce7, "arp_tbl" },
	{ 0xd0c38965, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd7dccd2d, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8eb07bcd, "dev_uc_add" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x3116ef8a, "netif_set_tso_max_size" },
	{ 0x30ecc5a9, "dev_disable_lro" },
	{ 0x634724a3, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2bb94f1f, "dev_get_flags" },
	{ 0x97267d13, "__rtnl_unregister_many" },
	{ 0xd0d8621b, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x2d4ff6b3, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdc7596b6, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xdbff4892, "nf_queue" },
	{ 0x7659b8df, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf5837c2, "skb_ext_add" },
	{ 0xbcec47b4, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x109ea4e5, "stp_proto_unregister" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xbba307ce, "neigh_lookup" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xe65a9b9d, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53a49344, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "AF8C4DF197285CB6DA398E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
