#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xc5516074, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x8d21fab7, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x51b779f1, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x1fe515d4, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xfc9d2a65, "_gpl");
SYMBOL_CRC(dccp_check_req, 0xbf8fed75, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x0a8673c6, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xd6191c9d, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x08b0d440, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xbe5189f4, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x519e335f, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x71a839d6, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x9174e375, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x9c8bd3d5, "_gpl");
SYMBOL_CRC(dccp_connect, 0x22e9c0fc, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x7db0015e, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x5d3d2444, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x440b178b, "_gpl");
SYMBOL_CRC(dccp_done, 0x6dbcfd2b, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xb9b1f1a3, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x82cb00dd, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xdab56f47, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x213abcff, "_gpl");
SYMBOL_CRC(dccp_poll, 0x3dde0935, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x0432d3df, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x5a1bceae, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x89feefbb, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xeee7077d, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xb0b1e6cc, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xd933c310, "_gpl");
SYMBOL_CRC(dccp_close, 0x19d8a6f8, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x3e6fa70b, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x17905b49, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x32d4d2cc, "sock_wmalloc" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x614128e3, "__kmalloc_node_track_caller_noprof" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x327b3f4b, "proc_dointvec_ms_jiffies" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5bc99fc9, "inet_csk_clear_xmit_timers" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xf9313341, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec02d0cb, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0x8112e6ce, "inet_sock_destruct" },
	{ 0xa83227ac, "inet_put_port" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0x3495015d, "inet_csk_init_xmit_timers" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xcebe3452, "sk_reset_timer" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x72a7175b, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe55a81db, "ip6_mtu" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x72e831a0, "sk_free" },
	{ 0xab76fd5b, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x81ef8001, "skb_push" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0x130c0f56, "tcp_stream_memory_free" },
	{ 0x4b3c6f18, "skb_checksum" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc1541b9f, "sk_wait_data" },
	{ 0xbac1e825, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2796b6a, "inet_twsk_hashdance_schedule" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0xd60b69ad, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd29ed934, "inet_csk_listen_start" },
	{ 0x94093242, "sk_free_unlock_clone" },
	{ 0x80def702, "sock_rfree" },
	{ 0x3284773a, "ipv4_mtu" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xe703d966, "skb_set_owner_w" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xbeef0582, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0x77f201f6, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0xa611998e, "sk_stream_wait_connect" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xabe3adf2, "inet_csk_destroy_sock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x5e3899a6, "sk_stop_timer" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0x62f8bf15, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xbb822548, "inet_csk_listen_stop" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x9e477615, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x647f3bb0, "inet_csk_complete_hashdance" },
	{ 0x9610ab28, "release_sock" },
	{ 0xc32cc0e0, "inet_csk_reqsk_queue_drop" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C4A0F686D56AE1D6DAE0AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
