#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x0ad129f4, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x62050f77, "");
SYMBOL_CRC(dccp_v4_send_check, 0x1ba269bf, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x3ac0217e, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x84ef5938, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x3bfc51b2, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x88f94ce8, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x88a33b9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556a108a, "__inet_lookup_established" },
	{ 0x17905b49, "inet_bhash2_reset_saddr" },
	{ 0x4bc6975f, "inet_csk_addr2sockaddr" },
	{ 0x4cac3ae1, "inet_unregister_protosw" },
	{ 0x146f71be, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3e6fa70b, "dccp_shutdown" },
	{ 0x7ab1ccc, "inet_bhash2_update_saddr" },
	{ 0x22e9c0fc, "dccp_connect" },
	{ 0x1fe515d4, "dccp_rcv_state_process" },
	{ 0xd6191c9d, "dccp_reqsk_send_ack" },
	{ 0x231ca68c, "inet_lookup_reuseport" },
	{ 0xc8ec569e, "__inet_lookup_listener" },
	{ 0xd2eaee01, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5e772f6, "sock_common_getsockopt" },
	{ 0x4989407a, "inet_bind" },
	{ 0xd62114e8, "__inet_inherit_port" },
	{ 0xd933c310, "inet_dccp_listen" },
	{ 0xab582e9, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xafee3515, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xffaed179, "__xfrm_policy_check" },
	{ 0x28c296a, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xe92fc742, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec02d0cb, "sk_error_report" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x4687d54d, "inet_ehash_nolisten" },
	{ 0x70f7896, "_printk" },
	{ 0x269cf5c5, "inet_getname" },
	{ 0xf9a010cc, "inet_stream_connect" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0x8bd7023c, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa1f6aa58, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x6dbcfd2b, "dccp_done" },
	{ 0xd35367ed, "inet_release" },
	{ 0x866bed37, "__sk_dst_check" },
	{ 0x213abcff, "dccp_disconnect" },
	{ 0x60723204, "ip_route_output_key_hash" },
	{ 0x99000b37, "proto_register" },
	{ 0x595290f6, "inet_hash" },
	{ 0x253e3812, "__sk_receive_skb" },
	{ 0x3dde0935, "dccp_poll" },
	{ 0x6a2516df, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x9da0766a, "inet_csk_get_port" },
	{ 0x17556a7e, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xc96d76e2, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xe3af3fcd, "inet_accept" },
	{ 0x71a839d6, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe55a81db, "ip6_mtu" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xee31c77c, "inet_add_protocol" },
	{ 0xf457e418, "inet_shutdown" },
	{ 0x72e831a0, "sk_free" },
	{ 0x19d8a6f8, "dccp_close" },
	{ 0x8b0d440, "dccp_reqsk_init" },
	{ 0xd054793b, "inet_hash_connect" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0xb1aeff65, "inet_csk_route_child_sock" },
	{ 0x8179d0a, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x67d72dcd, "security_sk_classify_flow" },
	{ 0x54b899a4, "inet_csk_update_pmtu" },
	{ 0x89feefbb, "dccp_getsockopt" },
	{ 0xbe5189f4, "dccp_parse_options" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0x4b3c6f18, "skb_checksum" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0xa8673c6, "dccp_child_process" },
	{ 0xa89af8c9, "sock_common_recvmsg" },
	{ 0x5a1bceae, "dccp_setsockopt" },
	{ 0x432d3df, "dccp_ioctl" },
	{ 0xe4dbac69, "inet_sk_rebuild_header" },
	{ 0x3e7874, "inet_del_protocol" },
	{ 0x3284773a, "ipv4_mtu" },
	{ 0xb0b1e6cc, "dccp_recvmsg" },
	{ 0x430b843d, "inet_sendmsg" },
	{ 0xbf8fed75, "dccp_check_req" },
	{ 0xfc9d2a65, "dccp_create_openreq_child" },
	{ 0x71183691, "inet_csk_prepare_forced_close" },
	{ 0x368ee068, "security_skb_classify_flow" },
	{ 0x9cbfbc6a, "sock_pfree" },
	{ 0x51b779f1, "dccp_rcv_established" },
	{ 0x5d3d2444, "dccp_send_sync" },
	{ 0xb9aac278, "dst_release" },
	{ 0x258136f4, "sock_release" },
	{ 0x9174e375, "dccp_make_response" },
	{ 0xdab56f47, "dccp_destroy_sock" },
	{ 0x9c8bd3d5, "dccp_ctl_make_reset" },
	{ 0x4c090ec6, "sock_gettstamp" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd9caa4b2, "sk_setup_caps" },
	{ 0x63450496, "ip_build_and_send_pkt" },
	{ 0xeee7077d, "dccp_sendmsg" },
	{ 0x9ff8720e, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x5866a14f, "inet_twsk_put" },
	{ 0x4a9af770, "inet_unhash" },
	{ 0x3522400f, "ip_getsockopt" },
	{ 0x440b178b, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x82cb00dd, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xc32cc0e0, "inet_csk_reqsk_queue_drop" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
