#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x116e9797, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x30e0bbcc, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x52dffed3, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x6bb730e7, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x162ee5b1, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x4f7acf9b, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xbd3cab2e, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xc88491ca, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x6f9b868f, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x7ee46140, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x60a2b10d, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x8b562a46, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e077dfd, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x32a2b6a1, "ipv6_chk_addr_and_flags" },
	{ 0x6d6ad00c, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x70f7896, "_printk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0xb02070f9, "xfrm6_tunnel_register" },
	{ 0xfd8bd239, "rtnl_link_register" },
	{ 0xe7b4a406, "xfrm6_tunnel_deregister" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2587c463, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0x4668fd34, "dev_addr_mod" },
	{ 0x7e2bdf11, "rt6_lookup" },
	{ 0xb9aac278, "dst_release" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe71d3c9f, "gro_cells_init" },
	{ 0x5f5abcc2, "ip_tunnel_header_ops" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xef710841, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xa73f8da5, "init_net" },
	{ 0xa2ff443, "alloc_netdev_mqs" },
	{ 0x446e3761, "register_netdev" },
	{ 0x738803e6, "strnlen" },
	{ 0xeecfad34, "free_netdev" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x53a49344, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xd008d304, "netdev_state_change" },
	{ 0x25aa683d, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x60f20f70, "make_kuid" },
	{ 0xb0124104, "ip6_redirect" },
	{ 0xaa77a2c3, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x112b49cf, "ip6_route_output_flags" },
	{ 0x21d5b0ee, "xfrm_lookup" },
	{ 0xe55a81db, "ip6_mtu" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x967a2742, "skb_scrub_packet" },
	{ 0xcf60af47, "skb_realloc_headroom" },
	{ 0xe703d966, "skb_set_owner_w" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xac9d5d71, "ipv6_push_frag_opts" },
	{ 0x81ef8001, "skb_push" },
	{ 0x97cb03ab, "ip6_local_out" },
	{ 0x1b435161, "dst_cache_get" },
	{ 0x4d69622c, "dst_cache_set_ip6" },
	{ 0xe9f2c790, "ipv6_dev_get_saddr" },
	{ 0xc88e1a93, "ip6_dst_hoplimit" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3284773a, "ipv4_mtu" },
	{ 0xb7930a7d, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4f9508d2, "iptunnel_handle_offloads" },
	{ 0x153d1cb7, "icmpv6_ndo_send" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xd2b9719a, "icmp_ndo_send" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0x268386c1, "skb_pull" },
	{ 0x8184e256, "icmp6_send" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0x2df0ba2c, "ip_route_input_noref" },
	{ 0x86d57b0e, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1e7f9b1a, "gro_cells_receive" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x5e4a8896, "__iptunnel_pull_header" },
	{ 0xe42ac889, "metadata_dst_alloc" },
	{ 0xffaed179, "__xfrm_policy_check" },
	{ 0xf5e4e127, "dev_get_tstats64" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5BF1C9B57E9962596A53A7A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
