#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xa28d3140, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x831a7635, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0xd2317456, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xe18823f2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0xc9e0383b, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xca3bbbed, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x41e20812, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xc9d372da, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xe89c8a81, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xa14ccb55, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x3ef812d0, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x1e3c2296, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xab8fd5cc, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x06a59d66, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xeeba58b5, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x902adfd7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x0ef22a95, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xcec07774, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x5e384bf1, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xd7084bbd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xec02d0cb, "sk_error_report" },
	{ 0xbf652cde, "ip_icmp_error" },
	{ 0x81748da6, "ipv6_icmp_error" },
	{ 0x70f7896, "_printk" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4ddb3371, "sock_create_kern" },
	{ 0xd7485633, "kernel_bind" },
	{ 0xcc05514f, "udp_sock_create6" },
	{ 0x44d04524, "kernel_sock_shutdown" },
	{ 0x258136f4, "sock_release" },
	{ 0xaaaf2b74, "kernel_connect" },
	{ 0x4a7e5cdd, "udp_sock_create4" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x2e60bace, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x72e831a0, "sk_free" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xa20c768f, "udp_set_csum" },
	{ 0x146f71be, "ip_queue_xmit" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xced42472, "udp6_set_csum" },
	{ 0xd556fb24, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb9aac278, "dst_release" },
	{ 0xd2676d59, "sockfd_lookup" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x9610ab28, "release_sock" },
	{ 0x58e274d9, "fput" },
	{ 0x2676cf70, "setup_udp_tunnel_sock" },
	{ 0x5152e605, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "DED7F0743002865D2427A3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
