#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x2f1ed213, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x4e0558d0, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x91d4bb01, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x8cdf0d8f, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x6bba37e1, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x83a47b1a, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xdd4791cb, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x42cff869, "");
SYMBOL_CRC(ip_vs_conn_put, 0x2218d3e3, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x47e11ac3, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xc4efdb37, "");
SYMBOL_CRC(register_ip_vs_app, 0xf174f6f4, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x57b6b97e, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x7ad859c9, "");
SYMBOL_CRC(ip_vs_proto_get, 0x5254e519, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xf96e23bf, "");
SYMBOL_CRC(register_ip_vs_pe, 0xd27a18d7, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xb7d5268a, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x5ba85129, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x796f2f43, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xfbdc3fde, "nf_conntrack_find_get" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xee893adc, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8184e256, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x21d5b0ee, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8f924adf, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x52d4e744, "housekeeping_cpumask" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x97cb03ab, "ip6_local_out" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x9a513145, "ip_output" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x28433775, "nf_register_sockopt" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbd1215cf, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd7485633, "kernel_bind" },
	{ 0xb3871a2e, "set_user_nice" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0xa20c768f, "udp_set_csum" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa343714c, "ip6_output" },
	{ 0xfd62330c, "ip6_route_me_harder" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb241889d, "__module_get" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0x4f9508d2, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x546bdd75, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xf215bdb4, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x5df1fb12, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xcd06f6bf, "nf_register_net_hooks" },
	{ 0x112b49cf, "ip6_route_output_flags" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xad33f67e, "ipv6_sock_mc_join" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xe9f2c790, "ipv6_dev_get_saddr" },
	{ 0xc44d5504, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe55a81db, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1a828259, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x85159b68, "ip_route_me_harder" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0xab9373c8, "set_cpus_allowed_ptr" },
	{ 0xc5f3022, "seq_putc" },
	{ 0x2587c463, "nla_put" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0xdf676c79, "nf_ct_expect_alloc" },
	{ 0x1d49163f, "skb_ensure_writable" },
	{ 0xb4aed478, "iov_iter_kvec" },
	{ 0x42293ea8, "ip_mc_join_group" },
	{ 0x8155d5ec, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x25aa683d, "ns_capable" },
	{ 0x38c8eb7e, "nf_unregister_net_hooks" },
	{ 0xb28530f8, "inet_select_addr" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0xe284bd5a, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7019ee8d, "__nf_conntrack_confirm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xaaaf2b74, "kernel_connect" },
	{ 0x4b3c6f18, "skb_checksum" },
	{ 0x60a71a9b, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x5412741f, "nf_ct_delete" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x4112804, "nf_hook_slow" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x901bd7a, "nf_ct_deliver_cached_events" },
	{ 0xcf60af47, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1bf2053b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x86d57b0e, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3284773a, "ipv4_mtu" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xe703d966, "skb_set_owner_w" },
	{ 0x1279649b, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x4ddb3371, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x36710792, "init_user_ns" },
	{ 0x6be00518, "nf_ct_expect_init" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x788a4ee7, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x6a069c0c, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc426a3f2, "ipv4_update_pmtu" },
	{ 0x34ee358b, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x258136f4, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0xba6dd750, "ip_local_out" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0xced42472, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab404fdf, "kernel_sendmsg" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x9f3e09f2, "nf_ct_netns_put" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x9610ab28, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "1E9D6D0F67CB00A5990043E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
