#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x3e3310be, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x2b34f658, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x596f7012, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xb8ae54b3, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xb97694bd, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x97edaed9, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x4018a0e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2aa0e4fc, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd0d8621b, "strlen" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x1210ceb, "nf_ct_helper_init" },
	{ 0xff96ae07, "nf_conntrack_helpers_register" },
	{ 0x70f7896, "_printk" },
	{ 0xcad8254c, "nf_conntrack_helpers_unregister" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x49c0dc02, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xd2dba7a6, "__nf_ct_expect_find" },
	{ 0xdf676c79, "nf_ct_expect_alloc" },
	{ 0x6be00518, "nf_ct_expect_init" },
	{ 0x1a828259, "nf_ct_expect_related_report" },
	{ 0x8155d5ec, "nf_ct_expect_put" },
	{ 0x7d0da280, "__nf_ip6_route" },
	{ 0xb9aac278, "dst_release" },
	{ 0x710d97a0, "nf_ip_route" },
	{ 0xd24689aa, "nf_ct_unexpect_related" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd7f8af96, "nf_ct_helper_log" },
	{  0x199a5, "__nf_ct_refresh_acct" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0x42918c8d, "param_ops_ushort" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "9A2C91AA22115C3D118EE49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
