#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xf73cf308, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x5602384b, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x013f92b3, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x91ed4b26, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x21540dd2, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x69050e9e, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x40952b44, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x6a785c06, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x81507e7e, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x3924a071, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xb223bda9, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xc0482de1, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x506b3142, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xf11abc35, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x0216e533, "");
SYMBOL_CRC(nf_nat_follow_master, 0xfc43d6a5, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x70797808, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x4999cbe0, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x6663b8e5, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xc057ec07, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x53fa5c59, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xda48eae2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x796f2f43, "nf_ct_ext_add" },
	{ 0x543ec466, "__do_once_done" },
	{ 0xfbdc3fde, "nf_conntrack_find_get" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb36e7b48, "nf_ip6_checksum" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x8e02ee11, "nf_hook_entries_insert_raw" },
	{ 0x21d5b0ee, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xf28883, "nf_ct_seqadj_set" },
	{ 0x42437fb, "skb_put" },
	{ 0xfab2c787, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8235805b, "memmove" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x59a4cd72, "nf_ct_helper_expectfn_unregister" },
	{ 0x9142a95e, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x29ff5308, "nf_ct_helper_expectfn_register" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xfd62330c, "ip6_route_me_harder" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x177b67d, "nf_conntrack_tuple_taken" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd49b72a8, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x65f05a99, "ipv6_skip_exthdr" },
	{ 0xcd06f6bf, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x62e67e7d, "module_put" },
	{ 0xe9f2c790, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x1a828259, "nf_ct_expect_related_report" },
	{ 0x85159b68, "ip_route_me_harder" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xda17c8b4, "nf_hook_entries_delete_raw" },
	{ 0x1d49163f, "skb_ensure_writable" },
	{ 0x38c8eb7e, "nf_unregister_net_hooks" },
	{ 0xb28530f8, "inet_select_addr" },
	{ 0x5152e605, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0x4b3c6f18, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5412741f, "nf_ct_delete" },
	{ 0x47596c66, "nf_ip_checksum" },
	{ 0xaf34636b, "nf_ct_iterate_destroy" },
	{ 0x91a9c232, "__siphash_unaligned" },
	{ 0xf06632e2, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7a801bee, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1279649b, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x3e2d77fa, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x6e15aee3, "nf_ct_l4proto_find" },
	{ 0x404f86c4, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x80881211, "nf_nat_hook" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "8A23BD9C85AF1EDCEB475EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
