#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_update, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(__nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_expr_reduce_bitwise, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_reduce, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");
KSYMTAB_FUNC(nft_ct_get_fast_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0xb8f31ff2, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0xd404e8bb, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0xa59582b0, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0xcc65e7c3, "_gpl");
SYMBOL_CRC(nft_request_module, 0xaf912e9f, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x71a8821e, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x4b5e46b3, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xeb5f47a0, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x02c3c677, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x6149ced8, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x738a622b, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x3b8b09cd, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x2bbf9470, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xb11454e8, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0xeb6025e2, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x5134011a, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xb6329cb8, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x58b0b9b2, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0xbeea5370, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x9210696f, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x2f4b7558, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x3f65bbcf, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0xfe245d81, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x22a2a30a, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x26a1d9fa, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x7f3e5f91, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0xbc0a7570, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0xab66a3a1, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0x4c2045d3, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x8f4f1eed, "_gpl");
SYMBOL_CRC(nft_data_init, 0x76b8b4f9, "_gpl");
SYMBOL_CRC(nft_data_release, 0xd27c9515, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xced32404, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x612e5143, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0x18777a8f, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0x93dddce7, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xe5eac671, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xec28981d, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x82a99892, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0xece35886, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x5ef9e311, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x0f17be5a, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x311fc623, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x52c30637, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0x4e739af5, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x3939ed6d, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x1b6269c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x543ec466, "__do_once_done" },
	{ 0x7ee93833, "__netlink_dump_start" },
	{ 0xc82ead70, "flow_rule_alloc" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x6e60e3e2, "__nlmsg_put" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x58678016, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xca9360b5, "rb_next" },
	{ 0x85598405, "__kmalloc_node_noprof" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x273ca3c6, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x16203093, "flow_block_cb_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xa43a1ed9, "nfnetlink_subsys_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xfd62330c, "ip6_route_me_harder" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb241889d, "__module_get" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x546bdd75, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x2ae6dd23, "__ip_options_compile" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xca1ab08, "nf_route" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x62e67e7d, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x411e08c9, "nf_unregister_net_hook" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x85591f8e, "nf_register_net_hook" },
	{ 0xc44d5504, "__skb_get_hash_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe55a81db, "ip6_mtu" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x85159b68, "ip_route_me_harder" },
	{ 0xd9ebfeba, "skb_store_bits" },
	{ 0x6d6ad00c, "dev_get_by_index_rcu" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa8c2cfee, "nfnetlink_unicast" },
	{ 0x2587c463, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1d49163f, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xdaf84f9f, "flow_indr_dev_setup_offload" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x4b3c6f18, "skb_checksum" },
	{ 0x2bc95bd4, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x315ea93b, "nfnetlink_send" },
	{ 0x3aa8bc45, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0xa73285a8, "nfnetlink_subsys_unregister" },
	{ 0x8c9e2295, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7a801bee, "__put_net" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x1bf2053b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3284773a, "ipv4_mtu" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x1279649b, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3e2d77fa, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xb9aac278, "dst_release" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x13ec6ef6, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x16c7537c, "nfnetlink_has_listeners" },
	{ 0x92b57248, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "B74905035931C79A4CD7CCE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
