#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xed3cee65, "");
SYMBOL_CRC(pn_sock_unhash, 0x55ba0dc9, "");
SYMBOL_CRC(phonet_stream_ops, 0xda1edbe8, "");
SYMBOL_CRC(pn_sock_get_port, 0xafa0df1c, "");
SYMBOL_CRC(phonet_header_ops, 0x6aed5870, "");
SYMBOL_CRC(pn_skb_send, 0xc994351f, "");
SYMBOL_CRC(phonet_proto_register, 0x97deda6e, "");
SYMBOL_CRC(phonet_proto_unregister, 0x37286854, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb23deca, "security_sock_graft" },
	{ 0x3f43fb2e, "skb_free_datagram" },
	{ 0xfebeec5, "sock_queue_rcv_skb_reason" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x34e3e086, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e60e3e2, "__nlmsg_put" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x635643b7, "dev_add_pack" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x5e772f6, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x38739c84, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xdd3bd14, "sock_no_connect" },
	{ 0x28c296a, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf215bdb4, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa4b08f62, "sock_register" },
	{ 0x3dae5640, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x46176355, "netlink_capable" },
	{ 0x2b50aec8, "rtnl_set_sk_err" },
	{ 0x99000b37, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x62e67e7d, "module_put" },
	{ 0x253e3812, "__sk_receive_skb" },
	{ 0xb2116460, "sock_no_shutdown" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xdd9b1433, "dev_remove_pack" },
	{ 0xc9705907, "dev_get_by_index" },
	{ 0x72e831a0, "sk_free" },
	{ 0xa3eef689, "sock_no_accept" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x3f09ce0, "sock_no_listen" },
	{ 0x2587c463, "nla_put" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xe00718c9, "__rtnl_register_many" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x867ed269, "netif_rx" },
	{ 0xa89af8c9, "sock_common_recvmsg" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x329b5f37, "sk_common_release" },
	{ 0xdbbaaa8c, "seq_pad" },
	{ 0xffa6a0b5, "sock_i_ino" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x7a0fd3e5, "skb_recv_datagram" },
	{ 0xbeef0582, "sock_alloc_send_pskb" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xfb4b6efe, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0xbdaa8391, "sk_ioctl" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9610ab28, "release_sock" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E4924F66FE3C12BF0274286");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
