#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x98bd7bfd, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x53526269, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0xc9f0e604, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x8d8a7020, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x40f31100, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x897369f2, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x0dcb27c7, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x7ae5512d, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xb74d8d9a, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x0722b6c2, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xd169a919, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x93568302, "");
SYMBOL_CRC(key_type_rxrpc, 0x4b0a2eed, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x395ba7fb, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x26bdff77, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x17a13ed9, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xd72a0ddb, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xf39f4ae8, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0xb26a836e, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xe3823ca6, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x0abb0004, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xb220fd93, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x9a98bc05, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xc20506c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2eee6ef2, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf588942, "key_alloc" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x4a7e5cdd, "udp_sock_create4" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x7e2e3ca9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xb3871a2e, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x8cd9c258, "udpv6_sendmsg" },
	{ 0x40025743, "unregister_key_type" },
	{ 0x614128e3, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x26a52d18, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf637763e, "crypto_skcipher_setkey" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa425ce39, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xf77c8b15, "register_key_type" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf215bdb4, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x81b7d123, "put_cmsg" },
	{ 0x7f79d76, "wake_up_process" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x81748da6, "ipv6_icmp_error" },
	{ 0xa4b08f62, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbffcd343, "crypto_skcipher_decrypt" },
	{ 0x60f20f70, "make_kuid" },
	{ 0x112b49cf, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x99000b37, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x632780, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xcd68f25, "__sock_recv_timestamp" },
	{ 0x8cb72246, "key_put" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x268386c1, "skb_pull" },
	{ 0xb293b20e, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x648e75e3, "sock_enable_timestamps" },
	{ 0x2806deb5, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe55a81db, "ip6_mtu" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0x72e831a0, "sk_free" },
	{ 0xab76fd5b, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x44d04524, "kernel_sock_shutdown" },
	{ 0xa3eef689, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x30f89987, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb4aed478, "iov_iter_kvec" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x4ea0991f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xde0e7060, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x43f6b05, "__sock_recv_wifi_status" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x39b41ea2, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26ff59c8, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x9bd1a7d8, "key_validate" },
	{ 0xa90c723f, "crypto_alloc_sync_skcipher" },
	{ 0x4c679da2, "__kmem_cache_create_args" },
	{ 0x2676cf70, "setup_udp_tunnel_sock" },
	{ 0x3a13f21a, "proc_remove" },
	{ 0xcc05514f, "udp_sock_create6" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73314308, "kthread_create_on_node" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x125c9289, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3284773a, "ipv4_mtu" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x2380de08, "keyring_search" },
	{ 0x8b69a7f1, "ip_sock_set_recverr" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcc1164fe, "request_key_tag" },
	{ 0x2c31aa2b, "generic_key_instantiate" },
	{ 0x24fcb37a, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xb9a0e3e9, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x258136f4, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x5f31d957, "sock_no_ioctl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x31cf08f9, "_proc_mkdir" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe8ecdcfe, "__seq_puts" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x32b627bf, "bpf_trace_run7" },
	{ 0xbf652cde, "ip_icmp_error" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab404fdf, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x4b1fed29, "skb_to_sgvec" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0x5156fee2, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x5ae9e457, "kmem_cache_destroy" },
	{ 0x9610ab28, "release_sock" },
	{ 0xbf4e7707, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3d46b049, "proc_create_net_single_write" },
	{ 0x644dcde0, "crypto_alloc_skcipher" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C11ADA667B03D25AFD0805C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
