#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0xde14d8c3, "_gpl");
SYMBOL_CRC(smc_proto6, 0xf747fd40, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xd24addfc, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0x4d77f773, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xfb8cae0f, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0xf47b4ee2, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x22ede097, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xb3f2d173, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x76da5303, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x195a28e8, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x3153cc92, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xa053541c, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x73557a1e, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xe7dacb8d, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc87bf02, "netdev_lower_get_next" },
	{ 0xdb23deca, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x10f1ce64, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x29e871d0, "ib_unregister_client" },
	{ 0x250fba59, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e60e3e2, "__nlmsg_put" },
	{ 0x4cac3ae1, "inet_unregister_protosw" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8f924adf, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd33d2d25, "vmalloc_to_page" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xe6c75326, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2f166bb6, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe42cb854, "inet6_unregister_protosw" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2e5d2a14, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d26d5c8, "__dma_need_sync" },
	{ 0xd7485633, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xafee3515, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x9af0664a, "ib_dereg_mr_user" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6e00060a, "kernel_accept" },
	{ 0xde4790ac, "rdma_dev_access_netns" },
	{ 0xb241889d, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x3aeecbbc, "sk_stream_error" },
	{ 0xdfed8408, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xebf7ef65, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec02d0cb, "sk_error_report" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0xcbe10b76, "tcp_abort" },
	{ 0xa68203a0, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x8ff729d6, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x63ecb46a, "splice_to_pipe" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa4b08f62, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cd418f3, "put_device" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x79ca4092, "ib_register_event_handler" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x890391f6, "ib_unregister_event_handler" },
	{ 0x99000b37, "proto_register" },
	{ 0x696dc631, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x31f42cc9, "ib_register_client" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc3a1cc81, "ib_map_mr_sg" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0xc948715, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd8c7a256, "generic_pipe_buf_get" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x38ce6984, "ib_set_client_data" },
	{ 0x5af8e078, "down_write" },
	{ 0xa73f8da5, "init_net" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0xb36454b8, "rdma_put_gid_attr" },
	{ 0xfd828ac3, "kernel_getsockname" },
	{ 0x72e831a0, "sk_free" },
	{ 0xab76fd5b, "sock_wake_async" },
	{ 0x44d04524, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xea9d4268, "ib_query_port" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x2587c463, "nla_put" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x869f9e9d, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0xb4aed478, "iov_iter_kvec" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xfed45805, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0x74b7688b, "ib_destroy_qp_user" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xaaaf2b74, "kernel_connect" },
	{ 0x4aea63c8, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc1541b9f, "sk_wait_data" },
	{ 0xcf904124, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x837cf885, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x2391662c, "ib_destroy_cq_user" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x1fc8440, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86ff1ec7, "tcp_register_ulp" },
	{ 0x329b5f37, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x94a0598c, "ib_device_get_netdev" },
	{ 0xa0cf88d7, "kernel_listen" },
	{ 0xb7930a7d, "neigh_destroy" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x89daed70, "inet6_register_protosw" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x9709dbc5, "current_work" },
	{ 0x4ddb3371, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9145671b, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5a6124af, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x788a4ee7, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e3cdde4, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb9aac278, "dst_release" },
	{ 0xa611998e, "sk_stream_wait_connect" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x258136f4, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0x9a9661de, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x71571ea9, "netdev_walk_all_lower_dev" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x1744dd7b, "vlan_dev_vlan_id" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0xd58d6442, "ib_dealloc_pd_user" },
	{ 0x901b9c20, "rdma_get_gid_attr" },
	{ 0x3753abf6, "dma_unmap_sg_attrs" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x38a8d420, "page_address" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab404fdf, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x9610ab28, "release_sock" },
	{ 0x2c692a01, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "122038B8E1E3D9C5E8C556F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
