#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x792124ec, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xe587eef2, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x6f44f285, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x55ce2f8e, "");
SYMBOL_CRC(gss_mech_put, 0xf25fe1d8, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xc0605086, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x301cd57c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8f18fb9, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc3bc22b7, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xd2d5d1, "xdr_buf_from_iov" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0xa391db0b, "xdr_stream_decode_opaque_auth" },
	{ 0xbf1fe4e7, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa60dbdd9, "xdr_write_pages" },
	{ 0x81042bf4, "rpc_shutdown_client" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x2d6d02c5, "auth_domain_find" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9f300abf, "xdr_inline_decode" },
	{ 0x3c7dd057, "cache_create_net" },
	{ 0x985c1e10, "rpcauth_destroy_credcache" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0xcf198110, "rpc_net_ns" },
	{ 0x927706d3, "read_bytes_from_xdr_buf" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9f044fc, "rpc_wake_up" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb92ed4e1, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x94abb745, "sprint_oid" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x975b7482, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb857afda, "xdr_truncate_decode" },
	{ 0xcf7fc32a, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xfb371346, "__xdr_commit_encode" },
	{ 0xb241889d, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xda833ce7, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb26ff44d, "__put_cred" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xb5fb4567, "cache_purge" },
	{ 0x70f7896, "_printk" },
	{ 0x1dac0ecb, "rpc_release_client" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbec2f941, "auth_domain_lookup" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdb0694fa, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8447032e, "svc_auth_register" },
	{ 0xadcd121f, "xdr_stream_encode_opaque_auth" },
	{ 0x60f20f70, "make_kuid" },
	{ 0x738803e6, "strnlen" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x12dff147, "rpc_destroy_pipe_data" },
	{ 0xc93d345d, "__free_pages" },
	{ 0x643e5db5, "rpc_pipe_generic_upcall" },
	{ 0x62e67e7d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xe06d6be1, "cache_unregister_net" },
	{ 0x8ea6891b, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d368d90, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x797e3baa, "rpcauth_init_credcache" },
	{ 0x4d388786, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xea92fb21, "xdr_init_decode" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x893f979b, "rpc_call_null" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2ab6be3b, "rpc_sleep_on_timeout" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x342a9dfc, "rpc_create" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0x45e8e1bf, "rpc_call_sync" },
	{ 0x5ce076be, "from_kuid" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0x9a5b11ab, "rpc_queue_upcall" },
	{ 0xe624511e, "xdr_encode_word" },
	{ 0x2bc95bd4, "memset" },
	{ 0xbefb11fb, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x656a99b1, "svcauth_unix_set_client" },
	{ 0x462dac0a, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x3174c6cb, "make_kgid" },
	{ 0x66b73f63, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xb3e5fc04, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9352151, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x7a801bee, "__put_net" },
	{ 0x502fa019, "rpc_mkpipe_dentry" },
	{ 0x45bc118f, "rpc_mkpipe_data" },
	{ 0x335c1b0b, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xd502ae73, "cache_register_net" },
	{ 0x36710792, "init_user_ns" },
	{ 0x3eab4dc2, "xdr_inline_pages" },
	{ 0x5a6124af, "__folio_put" },
	{ 0xc2105242, "remove_proc_entry" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x85174991, "rpc_init_wait_queue" },
	{ 0xd74dda61, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8f9c9ab8, "alloc_pages_noprof" },
	{ 0xdb395136, "rpc_unlink" },
	{ 0xdf3570c0, "rpcauth_wrap_req_encode" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0x74f6febf, "rpcauth_init_cred" },
	{ 0x38a8d420, "page_address" },
	{ 0x6168e223, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8f8e9e7d, "cache_destroy_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0x64e757a5, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xe44b3f0, "xdr_stream_pos" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xe81afc07, "sunrpc_cache_update" },
	{ 0xd6744333, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcfd6120e, "rpc_destroy_wait_queue" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xae2e28f3, "auth_domain_put" },
	{ 0x6c7dc210, "rpcauth_unwrap_resp_decode" },
	{ 0xb51f7e6b, "rpcauth_register" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
