#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x28e8320c, "");
SYMBOL_CRC(tipc_dump_start, 0xfead3ab1, "");
SYMBOL_CRC(tipc_dump_done, 0x68963b62, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x57c98753, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x201127ab, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd76f6099, "vscnprintf" },
	{ 0x34e3e086, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6e60e3e2, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x42437fb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xc88e1a93, "ip6_dst_hoplimit" },
	{ 0x42fa494e, "trace_output_call" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x635643b7, "dev_add_pack" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x4a7e5cdd, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xe70fc9ea, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf182fe8f, "dst_cache_set_ip4" },
	{ 0xfa24b132, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0x38739c84, "___pskb_trim" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1fc781d, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xbc880e5e, "netdev_warn" },
	{ 0x467e0ed0, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf2454c53, "crypto_aead_decrypt" },
	{ 0x6e00060a, "kernel_accept" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xb241889d, "__module_get" },
	{ 0x4120997b, "ip_route_output_flow" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe74f1d04, "__pskb_copy_fclone" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91055bfc, "pskb_expand_head" },
	{ 0xf4abdb55, "register_pernet_subsys" },
	{ 0x81b7d123, "put_cmsg" },
	{ 0xe1f6367b, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0xd275134e, "register_net_sysctl_sz" },
	{ 0xdcf110cc, "crypto_destroy_tfm" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x5a4b135b, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa4b08f62, "sock_register" },
	{ 0x1e6f3b88, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xcebe3452, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x328b7631, "skb_try_coalesce" },
	{ 0x99000b37, "proto_register" },
	{ 0x37d3d8f7, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x224ee06e, "skb_queue_tail" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6bcc8bc1, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc0fe6f50, "ipv6_stub" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9f19672b, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdd9b1433, "dev_remove_pack" },
	{ 0x72e831a0, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x44d04524, "kernel_sock_shutdown" },
	{ 0xa3eef689, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x81ef8001, "skb_push" },
	{ 0x1b435161, "dst_cache_get" },
	{ 0x3f09ce0, "sock_no_listen" },
	{ 0x2587c463, "nla_put" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb4aed478, "iov_iter_kvec" },
	{ 0x42293ea8, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x69b643da, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6eaed8f6, "skb_copy_datagram_iter" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x4997f00c, "sk_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0xd4b9142f, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2bc95bd4, "memset" },
	{ 0x9711d9f2, "kfree_skb_partial" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x4aed82d7, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x770dc7e1, "sock_no_mmap" },
	{ 0x4ccf42f0, "security_sk_clone" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x867ed269, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x2676cf70, "setup_udp_tunnel_sock" },
	{ 0xcc05514f, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x54064ff2, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x80def702, "sock_rfree" },
	{ 0xffa6a0b5, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa0cf88d7, "kernel_listen" },
	{ 0x977e8d19, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0xc79f72bf, "dev_nit_active" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x4ddb3371, "sock_create_kern" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d69622c, "dst_cache_set_ip6" },
	{ 0x9607dec7, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x1a601045, "udp_tunnel_xmit_skb" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x788a4ee7, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x71c5a9e0, "skb_copy" },
	{ 0xe9a2c086, "skb_clone" },
	{ 0x3e3cdde4, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0x258136f4, "sock_release" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x78eaf505, "crypto_default_rng" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5e3899a6, "sk_stop_timer" },
	{ 0x87962450, "unregister_net_sysctl_table" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0xe670a1f9, "from_kuid_munged" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd853f1d5, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xab404fdf, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x4b1fed29, "skb_to_sgvec" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7641a47e, "sock_init_data" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x9610ab28, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "F7B285B525DA203D3C0E5FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
