#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_pending, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0xc31d91b9, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x0f4e03c3, "");
SYMBOL_CRC(wiphy_register, 0x03eb44f4, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x8b538ce9, "");
SYMBOL_CRC(wiphy_unregister, 0xc3ad80ce, "");
SYMBOL_CRC(wiphy_free, 0x3f38ab94, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x4ab490c5, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xcf707b9e, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x4ff82a93, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x7bf1016f, "");
SYMBOL_CRC(wiphy_work_queue, 0x4c30fe1a, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x0fcb600c, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0xc881088c, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x0b7089b9, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xb133ca96, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x00419a1e, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_pending, 0x148d00b5, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0xb3f40e25, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x57e81fc4, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0xbfb81d0e, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x2fc8677b, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x4690cc38, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x2339d785, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xb8e9e44b, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xfd2833f5, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x96e99e5c, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x38cb594a, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x4bd302b1, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x672f619a, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x8400b942, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xb26ae5d0, "");
SYMBOL_CRC(cfg80211_get_station, 0xaa2e1c4b, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x07a6333d, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x06129bdd, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xbc38cab5, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x18b854cd, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0x53382dce, "");
SYMBOL_CRC(get_wiphy_regdom, 0xa15292be, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xdca70b05, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x43a62f29, "");
SYMBOL_CRC(regulatory_hint, 0x0e3db8e0, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x190885e8, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x0b61996b, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x6393fcc8, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0xbd9bc7cc, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x6ee75e50, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x1c0cda3d, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xe92d2112, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xfc6b7fad, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x6badea55, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x37c38945, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x83408773, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x8b24e88f, "");
SYMBOL_CRC(cfg80211_defragment_element, 0x53351a48, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x2a732651, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0xee59e7c5, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x0873fd5a, "");
SYMBOL_CRC(cfg80211_put_bss, 0x1f259cb0, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x181fcab6, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x0b7a0bf0, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0xc0ab25de, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0x2e459403, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0xad7ab707, "");
SYMBOL_CRC(cfg80211_check_station_change, 0xdb106438, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x073137dc, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x65c520e0, "");
SYMBOL_CRC(cfg80211_nan_match, 0x3b724c9d, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xf3233d7e, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xd4b5f3bf, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x244ec730, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x8a09b3ba, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xeb195430, "");
SYMBOL_CRC(cfg80211_links_removed, 0x3b9b1b66, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x0c55ccf2, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xb73cfaac, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x78612668, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x7c6697f1, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x4e0fedd8, "");
SYMBOL_CRC(cfg80211_new_sta, 0xe6fe23f8, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x216dbca3, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xd5ca6dc2, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x309dc93f, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0xd438ee3b, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xd314fe76, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x214071e7, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x9b4d522f, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x7261a3db, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x2e18e6ee, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xd12acbb9, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x64952882, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xf6175a64, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xad87aec2, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x28278b33, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x84014198, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x4b8c2dea, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x64269d1f, "");
SYMBOL_CRC(cfg80211_probe_status, 0xfcb69418, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x46c898c6, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x4e788e32, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xd6551781, "");
SYMBOL_CRC(cfg80211_ft_event, 0xeeea791b, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xa88c7713, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x660a1a39, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x817ad693, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0xa162214f, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xafe91ca6, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x07a4c632, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xdcb8fb10, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xec9ff0b2, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x13bd8859, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x2f61bf72, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x238dd7f6, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xc3f4a0d9, "");
SYMBOL_CRC(cfg80211_cac_event, 0x9f21bd82, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x2e3395ab, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xdae00316, "");
SYMBOL_CRC(cfg80211_connect_done, 0x443f6f6e, "");
SYMBOL_CRC(cfg80211_roamed, 0x26532e7c, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xee79ca57, "");
SYMBOL_CRC(cfg80211_disconnected, 0x9f6722c4, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x0e2238b8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x15991762, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x77d0c38a, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x1037884f, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0x8274d9bd, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x12310580, "");
SYMBOL_CRC(wdev_chandef, 0xb53434ee, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x8b87c481, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x43b2d3d3, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x4de2ca88, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0x6d4e4828, "");
SYMBOL_CRC(cfg80211_wext_giwname, 0x90321d10, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0xd5819e36, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0x086b9fec, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0xe279f1a6, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x2f84ca4c, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0xc8f9d923, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0x8d34a865, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0x50dea9bf, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0xc063f0fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e420fc4, "trace_print_array_seq" },
	{ 0x43e7cf65, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9da11c55, "verify_pkcs7_signature" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x80eb171f, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x42437fb, "skb_put" },
	{ 0xfab2c787, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0x525fcdf3, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x58678016, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0xb99811bd, "nla_put_64bit" },
	{ 0x1c4816f6, "bpf_trace_run6" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc358602e, "request_firmware" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0x970bc01e, "genlmsg_put" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd75fb9ad, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x804cc08c, "unregister_netdevice_queue" },
	{ 0x86b0f071, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x9977e238, "netlink_broadcast_filtered" },
	{ 0x6bdbbe1a, "keyring_alloc" },
	{ 0xaeeb7ab1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa8d428c3, "device_rename" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x2987200f, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cd418f3, "put_device" },
	{ 0x5e3b57c, "net_ns_type_operations" },
	{ 0x738803e6, "strnlen" },
	{ 0x3528e40e, "__alloc_skb" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0xc60755a, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x9da0766a, "inet_csk_get_port" },
	{ 0x8cb72246, "key_put" },
	{ 0x5294dc35, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x48960757, "__dev_get_by_index" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xa73f8da5, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xef0b51cb, "request_firmware_nowait" },
	{ 0x268386c1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfb901f8c, "device_add" },
	{ 0xf057e784, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x30e4f00, "init_uts_ns" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0x7cb10b88, "sk_skb_reason_drop" },
	{ 0xff1d3dad, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc9705907, "dev_get_by_index" },
	{ 0x607d75da, "bpf_trace_run5" },
	{ 0xad447ae1, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x81ef8001, "skb_push" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x76206e73, "wireless_send_event" },
	{ 0x2587c463, "nla_put" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x48df7536, "of_find_property" },
	{ 0x66fcfe26, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x59cedef, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2f7452dc, "rfkill_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3d4a8a7, "bpf_trace_run1" },
	{ 0xeda60a69, "device_del" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf869ce57, "__pskb_pull_tail" },
	{ 0x867ed269, "netif_rx" },
	{ 0x4dd5a343, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x754c52f1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0cab82c, "of_prop_next_u32" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x7a801bee, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9c18b7d4, "get_net_ns_by_pid" },
	{ 0xc0436020, "debugfs_rename" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457fdc75, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x258136f4, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x30a7aeb, "genl_unregister_family" },
	{ 0x1d2c1872, "skb_add_rx_frag_netmem" },
	{ 0x38a8d420, "page_address" },
	{ 0xea124bd1, "gcd" },
	{ 0xd0d8621b, "strlen" },
	{ 0x32b627bf, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0x3dcb04a9, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb3ffb13b, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x258e2295, "register_pernet_device" },
	{ 0x1d3c1841, "get_net_ns_by_fd" },
	{ 0x810cf51e, "class_register" },
	{ 0xebccee50, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x53a49344, "register_netdevice" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "3997E7218E4442AAF7DDBED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
