#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0xb5a57f17, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0xed60b67e, "");
SYMBOL_CRC(snd_unregister_device, 0x762b6de0, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x38d6d62a, "");
SYMBOL_CRC(snd_device_alloc, 0x2856b70a, "_gpl");
SYMBOL_CRC(snd_card_new, 0x6c890062, "");
SYMBOL_CRC(snd_devm_card_new, 0xf15da3c6, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x52d24030, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x737b8e3d, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x285a8401, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x447b4c3f, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x2699f901, "");
SYMBOL_CRC(snd_card_free, 0x5b221d3c, "");
SYMBOL_CRC(snd_card_set_id, 0x7f9bf06d, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0xd5e18bb7, "_gpl");
SYMBOL_CRC(snd_card_register, 0x52fd270a, "");
SYMBOL_CRC(snd_component_add, 0xea031cd6, "");
SYMBOL_CRC(snd_card_file_add, 0xb5ee07cb, "");
SYMBOL_CRC(snd_card_file_remove, 0x72d6cd07, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x000ec482, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xfe0c9232, "");
SYMBOL_CRC(copy_to_user_fromio, 0x602c96f0, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xc5081ee3, "");
SYMBOL_CRC(copy_from_user_toio, 0xce3ca308, "");
SYMBOL_CRC(copy_from_iter_toio, 0x0fbde827, "");
SYMBOL_CRC(snd_ctl_notify, 0x81883399, "");
SYMBOL_CRC(snd_ctl_notify_one, 0x390246ed, "");
SYMBOL_CRC(snd_ctl_new1, 0x85ce6a9a, "");
SYMBOL_CRC(snd_ctl_free_one, 0x40e6420e, "");
SYMBOL_CRC(snd_ctl_add, 0xbbc16055, "");
SYMBOL_CRC(snd_ctl_replace, 0xe9454cd9, "");
SYMBOL_CRC(snd_ctl_remove, 0xda36c6cb, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x0f5e6884, "");
SYMBOL_CRC(snd_ctl_activate_id, 0xc5e4d99b, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x96827242, "");
SYMBOL_CRC(snd_ctl_rename, 0x3f6375f0, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x86472f99, "");
SYMBOL_CRC(snd_ctl_find_id, 0x2d3da9a9, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0xb94dc3b8, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x32a56b4f, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x6c522b43, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x899b506a, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x7a2aaa73, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0xe41fa4af, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x1abe4260, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x9a7968c7, "");
SYMBOL_CRC(snd_fasync_helper, 0x903a760b, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x88dd5687, "");
SYMBOL_CRC(snd_device_disconnect, 0x25cc9a25, "_gpl");
SYMBOL_CRC(snd_device_free, 0x9b440466, "");
SYMBOL_CRC(snd_device_register, 0x1414bb84, "");
SYMBOL_CRC(snd_device_get_state, 0x98edf99d, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x5f5dff9e, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x60110add, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x18e61e10, "");
SYMBOL_CRC(snd_info_free_entry, 0x1e754e77, "");
SYMBOL_CRC(snd_info_register, 0x74972f4b, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x430f6074, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x2fa05c4a, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x6cd0a1a6, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x6f03a63b, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0xaf6bb796, "");
SYMBOL_CRC(snd_ctl_add_followers, 0xf31ede98, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0xa4d37924, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0xd93797fa, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x4b9d1f79, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x9c5a64a2, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0xf79872e9, "");
SYMBOL_CRC(snd_jack_new, 0x0a48352c, "");
SYMBOL_CRC(snd_jack_set_parent, 0xa8392515, "");
SYMBOL_CRC(snd_jack_set_key, 0xeacc984a, "");
SYMBOL_CRC(snd_jack_report, 0xc72372c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x576014b2, "input_allocate_device" },
	{ 0xb2142c6c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x250fba59, "_copy_to_iter" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xf622fab8, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77976148, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x49f88508, "proc_mkdir_mode" },
	{ 0x7c7b4324, "device_initialize" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0xa1d131ed, "vmemdup_user" },
	{ 0xe46d6483, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9fed4a7, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x975b7482, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd0b314e3, "devm_remove_action" },
	{ 0xea9d955, "import_ubuf" },
	{ 0xdbf31d0c, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4ad79ca6, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x8029cc02, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xdb576924, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x6a973ea0, "input_free_device" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xcac6d11a, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5cd418f3, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdce44dfd, "const_pcpu_hot" },
	{ 0x659e83ea, "register_sound_special_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x62e67e7d, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5af8e078, "down_write" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xfb901f8c, "device_add" },
	{ 0x30e4f00, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd3e81b6b, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9885bb7f, "input_set_capability" },
	{ 0x308f0a73, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xabee13e2, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x7a97913d, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xeda60a69, "device_del" },
	{ 0x828a983b, "proc_mkdir" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf82abc1d, "isa_dma_bridge_buggy" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaf121c89, "input_event" },
	{ 0x3a13f21a, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xba1bb9c5, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd6267fba, "proc_set_size" },
	{ 0x5345da6, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x92618b38, "kobject_set_name" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x6b97dce3, "_copy_from_iter" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x174d21bd, "stream_open" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47be806a, "single_release" },
	{ 0x24098d7e, "pid_vnr" },
	{ 0x1a9ce73a, "devres_find" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xee18f185, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0xd0d8621b, "strlen" },
	{ 0x5840c78e, "proc_symlink" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x87f76909, "single_open" },
	{ 0x58714f2c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0xa9df7799, "put_pid" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "552913CB43CCCE2F87CD773");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
