#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0xd6de6fb5, "");
SYMBOL_CRC(fw_iso_resources_init, 0x8e84e7f8, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0xe0ae22de, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0xdd656d4e, "");
SYMBOL_CRC(fw_iso_resources_update, 0x6e9594f5, "");
SYMBOL_CRC(fw_iso_resources_free, 0x5d1c070c, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x5ebf1dab, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x1dfad05b, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x6474b0e0, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0xde10ddab, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x15e7c827, "");
SYMBOL_CRC(fcp_avc_transaction, 0x804c9884, "");
SYMBOL_CRC(fcp_bus_reset, 0x2520caa5, "");
SYMBOL_CRC(cmp_connection_init, 0x99987f1c, "");
SYMBOL_CRC(cmp_connection_check_used, 0xe3df1e69, "");
SYMBOL_CRC(cmp_connection_destroy, 0x6b349e33, "");
SYMBOL_CRC(cmp_connection_reserve, 0xbbb9cc0b, "");
SYMBOL_CRC(cmp_connection_release, 0xc4eb2c0e, "");
SYMBOL_CRC(cmp_connection_establish, 0x05b49d13, "");
SYMBOL_CRC(cmp_connection_update, 0xba3f79ce, "");
SYMBOL_CRC(cmp_connection_break, 0x031de8cd, "");
SYMBOL_CRC(amdtp_stream_init, 0x658128cd, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x98dd1589, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0xf0efc298, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0xc733b0b4, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x9ddeca52, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x40c24697, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x8edbfa82, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x17541240, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xb374a805, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0xa6329972, "");
SYMBOL_CRC(amdtp_domain_init, 0xe42e9d09, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x90b62d33, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x37c36f1c, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0xebe9a8db, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xfb3063dd, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x4171e533, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0xa8f5659d, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x7c04fd05, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0xbb17eedf, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x9316689a, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0xb91c0ede, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7968bfe, "fw_iso_context_destroy" },
	{ 0x6e420fc4, "trace_print_array_seq" },
	{ 0xcfbb2b2d, "fw_run_transaction" },
	{ 0x35e3a105, "snd_rawmidi_receive" },
	{ 0x7cfb374a, "fw_iso_buffer_init" },
	{ 0xf0c13426, "snd_rawmidi_transmit" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc9f66934, "snd_pcm_hw_constraint_minmax" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x25b8b3fc, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x1e033c05, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x321722e5, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4aa73b41, "fw_core_add_address_handler" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xec40520c, "snd_pcm_hw_rule_add" },
	{ 0xd7ba65ae, "fw_iso_context_queue" },
	{ 0x233191b0, "_dev_info" },
	{ 0xb4807685, "fw_card_read_cycle_time" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa7d7ed68, "fw_iso_buffer_destroy" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xc1ea76a3, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92a27471, "bpf_trace_run9" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x62f9a110, "fw_iso_context_start" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9709dbc5, "current_work" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5ee84d4c, "snd_pcm_stop_xrun" },
	{ 0xec0af065, "snd_pcm_hw_constraint_msbits" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x83e464e7, "snd_pcm_period_elapsed" },
	{ 0x38a8d420, "page_address" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa1c50c25, "fw_iso_context_flush_completions" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "74B4C99841680DC97763886");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
