#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0xf6388ac2, "");
SYMBOL_CRC(oxygen_read16, 0xd690ef96, "");
SYMBOL_CRC(oxygen_read32, 0xc5abab96, "");
SYMBOL_CRC(oxygen_write8, 0xe849693d, "");
SYMBOL_CRC(oxygen_write16, 0x02e5a2df, "");
SYMBOL_CRC(oxygen_write32, 0xc01696d8, "");
SYMBOL_CRC(oxygen_write8_masked, 0x3cb06e7f, "");
SYMBOL_CRC(oxygen_write16_masked, 0x5693c640, "");
SYMBOL_CRC(oxygen_write32_masked, 0x825d8352, "");
SYMBOL_CRC(oxygen_write_ac97, 0x1f15ede2, "");
SYMBOL_CRC(oxygen_read_ac97, 0x98e4d442, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xd9e7cf22, "");
SYMBOL_CRC(oxygen_write_spi, 0xeb6831b5, "");
SYMBOL_CRC(oxygen_write_i2c, 0x193fef02, "");
SYMBOL_CRC(oxygen_reset_uart, 0x0579560b, "");
SYMBOL_CRC(oxygen_write_uart, 0x7708360d, "");
SYMBOL_CRC(oxygen_pci_probe, 0xaf28c862, "");
SYMBOL_CRC(oxygen_pci_pm, 0xb9f0733f, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x068214fc, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x20febd8d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75adb6eb, "devm_request_threaded_irq" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xbbc16055, "snd_ctl_add" },
	{ 0x744179c2, "snd_pcm_new" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x52fd270a, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcad2ce88, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x52d24030, "snd_card_free_on_error" },
	{ 0x430f6074, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x85ce6a9a, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea031cd6, "snd_component_add" },
	{ 0x738803e6, "strnlen" },
	{ 0x233191b0, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe41fa4af, "snd_ctl_boolean_mono_info" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x81883399, "snd_ctl_notify" },
	{ 0x8f49e599, "snd_pcm_set_ops" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd630526d, "snd_pcm_set_managed_buffer" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xc296448b, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x3176285e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf15da3c6, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5690bd9d, "seq_printf" },
	{ 0x80304e32, "snd_mpu401_uart_new" },
	{ 0xa45d6efa, "pci_match_id" },
	{ 0xec0af065, "snd_pcm_hw_constraint_msbits" },
	{ 0x83e464e7, "snd_pcm_period_elapsed" },
	{ 0xd35f75a1, "match_string" },
	{ 0x4ad2d269, "snd_pcm_hw_constraint_step" },
	{ 0xd0d8621b, "strlen" },
	{ 0x9978af6, "pcim_enable_device" },
	{ 0xa5d6c013, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
