#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(acp_enable_interrupts, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(acp_disable_interrupts, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(restore_acp_pdm_params, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(restore_acp_i2s_params, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(acp_init, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(acp_deinit, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(smn_write, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(smn_read, "_gpl", "SND_SOC_ACP_COMMON");
KSYMTAB_FUNC(check_acp_config, "_gpl", "SND_SOC_ACP_COMMON");

SYMBOL_CRC(acp_enable_interrupts, 0xc3a36855, "_gpl");
SYMBOL_CRC(acp_disable_interrupts, 0xcbb27f1c, "_gpl");
SYMBOL_CRC(restore_acp_pdm_params, 0x750e99f3, "_gpl");
SYMBOL_CRC(restore_acp_i2s_params, 0xae938a9b, "_gpl");
SYMBOL_CRC(acp_init, 0xe7bc2dfe, "_gpl");
SYMBOL_CRC(acp_deinit, 0x328d77a5, "_gpl");
SYMBOL_CRC(smn_write, 0x9dcaec2d, "_gpl");
SYMBOL_CRC(smn_read, 0x15e88a0c, "_gpl");
SYMBOL_CRC(check_acp_config, 0xcc333d2f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x53aaaaf5, "pci_read_config_dword" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd26bded7, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfd817857, "acpi_dev_get_property" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5c6d64c5, "pci_write_config_dword" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B89E145E1E411C8CF1ED225");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
