#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xaf25f288, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x80f791ca, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xfacafecb, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x5dc6a923, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xd7f414ba, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xa1bff8e7, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xdf2fc517, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x86e04ad2, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x311f1456, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x62090b6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6125af5, "snd_soc_dapm_put_enum_double" },
	{ 0xaff32918, "gpiod_get_value_cansleep" },
	{ 0x9ee9d836, "regcache_cache_only" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0xb4cdc4e5, "gpiod_put" },
	{ 0xe6e2388f, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf0e82e3, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x92941369, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf596a719, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x365cef4f, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa9300ee4, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc2df3d0, "devm_gpiod_get_optional" },
	{ 0x21926ddc, "wm_adsp_stop" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7af7e6b2, "cs35l56_get_calibration" },
	{ 0xb21af1f0, "__pm_runtime_set_status" },
	{ 0x3bf6fc8, "devm_snd_soc_register_component" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xeb7eeb3, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5edc01f5, "sdw_write_no_pm" },
	{ 0xcd53365b, "devm_free_irq" },
	{ 0xee354017, "pm_runtime_enable" },
	{ 0x5bec98be, "fwnode_gpiod_get_index" },
	{ 0xe8fd8968, "regulator_bulk_disable" },
	{ 0x233191b0, "_dev_info" },
	{ 0x446ab2a8, "acpi_dev_remove_driver_gpios" },
	{ 0xd430a6dd, "snd_soc_info_volsw" },
	{ 0xa7c8b842, "cs35l56_init_cs_dsp" },
	{ 0x272ed425, "wm_adsp_power_down" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xcecb3635, "debugfs_create_bool" },
	{ 0x828036ef, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x507a24e9, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xa1fc97e, "cs35l56_runtime_suspend_common" },
	{ 0xe76107ce, "sdw_read_no_pm" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2c89936a, "cs35l56_mbox_send" },
	{ 0x21acce10, "cs35l56_hw_init" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x50b14888, "wm_adsp2_component_probe" },
	{ 0x5cd9b2d8, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6669c7af, "cs35l56_system_reset" },
	{ 0x9d411598, "snd_soc_info_enum_double" },
	{ 0x1d7bc428, "regulator_bulk_enable" },
	{ 0x5dfc209, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xee17267d, "wm_adsp2_component_remove" },
	{ 0x7075674d, "cs35l56_wait_for_firmware_boot" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0xe5020abd, "snd_soc_get_volsw" },
	{ 0x4364e641, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x64e7b221, "fwnode_property_present" },
	{ 0x9785779, "cs35l56_is_fw_reload_needed" },
	{ 0x759a1672, "regmap_read" },
	{ 0x498ca299, "snd_soc_put_volsw" },
	{ 0x1d134fbb, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9f67c1fd, "cs_amp_write_cal_coeffs" },
	{ 0x4638fbef, "device_get_named_child_node" },
	{ 0xf3ab61ca, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xe280250, "sdw_stream_remove_slave" },
	{ 0x117693ea, "cs35l56_runtime_resume_common" },
	{ 0xfaa6a895, "dapm_regulator_event" },
	{ 0xa0ccf969, "cs35l56_get_speaker_id" },
	{ 0x123c59f5, "wm_adsp_run" },
	{ 0x316f2d48, "regmap_update_bits_base" },
	{ 0xfd817857, "acpi_dev_get_property" },
	{ 0x33280180, "dev_err_probe" },
	{ 0x11f81e5d, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0xde686d0f, "__devm_add_action" },
	{ 0x62db5eef, "snd_soc_dapm_get_enum_double" },
	{ 0x95c21d69, "__pm_runtime_use_autosuspend" },
	{ 0xe22cfb15, "wm_halo_init" },
	{ 0xad814084, "__pm_runtime_disable" },
	{ 0xaf4888f0, "cs35l56_firmware_shutdown" },
	{ 0x5cb6f58, "sdw_stream_add_slave" },
	{ 0x971e6858, "pm_runtime_force_suspend" },
	{ 0x3457da3f, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x92b57248, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "D62B474544DEF6496D8466A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
