#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sdw_hda_dai_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0xecb1e1d1, "");
SYMBOL_CRC(cl_dsp_init, 0x9b56636c, "");
SYMBOL_CRC(hda_cl_trigger, 0x7b6c5716, "");
SYMBOL_CRC(hda_cl_cleanup, 0x192fa3ae, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x5faa45e4, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x8e98c582, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x3c936eb4, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0x434bc0f0, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0xbb39442d, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x1bf29e16, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0xce78b2dd, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xa8370df3, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0xbf57a331, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0xa48e58a8, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0x0d476685, "");
SYMBOL_CRC(hda_dsp_trace_init, 0xead99765, "");
SYMBOL_CRC(hda_dsp_trace_release, 0x24257d42, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x746ba0f0, "");
SYMBOL_CRC(hda_get_interface_mask, 0xe11c6bed, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0x6ff490da, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x5ff0d2f8, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x609e3fe0, "");
SYMBOL_CRC(hda_dsp_core_run, 0x23297457, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x95d6cd93, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x05b89e47, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0x9d9760ad, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x2afbadfd, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0x05aa4111, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0xdfc79a40, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0xa5b926e7, "");
SYMBOL_CRC(hda_dsp_resume, 0x20fc2d04, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x67bf6419, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x261eb6be, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x3f8092b6, "");
SYMBOL_CRC(hda_dsp_suspend, 0xcbfe4c33, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0x08ded7fa, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x234605b5, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0x16f46ae3, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0xbbd4229f, "");
SYMBOL_CRC(hda_dsp_core_get, 0x3c6abb95, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0xbea24711, "");
SYMBOL_CRC(hda_sdw_int_enable, 0x547c7fee, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x0de0871c, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0x2327a78b, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0xc14f3426, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x6e2bdfc3, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0x9737303b, "");
SYMBOL_CRC(hda_dsp_get_state, 0x5d29ddcd, "");
SYMBOL_CRC(hda_dsp_dump, 0x92ee71d9, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x7539a692, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x2a04c928, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0xa1805ce7, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0xd4724952, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0x9578725d, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0xd6b8de31, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x3e4228a1, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0xe5231553, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0x99387847, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0x8a42c5f4, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0xe3e8acfd, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0xfe451703, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0xb8a31dc0, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x40641e45, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0x05928ccc, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0xc792cb96, "");
SYMBOL_CRC(hda_ipc_msg_data, 0xaed7266e, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0x66cf339b, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0xc4fe927c, "");
SYMBOL_CRC(hda_check_ipc_irq, 0x8b0fba51, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0x85059aa2, "");
SYMBOL_CRC(hda_ipc_dump, 0x548e9fc3, "");
SYMBOL_CRC(hda_ipc4_dump, 0xff3b0fd0, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x684d72a0, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x76a08af5, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x5b321f87, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0x25b55b6f, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0xb5100f29, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0x8e53813d, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xcb67b573, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0x98c8e896, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0x09197dda, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0xb003c3ba, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0x809aa8ed, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0xa7bf667c, "");
SYMBOL_CRC(hda_dai_config, 0xc5485a12, "");
SYMBOL_CRC(sdw_hda_dai_hw_params, 0x82ac4bb4, "");
SYMBOL_CRC(sdw_hda_dai_hw_free, 0x3892b78c, "");
SYMBOL_CRC(sdw_hda_dai_trigger, 0x718af714, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xe51d3cb9, "");
SYMBOL_CRC(hda_ops_free, 0x47c6b1a4, "");
SYMBOL_CRC(skl_dai, 0x34a93375, "");
SYMBOL_CRC(sof_hda_bus_init, 0xf6cd8f7f, "");
SYMBOL_CRC(sof_hda_bus_exit, 0xaa0d5e05, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x1216cf44, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0xdc21226e, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x5e226002, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x424d5dbf, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0xfe4b398d, "");
SYMBOL_CRC(hda_probes_unregister, 0xdaff6f71, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9167aed, "hda_codec_jack_check" },
	{ 0x939336e0, "hda_bus_ml_suspend" },
	{ 0xaa4fb9db, "pci_save_state" },
	{ 0x9a344109, "sof_block_read" },
	{ 0x6f00e8de, "hda_codec_i915_display_power" },
	{ 0xd5187856, "bpf_trace_run4" },
	{ 0x6941b171, "snd_dma_alloc_dir_pages" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0xb500b511, "snd_hdac_bus_send_cmd" },
	{ 0x44acf408, "hda_bus_ml_resume" },
	{ 0xf1d7f263, "snd_hdac_bus_get_response" },
	{ 0x25b6be76, "snd_hdac_ext_stream_start" },
	{ 0xa6257a2f, "complete" },
	{ 0xb12b4d0b, "trace_raw_output_prep" },
	{ 0x3628f912, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x698b9b16, "hda_codec_set_codec_wakeup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x949a7612, "__trace_trigger_soft_disabled" },
	{ 0x82cc534a, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x59996ca, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0xc9f66934, "snd_pcm_hw_constraint_minmax" },
	{ 0xb2f26e82, "hda_codec_jack_wake_enable" },
	{ 0x5c03958, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a46090f, "snd_hdac_ext_bus_init" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x5984b8f3, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d5e6825, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x62bed9f0, "snd_sgbuf_get_addr" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xf795fc78, "snd_sgbuf_get_chunk_size" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3bc0a6f0, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5de73a53, "trace_event_buffer_commit" },
	{ 0x64613d17, "snd_dma_free_pages" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x324a7cf9, "hda_codec_resume_cmd_io" },
	{ 0x26245681, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x47b2e31a, "snd_hdac_ext_bus_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4764d8f, "snd_hdac_ext_stream_clear" },
	{ 0x8c9ec5f3, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x233191b0, "_dev_info" },
	{ 0x1f826186, "snd_hdac_ext_bus_link_power" },
	{ 0x8f6620ef, "snd_sof_dsp_dbg_dump" },
	{ 0xc256fd38, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5fc4f48b, "sof_mailbox_read" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbd88bd88, "perf_trace_run_bpf_submit" },
	{ 0x6eec4d3d, "devm_kfree" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2f80fe74, "snd_sof_dsp_update_bits_forced" },
	{ 0xb8395a8a, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7ac4dca5, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6ba5e4e8, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x15a8bd01, "trace_event_reg" },
	{ 0xfa827970, "snd_soc_dpcm_get_substream" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xa7d3a2f9, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x7d0a1a42, "sof_print_oops_and_stack" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xd4846369, "hda_bus_ml_reset_losidv" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd236e423, "snd_hdac_ext_stream_setup" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x81dd6091, "snd_sof_ipc_get_reply" },
	{ 0xcffe0b8a, "snd_sof_dsp_update_bits" },
	{ 0x4d321306, "pci_restore_state" },
	{ 0x147f3b33, "snd_sof_pci_update_bits" },
	{ 0x85146760, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x54966057, "hdac_bus_eml_dmic_get_hlink" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x711705a5, "snd_hdac_display_power" },
	{ 0xed7f2521, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x90933f99, "snd_pcm_hw_constraint_integer" },
	{ 0x9371da19, "bpf_trace_run3" },
	{ 0x7655042b, "hda_codec_rirb_status_clear" },
	{ 0x8eb71bca, "hda_codec_suspend_cmd_io" },
	{ 0x4fef5dbd, "snd_sof_ipc_reply" },
	{ 0xf68415c0, "hda_codec_init_cmd_io" },
	{ 0xc32c426, "hda_codec_stop_cmd_io" },
	{ 0xa7f13e18, "hda_codec_detect_mask" },
	{ 0x7700e09a, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5f2592f0, "sof_ipc_tx_message" },
	{ 0xfbf29288, "snd_sof_dsp_panic" },
	{ 0x3f89ba9f, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x5d9e65e9, "snd_sof_suspend" },
	{ 0x900c56ca, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x4ad2d269, "snd_pcm_hw_constraint_step" },
	{ 0xd0d8621b, "strlen" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x7ec19b80, "intel_nhlt_init" },
	{ 0x4054c865, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd8d30bb7, "sof_client_dev_unregister" },
	{ 0xaf7439eb, "hda_codec_check_rirb_status" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x47b83c1a, "snd_hdac_ext_stream_reset" },
	{ 0x6566d9ee, "hdac_bus_eml_get_count" },
	{ 0xbf642568, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0x26c5d2cf, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5cfa1b76, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof-intel-hda-mlink,snd-sof,snd-pcm,snd-hda-core,snd-hda-ext-core,snd-soc-hdac-hda,snd-soc-core,snd-intel-dspcfg");


MODULE_INFO(srcversion, "2DF61EFEB939788FDB5063F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
