#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x2390d11c, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xe46956bf, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x09556f82, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x59413d33, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x367bc534, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x89ea4054, "");
SYMBOL_CRC(hda_dsp_probe, 0x593252f4, "");
SYMBOL_CRC(hda_dsp_remove, 0xb0a6783d, "");
SYMBOL_CRC(hda_power_down_dsp, 0x7bda9994, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x6e58371b, "");
SYMBOL_CRC(sof_hda_common_ops, 0xdfe57576, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16f46ae3, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xd2bc74a2, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x9a344109, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xec497c0a, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xe11c6bed, "hda_get_interface_mask" },
	{ 0x6f00e8de, "hda_codec_i915_display_power" },
	{ 0xfeffd42c, "is_acpi_device_node" },
	{ 0x9197dda, "hda_dsp_pcm_trigger" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0xbbd4229f, "hda_dsp_d0i3_work" },
	{ 0x483073f9, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0xf126cb3d, "pci_alloc_irq_vectors" },
	{ 0xc5baabfe, "intel_nhlt_get_dmic_geo" },
	{ 0x434bc0f0, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x5b321f87, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x6e2bdfc3, "hda_sdw_process_wakeen" },
	{ 0x547c7fee, "hda_sdw_int_enable" },
	{ 0x345bb588, "hda_bus_ml_init" },
	{ 0xa3148ffa, "hda_codec_probe_bus" },
	{ 0xaa0d5e05, "sof_hda_bus_exit" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x82ac4bb4, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x5da63f09, "sdw_intel_exit" },
	{ 0x3cfcb23a, "hda_codec_check_for_state_change" },
	{ 0x425b0b7, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x718af714, "sdw_hda_dai_trigger" },
	{ 0x103903e8, "hda_bus_ml_free" },
	{ 0xe91651d9, "pcpu_hot" },
	{ 0x8e98c582, "hda_dsp_cl_boot_firmware" },
	{ 0xcb67b573, "hda_dsp_pcm_hw_params" },
	{ 0xc14f3426, "hda_sdw_check_lcount" },
	{ 0x381fd835, "snd_intel_dsp_driver_probe" },
	{ 0xda90ad67, "pci_irq_vector" },
	{ 0xb5100f29, "hda_dsp_ctrl_clock_power_gating" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0x2798f2f2, "pci_ioremap_bar" },
	{ 0x8e53813d, "hda_dsp_ctrl_init_chip" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3892b78c, "sdw_hda_dai_hw_free" },
	{ 0x79bb254a, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbfe4c33, "hda_dsp_suspend" },
	{ 0x3f8092b6, "hda_dsp_runtime_suspend" },
	{ 0x2725da99, "hda_codec_i915_exit" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x5928ccc, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xc5485a12, "hda_dai_config" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdaff6f71, "hda_probes_unregister" },
	{ 0x8a7f807b, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98c8e896, "hda_dsp_pcm_ack" },
	{ 0x24257d42, "hda_dsp_trace_release" },
	{ 0x233191b0, "_dev_info" },
	{ 0x92ee71d9, "hda_dsp_dump" },
	{ 0x926b8164, "sdw_intel_startup" },
	{ 0xb003c3ba, "hda_dsp_pcm_pointer" },
	{ 0xb2d0a4c3, "sdw_intel_process_wakeen_event" },
	{ 0xc256fd38, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5fc4f48b, "sof_mailbox_read" },
	{ 0x81a71a1c, "hda_bus_ml_put_all" },
	{ 0x909c2da9, "_dev_err" },
	{ 0xcecb3635, "debugfs_create_bool" },
	{ 0x9d9760ad, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc21226e, "__tracepoint_sof_intel_hda_irq" },
	{ 0x1504108e, "platform_device_unregister" },
	{ 0xead99765, "hda_dsp_trace_init" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0x5bd9a5e6, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x9132cbef, "hda_codec_device_remove" },
	{ 0x25b55b6f, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xcffe0b8a, "snd_sof_dsp_update_bits" },
	{ 0x147f3b33, "snd_sof_pci_update_bits" },
	{ 0xf6cd8f7f, "sof_hda_bus_init" },
	{ 0x261eb6be, "hda_dsp_runtime_idle" },
	{ 0x809aa8ed, "hda_dsp_pcm_open" },
	{ 0x225f6970, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x9000cbe9, "sdw_intel_lnl_hw_ops" },
	{ 0x3176285e, "pci_set_master" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0xbb39442d, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0xa7bf667c, "hda_dsp_pcm_close" },
	{ 0x18e76e81, "dma_set_coherent_mask" },
	{ 0x1dc2e6d3, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8b0fba51, "hda_check_ipc_irq" },
	{ 0xd2a3a17d, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x67bf6419, "hda_dsp_runtime_resume" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x746ba0f0, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x64e755f2, "sof_machine_unregister" },
	{ 0x34a93375, "skl_dai" },
	{ 0xa48e58a8, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf05be5b0, "sdw_intel_probe" },
	{ 0x3c940367, "snd_sof_load_firmware_raw" },
	{ 0x8a27a47c, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x6ff490da, "hda_is_chain_dma_supported" },
	{ 0x20fc2d04, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x58ffa3da, "dma_set_mask" },
	{ 0xfe4b398d, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x33280180, "dev_err_probe" },
	{ 0xce78b2dd, "hda_dsp_stream_init" },
	{ 0xd476685, "hda_dsp_get_stream_ldp" },
	{ 0xa8370df3, "hda_dsp_stream_free" },
	{ 0x76a08af5, "hda_dsp_ctrl_get_caps" },
	{ 0x34410a1, "param_ops_int" },
	{ 0x7ec19b80, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6a1b7e3a, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x5fc6232e, "hda_codec_i915_init" },
	{ 0xaf001203, "pci_free_irq_vectors" },
	{ 0x1bf29e16, "hda_dsp_check_stream_irq" },
	{ 0x66cf339b, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xc792cb96, "hda_dsp_ipc_get_window_offset" },
	{ 0xaed7266e, "hda_ipc_msg_data" },
	{ 0x295b7d28, "sof_machine_register" },
	{ 0x3b477f21, "hdac_bus_eml_get_mutex" },
	{ 0x3089c6e9, "snd_soc_acpi_intel_hda_machines" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-soc-acpi,snd-sof,snd-sof-intel-hda,soundwire-intel,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-xtensa-dsp,snd-sof-pci,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "4DFCC4759EA398DCE9181CD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
