#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x576014b2, "input_allocate_device" },
	{ 0xc7a25bd8, "usb_alloc_urb" },
	{ 0x35e3a105, "snd_rawmidi_receive" },
	{ 0xb111f27c, "usb_free_urb" },
	{ 0x1f64833d, "snd_pcm_hw_limit_rates" },
	{ 0xf0c13426, "snd_rawmidi_transmit" },
	{ 0xbbc16055, "snd_ctl_add" },
	{ 0x744179c2, "snd_pcm_new" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x52fd270a, "snd_card_register" },
	{ 0x5b221d3c, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x86332006, "usb_register_driver" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xa4f42dad, "param_array_ops" },
	{ 0xe46d6483, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad49c0aa, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a973ea0, "input_free_device" },
	{ 0x85ce6a9a, "snd_ctl_new1" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x432ae122, "usb_bulk_msg" },
	{ 0xcac6d11a, "input_register_device" },
	{ 0xb4aaf284, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x7cbd4b85, "usb_submit_urb" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x6c890062, "snd_card_new" },
	{ 0xeddfc678, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7f9bf06d, "snd_card_set_id" },
	{ 0x909c2da9, "_dev_err" },
	{ 0x2699f901, "snd_card_free_when_closed" },
	{ 0xbf71647b, "usb_set_interface" },
	{ 0x8f49e599, "snd_pcm_set_ops" },
	{ 0x3bf1e9fd, "usb_deregister" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4c58a008, "usb_string" },
	{ 0xc296448b, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x225f6970, "_dev_warn" },
	{ 0xd9075efc, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaf121c89, "input_event" },
	{ 0x844fec73, "input_set_abs_params" },
	{ 0xadccc900, "snd_rawmidi_new" },
	{ 0x285a8401, "snd_card_disconnect" },
	{ 0x8309cb37, "snd_rawmidi_set_ops" },
	{ 0xcb6d02c7, "param_ops_bool" },
	{ 0x3cf03465, "__kmalloc_cache_noprof" },
	{ 0x239dc2b3, "usb_kill_urb" },
	{ 0x2c9a1f16, "usb_init_urb" },
	{ 0x83e464e7, "snd_pcm_period_elapsed" },
	{ 0x34410a1, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x439db081, "kmalloc_caches" },
	{ 0xeca0a32f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-rawmidi,snd-pcm,snd");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7B7229A0C7BECEDFB4AB4C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
